<?php
// ////////////////////////////////////////////////////////////
// LFM v4.25
// Copyright 2006-2019 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "../inc/filter.php";

// Prevent anyone who isn't logged in from opening this page
if(!isset($_SESSION["adminid"])) { exit; };

if (isset($_GET['viewexc']) && $_GET['viewexc'] == 1) {
	include "accountsecurity_exc.php";
	exit;
}

if (isset($_GET['unlockuser']) && is_numeric($_GET['unlockuser']) && $_GET['unlockuser'] > 0) {
	$qry="UPDATE `".$prefix."login_log` SET unlocked=1 WHERE userid=".$_GET['unlockuser'];
	lfmsql_query($qry) or die(lfmsql_error());
}

$max_ipperacc = lfmsql_result(lfmsql_query("SELECT max_ipperacc FROM `".$prefix."settings`"), 0);
$max_accperip = lfmsql_result(lfmsql_query("SELECT max_accperip FROM `".$prefix."settings`"), 0);
$dayagotime = time() - 86400;
$dayago = date("Y-m-d H:i:s", $dayagotime);

?>

<script language="javascript">
	function viewLoginLog(viewtype, viewdata)
	{
		if (viewtype == 1) {
			var URLquery = "&viewuserid=" + viewdata;
		} else {
			var URLquery = "&viewip=" + viewdata;
		}
		
		var windowprops = "location=no,scrollbars=yes,menubars=no,toolbars=no,resizable=no" + ",left=100,top=100,width=700,height=550"; 
	 
		var URL = "viewloginlog.php?invalidlogins=0" + URLquery; 
		popup = window.open(URL,"AdminLogsPopup",windowprops);	
	}
	function addException(extype, exval)
	{
		var URLquery = "extype=" + extype + "&exval=" + exval;
		
		var windowprops = "location=no,scrollbars=yes,menubars=no,toolbars=no,resizable=no" + ",left=100,top=100,width=700,height=550"; 
	 
		var URL = "accountexception.php?" + URLquery; 
		popup = window.open(URL,"AccountExceptionPopup",windowprops);	
	}
</script>

<center>
          <h1>Account Security</h1>
          <p class="lfm_descr"><a href="admin.php?f=accsec&viewexc=1">View/Edit Exceptions</a></p>

<div style="border: 2px #AAA solid;padding: 20px;background: #F6F6F6; width: 850px;">
          <div class="lfm_title">Hacker Whacker Locked Accounts</div>
          <p class="lfm_descr">These accounts have been accessed by too many IP addresses in the past 24 hours</p>
          
<table width="800" align="center" cellpadding="4" cellspacing="0">
          <tr class="admintd">
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">ID</font></strong></td>
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Name</font></strong></td>
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Username</font></strong></td>
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">IP Log</font></strong></td>
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Unlock</font></strong></td>
          </tr>
          
          <?php
          
          $getlockedacc = lfmsql_query("SELECT COUNT(DISTINCT ipaddress) AS ipcount, userid FROM `".$prefix."login_log` WHERE invalidlogin=0 AND unlocked=0 AND logtime > ".$dayagotime." GROUP BY userid");
          if (lfmsql_num_rows($getlockedacc) > 0) {
          	for ($i = 0; $i < lfmsql_num_rows($getlockedacc); $i++) {
          		$ipcount = lfmsql_result($getlockedacc, $i, "ipcount");
          		$userid = lfmsql_result($getlockedacc, $i, "userid");
          		$checklimit = $max_ipperacc;
          		$accexception = lfmsql_query("SELECT newlimit FROM `".$prefix."hackblock_exceptions` WHERE exctype=2 AND excvalue=".$userid);
			if (lfmsql_num_rows($accexception) > 0) {
				$exclimit = lfmsql_result($accexception, 0, "newlimit");
				if (is_numeric($exclimit) && ($exclimit == 0 || $exclimit > $max_ipperacc)) {
					$checklimit = $exclimit;
				}
			}
			if ($checklimit > 0 && $ipcount > $checklimit) {
				$getuserinfo = lfmsql_query("SELECT firstname, lastname, username FROM `".$prefix."members` WHERE Id=".$userid);
				if (lfmsql_num_rows($getuserinfo) > 0) {
					$userfirstname = lfmsql_result($getuserinfo, 0, "firstname");
					$userlastname = lfmsql_result($getuserinfo, 0, "lastname");
					$userusername = lfmsql_result($getuserinfo, 0, "username");
					
					echo('<tr>
                  <td nowrap="nowrap" style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; ">'.$userid.'</td>
                  <td nowrap="nowrap" style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; ">'.$userfirstname.' '.$userlastname.'</td>
                  <td nowrap="nowrap" style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; ">'.$userusername.'</td>
                  <td style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; "><a href="javascript:viewLoginLog(1, '.$userid.')"><input type="button" name="viewlog" value="View Log"></a></td>
                  <td style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; "><a href="admin.php?f=accsec&unlockuser='.$userid.'"><input type="button" name="unlock" value="Unlock" style="background-color:darkgreen;"></a> <a href="javascript:addException(2, '.$userid.')"><input type="button" name="exception" value="Exception" style="background-color:darkgreen;"></a></td>
          </tr>');
          			}
          		}
          	}
          }
          
          ?>
</table>
</div>
<br><br>

<div style="border: 2px #AAA solid;padding: 20px;background: #F6F6F6; width: 850px;">
          <div class="lfm_title">Hacker Whacker Locked IPs</div>
          <p class="lfm_descr">These IP addresses have created or logged into the max number of accounts</p>

<table width="800" align="center" cellpadding="4" cellspacing="0">
          <tr class="admintd">
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">IP Address</font></strong></td>
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Account Count</font></strong></td>
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">IP Log</font></strong></td>
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Unlock</font></strong></td>
          </tr>
          
          <?php
          
          $lockiparr = array();
          
          // Check signup IPs
          $getlockedip = lfmsql_query("SELECT COUNT(*) AS usercount, signupip FROM `".$prefix."members` WHERE joindate > '".$dayago."' GROUP BY signupip");
          if (lfmsql_num_rows($getlockedip) > 0) {
          	for ($i = 0; $i < lfmsql_num_rows($getlockedip); $i++) {
          		$usercount = lfmsql_result($getlockedip, $i, "usercount");
          		$ip = lfmsql_result($getlockedip, $i, "signupip");
          		$checklimit = $max_accperip;
          		$ipexception = lfmsql_query("SELECT newlimit FROM `".$prefix."hackblock_exceptions` WHERE exctype=1 AND excvalue='".$ip."'");
			if (lfmsql_num_rows($ipexception) > 0) {
				$exclimit = lfmsql_result($ipexception, 0, "newlimit");
				if (is_numeric($exclimit) && ($exclimit == 0 || $exclimit > $max_accperip)) {
					$checklimit = $exclimit;
				}
			}
			if ($checklimit > 0 && $usercount >= $checklimit) {
				$lockiparr[] = $ip;
				echo('<tr>
                  <td nowrap="nowrap" style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; ">'.$ip.'</td>
                  <td nowrap="nowrap" style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; "><a href="admin.php?f=mm&sortby=Id&sortorder=ASC&sf=browse&searchfield=ipadd&searchtext='.$ip.'">'.$usercount.'</a></td>
                  <td style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; "><a href="javascript:viewLoginLog(2, \''.$ip.'\')"><input type="button" name="viewlog" value="View Log"></a></td>
                  <td style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; "><a href="javascript:addException(1, \''.$ip.'\')"><input type="button" name="exception" value="Exception" style="background-color:darkgreen;"></a></td>
          </tr>');
          			
          		}
          	}
          }
          
          // Check login IPs
          $getlockedip = lfmsql_query("SELECT COUNT(*) AS usercount, lastip FROM `".$prefix."members` WHERE lastlogin > '".$dayago."' GROUP BY lastip");
          if (lfmsql_num_rows($getlockedip) > 0) {
          	for ($i = 0; $i < lfmsql_num_rows($getlockedip); $i++) {
          		$usercount = lfmsql_result($getlockedip, $i, "usercount");
          		$ip = lfmsql_result($getlockedip, $i, "lastip");
          		$checklimit = $max_accperip;
          		$ipexception = lfmsql_query("SELECT newlimit FROM `".$prefix."hackblock_exceptions` WHERE exctype=1 AND excvalue='".$ip."'");
			if (lfmsql_num_rows($ipexception) > 0) {
				$exclimit = lfmsql_result($ipexception, 0, "newlimit");
				if (is_numeric($exclimit) && ($exclimit == 0 || $exclimit > $max_accperip)) {
					$checklimit = $exclimit;
				}
			}
			if ($checklimit > 0 && $usercount >= $checklimit && array_search($ip, $lockiparr) === false) {
				$lockiparr[] = $ip;
				echo('<tr>
                  <td nowrap="nowrap" style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; ">'.$ip.'</td>
                  <td nowrap="nowrap" style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; "><a href="admin.php?f=mm&sortby=Id&sortorder=ASC&sf=browse&searchfield=ipadd&searchtext='.$ip.'">'.$usercount.'</a></td>
                  <td style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; "><a href="javascript:viewLoginLog(2, \''.$ip.'\')"><input type="button" name="viewlog" value="View Log"></a></td>
                  <td style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; "><a href="javascript:addException(1, \''.$ip.'\')"><input type="button" name="exception" value="Exception" style="background-color:darkgreen;"></a></td>
          </tr>');
          			
          		}
          	}
          }
          
          ?>
</table>
</div>