<?php
// ////////////////////////////////////////////////////////////
// LFM v4.25
// Copyright 2006-2019 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "../inc/filter.php";

// Prevent anyone who isn't logged in from opening this page
if(!isset($_SESSION["adminid"])) { exit; };

if (isset($_GET['deleteexc']) && is_numeric($_GET['deleteexc']) && $_GET['deleteexc'] > 0) {
	$qry="DELETE FROM `".$prefix."hackblock_exceptions` WHERE id=".$_GET['deleteexc'];
	lfmsql_query($qry) or die(lfmsql_error());
}

?>

<script language="javascript">
	function editException(extype, exval)
	{
		var URLquery = "extype=" + extype + "&exval=" + exval;
		
		var windowprops = "location=no,scrollbars=yes,menubars=no,toolbars=no,resizable=no" + ",left=100,top=100,width=700,height=550"; 
	 
		var URL = "accountexception.php?" + URLquery; 
		popup = window.open(URL,"AccountExceptionPopup",windowprops);	
	}
</script>

<center>
          <h1>Account Security Exceptions</h1>

<div style="border: 2px #AAA solid;padding: 20px;background: #F6F6F6; width: 850px;">
          <div class="lfm_title">Account Exceptions</div>
          
<table width="800" align="center" cellpadding="4" cellspacing="0">
          <tr class="admintd">
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">User ID</font></strong></td>
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Name</font></strong></td>
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Username</font></strong></td>
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">IP Limit</font></strong></td>
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Edit/Delete</font></strong></td>
          </tr>
          
          <?php
          
          $getlockedacc = lfmsql_query("SELECT id, excvalue, newlimit FROM `".$prefix."hackblock_exceptions` WHERE exctype=2 ORDER BY excvalue");
          if (lfmsql_num_rows($getlockedacc) > 0) {
          	for ($i = 0; $i < lfmsql_num_rows($getlockedacc); $i++) {
          		$excid = lfmsql_result($getlockedacc, $i, "id");
          		$userid = lfmsql_result($getlockedacc, $i, "excvalue");
          		$newlimit = lfmsql_result($getlockedacc, $i, "newlimit");
			
			$getuserinfo = lfmsql_query("SELECT firstname, lastname, username FROM `".$prefix."members` WHERE Id=".$userid);
			if (lfmsql_num_rows($getuserinfo) > 0) {
				$userfirstname = lfmsql_result($getuserinfo, 0, "firstname");
				$userlastname = lfmsql_result($getuserinfo, 0, "lastname");
				$userusername = lfmsql_result($getuserinfo, 0, "username");
				
				echo('<tr>
                  <td nowrap="nowrap" style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; ">'.$userid.'</td>
                  <td nowrap="nowrap" style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; ">'.$userfirstname.' '.$userlastname.'</td>
                  <td nowrap="nowrap" style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; ">'.$userusername.'</td>
                  <td nowrap="nowrap" style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; ">'.$newlimit.'</td>
                  <td style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; "><a href="javascript:editException(2, '.$userid.')"><input type="button" name="exception" value="Edit Exception" style="background-color:darkgreen;"></a> <a href="admin.php?f=accsec&viewexc=1&deleteexc='.$excid.'"><input type="button" name="unlock" value="Delete Exception" style="background-color:darkred;"></a></td>
          </tr>');
          		}
          	}
          } else {
          	echo('<tr><td colspan="5"><p class="lfm_descr">You have not created any account exceptions.</p></td></tr>');
          }
          
          ?>
</table>
</div>
<br><br>

<div style="border: 2px #AAA solid;padding: 20px;background: #F6F6F6; width: 850px;">
          <div class="lfm_title">IP Exceptions</div>

<table width="800" align="center" cellpadding="4" cellspacing="0">
          <tr class="admintd">
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">IP Address</font></strong></td>
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Account Limit</font></strong></td>
                  <td nowrap="NOWRAP" ><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Edit/Delete</font></strong></td>
          </tr>
          
          <?php
          
          $getlockedacc = lfmsql_query("SELECT id, excvalue, newlimit FROM `".$prefix."hackblock_exceptions` WHERE exctype=1 ORDER BY excvalue");
          if (lfmsql_num_rows($getlockedacc) > 0) {
          	for ($i = 0; $i < lfmsql_num_rows($getlockedacc); $i++) {
          		$excid = lfmsql_result($getlockedacc, $i, "id");
          		$ipaddress = lfmsql_result($getlockedacc, $i, "excvalue");
          		$newlimit = lfmsql_result($getlockedacc, $i, "newlimit");
			
			echo('<tr>
                  <td nowrap="nowrap" style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; ">'.$ipaddress.'</td>
                  <td nowrap="nowrap" style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; ">'.$newlimit.'</td>
                  <td style="border-bottom-style: solid ; border-bottom-color: #B0CBFD; border-bottom-width: 1px; "><a href="javascript:editException(1, \''.$ipaddress.'\')"><input type="button" name="exception" value="Edit Exception" style="background-color:darkgreen;"></a> <a href="admin.php?f=accsec&viewexc=1&deleteexc='.$excid.'"><input type="button" name="unlock" value="Delete Exception" style="background-color:darkred;"></a></td>
          </tr>');
          	}
          } else {
          	echo('<tr><td colspan="3"><p class="lfm_descr">You have not created any IP exceptions.</p></td></tr>');
          }
          
          ?>
</table>
</div>