<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.52
// Copyright ©2006-2021 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "../inc/filter.php";
require_once "../inc/funcs.php";

include "../inc/checkauth.php";

if(!isset($_SESSION["adminid"])) { exit; };

// Redirect to member stats
if($_POST["Submit"] == "Show Stats Of Selected" && $_GET["f"] == "mm") {
	$_SESSION["newgetid"] = $_POST["memcheck"];
	header("Location: admin.php?f=mstats&sf=browse&genstats=go&statstype=1");
}

// Get our settings
$res = lfmsql_query("SELECT sitename, affurl FROM ".$prefix."settings") or die("Unable to find settings!");
$row = lfmsql_fetch_array($res);
$sitename = $row["sitename"];
$affurl = $row["affurl"];

    if(isset($_POST["CreateFile"]))
	{
		// Get the max salesid and create the array of members to be paid
		$msalesid=$_POST["msalesid"];
		$msaledate=$_POST["msaledate"];
		$members_to_pay=$_POST["pay_id"];
		$min_comm=get_setting("min_comm");
		
		$rcnt=0;
		foreach ($members_to_pay as $key => $mid){
		
			if($mid >0)
			{
				// Build our list of members and their payments
				$dqry="SELECT Id FROM ".$prefix."members WHERE Id=".$mid;
				$dres=@lfmsql_query($dqry) or die(lfmsql_error());
				$drow=@lfmsql_fetch_array($dres) or die(lfmsql_error());
				$id=$drow["Id"];
				$sqry="SELECT SUM(".$prefix."sales.commission) AS payout,firstname,lastname,paypal_email FROM ".$prefix."sales LEFT JOIN ".$prefix."members ON ".$prefix."members.Id=".$prefix."sales.affid WHERE ".$prefix."sales.status IS NULL AND affid=$id AND ".$prefix."sales.commission != 0 AND (saledate <= '$msaledate 23:59:59' OR ".$prefix."sales.commission < 0) GROUP BY affid";
				$sres=@lfmsql_query($sqry);

				// Create data for the mass payment file
				while($srow=@lfmsql_fetch_array($sres))
				{
					if($srow["payout"] >= $min_comm)
					{
						$data.=$srow["paypal_email"]."\t".$srow["payout"]."\tUSD"."\r\n";
						$rcnt++;
						// Update status on sales for this person
						@lfmsql_query("UPDATE ".$prefix."sales SET status='P' WHERE affid = $id AND (saledate <= '$msaledate 23:59:59' OR commission < 0)") or die(lfmsql_error());
					}
				}
			}
		}

        // Data is created .. now write this to the file
        if($rcnt > 0)
        {
            $name="pay-".date("Y-m-d").".txt";
            header("Content-type: application/txt");
            header("Content-length: ".strlen($data)."");
            header("Content-Disposition: attachment; filename=$name");
            header("Content-Description: PHP Generated Data");
            echo $data;

            // Get the admin's email address
            $res=@lfmsql_query("SELECT email FROM ".$prefix."admin");
            $row=@lfmsql_fetch_array($res);
            $adminemail=$row["email"];

            // Send an email to admin with payment details
            $subject = $sitename.' Payment data - '.date("d-M-Y");
            $headers = "From: ".$sitename." <".$adminemail.">"."\r\n";
            $headers .= "Return-Path: ".$sitename." <".$adminemail.">"."\r\n";
            $headers .= "Message-ID: <".$now." TheSystem@".$_SERVER['SERVER_NAME'].">"."\r\n";
            $headers .= "X-Mailer: PHP v".phpversion()."\r\n";
            mail($adminemail,$subject,$data,$headers);
			exit;
        }

	}

    if(isset($_POST["CreateFileA"]))
    {
        // Get the max salesid and create the array of members to be paid
        $msalesid=$_POST["msalesid"];
		$msaledate=$_POST["msaledate"];
		$min_comm=get_setting("min_comm");


		//new, get array of checked members from the pay all file
		$members_to_pay = $_POST['pay_id'];
        $rcnt=0;

		foreach ($members_to_pay as $key => $mid){

        // Build our list of members and their payments
        $sqry="SELECT SUM(".$prefix."sales.commission) AS payout,Id,firstname,lastname,paypal_email FROM ".$prefix."sales LEFT JOIN ".$prefix."members ON ".$prefix."members.Id=".$prefix."sales.affid WHERE (".$prefix."sales.status IS NULL OR ".$prefix."sales.status = 'R' )  AND ".$prefix."sales.commission != 0 AND (saledate <= '$msaledate 23:59:59' OR ".$prefix."sales.commission < 0) AND Id = '".$mid."' GROUP BY affid";
        $sres=@lfmsql_query($sqry);

        // Create data for the mass payment file
        while($srow=@lfmsql_fetch_array($sres))
        {
			if($srow["payout"] >= $min_comm)
			{
	            $data.=$srow["paypal_email"]."\t".$srow["payout"]."\tUSD"."\r\n";
    	        $rcnt++;
				// Update status on sales for this person
				@lfmsql_query("UPDATE ".$prefix."sales SET status='P' WHERE affid=".$srow["Id"]." AND (saledate <= '$msaledate 23:59:59' OR commission < 0)") or die(lfmsql_error());
			}
        }
		}
        // Data is created .. now write this to the file
        if($rcnt > 0)
        {
            $name="pay-".date("Y-m-d").".txt";
            header("Content-type: application/txt");
            header("Content-length: ".strlen($data)."");
            header("Content-Disposition: attachment; filename=$name");
            header("Content-Description: PHP Generated Data");
            echo $data;

            // Get the admin's email address
            $res=@lfmsql_query("SELECT email FROM ".$prefix."admin");
            $row=@lfmsql_fetch_array($res);
            $adminemail=$row["email"];

            // Send an email to admin with payment details
            $subject = $sitename.' Payment data - '.date("d-M-Y");
            $headers = "From: ".$sitename." <".$adminemail.">"."\r\n";
            $headers .= "Return-Path: ".$sitename." <".$adminemail.">"."\r\n";
            $headers .= "Message-ID: <".$now." TheSystem@".$_SERVER['SERVER_NAME'].">"."\r\n";
            $headers .= "X-Mailer: PHP v".phpversion()."\r\n";
            mail($adminemail,$subject,$data,$headers);
			exit;
        }
    }

?>
<!doctype html>
<html lang="en">

<head>

<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<title><?=$sitename;?> Administration</title>

	<!-- Legacy Stylesheet -->
	<link href="style_files/css/lfm_legacy_styles.css" rel="stylesheet" type="text/css" />
	
	<!-- Bootstrap Stylesheet -->
	<link href="style_files/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
	
	<!-- Font Awesome Free Stylesheet -->
	<link href="style_files/css/fontawesome-icons.min.css" rel="stylesheet" type="text/css" />
	
	<!-- Main LFM Admin Stylesheet -->
	<link href="style_files/css/lfm_admin_bootstrap4.css" rel="stylesheet" type="text/css" />

	<!-- Legacy Javascript and Stylesheet Files -->
	<script type="text/javascript" src="datepickercontrol/datepickercontrol.js"></script>
	<link type="text/css" rel="stylesheet" href="datepickercontrol/datepickercontrol.css">
	<script type="text/javascript" src="../inc/qtip.js"></script>
	
	<!-- LFM Javascript Functions -->
	<script type="text/javascript" src="../inc/jsfuncs.js"></script>
	
	<!-- Modern Datepicker Stylesheet -->
	<link href="../lib/datetimepicker/css/bootstrap-datetimepicker.css" rel="stylesheet" type="text/css" />

</head>
<body>

	<!-- Required Bootstrap Javascript Files -->
	<script src="style_files/js/jquery.min.js"></script>
	<script src="style_files/js/bootstrap.bundle.min.js"></script>
	
	<!-- Javascript For Slidebar Menu -->
	<script>
	function toggleSlidebar() {
		$(".lfm_slidebar").toggleClass("toggled");
	}
	</script>
	
	<!-- Javascript For Expandable Widgets -->
	<script>
	function toggleWidget(widgetid) {
		$("#" + widgetid).toggleClass("expanded");
	}
	</script>

<div class="lfm_outerdiv">

<!-- Begin Navigation Menu -->

		<nav class="lfm_slidebar">

			<h2 class="lfm_slidebar_title"><?php echo(get_script_type()); ?></h2>
			<p class="lfm_slidebar_subtitle">v<?php echo(get_script_vers());?></p>

				<ul class="lfm_slidebar_mainmenu">
                            
<?php
	// Generate the admin menu
	
	$opentoplink = 0;
	$opensublink = 100;
	
	if(isset($_GET["f"])) {
		$getlink = lfmsql_query("SELECT id, menu_parent FROM ".$prefix."adminmenu WHERE f='".$_GET["f"]."' ORDER BY menu_parent DESC");
		if (lfmsql_num_rows($getlink) > 0) {
			$opentoplink = lfmsql_result($getlink, 0, "menu_parent");
			$opensublink = lfmsql_result($getlink, 0, "id");
		}
	}
	
	// Get the top level items and then query their child items
	$menures=@lfmsql_query("SELECT * FROM ".$prefix."adminmenu WHERE menu_parent=0 ORDER BY menu_order, id");
	while($amenu=@lfmsql_fetch_object($menures)) {
		// Display top level item
		
		// Now get any submenu items
		$smcountres=@lfmsql_query("SELECT COUNT(*) FROM ".$prefix."adminmenu WHERE menu_parent=".$amenu->id);
		$smcount=@lfmsql_result($smcountres,0);
		if($smcount > 0 || $amenu->menu_label == 'Apps') {
			// This is a category
			echo('<li>
				<a href="#cat'.$amenu->id.'" data-toggle="collapse" class="lfm_slidebar_toplink'); if($amenu->id != $opentoplink) { echo(' collapsed'); } echo('"><span class="align-middle">'.$amenu->menu_label.'</span></a>
				<ul id="cat'.$amenu->id.'" class="list-unstyled collapse'); if($amenu->id == $opentoplink) { echo(' show'); } echo('">');
				
				// Get sub items
				
				if ($amenu->menu_label == 'Apps') {
					echo('<li><a class="lfm_slidebar_sublink" href="/admin/marketplace/index.php" target="_top">LFMTE Apps Store</a></li>');
					$smenures=@lfmsql_query("SELECT * FROM ".$prefix."adminmenu WHERE menu_parent=".$amenu->id." ORDER BY menu_label ASC");
					while($asubmenu=@lfmsql_fetch_object($smenures)) { 
						echo('<li><a class="lfm_slidebar_sublink'); if($asubmenu->id == $opensublink) { echo(' active'); } echo('" href="'.$asubmenu->menu_url.'" target="'.$asubmenu->menu_target.'">'.$asubmenu->menu_label.'</a></li>');
					}
				} else {
					$smenures=@lfmsql_query("SELECT * FROM ".$prefix."adminmenu WHERE menu_parent=".$amenu->id." ORDER BY menu_order");
					while($asubmenu=@lfmsql_fetch_object($smenures)) { 
						echo('<li><a class="lfm_slidebar_sublink'); if($asubmenu->id == $opensublink) { echo(' active'); } echo('" href="'.$asubmenu->menu_url.'" target="'.$asubmenu->menu_target.'">'.$asubmenu->menu_label.'</a></li>');
					}
				}
				echo('</ul>');
			echo('</li>');
		} else {
			// This is a menu link
			echo('<li><a class="lfm_slidebar_toplink'); if($amenu->id == $opensublink) { echo(' active'); } echo('" href="'.$amenu->menu_url.'" target="'.$amenu->menu_target.'">'.$amenu->menu_label.'</a></li>');
		}
	}
?>
                            
				</ul>
		</nav>

<!-- End Navigation Menu -->

<div class="main">
	
	<!-- Begin Top Bar -->
	<nav class="navbar navbar-expand">
		<i onClick="toggleSlidebar()" class="fas fa-bars lfm_slidebar_toggleswitch"></i>
		<h3 class="lfm_topbar_sitename"><?=$sitename;?> Admin</h3>
		<div class="navbar-collapse collapse">
			<ul class="navbar-nav ml-auto">
				<li class="nav-item dropdown">
					<a class="nav-link dropdown-toggle text-white" href="#" data-toggle="dropdown"><span class="text-white"><?php echo($_SESSION["adminid"]); ?></span></a>
					<div class="dropdown-menu dropdown-menu-right">
						<a class="dropdown-item" href="admin.php?f=widgets">My Widgets</a>
						<a class="dropdown-item" href="admin.php?f=lo">Logout</a>
					</div>
				</li>
			</ul>
		</div>
	</nav>
	<!-- End Top Bar -->
	
	<main class="content">
		<div class="container-fluid p-0">
			
          <?php

if (isset($_GET['permission']) && $_GET['permission'] == "denied") {
	?>
	<br><center>
	<div class="lfm_infobox" style="width: 700px;">
	<table width="700" border="0" cellpadding="2">
	  <tr>
	    <td align="center"><div class="lfm_infobox_heading" style="color:darkred;">Not Authorized</div></td>
	  </tr>
	  
	  <tr>
	    <td align="center"><div class="lfm_descr">
	    	<br>Your administrator account does not have the required permissions to access this page.
	    </div></td>
	  </tr>
	      
	</table>
	</div>
	<?php
	exit;
}

        if(!isset($_GET["f"])) {
        	
        	?>
        	
        	<div class="row">
        	
        	<!-- Start Mini Widgets -->
        	
        	<?php
        	
        	// Load Mini Widgets
        	$getminiwidgets = lfmsql_query("SELECT a.widgetfile AS widgetfile FROM ".$prefix."miniwidgets a LEFT JOIN ".$prefix."miniwidgetpositions b ON (a.id=b.widgetid) WHERE b.adminid='".$_SESSION["adminidnum"]."' AND b.enabled='1' ORDER BY b.rank ASC");
        	if (lfmsql_num_rows($getminiwidgets) > 0) {
        		for ($i = 0; $i < lfmsql_num_rows($getminiwidgets); $i++) {
        			$widgetfile = lfmsql_result($getminiwidgets, $i, "widgetfile");
        			if (file_exists("miniwidgets/".$widgetfile)) {
	        			include "miniwidgets/".$widgetfile;
	        		}
        		}
        	} else {
        		echo("&nbsp;");
        	}
        	
        	
        	?>
			
        	<!-- End Mini Widgets -->
        	
        	</div>
        	
        	<div class="row">
        	
        	<!-- Start Main Widgets -->
        	
        	<?php
        	
        	// Load Widgets
        	$getwidgets = lfmsql_query("SELECT a.widgetfile AS widgetfile FROM ".$prefix."widgets a LEFT JOIN ".$prefix."widgetpositions b ON (a.id=b.widgetid) WHERE b.adminid='".$_SESSION["adminidnum"]."' AND b.enabled='1' ORDER BY b.rank ASC");
        	if (lfmsql_num_rows($getwidgets) > 0) {
        		for ($i = 0; $i < lfmsql_num_rows($getwidgets); $i++) {
        			$widgetfile = lfmsql_result($getwidgets, $i, "widgetfile");
        			if (file_exists("widgets/".$widgetfile)) {
	        			include "widgets/".$widgetfile;
	        		}
        		}
        	} else {
        		echo("&nbsp;");
        	}
        	
        	?>
		
		<!-- End Main Widgets -->
		
		</div>

  <p>
    <input name="Submit" type="button" class="footer-text" onClick="javascript:viewLog()" value="View Log" />
    </p>
</p>

  <div class="lfm_descr"><?php echo(get_script_type());?> v<?php echo(get_script_vers());?></div>
  <div class="lfm_descr"><a href="/admin/marketplace/myapps.php">Check For Updates</a></div>

  <?php       // Check if install.php has been deleted
        if((file_exists("install/install_check.php")) && !isset($_GET["f"]))
        {
        ?>
  <br />
  <br />
</div>
<center><font color="#FF0000"><strong>NOTE: THE FILE INSTALL/INSTALL_CHECK.PHP SHOULD BE DELETED.</strong></font></center><br>
          <?php
        }

}
        // Include the appropriate page depending on menu selection in admin area
		
		//check if its one of the files that overide the f variable
		if ( isset($_GET["f"]) & !isset($_POST["EmailSelected"]) & !isset($_POST["EmailMT"]) & !isset($_POST["EmailAll"]) & !isset($_POST["PayAll"]) & !isset($_POST["GivePrize"]) & !isset($_POST["DeductCommissions"]) & !isset($_POST["CreateFile"]) & !isset($_POST["PaySelected"])  & !isset($_POST["EmailGeo"]) & !isset($_POST["EmailGrp"]) ) {
			
		
			//do the includes that aren't in the menu	
			switch ($_GET["f"]){
				case "ps":
					include "payselected.php";
					break;
				case "pa":
					include "payall.php";
					break;
				case "upd":
					include "updater.php";
					break;
				case "sm":
					include "sendemail.php";
					break;
				case "smr":
					include "sendemailregion.php";
					break;
				case "smg":
					include "sendemailgroup.php";
					break;
				case "smmt":
					include "sendemailmtype.php";
					break;
				default:
				//check out the database table and include the file
					$menu_item_res = @lfmsql_query ("SELECT * FROM ".$prefix."adminmenu WHERE f = '".$_GET["f"]."'");
					if (lfmsql_num_rows ($menu_item_res) != 0) {
						$menu_item_row = lfmsql_fetch_array ($menu_item_res);
						include $menu_item_row['filename'];
						}
					break;
				}
			}
		//include the files
		if($_POST["GivePrize"] == "Give Prize") { include "giveprize.php"; }
		if($_POST["DeductCommissions"] == "Deduct Commissions") { include "deductcommissions.php"; }
		if($_POST["EmailSelected"] == "Email Members") { include "emailmembers.php"; }
        if($_POST["EmailAll"] == "Email All") { include "emailmembers.php"; }
        if($_POST["EmailMT"] == "Email Member Level") { include "emailmt.php"; }
		if(isset($_POST["EmailGrp"])) { include "emailgroup.php"; }
		if($_POST["PayAll"] == "Pay All" ) { include "payall.php"; }
 		if(isset($_POST["CreateFile"]) || isset($_POST["PaySelected"])) { include "payselected.php"; }
        if(isset($_POST["EmailGeo"])) { include "emailgeo.php"; }

 		
       
?>

		</div>
	</main>
	
</div>
</div>

	<!-- Modern Datepicker Javascript -->
	<script src="../lib/datetimepicker/js/bootstrap-datetimepicker.min.js" type="text/javascript"></script>
	
	<script>
	$(".datetimepicker").datetimepicker({
		autoclose: true,
		componentIcon: '.far.fa-calendar-alt',
		navIcons:{
			rightIcon: 'fas fa-chevron-right',
			leftIcon: 'fas fa-chevron-left'
		}
	});
	</script>

</body>
</html>