<?php
// ////////////////////////////////////////////////////////////
// LFM v4.25
// Copyright 2006-2019 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "../inc/filter.php";


// Prevent anyone who isn't logged in from opening this page
if(!isset($_SESSION["adminid"])) { exit; };

//Get Show Type From Dashboard

$currentdate = date("Y-m-d");
$yesterdate = strftime("%Y-%m-%d", strtotime("$currentdate + 1 days ago"));
$weekdate = strftime("%Y-%m-%d", strtotime("$currentdate + 7 days ago"));

	$showtype = "";
	$timequery = "";

//Get Search From Dashboard

if ($_GET['tdb'] == "yes") {

$userid = $_POST['userid'];
$username = $_POST['username'];
$email = $_POST['email'];
$referrer = $_POST['referrer'];
$ipaddress = $_POST['ipaddress'];

if ($userid != "") {

	$searchfield = "Id";
	$searchtext = $userid;
	
} elseif ($username != "") {

	$searchfield = "username";
	$searchtext = $username;
	
} elseif ($email != "") {

	$searchfield = "email";
	$searchtext = $email;
	
} elseif ($referrer != "") {

	$searchfield = "refid";
	$searchtext = $referrer;
	
} elseif ($ipaddress != "") {

	$searchfield = "ipadd";
	$searchtext = $ipaddress;
	
}

} elseif (isset($_POST["searchtext"])) {
            $searchfield=trim($_POST["searchfield"]);
            $searchtext=trim($_POST["searchtext"]);
            
} elseif (($_GET['searchfield'] != "") && ($_GET['searchtext'] != "")) {
            $searchfield=trim($_GET["searchfield"]);
            $searchtext=trim($_GET["searchtext"]);
}

// LFM Sorting

if (($_GET["sortby"] != "") && ($_GET["sortorder"] != "")) {
$sortby = $_GET["sortby"];
$sortorder = $_GET["sortorder"];

//Set Orders
if ($sortby == "Id" && $sortorder == "ASC") {
$idorder = "DESC";
} else {
$idorder = "ASC";
}
if ($sortby == "firstname" && $sortorder == "ASC") {
$firstorder = "DESC";
} else {
$firstorder = "ASC";
}
if ($sortby == "lastname" && $sortorder == "ASC") {
$lastorder = "DESC";
} else {
$lastorder = "ASC";
}
if ($sortby == "username" && $sortorder == "ASC") {
$userorder = "DESC";
} else {
$userorder = "ASC";
}
if ($sortby == "mtype" && $sortorder == "ASC") {
$mtypeorder = "DESC";
} else {
$mtypeorder = "ASC";
}
if ($sortby == "tempcomm" && $sortorder == "DESC") {
$commsorder = "ASC";
} else {
$commsorder = "DESC";
}
if ($sortby == "tempcommp" && $sortorder == "DESC") {
$commsporder = "ASC";
} else {
$commsporder = "DESC";
}
if ($sortby == "temprefs" && $sortorder == "DESC") {
$refsorder = "ASC";
} else {
$refsorder = "DESC";
}

if ($sortby == "email" && $sortorder == "DESC") {
$emailorder = "ASC";
} else {
$emailorder = "DESC";
}
if ($sortby == "paypal_email" && $sortorder == "DESC") {
$ppemailorder = "ASC";
} else {
$ppemailorder = "DESC";
}
if ($sortby == "joindate" && $sortorder == "DESC") {
$joindateorder = "ASC";
} else {
$joindateorder = "DESC";
}
if ($sortby == "deletedate" && $sortorder == "DESC") {
$deletedateorder = "ASC";
} else {
$deletedateorder = "DESC";
}
if ($sortby == "lastlogin" && $sortorder == "DESC") {
$logindateorder = "ASC";
} else {
$logindateorder = "DESC";
}

} else {
$sortby = "Id";
$sortorder = "ASC";

$idorder = "ASC";
$firstorder = "ASC";
$lastorder = "ASC";
$userorder = "ASC";
$mtypeorder = "ASC";
$commsorder = "DESC";
$commsporder = "DESC";
$refsorder = "DESC";

$emailorder = "ASC";
$ppemailorder = "ASC";
$joindateorder = "DESC";
$deletedateorder = "DESC";
$logindateorder = "DESC";

}

// End LFM Sorting

// Determine Which Fields To Show

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showgrav'");
if (lfmsql_num_rows($getfield) > 0) {
	$showgrav = lfmsql_result($getfield, 0, "value");
} else {
	$showgrav = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showid'");
if (lfmsql_num_rows($getfield) > 0) {
	$showid = lfmsql_result($getfield, 0, "value");
} else {
	$showid = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showfirst'");
if (lfmsql_num_rows($getfield) > 0) {
	$showfirst = lfmsql_result($getfield, 0, "value");
} else {
	$showfirst = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showlast'");
if (lfmsql_num_rows($getfield) > 0) {
	$showlast = lfmsql_result($getfield, 0, "value");
} else {
	$showlast = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showusername'");
if (lfmsql_num_rows($getfield) > 0) {
	$showusername = lfmsql_result($getfield, 0, "value");
} else {
	$showusername = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showemail'");
if (lfmsql_num_rows($getfield) > 0) {
	$showemail = lfmsql_result($getfield, 0, "value");
} else {
	$showemail = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showpaypal'");
if (lfmsql_num_rows($getfield) > 0) {
	$showpaypal = lfmsql_result($getfield, 0, "value");
} else {
	$showpaypal = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showmtype'");
if (lfmsql_num_rows($getfield) > 0) {
	$showmtype = lfmsql_result($getfield, 0, "value");
} else {
	$showmtype = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showjoined'");
if (lfmsql_num_rows($getfield) > 0) {
	$showjoined = lfmsql_result($getfield, 0, "value");
} else {
	$showjoined = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showlogin'");
if (lfmsql_num_rows($getfield) > 0) {
	$showlogin = lfmsql_result($getfield, 0, "value");
} else {
	$showlogin = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showcomm'");
if (lfmsql_num_rows($getfield) > 0) {
	$showcomm = lfmsql_result($getfield, 0, "value");
} else {
	$showcomm = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showcommp'");
if (lfmsql_num_rows($getfield) > 0) {
	$showcommp = lfmsql_result($getfield, 0, "value");
} else {
	$showcommp = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showsales'");
if (lfmsql_num_rows($getfield) > 0) {
	$showsales = lfmsql_result($getfield, 0, "value");
} else {
	$showsales = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showrefs'");
if (lfmsql_num_rows($getfield) > 0) {
	$showrefs = lfmsql_result($getfield, 0, "value");
} else {
	$showrefs = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showstatus'");
if (lfmsql_num_rows($getfield) > 0) {
	$showstatus = lfmsql_result($getfield, 0, "value");
} else {
	$showstatus = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showcustom'");
if (lfmsql_num_rows($getfield) > 0) {
	$showcustom = lfmsql_result($getfield, 0, "value");
	$showcustom = explode(",", $showcustom);
} else {
	$showcustom = array();
}

// End Determine Which Fields To Show


// Operations affecting member records

// Delete multiple members according to check boxes
if($_POST["MDelete"] == "Yes - Delete")
{
	
	if(isset($_POST["idarray"]))
	{
		while (list ($key,$val) = @each ($_POST["idarray"])) {
			
			$deletememid = $val;
			
			$getmemberinfo = lfmsql_query("SELECT * FROM ".$prefix."membersd WHERE Id=".$deletememid);
			$memberinfo = lfmsql_fetch_array($getmemberinfo);
			
			$getmods = lfmsql_query("Select filename from `".$prefix."delete_final_mods` where enabled=1");
			if (lfmsql_num_rows($getmods) > 0) {
			while ($modlist = lfmsql_fetch_array($getmods)) {
				$modfilename = trim($modlist['filename']);
				if (file_exists("../".$modfilename)) {
					include("../".$modfilename);
				}
			}
			}
			
			lfmsql_query("DELETE FROM ".$prefix."membersd WHERE Id=".$deletememid) or die(lfmsql_error());
			lfmsql_query("Delete from ".$prefix."oto_stats where userid=".$deletememid);
			lfmsql_query("Delete from ".$prefix."spostats where userid=".$deletememid);
			lfmsql_query("DELETE FROM ".$prefix."customvals WHERE userid=".$deletememid);
			lfmsql_query("UPDATE ".$prefix."sales SET affid=0, commission=0 WHERE affid=".$deletememid);
			
		}
	}
}

// Restore multiple members according to check boxes
if($_POST["MDelete"] == "Yes - Restore")
{
	
	if(isset($_POST["idarray"]))
	{
		while (list ($key,$val) = @each ($_POST["idarray"])) {
			
			$deletememid = $val;
			
			$getmemberinfo = lfmsql_query("SELECT * FROM ".$prefix."membersd WHERE Id=".$deletememid);
			$memberinfo = lfmsql_fetch_array($getmemberinfo);
			
			// Get IP Location If Installed
			$ipregion = "";
			$ipcountry = "";
			$ipcity = "";
			if (file_exists("../inc/iplocation_funcs.php")) {
				include_once "../inc/iplocation_funcs.php";
				if (function_exists('getIpCity')) {
					$ipdata = getIpCity($memberinfo['signupip']);
					$ipregion = $ipdata[0];
					$ipcountry = $ipdata[1];
					$ipcity = $ipdata[2];
				}
			}
			
			$qry="INSERT INTO ".$prefix."members (Id, username, firstname, lastname, email, address, city, state, postcode, country, telephone, password, refid, status, joindate, geo, paypal_email, groupid, mtype, newsletter, lastip, signupip, signupregion, signupcountry, signupcity, lastlogin, numLogins, affnotify, expirydate, paymentplan, upgend, vericode) VALUES (".$deletememid.", '".$memberinfo['username']."', '".$memberinfo['firstname']."', '".$memberinfo['lastname']."', '".$memberinfo['email']."', '".$memberinfo['address']."', '".$memberinfo['city']."', '".$memberinfo['state']."', '".$memberinfo['postcode']."', '".$memberinfo['country']."', '".$memberinfo['telephone']."', '".$memberinfo['password']."', '".$memberinfo['refid']."', '".$memberinfo['status']."', '".$memberinfo['joindate']."', '".$memberinfo['geo']."', '".$memberinfo['paypal_email']."', '".$memberinfo['groupid']."', '".$memberinfo['mtype']."', '".$memberinfo['newsletter']."', '".$memberinfo['lastip']."', '".$memberinfo['signupip']."', '".$ipregion."', '".$ipcountry."', '".$ipcity."', '".$memberinfo['lastlogin']."', '".$memberinfo['numLogins']."', '".$memberinfo['affnotify']."', '".$memberinfo['expirydate']."', '".$memberinfo['paymentplan']."', '".$memberinfo['upgend']."', '".$memberinfo['vericode']."')";
			
			lfmsql_query($qry) or die(lfmsql_error());
			
			lfmsql_query("DELETE FROM ".$prefix."membersd WHERE Id=".$deletememid) or die(lfmsql_error());
			
			$getmods = lfmsql_query("Select filename from `".$prefix."delete_restore_mods` where enabled=1");
			if (lfmsql_num_rows($getmods) > 0) {
			while ($modlist = lfmsql_fetch_array($getmods)) {
				$modfilename = trim($modlist['filename']);
				if (file_exists("../".$modfilename)) {
					include("../".$modfilename);
				}
			}
			}
			
		}
	}
}

?>
<script src="../inc/jsfuncs.js" type="text/javascript"></script>
<?
	// Hide the search form when displaying mass delete confirmation
	if(!isset($_POST["Delchecked"]) && !isset($_POST["Reschecked"]))
	{

?>
<link href="styles.css" rel="stylesheet" type="text/css" />

<script language="javascript">
	function customizeGrid()
	{
		var windowprops = "location=no,scrollbars=yes,menubars=no,toolbars=no,resizable=no" + ",left=100,top=100,width=550,height=550"; 
	 
		var URL = "memgrid.php"; 
		popup = window.open(URL,"MemGridPopup",windowprops);	
	}
</script>

<br />
<center>

<!-- Start Search Box -->
<table border="0" cellpadding="0" cellspacing="1" width="500">
<form name="searchfrm" method="post" action="admin.php?f=delmm&show=<?=$showtype?>&sortby=<?=$sortby?>&sortorder=<?=$sortorder?>&sf=browse">
<tr>
<td><select class="form-control" name="searchfield">
      <option <? if($searchfield=="") { echo "selected=\"selected\""; } ?>>Search By...</option>
      <option <? if($searchfield=="Id") { echo "selected=\"selected\""; } ?> value="Id">User ID</option>
      <option <? if($searchfield=="firstname") { echo "selected=\"selected\""; } ?> value="firstname">First Name</option>
      <option <? if($searchfield=="lastname") { echo "selected=\"selected\""; } ?> value="lastname">Last Name</option>
      <option <? if($searchfield=="username") { echo "selected=\"selected\""; } ?> value="username">Username</option>
      <option <? if($searchfield=="email") { echo "selected=\"selected\""; } ?> value="email">Email</option>
      <option <? if($searchfield=="refid") { echo "selected=\"selected\""; } ?> value="refid">Referrer</option>
      <option <? if($searchfield=="ipadd") { echo "selected=\"selected\""; } ?> value="ipadd">IP Address</option>
      <option <? if($searchfield=="status") { echo "selected=\"selected\""; } ?> value="status">Status</option>
      <option <? if($searchfield=="mtype") { echo "selected=\"selected\""; } ?> value="mtype">Member Level</option>
      <option <? if($searchfield=="deletereason") { echo "selected=\"selected\""; } ?> value="deletereason">Deleted Reason</option>
<?
// Custom Search Fields
$getfields = lfmsql_query("SELECT id, name FROM `".$prefix."customfields` WHERE searchable=1 ORDER BY rank ASC");
if (lfmsql_num_rows($getfields) > 0) {
	for ($i = 0; $i < lfmsql_num_rows($getfields); $i++) {
		$fieldid = lfmsql_result($getfields, $i, "id");
		$fieldname = lfmsql_result($getfields, $i, "name");
		$fieldselval = "custom_".$fieldid;
		echo('      <option'); if($searchfield==$fieldselval) { echo " selected=\"selected\""; } echo(' value="'.$fieldselval.'">'.$fieldname.'</option>
		');
	}
}
// End Custom Search Fields
?>
                </select></td>
    <td><input class="form-control" name="searchtext" type="text" id="searchtext" value="<?=$searchtext;?>"/></td>
    <td><input type="submit" name="Submit" value="Search" /></td>
</tr>
</form>
</table>
<br>
<!-- End Search Box -->

<a href="javascript:customizeGrid()"><input type="button" name="customizegrid" value="Customize Member Grid"></a>
<br><br>


<?
}
	// Get the starting record for member browse
	if(!isset($_GET["limitStart"]))
	{
		$st=0;
	}
	else
	{
		$st=$_GET["limitStart"];
	}

	// Get the total member count for member browse
	$cqry="SELECT COUNT(*) as mcount FROM ".$prefix."membersd";
	// Check if there is search criteria
	if($searchtext != "")
	{

		// Handle membertype search
		if($searchfield == "mtype" && !is_numeric($searchtext))
		{
			$mtsqry="SELECT mtid FROM ".$prefix."membertypes WHERE accname='".$searchtext."'";
			$mtsres=@lfmsql_query($mtsqry);
			$mtsrow=@lfmsql_fetch_array($mtsres);
			$searchtext=$mtsrow["mtid"];
		}
		
		// Handle referral search
		if ($searchfield == "refid" && !is_numeric($searchtext)) {

			$getrefid = lfmsql_query("Select Id from ".$prefix."membersd where username='".$searchtext."' or email='".$searchtext."'");
			if (lfmsql_num_rows($getrefid) > 0) {
				$searchtext = lfmsql_result($getrefid, 0, "Id");
			}		
		}
		
		// Handle ip address search
		if ($searchfield == "ipadd") {
			$searchfield = "lastip='".$searchtext."' or signupip";
		}
		
		// Handle email address search
		if ($searchfield == "email") {
			$searchtext = "%".$searchtext."%";
		}
		
		// Handle deleted reason search
		if ($searchfield == "deletereason") {
			$searchtext = "%".$searchtext."%";
		}
		
		// Handle custom field search
		if (stristr($searchfield,"custom_")) {
			$splitsearchfield = explode("_", $searchfield);
			$searchfieldnum = $splitsearchfield[1];
			if (is_numeric($searchfieldnum) && $searchfieldnum > 0) {
				$getuserids = lfmsql_query("SELECT userid FROM ".$prefix."customvals WHERE fieldid='".$searchfieldnum."' AND fieldvalue LIKE '%".$searchtext."%'");
				if (lfmsql_num_rows($getuserids) > 0) {
					$memidlist = "";
					for ($i = 0; $i < lfmsql_num_rows($getuserids); $i++) {
						$memid = lfmsql_result($getuserids, $i, "userid");
						if ($i > 0) { $memidlist .= " OR "; }
						$memidlist .= "Id=".$memid;
					}
					$cqry .= " WHERE (".$memidlist.")";
				} else {
					$memid = 0;
					$cqry .= " WHERE (Id=".$memid.")";
				}
			} else {
				$memid = 0;
				$cqry .= " WHERE (Id=".$memid.")";
			}
			
			if ($timequery != "") {
				$cqry .= " and ".$timequery;
			}
		// End Handle custom field search
		} elseif ($timequery != "") {
			$cqry.=" WHERE ".$searchfield." = '".$searchtext."' and ".$timequery;
		} else {
			$cqry.=" WHERE ".$searchfield." = '".$searchtext."'";
		}
	
	} else {
		if ($timequery != "") {
			$cqry.=" WHERE ".$timequery;
		}
	}

    $cres=@lfmsql_query($cqry);
    $crow=@lfmsql_fetch_array($cres);

    // Get the first/next 40 records
    $mqry="SELECT * FROM ".$prefix."membersd m LEFT JOIN ".$prefix."membertypes t ON m.mtype=t.mtid WHERE `status` != 'Pending'";

    // Add search criteria if applicable
    if($searchtext != "") {
    
		// Handle custom field search
		if (stristr($searchfield,"custom_")) {
			$splitsearchfield = explode("_", $searchfield);
			$searchfieldnum = $splitsearchfield[1];
			if (is_numeric($searchfieldnum) && $searchfieldnum > 0) {
				$getuserids = lfmsql_query("SELECT userid FROM ".$prefix."customvals WHERE fieldid='".$searchfieldnum."' AND fieldvalue LIKE '%".$searchtext."%'");
				if (lfmsql_num_rows($getuserids) > 0) {
					$memidlist = "";
					for ($i = 0; $i < lfmsql_num_rows($getuserids); $i++) {
						$memid = lfmsql_result($getuserids, $i, "userid");
						if ($i > 0) { $memidlist .= " OR "; }
						$memidlist .= "Id=".$memid;
					}
					$mqry .= " AND (".$memidlist.")";
				} else {
					$memid = 0;
					$mqry .= " AND (Id=".$memid.")";
				}
			} else {
				$memid = 0;
				$mqry .= " AND (Id=".$memid.")";
			}
			
			if ($timequery != "") {
				$mqry .= " and ".$timequery;
			}
		// End Handle custom field search
		} elseif ($timequery != "") {
			$mqry.=" AND ".$searchfield." LIKE '".$searchtext."' AND ".$timequery;
		} else {
			$mqry.=" AND ".$searchfield." LIKE '".$searchtext."'";
		}
		
		$searchtext = str_replace("%", "", $searchtext);

    }
    else
    {
    		if ($timequery != "") {
			$mqry.=" AND ".$timequery;
		}
    }
    
    $mqry.=" ORDER BY ".$sortby." ".$sortorder." LIMIT $st,40";

    $mres=@lfmsql_query($mqry);


	//
	// Member browsing
	// This is where the search and browse records are displayed
	//
	if($_GET["sf"] == "browse" && !isset($_POST["Delchecked"]) && !isset($_POST["Reschecked"]))
	{
?>
<form name="mbrowse" id="mbrowse" method="post" action="admin.php?f=delmm&show=<?=$showtype?>&searchfield=<?=$searchfield?>&searchtext=<?=$searchtext?>&sortby=<?=$sortby?>&sortorder=<?=$sortorder?>&sf=browse">
<table width="100%" border="0" cellspacing="0" cellpadding="4">
  <tr>
    <td><table width="100%" border="0" cellpadding="1" cellspacing="0" class="lfmtable">
      <tr>
        <td colspan="18" align="left" valign="bottom">
		<div align="left"><?
    		if(!isset($_GET["limitStart"])){$limitStart = 0;}
    		pageNav($crow["mcount"],$_GET["limitStart"],40,"delmm&show=$showtype&searchfield=$searchfield&searchtext=$searchtext&sortby=$sortby&sortorder=$sortorder");
		?></div>
		
		<input name="Delchecked" type="submit" class="lfmtable" id="Delchecked" style="height: 8; font-size:15px" value="Delete Selected" />
		
		<input name="Reschecked" type="submit" class="lfmtable" id="Reschecked" style="height: 8; font-size:15px" value="Restore Selected" />
		
		</td>
        </tr>
      <tr class="admintd">
      
        <? if ($showgrav == 1) { ?>
        <td width="50" align="left" nowrap="NOWRAP">&nbsp;</td>
        <? } ?>
	
	<? if ($showid == 1) { ?>
        <td align="center" width="50" align="left" nowrap="NOWRAP"><strong>
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif"><a href="admin.php?f=delmm&show=<?=$showtype?>&searchfield=<?=$searchfield?>&searchtext=<?=$searchtext?>&sortby=Id&sortorder=<?=$idorder?>&sf=browse">ID</a></font></strong></td>
	<? } ?>
	
	<? if ($showfirst == 1) { ?>
        <td align="center" nowrap="NOWRAP"><strong>
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif"><a href="admin.php?f=delmm&show=<?=$showtype?>&searchfield=<?=$searchfield?>&searchtext=<?=$searchtext?>&sortby=firstname&sortorder=<?=$firstorder?>&sf=browse">First Name</a></font></strong></td>
	<? } ?>
	
	<? if ($showlast == 1) { ?>
        <td align="center" nowrap="NOWRAP"><strong>
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif"><a href="admin.php?f=delmm&show=<?=$showtype?>&searchfield=<?=$searchfield?>&searchtext=<?=$searchtext?>&sortby=lastname&sortorder=<?=$lastorder?>&sf=browse">Last Name</a></font></strong></td>
	<? } ?>
	
	<? if ($showusername == 1) { ?>
        <td align="center" nowrap="NOWRAP"><strong>
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif"><a href="admin.php?f=delmm&show=<?=$showtype?>&searchfield=<?=$searchfield?>&searchtext=<?=$searchtext?>&sortby=username&sortorder=<?=$userorder?>&sf=browse">Username</a></font></strong></td>
	<? } ?>
	
	<? if ($showemail == 1) { ?>
        <td align="center" nowrap="NOWRAP"><strong>
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif"><a href="admin.php?f=delmm&show=<?=$showtype?>&searchfield=<?=$searchfield?>&searchtext=<?=$searchtext?>&sortby=email&sortorder=<?=$emailorder?>&sf=browse">E-mail</a></font></strong></td>
	<? } ?>
	
	<? if ($showpaypal == 1) { ?>
        <td align="center" nowrap="NOWRAP"><strong>
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif"><a href="admin.php?f=delmm&show=<?=$showtype?>&searchfield=<?=$searchfield?>&searchtext=<?=$searchtext?>&sortby=paypal_email&sortorder=<?=$ppemailorder?>&sf=browse">PayPal</a></font></strong></td>
	<? } ?>
	
	<? if ($showmtype == 1) { ?>
        <td align="center" nowrap="NOWRAP"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><a href="admin.php?f=delmm&show=<?=$showtype?>&searchfield=<?=$searchfield?>&searchtext=<?=$searchtext?>&sortby=mtype&sortorder=<?=$mtypeorder?>&sf=browse">MType</a></font></strong> </td>
        <? } ?>
        
        <? if ($showjoined == 1) { ?>
        <td align="center" nowrap="NOWRAP"><strong>
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif"><a href="admin.php?f=delmm&show=<?=$showtype?>&searchfield=<?=$searchfield?>&searchtext=<?=$searchtext?>&sortby=joindate&sortorder=<?=$joindateorder?>&sf=browse">Joined</a></font></strong></td>
	<? } ?>
	
	<? if ($showlogin == 1) { ?>
	<td align="center" nowrap="NOWRAP"><strong>
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif"><a href="admin.php?f=delmm&show=<?=$showtype?>&searchfield=<?=$searchfield?>&searchtext=<?=$searchtext?>&sortby=lastlogin&sortorder=<?=$logindateorder?>&sf=browse">Last Login</a></font></strong></td>
        <? } ?>
        
	<? if ($showcomm == 1) { ?>
        <td align="center" nowrap="NOWRAP"><strong>
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Comm.</font></strong></td>
	<? } ?>
	
	<? if ($showcommp == 1) { ?>
        <td align="center" nowrap="NOWRAP"><strong>
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Comm. Paid</font></strong></td>
	<? } ?>
	
	<? if ($showsales == 1) { ?>
        <td align="center" nowrap="NOWRAP"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Sales</font></strong></td>
        <? } ?>
        
        <? if ($showrefs == 1) { ?>
        <td align="center" nowrap="NOWRAP"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Refs</font></strong></td>
        <? } ?>
        
        <?

        if ($showstatus == 1) {
        echo("<td align=\"center\" nowrap=\"NOWRAP\"><strong>
          <font size=\"2\" face=\"Verdana, Arial, Helvetica, sans-serif\">Status</font></strong></td>");
        }
        ?>
        
        <td align="center" nowrap="NOWRAP"><strong>
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif"><a href="admin.php?f=delmm&show=<?=$showtype?>&searchfield=<?=$searchfield?>&searchtext=<?=$searchtext?>&sortby=deletedate&sortorder=<?=$deletedateorder?>&sf=browse">Deleted</a></font></strong></td>
        
        <td align="center" nowrap="NOWRAP"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Deleted Reason</font></strong></td>
          
          <?
          // Display Custom Fields
          if (count($showcustom) > 0) {
          foreach ($showcustom as $key=>$value) {
          	$getfield = lfmsql_query("SELECT name FROM ".$prefix."customfields WHERE id='".$value."'") or die(lfmsql_error());
          	if (lfmsql_num_rows($getfield) > 0) {
          		$fieldname = lfmsql_result($getfield, 0, "name");
          		echo("<td align=\"center\" nowrap=\"NOWRAP\"><strong>
          		<font size=\"2\" face=\"Verdana, Arial, Helvetica, sans-serif\">".$fieldname."</font></strong></td>");
          	}
          }
          }
          // End Display Custom Fields
          ?>
          
        <td width="16" align="center" nowrap="NOWRAP"><input type="checkbox" name="checkbox" value="checkbox" onClick="javascript:checkAll(document.getElementById('mbrowse'),'mcheck');" /></td>
      </tr>
<?
	while($mrow=@lfmsql_fetch_array($mres))
	{
		// Get the commission for this member
		$commission=0;
		$commres=@lfmsql_query("SELECT SUM(commission) as ctotal,COUNT(*) as tsales FROM ".$prefix."sales WHERE affid=".$mrow["Id"]." AND ".$prefix."sales.status IS NULL");
		if($commres)
		{
			$commrow=@lfmsql_fetch_array($commres);
			$commission=$commrow["ctotal"];
			$tsales=$commrow["tsales"];
			if($commission < 1) { $commission="0.00"; }
		}
		else
		{
			$commission="0.00";
		}
		
		// Get the paid commission for this member
		$commissionpaid=0;
		$commres=@lfmsql_query("SELECT SUM(commission) as ctotal,COUNT(*) as tsales FROM ".$prefix."sales WHERE affid=".$mrow["Id"]." AND commission>0 AND status = 'P'");
		if($commres)
		{
			$commrow=@lfmsql_fetch_array($commres);
			$commissionpaid=$commrow["ctotal"];
			$tsales=$commrow["tsales"];
			if($commissionpaid < 1) { $commissionpaid="0.00"; }
		}
		else
		{
			$commissionpaid="0.00";
		}

		// Get the number of referrals for this member
		$refs=0;
		$refres=@lfmsql_query("SELECT COUNT(*) AS refs FROM ".$prefix."membersd WHERE refid=".$mrow["Id"]);
		$refrow=@lfmsql_fetch_array($refres);
		if(lfmsql_num_rows($refres) > 0)
		{
			$refs=$refrow["refs"];
		}

		if($bgcolor == "#FFFFFF")
		{
			$bgcolor="#DDDDDD";
		}
		else
		{
			$bgcolor="#FFFFFF";
		}

?>
      <tr bgcolor="<?=$bgcolor;?>" onMouseOver="this.bgColor='#99bb99';" onMouseOut="this.bgColor='<?=$bgcolor;?>';">
        
        <? if ($showgrav == 1) { ?>
        <td width="75"><img border="0" src="http://www.gravatar.com/avatar/<? echo(md5($mrow["email"])); ?>?d=mm"></td>
        <? } ?>
        
        <? if ($showid == 1) { ?>
        <td align="center"><font size="3" face="Verdana, Arial, Helvetica, sans-serif">
          <a href="javascript:showSales(<?=$mrow["Id"];?>);"><?=$mrow["Id"];?></a>
        </font></td>
        <? } ?>
        
        <? if ($showfirst == 1) { ?>
        <td align="center"><font size="3" face="Verdana, Arial, Helvetica, sans-serif">
          <?=$mrow["firstname"];?>
        </font></td>
        <? } ?>
        
        <? if ($showlast == 1) { ?>
        <td align="center"><font size="3" face="Verdana, Arial, Helvetica, sans-serif">
          <?=$mrow["lastname"];?>
        </font></td>
        <? } ?>
        
        <? if ($showusername == 1) { ?>
        <td align="center"><font size="3" face="Verdana, Arial, Helvetica, sans-serif">
          <?=$mrow["username"];?>
        </font></td>
        <? } ?>
        
        <? if ($showemail == 1) { ?>
        <td align="center"><font size="3" face="Verdana, Arial, Helvetica, sans-serif">
          <?=$mrow["email"];?>
        </font></td>
        <? } ?>
        
        <? if ($showpaypal == 1) { ?>
        <td align="center"><font size="3" face="Verdana, Arial, Helvetica, sans-serif">
          <?=$mrow["paypal_email"];?>
        </font></td>
        <? } ?>
        
        <? if ($showmtype == 1) { ?>
        <td align="center"><font size="3" face="Verdana, Arial, Helvetica, sans-serif">
          <?=$mrow["accname"];?>
        </font></td>
        <? } ?>
        
        <? if ($showjoined == 1) { ?>
        <td align="center"><font size="3" face="Verdana, Arial, Helvetica, sans-serif">
          <?=date('M j Y', strtotime($mrow["joindate"]));?>
        </font></td>
        <? } ?>
        
        <? if ($showlogin == 1) { ?>
        <td align="center"><font size="3" face="Verdana, Arial, Helvetica, sans-serif">
          <?
          if (strlen($mrow["lastlogin"]) > 1 && $mrow["lastlogin"] != "0000-00-00 00:00:00") {
          	echo(date('M j Y', strtotime($mrow["lastlogin"])));
          } else {
          	echo("Never");
          }
          ?>
        </font></td>
        <? } ?>
        
        <? if ($showcomm == 1) { ?>
        <td align="center"><font size="3" face="Verdana, Arial, Helvetica, sans-serif">
          <a href="javascript:showSales(<?=$mrow["Id"];?>);"><?=$commission;?></a>
        </font></td>
        <? } ?>
        
        <? if ($showcommp == 1) { ?>
        <td align="center"><font size="3" face="Verdana, Arial, Helvetica, sans-serif">
          <a href="javascript:showSales(<?=$mrow["Id"];?>);"><?=$commissionpaid;?></a>
        </font></td>
        <? } ?>
        
        <? if ($showsales == 1) { ?>
        <td align="center"><font size="3" face="Verdana, Arial, Helvetica, sans-serif">
          <a href="javascript:showSales(<?=$mrow["Id"];?>);"><?=$tsales;?></a>
        </font></td>
        <? } ?>
        
        <? if ($showrefs == 1) { ?>
        <td align="center"><font size="3" face="Verdana, Arial, Helvetica, sans-serif">
          <a href="admin.php?f=mm&searchfield=refid&searchtext=<?=$mrow["Id"];?>&sf=browse&"><?=$refs;?></a>
        </font></td>
        <? } ?>
        
        <?
        
        if ($showstatus == 1) {
        
                echo("<td align=\"center\"><font size=\"3\" face=\"Verdana, Arial, Helvetica, sans-serif\">");
		if($mrow["mtype"] > 0) {
			echo $mrow["status"];
		} else {
			echo "Pending";
		}
        	echo("</font></td>");
        }
        ?>
        
        <td align="center"><font size="3" face="Verdana, Arial, Helvetica, sans-serif">
          <?=date('M j Y', strtotime($mrow["deletedate"]));?>
        </font></td>
        
        <td align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif">
          <?=$mrow["deletereason"];?>
        </font></td>
        
        <?
          // Display Custom Fields
          if (count($showcustom) > 0) {
          foreach ($showcustom as $key=>$value) {
          	$getfield = lfmsql_query("SELECT name FROM ".$prefix."customfields WHERE id='".$value."'") or die(lfmsql_error());
          	if (lfmsql_num_rows($getfield) > 0) {
          		echo("<td align=\"center\"><font size=\"3\" face=\"Verdana, Arial, Helvetica, sans-serif\">");
          		$getfieldval = lfmsql_query("SELECT fieldvalue FROM ".$prefix."customvals WHERE fieldid='".$value."' AND userid='".$mrow["Id"]."' LIMIT 1") or die(lfmsql_error());
          		if (lfmsql_num_rows($getfieldval) > 0) {
          			$fieldval = lfmsql_result($getfieldval, 0, "fieldvalue");
	          		echo($fieldval);
        	  	} else {
        	  		echo("N/A");
        	  	}
        	  	echo("</font></td>");
          	}
          }
          }
          // End Display Custom Fields
          ?>

        <td align="center"><input type="checkbox" class="mcheck" name="memcheck[]" value="<?=$mrow["Id"];?>" onclick="HighlightRowIfChecked(this);" />
        </td>
      </tr>
<?
}
?>
    </table>	</td>
  </tr>
  <tr>
    <td>
	</td>
  </tr>
</table>
</form>
<?
}
//
// End of member browsing/searching section
//

// Delete Confirmation section
// This area is for display of details
// relating to multiple member deletion
if($_POST["Delchecked"] == "Delete Selected")
{
	if(!isset($_POST["memcheck"]))
	{
?>
<center>
  <font face="Verdana, Arial, Helvetica, sans-serif">NO RECORDS SELECTED</font>
</center>
<?
		exit;
	}
?>
<br /><br />
<center><strong><font color="#FF0000" face="Verdana, Arial, Helvetica, sans-serif">You Are About To Delete The Following Members</font></strong></center>
<br /><br />
<form method="POST" action="admin.php?f=delmm&show=<?=$showtype?>&searchfield=<?=$searchfield?>&searchtext=<?=$searchtext?>&sortby=<?=$sortby?>&sortorder=<?=$sortorder?>&sf=browse">
<table align="center" cellpadding="2" cellspacing="0" class="lfmtable">
<tr class="admintd">
<td><strong>ID</strong></td>
<td align="center"><strong>Name</strong></td>
</tr>
<?
	if(isset($_POST["memcheck"]))
	{
		while (list ($key,$val) = @each ($_POST["memcheck"])) {
		$dqry="SELECT Id,firstname,lastname FROM ".$prefix."membersd WHERE Id=".$val;
		$dres=@lfmsql_query($dqry);
		$drow=@lfmsql_fetch_array($dres);
?>
<tr>
<td><?=$drow["Id"];?></td><td align="center"><?=$drow["firstname"]." ".$drow["lastname"];?><input type="hidden" name="idarray[]" value="<?=$drow["Id"];?>" /></td>
</tr>
<?
		}
	}

?>
<tr>
  <td colspan="2" align="center">&nbsp;</td>
</tr>
<tr><td colspan="2" align="center"><font face="Verdana, Arial, Helvetica, sans-serif"><strong>Are You Sure?</strong></font>
</td>
</tr>
<tr>
  <td colspan="2" align="center" nowrap="nowrap"><input name="Submit" type="submit" id="Submit" value="No - Cancel" />
    <input name="MDelete" type="submit" id="MDelete" value="Yes - Delete" /></td>
</tr>
</table>
</form>
<?
}

// Restore Confirmation section
// This area is for display of details
// relating to multiple member restore
if($_POST["Reschecked"] == "Restore Selected")
{
	if(!isset($_POST["memcheck"]))
	{
?>
<center>
  <font face="Verdana, Arial, Helvetica, sans-serif">NO RECORDS SELECTED</font>
</center>
<?
		exit;
	}
?>
<br /><br />
<center><strong><font color="#FF0000" face="Verdana, Arial, Helvetica, sans-serif">You Are About To Restore The Following Deleted Members</font></strong></center>
<br /><br />
<form method="POST" action="admin.php?f=delmm&show=<?=$showtype?>&searchfield=<?=$searchfield?>&searchtext=<?=$searchtext?>&sortby=<?=$sortby?>&sortorder=<?=$sortorder?>&sf=browse">
<table align="center" cellpadding="2" cellspacing="0" class="lfmtable">
<tr class="admintd">
<td><strong>ID</strong></td>
<td align="center"><strong>Name</strong></td>
</tr>
<?
	if(isset($_POST["memcheck"]))
	{
		while (list ($key,$val) = @each ($_POST["memcheck"])) {
		$dqry="SELECT Id,firstname,lastname FROM ".$prefix."membersd WHERE Id=".$val;
		$dres=@lfmsql_query($dqry);
		$drow=@lfmsql_fetch_array($dres);
?>
<tr>
<td><?=$drow["Id"];?></td><td align="center"><?=$drow["firstname"]." ".$drow["lastname"];?><input type="hidden" name="idarray[]" value="<?=$drow["Id"];?>" /></td>
</tr>
<?
		}
	}

?>
<tr>
  <td colspan="2" align="center">&nbsp;</td>
</tr>
<tr><td colspan="2" align="center"><font face="Verdana, Arial, Helvetica, sans-serif"><strong>Are You Sure?</strong></font>
</td>
</tr>
<tr>
  <td colspan="2" align="center" nowrap="nowrap"><input name="Submit" type="submit" id="Submit" value="No - Cancel" />
    <input name="MDelete" type="submit" id="MDelete" value="Yes - Restore" /></td>
</tr>
</table>
</form>
<?
}

?>
