<?
// /////////////////////////////////////////////////////////////////////
// Gifts Mod  written by Francisco Cardona
// copyright 2013 ALL RIGHTS RESERVED!
// Do NOT Copy, Transfer, Sell, or Modify
// Licenses and Installation available
// contact: info@customtemods.com
// http://customtemods.com
// /////////////////////////////////////////////////////////////////////

require_once "../inc/filter.php";

if(isset($_GET["showgifts"])){
	include "fc_giftslist.php";
	exit;
}
if(isset($_GET["showcat"])){
	include "fc_giftscat.php";
	exit;
}

// Prevent anyone who isn't logged in from opening this page
include "../inc/checkauth.php";
if(!isset($_SESSION["adminid"])) { exit; };

//read top winners value
$giftsperpage = isset($_POST['NUM_GIFTS_PER_PAGE']) ? $_POST['NUM_GIFTS_PER_PAGE'] : lfmsql_result(lfmsql_query("select fc_giftsperpage from ".$prefix."settings limit 1"),0);

$msgerror = "";
if ($_POST["Submit"] == "Save"){
	if(isset($_POST["action"])){
		$mtyperes = lfmsql_query("select * from ".$prefix."membertypes order by mtid");
		while($mlevel = lfmsql_fetch_array($mtyperes)){
		
			$val = $_POST["mlevel".$mlevel["mtid"]];
			if(!is_numeric($val) || $val < 0 || ($val+0 != floor($val)))
			{
				$msgerror .= "Please enter a valid number of gifts for member level: ".$mlevel["accname"]."<br>";
			}else{
				lfmsql_query("update ".$prefix."membertypes set maxgifts=".$val." where mtid=".$mlevel["mtid"]);
			}
		}
	}else{
		if(!is_numeric($_POST['NUM_GIFTS_PER_PAGE']) || $_POST['NUM_GIFTS_PER_PAGE'] <= 0 || ($_POST['NUM_GIFTS_PER_PAGE']+0 != floor($_POST['NUM_GIFTS_PER_PAGE'])))
		{
			$msgerror .= "Please enter a valid number of gifts per page<br>";
		}
		if($msgerror == "")
		{
			lfmsql_query("update ".$prefix."settings set fc_giftsperpage=$giftsperpage limit 1");
		}
	}
}

//load member types
$mtyperes = lfmsql_query("select * from ".$prefix."membertypes order by mtid");

?>
<center>
<a href="admin.php?f=fc_gifts&showgifts=true">View Gifts</a> | <a href="admin.php?f=fc_gifts&showcat=true">View Categories</a><br>
<h2>Gift Mod Settings</h2>
<?php echo ($msgerror != "" ? "<font color=red>".$msgerror."</font><br>" : ""); ?>
<form method="post" action="admin.php?f=fc_gifts" >
  <table width="300" align="center" cellpadding="4" cellspacing="0" class="lfmtable" style="border: 1px solid #999;">
	  <tr>
		<td nowrap="nowrap" class="admintd" colspan="4"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>General Settings</strong></font></td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Gifts per Page</font> </strong></td>
		<td colspan="2" class="formfield">
		<input name="NUM_GIFTS_PER_PAGE" type="text" class="formfield" id="NUM_GIFTS_PER_PAGE" value="<? echo $giftsperpage?>" size="20" />
		</td>
		<td align="center"><a href="#" title="Number of gifts to show in the member area."><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
	  </tr>
  </table>
  <br><input type="submit" name="Submit" value="Save"><br>
</form>
<br>
<form method="post" action="admin.php?f=fc_gifts" >
  <table width="400" align="center" cellpadding="4" cellspacing="0" class="lfmtable" style="border: 1px solid #999;">
	  <tr>
		<td nowrap="nowrap" class="admintd" colspan="4"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Gifts per Member Level</strong></font></td>
	  </tr>
<?php while($mlevel = lfmsql_fetch_array($mtyperes)){?>
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><?php echo $mlevel["accname"];?></font> </strong></td>
		<td colspan="2" class="formfield">
		<input name="mlevel<?php echo $mlevel["mtid"];?>" type="text" class="formfield" id="mlevel<?php echo $mlevel["mtid"];?>" value="<? echo $mlevel["maxgifts"];?>" size="20" />
		</td>
		<td align="center"><a href="#" title="Number of gifts a member with this level can setup."><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
	  </tr>
<?php }?>
  </table>
  <input type="hidden" name="action" value="savemlevel">
  <br><input type="submit" name="Submit" value="Save"><br>
</form>

</center>