<?
// /////////////////////////////////////////////////////////////////////
// Viral Traffic Games Plugin for LFMVM written by Francisco Cardona
// Copyright 2014 ALL RIGHTS RESERVED!
// Do NOT Copy, Transfer, Sell, or Modify
// Licenses and Installation available
// contact: info@customtemods.com or admin@viraltrafficgames.com
// http://customtemods.com
// http://viraltrafficgames.com
// /////////////////////////////////////////////////////////////////////

require_once "../inc/filter.php";
include "../surfbarColors.php";
include "../surfbarSizes.php";
$FC_MODCODE = 'surfgame';
$version = '1.3';

if(isset($_GET["showpromos"])){
	include "fc_viraltrafficgames_promos.php";
	exit;
}
if(isset($_GET["showprizes"])){
	include "fc_viraltrafficgames_prizes.php";
	exit;
}
if(isset($_GET["showdisplay"])){
	include "fc_viraltrafficgames_display.php";
	exit;
}
if(isset($_GET["showstats"])){
	include "fc_viraltrafficgames_stats.php";
	exit;
}
if(isset($_GET["extrapoints"])){
	include "fc_viraltrafficgames_extrapoints.php";
	exit;
}

function generateKey($length = 16){
  $password = "";
  $possible = "0123456789bcdfghjkmnpqrstvwxyz"; 
  $i = 0; 
  while ($i < $length) { 
	$char = substr($possible, mt_rand(0, strlen($possible)-1), 1);
	if (!strstr($password, $char)) { 
	  $password .= $char;
	  $i++;
	}
  }
  return $password;
}
	
if($_GET['fc_func'] == '1' || $_GET['fc_func'] == '2'){
	session_start();
	include "../inc/config.php";
	require_once "../inc/funcs.php";	
@lfmsql_connect($dbhost,$dbuser,$dbpass);	
@lfmsql_select_db($dbname) or die( "Unable to select database");
	

	if($_GET['fc_func'] == '1'){//verify if mod is installed
		$res = lfmsql_query("select setting from fc_settings where name='surfgame_version'");
		$currentversion = ($res && lfmsql_num_rows($res) > 0 ? lfmsql_result($res, 0) : '0');
		if($currentversion != '0' && $currentversion != $version){
			lfmsql_query("update fc_settings set setting='$version' where name='surfgame_version' limit 1");			
			$res = lfmsql_query("select setting from fc_settings where name='surfgame_version'");
			$currentversion = ($res && lfmsql_num_rows($res) > 0 ? lfmsql_result($res, 0) : '0');
			if($version=='1.3'){
				lfmsql_query("alter table fc_vtg_mtype_settings add column surfleague_perc int(5) not null default 0");
				lfmsql_query("update fc_vtg_mtype_settings set surfleague_perc = 30 where mtype > 1");
			}
		}
		echo $currentversion;
		exit;
	}
	if($_GET['fc_func'] == '2'){//install mod
		$s = $_GET['s'];
		$skey = 0;
		//verify if entry in admin exists
		if(lfmsql_result(lfmsql_query("select count(0) from ".$prefix."adminmenu where menu_url='admin.php?f=fc_vtg'"),0)==0 && is_numeric($s) && $s > 0)
		{
			lfmsql_query("insert into ".$prefix."adminmenu (id,menu_label,menu_url,menu_target, menu_parent,menu_order, f,filename) values (70800,'Viral Traffic Games','admin.php?f=fc_vtg','_top',2300,14,'fc_vtg','fc_viraltrafficgames.php')");
			lfmsql_query("CREATE TABLE IF NOT EXISTS fc_settings(`id` int(11) NOT NULL auto_increment, name varchar(100) not null, setting varchar(255) not null default '', PRIMARY KEY  (`id`))");
			lfmsql_query("insert into fc_settings(name, setting) values ('surfgame_member_layout','2')");
			lfmsql_query("insert into fc_settings(name, setting) values ('surfgame_version','$version')");
			lfmsql_query("insert into fc_settings(name, setting) values ('surfgame_site','$s')");
			lfmsql_query("insert into fc_settings(name, setting) values ('surfgame_cronjob','')");
			lfmsql_query("insert into fc_settings(name, setting) values ('surfgame_cronjob_started','0')");
			lfmsql_query("insert into fc_settings(name, setting) values ('surfgame_active','0')");
			lfmsql_query("insert into fc_settings(name, setting) values ('surfgame_histdays','365')");
			lfmsql_query("insert into fc_settings(name, setting) values ('surfgame_test_user','')");
			lfmsql_query("insert into fc_settings(name, setting) values ('surfgame_icon_height','0')");
			lfmsql_query("insert into fc_settings(name, setting) values ('surfgame_icon_width','0')");
			lfmsql_query("insert into fc_settings(name, setting) values ('surfgame_icon_path','http://".$_SERVER['HTTP_HOST']."/images/vtg/VTG-T1.png')");
			lfmsql_query("insert into fc_settings(name, setting) values ('surfgame_wait_minutes','3')");
			$skey = generateKey();
			lfmsql_query("insert into fc_settings(name, setting) values ('surfgame_skey','$skey')");
			$maxranktop = lfmsql_result(lfmsql_query("select ifnull(max(rank),0) from ".$prefix."barmods_topbar where rank=1 limit 1"),0);
			if($maxranktop){
				lfmsql_query("update ".$prefix."barmods_topbar set rank=rank+1 where rank >= 1");
			}
			lfmsql_query("CREATE TABLE IF NOT EXISTS fc_vtg(`id` int(11) NOT NULL auto_increment, `memid` int(11) NOT NULL, `lastkey` int(11) NOT NULL, lastupdate datetime, showntoday int(5) not null default 0, showntotal int(11) not null default 0, PRIMARY KEY  (`id`))");
			lfmsql_query("CREATE TABLE IF NOT EXISTS fc_vtg_prizes (`id` int(11) NOT NULL AUTO_INCREMENT,`message` varchar(200) NOT NULL default '',`format` int(5) NOT NULL default 0,`mtype` int(11) NOT NULL default 0,`credits` int(11) NOT NULL DEFAULT '0',`credits_max` int(11) NOT NULL DEFAULT '0',`banners` int(11) NOT NULL DEFAULT '0',`banners_max` int(11) NOT NULL DEFAULT '0',`banners_factor` float(6,2) NOT NULL DEFAULT '0.00',`texts` int(11) NOT NULL DEFAULT '0',`texts_max` int(11) NOT NULL DEFAULT '0',`texts_factor` float(6,2) NOT NULL DEFAULT '0.00',`texts_factorb` float(6,2) NOT NULL DEFAULT '0.00',`sq_banners` int(11) NOT NULL DEFAULT '0',`sq_banners_max` int(11) NOT NULL DEFAULT '0',`sq_banners_factor` float(6,2) NOT NULL DEFAULT '0.00',`cash` float(7,3) NOT NULL DEFAULT '0.00',`cash_max` float(7,3) NOT NULL DEFAULT '0.00',tickets int(5) not null default 0,site_qty int(5) not null default 0,site_unit int(5) not null default 0,site_every_seconds int(5) not null default 0,member_qty int(5) not null default 0,member_unit int(5) not null default 0,member_every_seconds int(5) not null default 0,visible int(5) not null default 1,active int(5) not null default 1,rank int(5) not null default 0, day0 int(2) NOT NULL default 1,day1 int(2) NOT NULL default 1,day2 int(2) NOT NULL default 1,day3 int(2) NOT NULL default 1,day4 int(2) NOT NULL default 1,day5 int(2) NOT NULL default 1,day6 int(2) NOT NULL default 1,winners_today int(6) NOT NULL default 0,winners_week int(6) NOT NULL default 0,winners_month int(6) NOT NULL default 0,winners_total int(6) NOT NULL default 0,last_winsecond_day int(10) not null default 0,last_winsecond_week int(10) not null default 0,last_winsecond_month int(10) not null default 0, PRIMARY KEY (`id`))");
			lfmsql_query("CREATE TABLE IF NOT EXISTS fc_vtg_prizes_winners (`id` int(11) NOT NULL AUTO_INCREMENT,`memid` int(11) NOT NULL DEFAULT 0,`prizeid` int(11) NOT NULL DEFAULT 0,`mtype` int(11) NOT NULL default 0,`credits` int(11) NOT NULL DEFAULT '0',`banners` int(11) NOT NULL DEFAULT '0',`texts` int(11) NOT NULL DEFAULT '0',`sq_banners` int(11) NOT NULL DEFAULT '0',`cash` float(7,3) NOT NULL DEFAULT '0.00',rewarded int(5) not null default 0,windate datetime,PRIMARY KEY (`id`))");
			lfmsql_query("CREATE TABLE IF NOT EXISTS fc_vtg_prizes_stats (`id` int(11) NOT NULL AUTO_INCREMENT,`memid` int(11) NOT NULL DEFAULT 0,`prizeid` int(11) NOT NULL DEFAULT 0,`total_day` int(5) NOT NULL DEFAULT '0',`total_week` int(5) NOT NULL DEFAULT '0',`total_month` int(5) NOT NULL DEFAULT '0',last_windate datetime,last_winsecond_day int(10) not null default 0,last_winsecond_week int(10) not null default 0,last_winsecond_month int(10) not null default 0,PRIMARY KEY (`id`))");
			lfmsql_query("CREATE TABLE IF NOT EXISTS fc_vtg_mtype_settings (`id` int(11) NOT NULL AUTO_INCREMENT,`mtype` int(11) NOT NULL default 0,`min_pages` int(5) NOT NULL default 0,`max_pages` int(11) NOT NULL default 0,`surf_limit` int(11) NOT NULL DEFAULT '0', PRIMARY KEY (`id`))");
			lfmsql_query("CREATE TABLE IF NOT EXISTS fc_vtg_promos(`id` int(11) NOT NULL auto_increment,`promoname` varchar(50) NOT NULL default 'New Promo',`promodata` mediumtext NOT NULL default '',`mtype` int(11) NOT NULL default '0',`promoindex` int(11) NOT NULL default '0',`showevery` varchar(10) NOT NULL default '0', `publishdatefrom` datetime, `publishdateto` datetime, active int(1) not null default 1, `credits_mult` float(6,2) NOT NULL DEFAULT '1.00', `banners_mult` float(6,2) NOT NULL DEFAULT '1.00', `texts_mult` float(6,2) NOT NULL DEFAULT '1.00', `sq_banners_mult` float(6,2) NOT NULL DEFAULT '1.00', `cash_mult` float(6,2) NOT NULL DEFAULT '1.00',day0 int(2) NOT NULL default 1,day1 int(2) NOT NULL default 1,day2 int(2) NOT NULL default 1,day3 int(2) NOT NULL default 1,day4 int(2) NOT NULL default 1,day5 int(2) NOT NULL default 1,day6 int(2) NOT NULL default 1, PRIMARY KEY  (`id`))");
			lfmsql_query("CREATE TABLE if not exists fc_vtg_sessions (`id` int(11) NOT NULL AUTO_INCREMENT,`memid` varchar(100) NOT NULL,`session` varchar(100) NOT NULL,`lastupdate` datetime NOT NULL,`clicks` int(11) NOT NULL default 0,PRIMARY KEY (`id`))");
			lfmsql_query("insert into ".$prefix."extra_funcs(type,include_path) values('site','fc_viraltrafficgames_rep.php')");
			lfmsql_query("insert into ".$prefix."barmods_topbar (state, rank, modtype, modname, moddescr, filename, html) values (0, 1, 4, 'Traffic Games', 'Shows a button when a traffic game is activated', 'fc_viraltrafficgames_topbar.php', '')");
			lfmsql_query("alter table ".$prefix."members add column fc_vtgnextpage int(5) not null default 0");
			$maxrank = lfmsql_result(lfmsql_query("select max(rank) from ".$prefix."barmods_extensions"),0);
			$maxrank = $maxrank > 0 ? $maxrank + 1 : 1;
			lfmsql_query("insert into ".$prefix."barmods_extensions (state, rank, modtype, modname, moddescr, filename, html) values (0, $maxrank, 4, 'Traffic Games', 'Shows a button when a traffic game is activated', 'fc_viraltrafficgames_extensions.php', '')");
			lfmsql_query("insert into ".$prefix."barmods_ajaxin (enabled, filename) values (1, 'fc_viraltrafficgames_ajaxin.php')");
			lfmsql_query("insert into ".$prefix."barmods_ajaxout (enabled, filename) values (1, 'fc_viraltrafficgames_ajaxout.php')");
			lfmsql_query("insert into fc_vtg_mtype_settings(mtype,min_pages, max_pages, surf_limit) select mtid,15,25,1000 from oto_membertypes order by rank;");
			//version 1.3
			lfmsql_query("alter table fc_vtg_mtype_settings add column surfleague_perc int(5) not null default 0");
			lfmsql_query("update fc_vtg_mtype_settings set surfleague_perc = 30 where mtype > 1");
		}
		echo $skey;
		exit;
	}
}

			
// Prevent anyone who isn't logged in from opening this page
include "../inc/checkauth.php";
if(!isset($_SESSION["adminid"])) { exit; };

$title = "Viral Traffic Games";

//read general settings value
$show_topbar = lfmsql_result(lfmsql_query("select ifnull(sum(state),0) from ".$prefix."barmods_topbar where filename='fc_viraltrafficgames_topbar.php' limit 1"),0);
$show_extensions = lfmsql_result(lfmsql_query("select ifnull(sum(state),0) from ".$prefix."barmods_extensions where filename='fc_viraltrafficgames_extensions.php' limit 1"),0);
$surfgame_active = isset($_POST["surfgame_active"]) ? $_POST["surfgame_active"] : lfmsql_result(lfmsql_query("select setting from fc_settings where name='surfgame_active' limit 1"),0);
$surfgame_test_user = isset($_POST["surfgame_test_user"]) ? $_POST["surfgame_test_user"] : lfmsql_result(lfmsql_query("select setting from fc_settings where name='surfgame_test_user' limit 1"),0);
$surfgame_icon_height = isset($_POST["surfgame_icon_height"]) ? $_POST["surfgame_icon_height"] : lfmsql_result(lfmsql_query("select setting from fc_settings where name='surfgame_icon_height' limit 1"),0);
$surfgame_icon_width = isset($_POST["surfgame_icon_width"]) ? $_POST["surfgame_icon_width"] : lfmsql_result(lfmsql_query("select setting from fc_settings where name='surfgame_icon_width' limit 1"),0);
$surfgame_icon_path = isset($_POST["surfgame_icon_path"]) ? $_POST["surfgame_icon_path"] : lfmsql_result(lfmsql_query("select setting from fc_settings where name='surfgame_icon_path' limit 1"),0);
$show_type = isset($_POST["show_type"]) ? $_POST["show_type"] : ($show_extensions?1:($show_topbar?2:0));
$surfgame_version = lfmsql_result(lfmsql_query("select setting from fc_settings where name='surfgame_version' limit 1"),0);
if($surfgame_version != $version){
	lfmsql_query("update fc_settings set setting='$version' where name='surfgame_version' limit 1");
	$surfgame_version = lfmsql_result(lfmsql_query("select setting from fc_settings where name='surfgame_version' limit 1"),0);
	if($version=='1.3'){
		lfmsql_query("alter table fc_vtg_mtype_settings add column surfleague_perc int(5) not null default 0");
		lfmsql_query("update fc_vtg_mtype_settings set surfleague_perc = 30 where mtype > 1");
	}
}
$surfgame_histdays_res = lfmsql_query("select setting from fc_settings where name='surfgame_histdays' limit 1");
if(lfmsql_num_rows($surfgame_histdays_res) == 0){
	lfmsql_query("insert into fc_settings(name, setting) values ('surfgame_histdays','365')");
	$surfgame_histdays_res = lfmsql_query("select setting from fc_settings where name='surfgame_histdays' limit 1");
}
$surfgame_histdays = isset($_POST["surfgame_histdays"]) ? $_POST["surfgame_histdays"] : lfmsql_result($surfgame_histdays_res, 0);

$msgerror = "";
if ($_POST["Submit"] == "Save"){
	$surfgame_active = ($_POST["surfgame_active"]==1?1:0);
	if($surfgame_test_user!='' && (!is_numeric($surfgame_test_user) || $surfgame_test_user <= 0 || $surfgame_test_user != floor($surfgame_test_user))){
		$msgerror = "Please enter a valid test user id<br>";
	}
	if(!is_numeric($surfgame_icon_height) || $surfgame_icon_height < 0 || $surfgame_icon_height != floor($surfgame_icon_height)){
		$msgerror = "Please enter a valid height for the icon<br>";
	}
	if(!is_numeric($surfgame_icon_width) || $surfgame_icon_width < 0 || $surfgame_icon_width != floor($surfgame_icon_width)){
		$msgerror = "Please enter a valid width for the icon<br>";
	}
	if(trim($_POST['surfgame_icon_path']) == '')
	{
		$msgerror .= "Please enter a valid icon filename<br>";
	}
	if(!is_numeric($surfgame_histdays) || $surfgame_histdays < 0 || $surfgame_histdays != floor($surfgame_histdays)){
		$msgerror = "Please enter a valid number of days to keep statistics<br>";
	}
	if($surfgame_active){
		$hasdefprize = lfmsql_result(lfmsql_query("select count(0) from fc_vtg_prizes where mtype=0 and credits+credits_max+banners+banners_max+texts+texts_max+sq_banners+sq_banners_max>0 and site_qty=0 and member_qty=0 and day0=1 and day1=1 and day2=1 and day3=1 and day4=1 and day5=1 and day6=1"),0);
		if(!$hasdefprize){
			$surfgame_active = 0;
			$msgerror .= "No default prize has been defined. Add one default prize before activating the game.<br>";
		}
	}

	if($msgerror == "")
	{	
		lfmsql_query("update fc_settings set setting='$surfgame_active' where name='surfgame_active' limit 1");
		lfmsql_query("update fc_settings set setting='$surfgame_test_user' where name='surfgame_test_user' limit 1");
		lfmsql_query("update fc_settings set setting='$surfgame_icon_height' where name='surfgame_icon_height' limit 1");
		lfmsql_query("update fc_settings set setting='$surfgame_icon_width' where name='surfgame_icon_width' limit 1");
		lfmsql_query("update fc_settings set setting='$surfgame_icon_path' where name='surfgame_icon_path' limit 1");
		lfmsql_query("update fc_settings set setting='$surfgame_histdays' where name='surfgame_histdays' limit 1");
		lfmsql_query("update ".$prefix."barmods_extensions set state=".($show_type==1?1:0)." where filename='fc_viraltrafficgames_extensions.php' limit 1");
		lfmsql_query("update ".$prefix."barmods_topbar set state=".($show_type==2?1:0)." where filename='fc_viraltrafficgames_topbar.php' limit 1");
	}
}

?>
<script type="text/javascript">
		function openImage(img, widthx, heightx){
		  rightx=(screen.width-widthx)/2;
		  topx=(screen.height-heightx)/2;
		  string="toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,width="+widthx+",height="+heightx+",left="+rightx+",top="+topx+"";
		  fin=window.open(img,"",string);
		}
</script>
<center>
<a href="admin.php?f=fc_vtg&showdisplay=true">Display Options</a> |
<a href="admin.php?f=fc_vtg&showprizes=true&prizetype=0">Prizes</a> |
<a href="admin.php?f=fc_vtg&showstats=true">View Stats</a> |
<a href="admin.php?f=fc_vtg&extrapoints=true">Extra Points</a>

<h1>Viral Traffic Games</h1>
<h2>Prize Page Settings</h2>
<?php echo ($msgerror != "" ? "<font color=red>".$msgerror."</font><br>" : ""); ?>
<form method="post" action="admin.php?f=fc_vtg" >
  <table align="center" cellpadding="4" cellspacing="0" class="lfmtable" style="border: 1px solid #999;">
	  <tr>
		<td nowrap="nowrap" class="admintd" colspan="4" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Surfbar Settings</strong></font></td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Active</font> </strong></td>
		<td colspan="2" class="formfield" align="center">
		<input name="surfgame_active" type="checkbox" class="formfield" id="surfgame_active" value="1" <? echo ($surfgame_active==1?"checked":"");?> />
		</td>
		<td align="center"><a href="#" title="Mark to display the member gravatar image in the surfbar."><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Test User Id</font> </strong></td>
		<td colspan="2" class="formfield">
		<input name="surfgame_test_user" type="text" class="formfield" id="surfgame_test_user" value="<? echo $surfgame_test_user;?>" size="20" />
		</td>
		<td align="center"><a href="#" title="Id of the test user. This user always will see the prize page, independently of the 'Active' flag."><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Prize Page Icon</font> </strong></td>
		<td colspan="2" class="formfield">
		<select name="show_type" class="formfield" id="show_type" />
			<option value="2" <? echo ($show_type==2?"selected":"");?>>Inside Top Row Surfbar</option>
			<option value="1" <? echo ($show_type==1?"selected":"");?>>Below Top Row Surfbar</option>
		</select>
		</td>
		<td align="center"><a href="#" title="Select where to display the icon that the member needs to click to open the prize page.<br>
The recommended value is Inside Top Row Surfbar"><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Icon Path</font></strong></td>
		<td colspan="2" class="formfield">
		<input name="surfgame_icon_path" type="text" class="formfield" id="surfgame_icon_path" value="<? echo $surfgame_icon_path?>" size="30" />
		<br><input type="button" value="Options..." onclick="javascript:openImage('./fc_viraltrafficgames_icons.php?basedir=<?php echo "http://".$_SERVER['HTTP_HOST']."/images/vtg/";?>', 500,650);">
		</td>
		<td align="center"><a href="#" title="Full URL of the icon image to shown when the prize page is available."><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Icon Height</font> </strong></td>
		<td colspan="2" class="formfield">
		<input name="surfgame_icon_height" type="text" class="formfield" id="surfgame_icon_height" value="<? echo $surfgame_icon_height;?>" size="20" />
		</td>
		<td align="center"><a href="#" title="Height of the icon shown when a prize page is available.<br>
Enter 0 to use height of the image."><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Icon Width</font> </strong></td>
		<td colspan="2" class="formfield">
		<input name="surfgame_icon_width" type="text" class="formfield" id="surfgame_icon_width" value="<? echo $surfgame_icon_width;?>" size="20" />
		</td>
		<td align="center"><a href="#" title="Width of the icon shown when a prize page is available.<br>
Enter 0 to use width of the image."><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Keep Stats</font> </strong></td>
		<td colspan="2" class="formfield">
		<input name="surfgame_histdays" type="text" class="formfield" id="surfgame_histdays" value="<? echo $surfgame_histdays;?>" size="20" /> days
		</td>
		<td align="center"><a href="#" title="Number of days the system will keep statistics of prizes rewarded.<br>
These statistics are shown in the 'View Stats' link.<br>
If you enter 0, statistics will not be deleted."><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
	  </tr>
  </table>
  <br><input type="submit" name="Submit" value="Save"><br>
</form>
  <br><font size="1"><b>Version <?php echo $surfgame_version;?></b></font>
  <br><hr><br>
<?php
	//show surfbar example
	$icon_theme = lfmsql_result(lfmsql_query("select surficontheme from ".$prefix."settings limit 1"),0);
	include "../".$icon_theme."/surfimages.php";
	$surfbar_icons = explode("|",$images[rand(0, count($images)-1)]);
	$surfbar_icon = $surfbar_icons[0];
	$surfbar_iconc = $surfbar_icons[rand(1,count($surfbar_icons)-1)];
	$surfbar_icon_h = is_numeric($surfgame_icon_height) && $surfgame_icon_height > 0 ? floor($surfgame_icon_height) : 0;
	$surfbar_icon_w = is_numeric($surfgame_icon_width) && $surfgame_icon_width > 0 ? floor($surfgame_icon_width) : 0;
?>
<table width="<?php echo $modern_surfbarwidth;?>" align="center"><tr bgcolor="<?php echo $bgcolor;?>"><td style="border: 1px solid black;" >
	<table align="center" border="0">
	<tr bgcolor="<?php echo $bgcolor;?>" cellspacing="0" cellpadding="0">
		<td valign="top">
			<?php if($show_type==2){?>
				<img border="0" src="<?php echo $surfgame_icon_path;?>" <?php echo ($surfbar_icon_h>0?'height="'.$surfbar_icon_h.'"':"");?> <?php echo ($surfbar_icon_w>0?'width="'.$surfbar_icon_w.'"':"");?>/>
			<?php }?>
		</td>
		<td>
			<table border="0" cellspacing="0" cellpadding="0" align="center">
				<tr bgcolor="<?php echo $bgcolor;?>" height="<?php echo $modern_surfbartopheight;?>">
					<td>
						<img border="0" src="../<?php echo "../".$icon_theme."/".$surfbar_iconc;?>"/>
					</td>
					<td width="10">&nbsp;</td>
					<td align="center" style="border: 1px solid <?php echo $fontColor;?>;">
						<img border="0" src="../<?php echo "../".$icon_theme."/".$surfbar_icon;?>"/>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td><font color="<?php echo $creditColor;?>"><b>Surfbar Example</b></font></td>
	</tr>
	<?php if($show_type==1){?>
	<tr>
		<td>&nbsp;</td>
		<td align="center"><table align="center" border="0"><tr>
			<td><font color="<?php echo $menuItems;?>"><b>Click Here to Play a Game</b></font></td>
			<td><img border="0" src="<?php echo $surfgame_icon_path;?>" <?php echo ($surfbar_icon_h>0?'height="'.$surfbar_icon_h.'"':"");?> <?php echo ($surfbar_icon_w>0?'width="'.$surfbar_icon_w.'"':"");?>/></td>
			</tr></table>
		</td>
	</tr>
	<?php }?>
	</table>
</td></tr></table>
</center>