<?
// /////////////////////////////////////////////////////////////////////
// Viral Traffic Games Plugin for LFMVM written by Francisco Cardona
// Copyright 2014 ALL RIGHTS RESERVED!
// Do NOT Copy, Transfer, Sell, or Modify
// Licenses and Installation available
// contact: info@customtemods.com or admin@viraltrafficgames.com
// http://customtemods.com
// http://viraltrafficgames.com
// /////////////////////////////////////////////////////////////////////

require_once "../inc/filter.php";

// Prevent anyone who isn't logged in from opening this page
include "../inc/checkauth.php";
if(!isset($_SESSION["adminid"])) { exit; };

//read member types and create rows if not defined
$mtypes = array();
$mtypesres = lfmsql_query("select * from ".$prefix."membertypes order by rank");
while($mtypesrow = lfmsql_fetch_array($mtypesres)){
	$mtypes[$mtypesrow['mtid']] = $mtypesrow;
	if(lfmsql_result(lfmsql_query("select count(0) from fc_vtg_mtype_settings where mtype=".$mtypesrow['mtid']), 0) == 0){
		lfmsql_query("insert into fc_vtg_mtype_settings (mtype,min_pages, max_pages, surf_limit) values (".$mtypesrow['mtid'].",30,50,1500)");
	}
}

//read general settings value
$min_pages = array();
$max_pages = array();
$surf_limit = array();
foreach($mtypes as $mtype){
	$day = $mtype['mtid'];
	$prize_row = lfmsql_fetch_array(lfmsql_query("select * from fc_vtg_mtype_settings where mtype=".$mtype['mtid']." limit 1"));
	$min_pages[$day] = isset($_POST['min_pages_'.$day]) ? $_POST['min_pages_'.$day] : $prize_row['min_pages'];
	$max_pages[$day] = isset($_POST['max_pages_'.$day]) ? $_POST['max_pages_'.$day] : $prize_row['max_pages'];
	$surf_limit[$day] = isset($_POST['surf_limit_'.$day]) ? $_POST['surf_limit_'.$day] : $prize_row['surf_limit'];
}

$msgerror = "";
if ($_POST["Submit"] == "Save"){
	foreach($mtypes as $mtype){
		$day = $mtype['mtid'];
		
		$avgsurf_name = 'min_pages_'.$day;
		if(!is_numeric($_POST[$avgsurf_name]) || $_POST[$avgsurf_name] < 0 || ($_POST[$avgsurf_name]+0 != floor($_POST[$avgsurf_name])))
		{
			$msgerror .= "Please enter a valid number of min pages for the member level '".$mtype['accname']."'<br>";
		}
		$avgsurf_name = 'max_pages_'.$day;
		if(!is_numeric($_POST[$avgsurf_name]) || $_POST[$avgsurf_name] < 0 || ($_POST[$avgsurf_name]+0 != floor($_POST[$avgsurf_name])))
		{
			$msgerror .= "Please enter a valid number of max pages for the member level '".$mtype['accname']."'<br>";
		}
		if($msgerror == ""){
			if($_POST['min_pages_'.$day] > $_POST['max_pages_'.$day]){
				$msgerror .= "The max number of pages cannot be smaller than the min number of pages for the member level '".$mtype['accname']."'<br>";
			}
		}
		$avgsurf_name = 'surf_limit_'.$day;
		if(!is_numeric($_POST[$avgsurf_name]) || $_POST[$avgsurf_name] < 0 || ($_POST[$avgsurf_name]+0 != floor($_POST[$avgsurf_name])))
		{
			$msgerror .= "Please enter a valid number of surf limit for the member level '".$mtype['accname']."'<br>";
		}
	}
	if($msgerror == "")
	{
		foreach($mtypes as $mtype){
			$day = $mtype['mtid'];
			lfmsql_query("update fc_vtg_mtype_settings set min_pages=".$min_pages[$day].",max_pages=".$max_pages[$day].",surf_limit=".$surf_limit[$day]." where mtype=".$mtype['mtid']." limit 1");
		}
	}
}

?>
<center>
<a href="admin.php?f=fc_vtg">View Settings</a><br>
<h1>Viral Traffic Games</h1>
<h2>Display Settings</h2>
<?php echo ($msgerror != "" ? "<font color=red>".$msgerror."</font><br>" : ""); ?>
<form method="post" action="admin.php?f=fc_vtg&showdisplay=true" >
  <table width="300" align="center" cellpadding="4" cellspacing="0" class="lfmtable" style="border: 1px solid #999;">
	  <tr>
		<td nowrap="nowrap" class="admintd"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Member Level</strong></font></td>
		<td nowrap="nowrap" class="admintd" colspan="2"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Show Prize Page Every</strong></font></td>
		<td nowrap="nowrap" class="admintd"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Surf Limit</strong></font></td>
		<td nowrap="nowrap" class="admintd">&nbsp;</td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="admintd"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>&nbsp;</strong></font></td>
		<td nowrap="nowrap" class="admintd"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Min Pages</strong></font></td>
		<td nowrap="nowrap" class="admintd"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Max Pages</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Pages</strong></font></td>
		<td nowrap="nowrap" class="admintd">&nbsp;</td>
	  </tr>
<?php 
$cnt=0;
foreach($mtypes as $mtype){
	$cnt++;
	$day = $mtype['mtid'];
	$min_pages_name = 'min_pages_'.$day;
	$max_pages_name = 'max_pages_'.$day;
	$surf_limit_name = 'surf_limit_'.$day;
?> 
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><?php echo $mtype['accname'];?></font> </strong></td>
		<td class="formfield">
			<input name="<?php echo $min_pages_name;?>" type="text" class="formfield" id="<?php echo $min_pages_name;?>" value="<? echo $min_pages[$day]?>" size="5" />
		</td>
		<td class="formfield">
			<input name="<?php echo $max_pages_name;?>" type="text" class="formfield" id="<?php echo $max_pages_name;?>" value="<? echo $max_pages[$day]?>" size="5" />
		</td>
		<td class="formfield">
			<input name="<?php echo $surf_limit_name;?>" type="text" class="formfield" id="<?php echo $surf_limit_name;?>" value="<? echo $surf_limit[$day]?>" size="5" />
		</td>
		<?php if($cnt==1){?>
		<td align="center" rowspan="<?php echo count($mtypes);?>"><a href="#" title="
			For each member level define: <br>
How often the prize page will be shown (min/max range). If a range is defined, a random number of pages will be chosen between this range. If you want to use a fixed number of pages, set the same value in both fields.<br>
The Surf Limit Pages defines the maximum number of pages a member can surf during a day and see prize pages. When the member in this member level surfs more pages than the limit, prize pages will not be shown"><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
		<?php }?>
	  </tr>
<?}?>
  </table>
  <br><input type="submit" name="Submit" value="Save"><br>
</form>
</center>