<?
// /////////////////////////////////////////////////////////////////////
// Viral Traffic Games Plugin for LFMVM written by Francisco Cardona
// Copyright 2014 ALL RIGHTS RESERVED!
// Do NOT Copy, Transfer, Sell, or Modify
// Licenses and Installation available
// contact: info@customtemods.com or admin@viraltrafficgames.com
// http://customtemods.com
// http://viraltrafficgames.com
// /////////////////////////////////////////////////////////////////////

require_once "../inc/filter.php";
$FC_MODCODE = 'surfgame';

// Prevent anyone who isn't logged in from opening this page
include "../inc/checkauth.php";
if(!isset($_SESSION["adminid"])) { exit; };
	
	
	//special function to validate dates
	function is_date( $str ){
		if($str == '0000-00-00')
			return true;
		$stamp = strtotime( $str );     
		if (!is_numeric($stamp))         
			return false;     
		$month = date( 'm', $stamp );     
		$day   = date( 'd', $stamp );     
		$year  = date( 'Y', $stamp );     
		if (checkdate($month, $day, $year))         
			return true;     
		return false; 
	}
	
	//function to get the description of 'show every' option
	function getShowEvery($str)
	{
		if($str == 'D0') return 'Sunday';
		if($str == 'D1') return 'Monday';
		if($str == 'D2') return 'Tuesday';
		if($str == 'D3') return 'Wednesday';
		if($str == 'D4') return 'Thursday';
		if($str == 'D5') return 'Friday';
		if($str == 'D6') return 'Saturday';
		if($str == '1') return 'Default';
		return 'Always';
	}
		
	$msgerror = "";
	if(trim($_POST["Submit"]) == "Create")
	{		
		$promoname=trim($_POST["promoname"]);
		$mtype=trim($_POST["mtype"]);
		$promoindex=trim($_POST["promoindex"]);
		$publishdatefrom=trim($_POST["publishdatefrom"]);
		$publishdateto=trim($_POST["publishdateto"]);
		$active=trim($_POST["pageactive"]);
		$credits_mult=trim($_POST["credits_mult"]);
		$banners_mult=trim($_POST["banners_mult"]);
		$texts_mult=trim($_POST["texts_mult"]);
		$sq_banners_mult=trim($_POST["sq_banners_mult"]);
		$cash_mult=trim($_POST["cash_mult"]);
		if($publishdatefrom == "" || is_date($publishdatefrom) == false) { $publishdatefrom=null; }
		if($publishdateto == "" || is_date($publishdateto) == false) { $publishdateto=null; }
		if($publishdatefrom != null && $publishdateto != null && $publishdatefrom > $publishdateto) { $publishdateto=null; }
		if($promoname == "") { $promoname="Untitled"; }
		if($mtype == "") { $mtype="0"; }
		if($active == "") { $active="0"; }
		if($credits_mult == "" || !is_numeric($credits_mult) || $credits_mult < 0 || $credits_mult!= floor($credits_mult)) { $credits_mult=""; }
		if($banners_mult == "" || !is_numeric($banners_mult) || $banners_mult < 0 || $banners_mult!= floor($banners_mult)) { $banners_mult=""; }
		if($texts_mult == "" || !is_numeric($texts_mult) || $texts_mult < 0 || $texts_mult!= floor($texts_mult)) { $texts_mult=""; }
		if($sq_banners_mult == "" || !is_numeric($sq_banners_mult) || $sq_banners_mult < 0 || $sq_banners_mult!= floor($sq_banners_mult)) { $sq_banners_mult=""; }
		if($cash_mult == "" || !is_numeric($cash_mult) || $cash_mult < 0 || $cash_mult!= floor($cash_mult)) { $cash_mult=""; }
		if($promoindex == "" || !is_numeric($promoindex) || $promoindex < 0) { $promoindex="0"; }
		if($msgerror == ""){
		echo "INSERT INTO fc_vtg_promos(promoindex,promoname,promodata,mtype,publishdatefrom,publishdateto,credits_mult,banners_mult,texts_mult,sq_banners_mult,cash_mult) VALUES('$promoindex','$promoname','',$mtype,".($publishdatefrom==null?"null":"'$publishdatefrom'").",".($publishdateto==null?"null":"'$publishdateto'").",$credits_mult,$banners_mult,$texts_mult,$sq_banners_mult,$cash_mult)";
			$res=@lfmsql_query("INSERT INTO fc_vtg_promos(promoindex,promoname,promodata,mtype,publishdatefrom,publishdateto,credits_mult,banners_mult,texts_mult,sq_banners_mult,cash_mult) VALUES('$promoindex','$promoname','',$mtype,".($publishdatefrom==null?"null":"'$publishdatefrom'").",".($publishdateto==null?"null":"'$publishdateto'").",$credits_mult,$banners_mult,$texts_mult,$sq_banners_mult,$cash_mult)");
			$msgok = 'The new promotion has been created.<br>';
		}
	}
	else if(trim($_POST["Submit"]) == "Update Details")
	{
		$promoname=trim($_POST["promoname"]);
		$id=trim($_POST["id"]);
		$mtype=trim($_POST["mtype"]);
		$promodata=$_POST["promodata"];
		$getoldtemplate = lfmsql_query("SELECT promodata from fc_vtg_promos WHERE id=".$id) or die(lfmsql_error());
		if (lfmsql_num_rows($getoldtemplate) > 0) {			
			@lfmsql_query("UPDATE fc_vtg_promos SET promodata='".htmlentities($promodata)."' WHERE id=$id");			
			$msgok = 'The promotion has been updated.<br>';
		}
	}
	else if(trim($_POST["Submit"]) == "Update")
	{
		$id=trim($_POST["id"]);
		$promoname=trim($_POST["promoname"]);
		$mtype=trim($_POST["mtype"]);
		$promoindex=trim($_POST["promoindex"]);
		$publishdatefrom=trim($_POST["publishdatefrom"]);
		$publishdateto=trim($_POST["publishdateto"]);
		$active=trim($_POST["pageactive"]);
		if($publishdatefrom == "") { $publishdatefrom=null; }
		else if(is_date($publishdatefrom) == false)
		{
			$msgerror .= "Please enter a valid 'From' date<br>";
		}
		if($publishdateto == "") { $publishdateto=null; }
		else if(is_date($publishdateto) == false)
		{
			$msgerror .= "Please enter a valid 'To' date<br>";
		}
		if($publishdatefrom != null && $publishdateto != null && $publishdatefrom > $publishdateto) { $publishdateto=null; }
		if($promoname == "") { $promoname="Untitled"; }
		if($mtype == "") { $mtype="0"; }
		if($active == "") { $active="0"; }
		if($promoindex == "" || !is_numeric($promoindex) || $promoindex < 0) { $promoindex="0"; }
		if($msgerror == "")
		{
			@lfmsql_query("UPDATE fc_vtg_promos SET promoindex='$promoindex',promoname='$promoname',mtype=$mtype,publishdatefrom=".($publishdatefrom==null?"null":"'$publishdatefrom'").",publishdateto=".($publishdateto==null?"null":"'$publishdateto'").",active=$active WHERE id=$id");
			$msgok = 'The promotion has been updated.<br>';
		}		
	}
	else if($_REQUEST['del'] == 'y' && isset($_POST['delid']) && is_numeric($_POST['delid']))
	{
		@lfmsql_query("delete from fc_vtg_promos where id=".$_POST['delid']." limit 1");
		$msgok = 'The promotion has been deleted.<br>';
	}

	// Get/Set Editors Settings
	$showeditors = lfmsql_result(lfmsql_query("Select showeditors from `".$prefix."settings`"), 0);
	if (isset($_GET['seteditors']) && ($_GET['seteditors'] == 0 || $_GET['seteditors'] == 1)) {
		$showeditors = $_GET['seteditors'];
		@lfmsql_query("Update `".$prefix."settings` set showeditors=".$showeditors);
	}
?>
<link href="styles.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
	function deleteNews (theform, thefield, id) {
		var r=confirm("Do you want to delete this promotion?");
		if (r==true)
		{
			thefield.value = id;
			theform.submit();
		}
	}
</script>
<center>
<a href="admin.php?f=fc_vtg">View Settings</a><br>
<h1>Viral Traffic Games</h1>
<h2>Promotions</h2>

<?php echo ($msgerror != "" ? "<p><font color=red><strong>".$msgerror."</strong></font></p>" : ""); ?>
<?php echo ($msgok != "" ? "<p><font color=green><strong>".$msgok."</strong></font></p>" : ""); ?>

<!--Special form used to delete news-->
<form name="deleteform" id="deleteform" method="post" action="admin.php?f=fc_vtg&showpromos=true&del=y">
	<input type="hidden" id="delid" name="delid"/>
</form>

<!--Area to add news-->
<p><strong><font size="3" face="Verdana, Arial, Helvetica, sans-serif"><br>
Create New Promotion </font></strong></p>
<form id="actionform" method="post" action="admin.php?f=fc_vtg&showpromos=true">
<table align="center" cellpadding="4" cellspacing="0" class="lfmtable" style="border: 1px solid #999;">
  <tr>
    <td align="center" class="admintd" nowrap="nowrap" colspan="2"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Description</font></strong></td>
    <td align="center" class="admintd" nowrap="nowrap" colspan="5"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Factor</font></strong></td>
    <td align="center" class="admintd" nowrap="nowrap" colspan="7"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Active On Week Days</font></strong></td>
	<td align="center" class="admintd" nowrap="nowrap" colspan="2"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Active On Date</font></strong></td>
	<td align="center" class="admintd" nowrap="nowrap" colspan="2">&nbsp;</td>
  </tr>
  <tr class="admintd">
    <td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Order</font></strong></td>
    <td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Name </font></strong></td>
    <td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">xCredits</font></strong></td>
	<td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">xBanners</font></strong></td>
	<td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">xTextAds</font></strong></td>
	<td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">xSqBanners</font></strong></td>
	<td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">xCash</font></strong></td>
    <td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Mon</font></strong></td>
	<td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Tue</font></strong></td>
	<td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Wed</font></strong></td>
	<td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Thu</font></strong></td>
	<td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Fri</font></strong></td>
	<td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Sat</font></strong></td>
	<td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Sun</font></strong></td>
	<td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">From </font></strong></td>
	<td align="center" class="admintd" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">To </font></strong></td>
    <td colspan="2"><font size="2" face="Verdana, Arial, Helvetica, sans-serif">&nbsp;</font></td>
  </tr>
  <tr>
    <td align="center"><input name="promoindex" type="text" id="promoindex" value="0" size="2" /></td>
	<td align="left"><input name="promoname" type="text" id="promoname"/></td>
    <td align="left"><input name="credits_mult" type="text" id="credits_mult" size="5"/></td>
	<td align="left"><input name="banners_mult" type="text" id="banners_mult" size="5"/></td>
	<td align="left"><input name="texts_mult" type="text" id="texts_mult" size="5"/></td>
	<td align="left"><input name="sq_banners_mult" type="text" id="sq_banners_mult" size="5"/></td>
	<td align="left"><input name="cash_mult" type="text" id="cash_mult" size="5"/></td>
    <td align="left"><input type="checkbox" value="1" name="day0" checked></td>
	<td align="left"><input type="checkbox" value="1" name="day1" checked></td>
	<td align="left"><input type="checkbox" value="1" name="day2" checked></td>
	<td align="left"><input type="checkbox" value="1" name="day3" checked></td>
	<td align="left"><input type="checkbox" value="1" name="day4" checked></td>
	<td align="left"><input type="checkbox" value="1" name="day5" checked></td>
	<td align="left"><input type="checkbox" value="1" name="day6" checked></td>
	<td align="left"><input name="publishdatefrom" type="text" id="DPC_publishdatefrom_YYYY-MM-DD" size="8" maxlength="8" /></td>
	<td align="left"><input name="publishdateto" type="text" id="DPC_publishdateto_YYYY-MM-DD" size="8" maxlength="8" /></td>
    <td><input type="submit" name="Submit" value="Create" /></td>
  </tr>
</table>
</form>
<br>

<!--Area to view and edit member area news-->
<table width="600" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td align="center"><strong><font size="3" face="Verdana, Arial, Helvetica, sans-serif">Current Promotions</font></strong></td>
  </tr>
</table>
<br>
<table width="550" border="0" align="center" cellpadding="3" cellspacing="2">

  <tr class="admintd">
    <td nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Order</font></strong></td>
	<td nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Enabled</font></strong></td>
    <td nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Show Every </font></strong></td>
	<td nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">From</font></strong></td>
	<td nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">To</font></strong></td>
    <td align="center" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Name </font></strong></td>
    <td align="center" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Active Today</font></strong></td>
	<td colspan="2" align="center" nowrap="nowrap">&nbsp;</td>  </tr>

<?
	$day = 'D'.lfmsql_result(lfmsql_query("SELECT DATE_FORMAT(date('".date('Y-m-d')."'), '%w')"),0);
	$today = lfmsql_result(lfmsql_query("SELECT date('".date('Y-m-d')."')"),0);
	//identify if a template is active today
	$defaultactive = true;
	$res=@lfmsql_query("SELECT *,date(publishdatefrom) truncfrom,date(publishdateto) truncto  FROM fc_vtg_promos order by publishdatefrom, showevery, promoindex");
	while($mpages=@lfmsql_fetch_object($res))
	{
		$active = ($mpages->active ==1) && ((($mpages->showevery == $day || $mpages->showevery == '0') && (($mpages->truncfrom == null || $mpages->truncfrom <= $today) && ($mpages->truncto == null || $mpages->truncto >= $today)) ? true : false));
		if($active){
			$defaultactive = false;
			break;
		}
	}
	//show table
	$res=@lfmsql_query("SELECT *,date(publishdatefrom) truncfrom,date(publishdateto) truncto  FROM fc_vtg_promos order by publishdatefrom, showevery, promoindex");
	while($mpages=@lfmsql_fetch_object($res))
	{
		$active = ($mpages->active ==1) && ((($mpages->showevery == $day || $mpages->showevery == '0') && (($mpages->truncfrom == null || $mpages->truncfrom <= $today) && ($mpages->truncto == null || $mpages->truncto >= $today)) ? true : false));
		if(!$active && $mpages->showevery == '1' && $defaultactive){
			$active = true;
		}
?>
  <tr id="listpage<?=$mpages->id;?>" <?php echo ($active ? 'bgcolor="#DFFFDF"' : '');?>>
    <td align="center" nowrap="nowrap"><?=$mpages->promoindex;?></td>
	<td align="center" nowrap="nowrap"><?=$mpages->active == 1 ? 'Yes' : 'No'?></td>
	<td align="center" nowrap="nowrap"><?=($mpages->publishdatefrom != null ? date("Y-m-d",strtotime($mpages->publishdatefrom)) : '');?></td>
	<td align="center" nowrap="nowrap"><?=($mpages->publishdateto != null ? date("Y-m-d",strtotime($mpages->publishdateto)) : '');?></td>
    <td align="center" nowrap="nowrap"><?=$mpages->promoname;?></td>
	<td align="center" nowrap="nowrap"><?=($active ? 'Yes' : 'No');?></td>
    <td align="center" nowrap="nowrap"><a href="javascript:toggleDisplay('editpage<?=$mpages->id;?>','listpage<?=$mpages->id;?>');"><img src="../images/edit.png" width="16" height="16" border="0" /></a></td>
    <td align="center" nowrap="nowrap"><a href="javascript:void(0);" onclick="deleteNews(document.deleteform,document.deleteform.elements['delid'],<?=$mpages->id;?>);"><img src="../images/del.png" width="16" height="16" border="0" /></a></td>
  </tr><tr><td colspan="9">
<div align="center" id="editpage<?=$mpages->id;?>" style="display: none;">
<form method="post" action="admin.php?f=fc_vtg&showpromos=true" name="fcontent">
<table width="100%" style="border: thin solid; border-width: 1px;">
  <tr bgcolor="#FFFF99">
    <td nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Order</font></strong></td>
	<td nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Enabled</font></strong></td>
    <td nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Show Every </font></strong></td>
	<td nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">From </font></strong></td>
	<td nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">To </font></strong></td>
    <td align="center" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Name </font></strong></td>
  </tr>
    <tr>
      <td align="center"><input name="promoindex" type="text" size="2" value="<?=$mpages->promoindex;?>" /></td>
	  <td align="center"><input type="checkbox" name="pageactive" value="1" <?=$mpages->active == 1 ? 'checked' : ''?>></td>
	<td align="left"><input name="publishdatefrom" type="text" id="publishdatefrom" size="8" maxlength="10" value="<?php echo ($mpages->publishdatefrom != null ? date("Y-m-d",strtotime($mpages->publishdatefrom)) : '');?>"/></td>
	<td align="left"><input name="publishdateto" type="text" id="publishdateto" size="8" maxlength="10" value="<?php echo ($mpages->publishdateto != null ? date("Y-m-d",strtotime($mpages->publishdateto)) : '');?>"/></td>
	<td align="center"><input name="promoname" type="text" id="promoname" value="<?=$mpages->promoname;?>" /></td>
    </tr>
  <tr>
    <td colspan="5" align="center">
	  <input type="hidden" name="id" value="<?=$mpages->id;?>">
      <input type="submit" name="Submit" value="Update" />
      <input name="Cancel2" type="button" id="Cancel2" value="Cancel" onClick="javascript:toggleDisplay('editpage<?=$mpages->id;?>','listpage<?=$mpages->id;?>');"/>    </td>
    </tr>
</table>
</form>
</div>
<? } ?>
</td></tr>
</table>

<!--Area to edit template data-->
<p><strong><font size="3" face="Verdana, Arial, Helvetica, sans-serif">Details</font></strong></p>
<? if($showeditors == "1") { ?>
<script type="text/javascript" src="ckeditor/ckeditor.js"></script>
<p><font size="2"><a href="admin.php?f=fc_vtg&showpromos=true&seteditors=0">Click To Hide The HTML Editor</a></font></p>
<? } else { ?>
<p><font size="2"><a href="admin.php?f=fc_vtg&showpromos=true&seteditors=1">Click To Show The HTML Editor</a></font></p>
<? } ?>

<p>
  <?
	if(isset($_POST["id"]))
	{
		$id=$_POST["id"];
		$res=@lfmsql_query("SELECT * FROM fc_vtg_promos WHERE id=".$id);
		$memberpage=@lfmsql_fetch_object($res);
		$promodata=$memberpage->promodata;
	}
?>
</p>
<form name="cdtform" id="cdtform" method="post" action="admin.php?f=fc_vtg&showpromos=true">
<table width="760" border="0" align="center" cellpadding="3" cellspacing="2">
  <tr>
    <td align="center"><table width="100%" border="0" cellpadding="3" cellspacing="0">
      <tr>
        <td><select name="id"  onChange="javascript:window.document.cdtform.submit();">
		<option value="0">Select...</option>
			<? 
			$grpres=@lfmsql_query("SELECT * FROM fc_vtg_promos order by publishdatefrom, showevery, promoindex");
			while($grprow=@lfmsql_fetch_array($grpres))
			{
				if($id == $grprow["id"])
				{
					$selected = ' selected="selected"';
				}
				else
				{
					$selected="";
				}
				$nid=$grprow["id"];
				$promoname=$grprow["promoname"];

		    	echo '<option value="'.$nid.'" '.$selected.'>'.$promoname.'</option>';
			} 
			?>
        </select>
          <input name="Submit" type="submit" id="Submit" value="Update Details" /></td>
        </tr>
      <tr class="admintd">
        <td nowrap="nowrap"><strong>Show Every:
		<select name="pageshowevery" id="pageshowevery" disabled="disabled">
			<option value="0" <?php echo ($memberpage->showevery == '0' ? ' selected ' : '');?>>Always</option>
			<option value="1" <?php echo ($memberpage->showevery == '1' ? ' selected ' : '');?>>Default</option>
			<option value="D0" <?php echo ($memberpage->showevery == 'D0' ? ' selected ' : '');?>>Sunday</option>
			<option value="D1" <?php echo ($memberpage->showevery == 'D1' ? ' selected ' : '');?>>Monday</option>
			<option value="D2" <?php echo ($memberpage->showevery == 'D2' ? ' selected ' : '');?>>Tuesday</option>
			<option value="D3" <?php echo ($memberpage->showevery == 'D3' ? ' selected ' : '');?>>Wednesday</option>
			<option value="D4" <?php echo ($memberpage->showevery == 'D4' ? ' selected ' : '');?>>Thursday</option>
			<option value="D5" <?php echo ($memberpage->showevery == 'D5' ? ' selected ' : '');?>>Friday</option>
			<option value="D6" <?php echo ($memberpage->showevery == 'D6' ? ' selected ' : '');?>>Saturday</option>
		</select>
          From - To:</strong>
          <input name="publishdatefrom" size="8" type="text" id="publishdatefrom" value="<?=($memberpage->publishdatefrom != null ? date("Y-m-d",strtotime($memberpage->publishdatefrom)) : '');?>" readonly="readonly" />
		   - <input name="publishdateto" size="8" type="text" id="publishdateto" value="<?=($memberpage->publishdateto != null ? date("Y-m-d",strtotime($memberpage->publishdateto)) : '');?>" readonly="readonly" />
		  </td>
        </tr>
    </table></td>
  </tr>
  <tr>
    <td>
<?
	if(isset($_POST["id"]))
	{
		// Decode template data
    	if (function_exists('html_entity_decode'))
    	{
	    	$html=html_entity_decode($promodata);
		}
    	else
    	{
        	$html=unhtmlentities($promodata);
    	}
	?>
 <textarea class="ckeditor" name="promodata" cols="80" rows="8" id="promodata"><?=$html;?></textarea>
<br />
<?	}
?>
	</td>
  </tr>
</table>
</form>

<!--Documentation-->
<table width="760" border="1" align="center" cellpadding="2" cellspacing="3" bordercolor="#333333" bgcolor="#FFFF99">
  <tr>
    <td align="left" valign="top" bordercolor="#FFFF99"><p><font size="2"><strong><font face="Verdana, Arial, Helvetica, sans-serif">From this area you can manage member areas news activated depending on time.
	To make it work, just add to your Member Area Template the text #MEMBERAREA_NEWS#</font></strong></font></p>
      <ul>
        <li><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Order </strong> - This option allows you to set the order that the news will be shown across the member area, if more than one are shown in the same day. Simply number them and they will display in the order of the numbers with the lowest order being at the top and the highest value being the bottom.  </font></li>
		<li><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Enabled </strong> - This option allows you to enable/ disable the member area new.  </font></li>
        <li><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Show Every</strong> - This option allows you to specify which day of the week the news will be shown, useful if you want to display same new every Monday, for example. Set it as Always if no specific day is desired. Set 'Default' to show a template when no template for the day is defined.</font></li>
        <li><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>From/ To Dates</strong>- These dates are optional, if specified, the new will be shown only during the interval defined, otherwise the new is always shown. These fields can work together with the Show Every field, for example you can specify a new to be shown every Monday during a timeframe. Ex. Show one day 2013-01-01 to 2013-01-01, show 2 days 2013-01-01 to 2013-01-02. </font></li>
        <li><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Name</strong> - This is the name of the new, only visible to admin.</font></li>
		<li><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Active Today</strong> - This field has the value 'Yes' if today the member area new is visible, based on the schedule definition (background of the row will be green)</font></li>
      </ul></td>
    <td width="250" align="left" valign="top" bgcolor="#DFFFDF"><p><strong>The following macros may be used: </strong></p>
      <p>#FIRSTNAME# - Member first name <br />
        #LASTNAME# - Member last name <br />
        #USERNAME# - Member login username <br />
        #PASSWORD# - Member password<br />
        #AFFILIATEID# - The members affiliate ID <br />
        #SITENAME# - The name of this site<br />
		#REFURL# - The referral link</p></td>
  </tr>
</table>
</center>