<?
// /////////////////////////////////////////////////////////////////////
// Viral Traffic Games Plugin for LFMVM written by Francisco Cardona
// Copyright 2015 ALL RIGHTS RESERVED!
// Do NOT Copy, Transfer, Sell, or Modify
// Licenses and Installation available
// contact: info@customtemods.com or admin@viraltrafficgames.com
// http://customtemods.com
// http://viraltrafficgames.com
// /////////////////////////////////////////////////////////////////////

require_once "../inc/filter.php";

// Prevent anyone who isn't logged in from opening this page
include "../inc/checkauth.php";
if(!isset($_SESSION["adminid"])) { exit; };

//read member types and create rows if not defined
$mtypes = array();
$mtypesres = lfmsql_query("select * from ".$prefix."membertypes order by rank");
while($mtypesrow = lfmsql_fetch_array($mtypesres)){
	$mtypes[$mtypesrow['mtid']] = $mtypesrow;
	if(lfmsql_result(lfmsql_query("select count(0) from fc_vtg_mtype_settings where mtype=".$mtypesrow['mtid']), 0) == 0){
		lfmsql_query("insert into fc_vtg_mtype_settings (mtype,min_pages, max_pages, surfleague_perc) values (".$mtypesrow['mtid'].",30,50,1500)");
	}
}

//read general settings value
$min_pages = array();
$max_pages = array();
$surfleague_perc = array();
foreach($mtypes as $mtype){
	$day = $mtype['mtid'];
	$prize_row = lfmsql_fetch_array(lfmsql_query("select * from fc_vtg_mtype_settings where mtype=".$mtype['mtid']." limit 1"));
	$surfleague_perc[$day] = isset($_POST['surfleague_perc_'.$day]) ? $_POST['surfleague_perc_'.$day] : $prize_row['surfleague_perc'];
}

$msgerror = "";
if ($_POST["Submit"] == "Save"){
	foreach($mtypes as $mtype){
		$day = $mtype['mtid'];
		
		$avgsurf_name = 'surfleague_perc_'.$day;
		if(!is_numeric($_POST[$avgsurf_name]) || $_POST[$avgsurf_name] < 0 || ($_POST[$avgsurf_name]+0 != floor($_POST[$avgsurf_name])) || $_POST[$avgsurf_name] > 50)
		{
			$msgerror .= "Please enter a valid percentage of extra points for the member level '".$mtype['accname']."'<br>";
		}
	}
	if($msgerror == "")
	{
		foreach($mtypes as $mtype){
			$day = $mtype['mtid'];
			lfmsql_query("update fc_vtg_mtype_settings set surfleague_perc=".$surfleague_perc[$day]." where mtype=".$mtype['mtid']." limit 1");
		}
	}
}

?>
<center>
<a href="admin.php?f=fc_vtg">View Settings</a><br>
<h1>Viral Traffic Games</h1>
<h2>Surf League Settings</h2>
<?php echo ($msgerror != "" ? "<font color=red>".$msgerror."</font><br>" : ""); ?>
<form method="post" action="admin.php?f=fc_vtg&surfleague=true" >
  <table width="300" align="center" cellpadding="4" cellspacing="0" class="lfmtable" style="border: 1px solid #999;">
	  <tr>
		<td nowrap="nowrap" class="admintd"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Member Level</strong></font></td>
		<td nowrap="nowrap" class="admintd"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Extra Points</strong></font></td>
		<td nowrap="nowrap" class="admintd">&nbsp;</td>
	  </tr>
<?php 
$cnt=0;
foreach($mtypes as $mtype){
	$cnt++;
	$day = $mtype['mtid'];
	$surfleague_perc_name = 'surfleague_perc_'.$day;
?> 
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><?php echo $mtype['accname'];?></font> </strong></td>
		<td class="formfield">
			<? if($day == 1){?>
				<input type="hidden" name="<?php echo $surfleague_perc_name;?>" id="<?php echo $surfleague_perc_name;?>" value="0">
				0 %
			<? }else{?>
			<select name="<?php echo $surfleague_perc_name;?>" id="<?php echo $surfleague_perc_name;?>">
				<option value="0">0 %</option>
				<option value="10" <? echo ($surfleague_perc[$day]==10?'selected':'');?>>10 %</option>
				<option value="20" <? echo ($surfleague_perc[$day]==20?'selected':'');?>>20 %</option>
				<option value="30" <? echo ($surfleague_perc[$day]==30?'selected':'');?>>30 %</option>
				<option value="40" <? echo ($surfleague_perc[$day]==40?'selected':'');?>>40 %</option>
				<option value="50" <? echo ($surfleague_perc[$day]==50?'selected':'');?>>50 %</option>
			</select>
				<? }?>
			</td>
		<?php if($cnt==1){?>
		<td align="center" rowspan="<?php echo count($mtypes);?>"><a href="#" title="
			For each member level define the % of extra points they will earn when collecting points for the VTG Surf League"><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
		<?php }?>
	  </tr>
<?}?>
  </table>
  <br><input type="submit" name="Submit" value="Save"><br>
</form>
<br><br>
<b>Note:</b> To participate in the VTG Surf League your site needs to have an active subscription at VTG.<br>
For more details visit the section "Surf League" inside "TE & VM Owners" in your VTG account.
</center>