<?php

// GeniuXs AI v1.0 for LFM Scripts
// Copyright 2023 Logiscape LLC. All Rights Reserved.
// https://geniuxs.com

// Any modification, distribution, or use of this file is governed
// by the current terms of service at geniuxs.com and any additional
// license agreements for the script this file was included with.

if ($aiid > 0) {
	
    $getaidata = lfmsql_query("SELECT name, aidata FROM `geniuxs_ai` WHERE id='".$aiid."'") or die(lfmsql_error());
    	if (lfmsql_num_rows($getaidata) < 1) {
    		echo("AI ID not found");
    		exit;
    	}
    	$ainame = lfmsql_result($getaidata, 0, "name");
    	$aidata = lfmsql_result($getaidata, 0, "aidata");
    	$aidata = json_decode($aidata, true);
    	
    if (isset($_GET['action']) && $_GET['action'] == "updatebasic" && isset($_POST['ainame']) && strlen($_POST['ainame']) > 0) {
		$checkexists = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `geniuxs_ai` WHERE name='".$_POST['ainame']."' AND id!='".$aiid."'"), 0);
		if ($checkexists > 0) {
			echo("Another AI with this name already exists");
			exit;
		}
		$ainame = $_POST['ainame'];
		$aidata['descr'] = stripslashes($_POST['aidescr']);
		$aidata['userinfo'] = stripslashes($_POST['userinfo']);
		$saveaidata = json_encode($aidata);
        	lfmsql_query("UPDATE `geniuxs_ai` SET name='".$ainame."', aidata='".addslashes($saveaidata)."' WHERE id='".$aiid."'") or die(lfmsql_error());
	}
	
} else {
	
	$ainame = '';
	$aidata = array();
	$aidata['descr'] = '';
	
	if (isset($_GET['action']) && $_GET['action'] == "updatebasic" && isset($_POST['ainame']) && strlen($_POST['ainame']) > 0) {
		$checkexists = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `geniuxs_ai` WHERE name='".$_POST['ainame']."'"), 0);
		if ($checkexists > 0) {
			echo("Another AI with this name already exists");
			exit;
		}
		$ainame = $_POST['ainame'];
		$aidata['descr'] = stripslashes($_POST['aidescr']);
		$aidata['userinfo'] = stripslashes($_POST['userinfo']);
		$saveaidata = json_encode($aidata);
        	lfmsql_query("INSERT INTO `geniuxs_ai` (name, creator, aidata) VALUES ('".$ainame."', 1, '".addslashes($saveaidata)."')") or die(lfmsql_error());
        	$aiid = lfmsql_insert_id();
	} elseif (isset($_GET['action']) && $_GET['action'] == "uploadai") {
		
		if (isset($_POST['importaistr']) && strlen($_POST['importaistr']) > 0) {
			$importai = base64_decode($_POST['importaistr']);
		} else {
			if (!file_exists($_FILES['importai']['tmp_name'])) {
				echo("<p><b>You must upload a valid AI file</b></p><a href=\"admin.php?f=geniuxsadmin&createai=1\">Go Back</a>");
				exit;
			}
			$importfile = $_FILES['importai']['tmp_name'];
			$fp=fopen($importfile, "r");
    			$importai = fread($fp, filesize($importfile));
			fclose($fp);
		}
		
		$importai = json_decode($importai, true);
		
		if (!isset($importai['ainame']) || strlen($importai['ainame']) < 1 || !isset($importai['aidata']) || !is_array($importai['aidata'])) {
			echo("<p><b>The uploaded file does not appear to be a valid AI file</b></p><a href=\"admin.php?f=geniuxsadmin&createai=1\">Go Back</a>");
			exit;
		}
		
		if (!isset($importai['aitype']) || $importai['aitype'] != 1) {
			echo("<p><b>This version of GeniuXs AI only supports version 1 basic AI files</b></p><a href=\"admin.php?f=geniuxsadmin&createai=1\">Go Back</a>");
			exit;
		}
		
		if (!isset($importai['aicreator']) || $importai['aicreator'] != 1) {
			$importai['aicreator'] = 0;
		}
		
		$ainame = $importai['ainame'];
		$aidata = $importai['aidata'];
		
		$checkexists = lfmsql_query("SELECT id FROM `geniuxs_ai` WHERE name='".$ainame."'");
		if (lfmsql_num_rows($checkexists) > 0) {
			$aiid = lfmsql_result($checkexists, 0, "id");
			if (isset($_GET['confirmupdate']) && $_GET['confirmupdate'] == 'yes') {
				$saveaidata = json_encode($aidata);
				lfmsql_query("UPDATE `geniuxs_ai` SET creator='".$importai['aicreator']."', aidata='".addslashes($saveaidata)."' WHERE id=".$aiid) or die(lfmsql_error());
			} else {
				$importaistr = base64_encode(json_encode($importai));
				echo('<h1 class="display-4" style="font-size:32px;">An AI named '.$importai['ainame'].' already exists</h1>
				<p>If you are updating or replacing the existing AI with the one you uploaded, click the button below to
				confirm. If not, ask the creator of the AI to rename it to something unique.</p>
				<form action="admin.php?f=geniuxsadmin&action=uploadai&createai=1&confirmupdate=yes" method="POST">
				<input type="hidden" name="importaistr" value="'.$importaistr.'">
				<input type="submit" value="Confirm - Update/Replace The AI">
				</form>
				<br>
				<a href="admin.php?f=geniuxsadmin&createai=1">Cancel - Go Back</a>');
				exit;
			}
		} else {
			$saveaidata = json_encode($aidata);
	        	lfmsql_query("INSERT INTO `geniuxs_ai` (name, creator, aidata) VALUES ('".$ainame."', '".$importai['aicreator']."', '".addslashes($saveaidata)."')") or die(lfmsql_error());
	        	$aiid = lfmsql_insert_id();
		}
		
	}
}

?>

    <style>
        .table-name {
            font-weight: bold;
            font-size:16px;
        }
        .column-name {
            font-size:16px;
        }

.geniuxs_create_checkbox {
	margin-right:5px;
	width:15px;
	height:15px;
}

.geniuxs_create_expander {
	content: "";
	border-top: 0.8em solid;
	border-right: 0.8em solid transparent;
	border-bottom: 0;
	border-left: 0.8em solid transparent;
	color: yellow;
	transform: rotate(0deg);
	position: absolute;
	margin-top:6px;
	margin-left:4px;
	transition: all 0.1s ease-out;
}
.geniuxs_create_expander.collapsed {
	color: white;
	transform: rotate(-90deg);
}

.geniuxs_create_list_mainmenu {
	list-style: none;
	padding-left: 0;
}

li.geniuxs_create_list_toplink {
	display: block;
	padding: 0.5rem 1.5rem 0.2rem 1.5rem;
	color: #ced4da;
	font-size: 16px;
	font-weight: 400;
	background: #333333;
	position: relative;
	text-decoration: none;
}

.geniuxs_create_list_toplink.active,
.geniuxs_create_list_toplink.active:hover {
	color: #ced4da;
	background: #024eca;
}

.geniuxs_create_list_toplink:hover {
	color: #ced4da;
	background: #555555;
}

li.geniuxs_create_list_sublink {
	display: block;
	padding: 0.3rem 1.2rem 0.2rem 2.2rem;
	color: #adb5bd;
	font-size: 14px;
	background: #444444;
	position: relative;
	font-weight: 400;
	text-decoration: none;
}

.geniuxs_create_list_sublink.active,
.geniuxs_create_list_sublink.active:hover {
	color: #e9ecef;
	background: #0362fc;
}

.geniuxs_create_list_sublink:hover {
	color: #e9ecef;
	background: #555555;
}

.geniuxs_fade_button {
	background-color:green;
	color:white;
	transition: opacity 1s ease-out;
	opacity: 0;
	height: 0;
	overflow: hidden;
}
.geniuxs_fade_button:hover {
	background-color:darkgreen;
	color:white;
}
.geniuxs_fade_button.active {
	opacity: 1;
	height: auto;
}
        
    </style>
    <script>
    	
    	function backToTop() {
    		document.body.scrollTop = 0;
    		document.documentElement.scrollTop = 0;
    		$('#saveConfirmation').toast('hide');
    	}
    	
    	function showSaveButton(savefunction) {
    		$('#saveConfirmation').toast('hide');
    		document.getElementById('saveButton').setAttribute("onclick", savefunction + "()");
    		document.getElementById('saveButton').style.display = "inline-block";
    		document.getElementById('saveButton').classList.add("active");
    	}
    	
    	function showSaveConfirm() {
    		document.getElementById('saveButton').classList.remove("active");
    		document.getElementById('saveButton').style.display = "none";
    		$('#saveConfirmation').toast('show');
    	}
    	
        function toggleTablebox(element, className) {
            let checkboxes = document.getElementsByClassName(className);
            for (let i = 0; i < checkboxes.length; i++) {
                checkboxes[i].checked = element.checked;
                if (element.checked) {
                	element.parentNode.classList.add("active");
                	checkboxes[i].parentNode.classList.add("active");
                } else {
                	element.parentNode.classList.remove("active");
                	checkboxes[i].parentNode.classList.remove("active");
                }
            }
            showSaveButton('submitSelectColumns');
        }
        
        function toggleColumnbox(element) {
        	if (element.checked) {
                	element.parentNode.classList.add("active");
                } else {
                	element.parentNode.classList.remove("active");
                }
                showSaveButton('submitSelectColumns');
        }
        
        function quickSelects(selecttype) {
        	if (selecttype == 1) {
        		// Add Members
        		quickSelectProcessTable('oto_members', 'List of users');
        		quickSelectProcessColumn('oto_members_Id', 'user ID');
        		quickSelectProcessColumn('oto_members_username', '');
        		quickSelectProcessColumn('oto_members_firstname', '');
        		quickSelectProcessColumn('oto_members_lastname', '');
        		quickSelectProcessColumn('oto_members_email', '');
        		quickSelectProcessColumn('oto_members_refid', 'referrer ID (0 if direct join)');
        		quickSelectProcessColumn('oto_members_status', 'Status of the account (Active, Unverified, or Suspended)');
        		quickSelectProcessColumn('oto_members_joindate', '');
        		quickSelectProcessColumn('oto_members_mtype', 'Number representing the user account level (This number matches mtid in the oto_membertypes table)');
        		quickSelectProcessColumn('oto_members_lastlogin', 'The datetime the user last logged in');
        		quickSelectProcessColumn('oto_members_numLogins', 'Number of times the user has logged in');
        		quickSelectProcessColumn('oto_members_upgend', 'The date the user\'s paid account level expires (YYYY-MM-DD, 0000-00-00 for lifetime membership)');
        		
        		quickSelectProcessTable('oto_membertypes', 'List of membership levels');
        		quickSelectProcessColumn('oto_membertypes_mtid', 'Membership type ID number');
        		quickSelectProcessColumn('oto_membertypes_accname', 'Name of the membership level');
        	}
        	showSaveButton('submitSelectColumns');
        }
        
        function quickSelectProcessTable(name, description) {
        	document.getElementById(name + "_checkbox").checked = true;
        	document.getElementById(name + "_checkbox").parentNode.classList.add("active");
        	if (description) {
        		document.getElementById(name + "_tabledescr_hdn").value = btoa(description);
        	} else {
        		document.getElementById(name + "_tabledescr_hdn").value = '';
        	}
        }
        
        function quickSelectProcessColumn(name, description) {
        	document.getElementById(name + "_checkbox").checked = true;
        	document.getElementById(name + "_checkbox").parentNode.classList.add("active");
        	var splitdescr = document.getElementById(name + "_checkbox").value.split(':');
        	if (description) {
        		document.getElementById(name + "_checkbox").value = splitdescr[0] + ':' + splitdescr[1] + ':' + btoa(description);
        	} else {
        		document.getElementById(name + "_checkbox").value = splitdescr[0] + ':' + splitdescr[1] + ':';
        	}
        }
        
        function submitSelectColumns() {
	
		var formData = new FormData();
		
		let checkboxes = document.getElementsByClassName('geniuxs_column_checkbox');
		for (let i = 0; i < checkboxes.length; i++) {
			if (checkboxes[i].checked) {
				formData.append(checkboxes[i].name, checkboxes[i].value);
			}
		}
		
		let tabledescrfields = document.getElementsByClassName('geniuxs_create_tabledescr_hdn');
		for (let i = 0; i < tabledescrfields.length; i++) {
			formData.append(tabledescrfields[i].name, tabledescrfields[i].value);
		}
		
		$.ajax({
		    url: 'geniuxs_admin_create_ajax.php?action=selectcolumns&aiid=<?php echo($aiid); ?>',
		    type: 'POST',
		    data: formData,
		    async: true,
		    success: function (data) {
		    	if (data == 'Success') {
		    		showSaveConfirm();
		    		loadDescriptions();
		    		checkMemory();
		    	} else {
		        	alert(data);
		        }
		    },
		    error: function () {
		    	alert('Error while saving');
		    },
		    cache: false,
		    contentType: false,
		    processData: false
		});
	
		return false;
	}
	
	function loadSelectColumns() {
		
		$.ajax({
		    url: 'geniuxs_admin_create_ajax.php?action=viewcolumnform&aiid=<?php echo($aiid); ?>',
		    type: 'GET',
		    async: true,
		    success: function (data) {
		    	document.getElementById('columnformdiv').innerHTML = data;
		    },
		    error: function () {
		    	alert('Could not load database tables and columns list');
		    },
		    cache: false,
		    contentType: false,
		    processData: false
		});
	
		return false;
	}
	
	function submitDescriptions() {
	
		var formData = new FormData();
		
		let tabledescrfields = document.getElementsByClassName('geniuxs_create_tabledescr');
		for (let i = 0; i < tabledescrfields.length; i++) {
			formData.append(tabledescrfields[i].name, tabledescrfields[i].value);
		}
		
		let columndescrfields = document.getElementsByClassName('geniuxs_create_columndescr');
		for (let i = 0; i < columndescrfields.length; i++) {
			formData.append(columndescrfields[i].name, columndescrfields[i].value);
		}
		
		$.ajax({
		    url: 'geniuxs_admin_create_ajax.php?action=savedescriptions&aiid=<?php echo($aiid); ?>',
		    type: 'POST',
		    data: formData,
		    async: true,
		    success: function (data) {
		    	if (data == 'Success') {
		    		showSaveConfirm();
		    		checkMemory();
		    	} else {
		        	alert(data);
		        }
		    },
		    error: function () {
		    	alert('Error while saving');
		    },
		    cache: false,
		    contentType: false,
		    processData: false
		});
	
		return false;
	}
	
	function loadDescriptions() {
		
		$.ajax({
		    url: 'geniuxs_admin_create_ajax.php?action=loaddescriptions&aiid=<?php echo($aiid); ?>',
		    type: 'GET',
		    async: true,
		    success: function (data) {
		    	document.getElementById('descriptionformdiv').innerHTML = data;
		    	$('.geniuxs_create_tabledescr, .geniuxs_create_columndescr').on('keyup input change clear', function() {
				showSaveButton('submitDescriptions');
			});
		    },
		    error: function () {
		    	alert('Could not load tables and columns descriptions list');
		    },
		    cache: false,
		    contentType: false,
		    processData: false
		});
	
		return false;
	}
        
        function submitAddRelationship() {
	
		var formData = new FormData();
		
		let tabledescrfields = document.getElementsByClassName('geniuxs_create_addrelationship');
		for (let i = 0; i < tabledescrfields.length; i++) {
			formData.append(tabledescrfields[i].name, tabledescrfields[i].value);
		}
		
		$.ajax({
		    url: 'geniuxs_admin_create_ajax.php?action=addrelationship&aiid=<?php echo($aiid); ?>',
		    type: 'POST',
		    data: formData,
		    async: true,
		    success: function (data) {
		    	if (data == 'Success') {
		    		checkMemory();
		    		loadRelationships();
		    	} else {
		        	alert(data);
		        }
		    },
		    error: function () {
		    	alert('Error while saving');
		    },
		    cache: false,
		    contentType: false,
		    processData: false
		});
	
		return false;
	}
	
	function submitEditRelationship(relationshipid) {
	
		var formData = new FormData();
		
		let tabledescrfields = document.getElementsByClassName('geniuxs_create_editrelationship');
		for (let i = 0; i < tabledescrfields.length; i++) {
			formData.append(tabledescrfields[i].name, tabledescrfields[i].value);
		}
		
		$.ajax({
		    url: 'geniuxs_admin_create_ajax.php?action=editrelationship&relationshipid=' + relationshipid + '&aiid=<?php echo($aiid); ?>',
		    type: 'POST',
		    data: formData,
		    async: true,
		    success: function (data) {
		    	if (data == 'Success') {
		    		showSaveConfirm();
		    		checkMemory();
		    	} else {
		        	alert(data);
		        }
		    },
		    error: function () {
		    	alert('Error while saving');
		    },
		    cache: false,
		    contentType: false,
		    processData: false
		});
	
		return false;
	}
	
	function deleteRelationship(relationshipid) {
		
		$.ajax({
		    url: 'geniuxs_admin_create_ajax.php?action=deleterelationship&relationshipid=' + relationshipid + '&aiid=<?php echo($aiid); ?>',
		    type: 'GET',
		    async: true,
		    success: function (data) {
		    	checkMemory();
		    	loadRelationships();
		    },
		    error: function () {
		    	alert('Could not delete the relationship data');
		    },
		    cache: false,
		    contentType: false,
		    processData: false
		});
	
		return false;
	}
	
	function loadRelationships() {
		
		$.ajax({
		    url: 'geniuxs_admin_create_ajax.php?action=loadrelationships&aiid=<?php echo($aiid); ?>',
		    type: 'GET',
		    async: true,
		    success: function (data) {
		    	document.getElementById('relationshipdiv').innerHTML = data;
		    },
		    error: function () {
		    	alert('Could not load tables and columns descriptions list');
		    },
		    cache: false,
		    contentType: false,
		    processData: false
		});
	
		return false;
	}
        
        function submitAddTraining() {
	
		var formData = new FormData();
		
		let checkboxes = document.getElementsByClassName('geniuxs_addtraining_checkbox');
		for (let i = 0; i < checkboxes.length; i++) {
			if (checkboxes[i].checked) {
				formData.append(checkboxes[i].name, '1');
			}
		}
		
		let tabledescrfields = document.getElementsByClassName('geniuxs_create_addtraining');
		for (let i = 0; i < tabledescrfields.length; i++) {
			formData.append(tabledescrfields[i].name, tabledescrfields[i].value);
		}
		
		$.ajax({
		    url: 'geniuxs_admin_create_ajax.php?action=addtraining&aiid=<?php echo($aiid); ?>',
		    type: 'POST',
		    data: formData,
		    async: true,
		    success: function (data) {
		    	if (data == 'Success') {
		    		checkMemory();
		    		loadTraining();
		    	} else {
		        	alert(data);
		        }
		    },
		    error: function () {
		    	alert('Error while saving');
		    },
		    cache: false,
		    contentType: false,
		    processData: false
		});
	
		return false;
	}
	
	function submitEditTraining(trainingid) {
	
		var formData = new FormData();
		
		let checkboxes = document.getElementsByClassName('geniuxs_edittraining_checkbox');
		for (let i = 0; i < checkboxes.length; i++) {
			if (checkboxes[i].checked) {
				formData.append(checkboxes[i].name, '1');
			}
		}
		
		let tabledescrfields = document.getElementsByClassName('geniuxs_create_edittraining');
		for (let i = 0; i < tabledescrfields.length; i++) {
			formData.append(tabledescrfields[i].name, tabledescrfields[i].value);
		}
		
		$.ajax({
		    url: 'geniuxs_admin_create_ajax.php?action=edittraining&trainingid=' + trainingid + '&aiid=<?php echo($aiid); ?>',
		    type: 'POST',
		    data: formData,
		    async: true,
		    success: function (data) {
		    	if (data == 'Success') {
		    		showSaveConfirm();
		    		checkMemory();
		    	} else {
		        	alert(data);
		        }
		    },
		    error: function () {
		    	alert('Error while saving');
		    },
		    cache: false,
		    contentType: false,
		    processData: false
		});
	
		return false;
	}
	
	function deleteTraining(trainingid) {
		
		$.ajax({
		    url: 'geniuxs_admin_create_ajax.php?action=deletetraining&trainingid=' + trainingid + '&aiid=<?php echo($aiid); ?>',
		    type: 'GET',
		    async: true,
		    success: function (data) {
		    	loadTraining();
		    	checkMemory();
		    },
		    error: function () {
		    	alert('Could not delete the training data');
		    },
		    cache: false,
		    contentType: false,
		    processData: false
		});
	
		return false;
	}
	
	function loadTraining() {
		
		$.ajax({
		    url: 'geniuxs_admin_create_ajax.php?action=loadtraining&aiid=<?php echo($aiid); ?>',
		    type: 'GET',
		    async: true,
		    success: function (data) {
		    	document.getElementById('trainingdiv').innerHTML = data;
		    },
		    error: function () {
		    	alert('Could not load tables and columns descriptions list');
		    },
		    cache: false,
		    contentType: false,
		    processData: false
		});
	
		return false;
	}
	
	function testTraining(textboxid) {
		var submit_content = document.getElementById(textboxid).value;
		if (submit_content != '') {
			submit_content = encodeURIComponent(btoa(submit_content));
			newDate = new Date();
			milliCount = newDate.getTime();
			var windowprops = "location=no,scrollbars=yes,menubars=no,toolbars=no,resizable=no" + ",left=25,top=25,width=1050,height=775";
			var URL = "geniuxs_admin_sqltest.php?timestamp=" + milliCount + "&sqltest=" + submit_content;
			popup = window.open(URL,"TestSQL",windowprops);
		} else {
			alert('Please enter a SQL query to test');
		}
	}
	
	function checkMemory() {
		
		var tokenslimit = 4096; // Set this to the token limit of the AI
		
		$.ajax({
		    url: 'geniuxs_admin_create_ajax.php?action=checkmemory&aiid=<?php echo($aiid); ?>',
		    type: 'GET',
		    async: true,
		    success: function (data) {
		    	if (data.includes('/')) {
		    		var tokensused = data.split('/');
		    		var tokensdb = tokensused[0];
		    		var tokenstraining = tokensused[1];
		    		
		    		var tokensdbper = Math.ceil((tokensdb/tokenslimit)*100);
		    		var tokenstrainingper = Math.ceil((tokenstraining/tokenslimit)*100);
		    		var tokensavailper = 100-tokensdbper-tokenstrainingper;
		    		
		    		var tokensdbperlabel = '';
		    		if (tokensdbper > 10) {
		    			tokensdbperlabel = tokensdbper + '%';
		    		}
		    		
		    		var tokenstrainingperlabel = '';
		    		if (tokenstrainingper > 10) {
		    			tokenstrainingperlabel = tokenstrainingper + '%';
		    		}
		    		
		    		var tokensavailperlabel = '';
		    		if (tokensavailper > 10) {
		    			tokensavailperlabel = tokensavailper + '%';
		    		}
		    		
		    		var memorysummary = '';
		    		if (tokensavailper > 10) {
		    			memorysummary = '<h3><i class="far fa-check-circle"></i> Memory should be good</h3> <p>Your AI should have enough available memory to handle most user requests.';
		    		} else if (tokensavailper > 5) {
		    			memorysummary = '<h3><i class="fas fa-exclamation-triangle"></i> Memory usage is high</h3> <p>Your users may see "out of memory" errors if they make long or complex requests.';
		    		} else if (tokensavailper > 2) {
		    			memorysummary = '<h3><i class="fas fa-exclamation-circle"></i> Memory usage is very high</h3> <p>Your users will likely see "out of memory" errors unless their requests are short and simple.';
		    		} else {
		    			memorysummary = '<h3><i class="fas fa-exclamation-circle"></i> Memory usage is too high</h3> <p>Your users will probably see "out of memory" errors for many requests.';
		    		}
		    		
		    		document.getElementById('mainmemorydiv').innerHTML = 'Memory Usage<br><div class="progress" style="height:30px;">  <div class="progress-bar bg-primary" role="progressbar" style="width:' + tokensdbper + '%" aria-valuenow="' + tokensdbper + '" aria-valuemin="0" aria-valuemax="100">' + tokensdbperlabel + '</div>  <div class="progress-bar bg-warning" role="progressbar" style="width:' + tokenstrainingper + '%" aria-valuenow="' + tokenstrainingper + '" aria-valuemin="0" aria-valuemax="100">' + tokenstrainingperlabel + '</div>  <div class="progress-bar bg-success" role="progressbar" style="width:' + tokensavailper + '%" aria-valuenow="' + tokensavailper + '" aria-valuemin="0" aria-valuemax="100">' + tokensavailperlabel + '</div> </div>  	<ul class="list-group">  <li class="list-group-item">Tables/Columns & Descriptions: <b>' + tokensdbper + '%</b></li>  <li class="list-group-item">Training Data: <b>' + tokenstrainingper + '%</b></li>  <li class="list-group-item">Available Memory: <b>' + tokensavailper + '%</b></li> </ul> <p>' + memorysummary + '</p>';
		    		
		    	} else {
		    		alert('Memory usage error');
		    		return false;
		    	}
		    },
		    error: function () {
		    	alert('Could not check the AI memory usage');
		    },
		    cache: false,
		    contentType: false,
		    processData: false
		});
	
		return false;
	}
        
        
    </script>

    <?php
    
	$createailist = array();
	$createaihtml = array();
	
	$createailist[0] = '<a class="list-group-item list-group-item-action active" data-toggle="list" href="#message0" role="tab">1. Basic Info</a>';
	
	$createaihtml[0] = "<div class=\"tab-pane fade show active\" id=\"message0\" role=\"tabpanel\">

<div class=\"card\">
					<div class=\"card-header\">	
						<h5 class=\"card-title mb-0\">Step 1: Basic Info</h5>
					</div>
					<div class=\"card-body\">";
					
					if ($aiid > 0) {
						$createaihtml[0] .= "
						<div class=\"alert alert-primary\" role=\"alert\">
						<h4>Export Your AI</h4>
						<span>This feature allows you to add your AI to other LFM sites. Simply download your AI here, and then upload it on the \"AI Creator\" page of the other site. Note that all tables and columns used by your AI will need to be available on the other site for your AI to work properly.</span>
						<hr>
						<form action=\"geniuxs_admin_export.php?aiid=".$aiid."\" method=\"POST\">
						<input type=\"checkbox\" id=\"aicreatorbox\" name=\"aicreator\" value=\"1\">
						<lable for=\"aicreatorbox\">Show Creator Mode On The Other Sites</label>
						<br>
						<input type=\"submit\" value=\"Download AI File\">
						</form>
						</div>
						<hr>";
					} else {
						$createaihtml[0] .= "
						<div class=\"alert alert-primary\" role=\"alert\">
						<h4>Add or Update An AI</h4>
						<span>To install an AI created by another developer, simply upload a GeniuXs AI file below.</span>
						<hr>
						<form action=\"admin.php?f=geniuxsadmin&action=uploadai&createai=1\" method=\"POST\" enctype=\"multipart/form-data\">
						<input type=\"file\" name=\"importai\">
						<br>
						<input type=\"submit\" value=\"Upload AI File\">
						</form>
						</div>
						<hr>
						<h4>Create A New AI</h4>";
					}
						
						$createaihtml[0] .= "<form name=\"settingsform\" action=\"admin.php?f=geniuxsadmin&action=updatebasic&createai=1&aiid=".$aiid."\" method=\"POST\">
						
		<div class=\"form-group row\">
        	<label class=\"col-sm-2 col-form-label text-right\" for='ainame'><b>AI Name:</b></label>
        	<div class=\"col-sm-10\">
        		<input class='form-control' type='text' id='ainame' name='ainame' value=\"".htmlentities($ainame)."\">
        	</div>
        	</div>
        	
        	<div class=\"form-group row\">
        	<label class=\"col-sm-2 col-form-label text-right\" for='aidescr'><b>Description:</b></label>
        	<div class=\"col-sm-10\">
        		<textarea class='form-control' rows='4' id='aidescr' name='aidescr'>".htmlentities($aidata['descr'])."</textarea>
        	</div>
        	</div>
        	
        	<div class=\"form-group row\">
        	<label class=\"col-sm-2 col-form-label text-right\" for='userinfo'><b>User Info:</b></label>
        	<div class=\"col-sm-10\">
        		<textarea class='form-control' rows='4' id='userinfo' name='userinfo'>".htmlentities($aidata['userinfo'])."</textarea>
        	</div>
        	</div>
        	
        	<div class=\"row\">
        	<div class=\"col-sm-2\"></div>
        	<div class=\"col-sm-10\">
	        	<input class=\"btn btn-primary\" type=\"submit\" value=\"Save\">
	        </div>
	        </div>
						
						</form>
						
						<br><hr><br>
						
						<div id=\"mainmemorydiv\"></div>
					</div>
</div>
</div>";

if ($aiid > 0) {

	$createailist[1] = '<a class="list-group-item list-group-item-action" data-toggle="list" href="#message1" role="tab">2. Tables and Columns</a>';
	
	$createaihtml[1] = "<div class=\"tab-pane fade\" id=\"message1\" role=\"tabpanel\">

<div class=\"card\">
					<div class=\"card-header\">	
						<h5 class=\"card-title mb-0\">Step 2: Select Tables and Columns</h5>
					</div>
					<div class=\"card-body\" id=\"columnformdiv\">
						    
					</div>
</div>
</div>";

	$createailist[2] = '<a class="list-group-item list-group-item-action" data-toggle="list" href="#message2" role="tab">3. Descriptions</a>';
	
	$createaihtml[2] = "<div class=\"tab-pane fade\" id=\"message2\" role=\"tabpanel\">

<div class=\"card\">
					<div class=\"card-header\">	
						<h5 class=\"card-title mb-0\">Step 3: Table and Column Descriptions</h5>
					</div>
					<div class=\"card-body\" id=\"descriptionformdiv\">
						    
					</div>
</div>
</div>";
	
	$createailist[3] = '<a class="list-group-item list-group-item-action" data-toggle="list" href="#message3" role="tab">4. Relationships</a>';
	
	$createaihtml[3] = "<div class=\"tab-pane fade\" id=\"message3\" role=\"tabpanel\">

<div class=\"card\">
					<div class=\"card-header\">	
						<h5 class=\"card-title mb-0\">Step 4: Set Table Relationships</h5>
					</div>
					<div class=\"card-body\" id=\"relationshipdiv\">
						    
					</div>
</div>
</div>";
	
	$createailist[4] = '<a class="list-group-item list-group-item-action" data-toggle="list" href="#message4" role="tab">5. Training</a>';
	
	$createaihtml[4] = "<div class=\"tab-pane fade\" id=\"message4\" role=\"tabpanel\">

<div class=\"card\">
					<div class=\"card-header\">	
						<h5 class=\"card-title mb-0\">Step 5: Train Your AI</h5>
					</div>
					<div class=\"card-body\" id=\"trainingdiv\">
						    
					</div>
</div>
</div>";
    
} else {
	
	$createailist[1] = '<a class="list-group-item list-group-item-action disabled">2. Tables and Columns</a>';
	$createailist[2] = '<a class="list-group-item list-group-item-action disabled">3. Descriptions</a>';
	$createailist[3] = '<a class="list-group-item list-group-item-action disabled">4. Relationships</a>';
	$createailist[4] = '<a class="list-group-item list-group-item-action disabled">5. Training</a>';
}
    
    ?>

<div class="row">
	<div class="col-md-3 col-xl-2">
	
		<div class="card">
			<div class="card-header">
				<h5 class="card-title mb-0">Steps</h5>
			</div>

			<div class="list-group list-group-flush" role="tablist">
				<?php
				foreach ($createailist as $value) {
					echo($value);
				}
				?>
			</div>
		</div>
	</div>
	
	<div class="col-md-9 col-xl-10">
		<div class="tab-content">
			<?php
			foreach ($createaihtml as $value) {
				echo($value);
			}
			?>
		</div>
	</div>
</div>

<div class="position-fixed bottom-0 right-0 p-3" style="z-index: 5; right: 0; bottom: 0;">
  <div id="saveConfirmation" class="toast hide" role="alert" aria-live="assertive" aria-atomic="true" data-delay="10000" style="background-color:darkgreen; border-radius:10px;">
    <div class="toast-body text-light">
      <strong>Your changes have been saved</strong> <button type="button" class="btn btn-success btn-lg" onclick="backToTop()"><i class="fas fa-arrow-up"></i></button>
    </div>
  </div>
</div>

<div class="position-fixed bottom-0 right-0 p-3" style="z-index:7; right:0; bottom:0;">
  <button id="saveButton" type="button" class="btn btn-lg geniuxs_fade_button">Save Changes</button>
</div>

<script type="text/javascript">
<?php
if ($aiid > 0) {
?>
	loadSelectColumns();
	loadDescriptions();
	loadRelationships();
	loadTraining();
	checkMemory();
<?php
}
?>
</script>