<?php

/////////////////////////////////////////////////////////////////////////
//                                                                     //
// SalesGlance - Created by Josh Abbott                                //
// Not for resale.  Version included with the LFM script only.         //
//                                                                     //
/////////////////////////////////////////////////////////////////////////

require_once "../inc/filter.php";
require_once "../inc/funcs.php";
require_once "../inc/sql_funcs.php";

include "../inc/checkauth.php"; 

if(!isset($_SESSION["adminid"])) { exit; };

?>

<html>

<head>
<link href="lfm_admin_style.css" rel="stylesheet" type="text/css" />
<link href="styles.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../inc/qtip.js"></script>
<script type="text/javascript" src="../inc/jsfuncs.js"></script>
<script type="text/javascript" src="../inc/jquery.js"></script>
</head>

<style>
body {
  margin: 0;
  background-color: #FFFFFF;
}
</style>

<body>
<center>

<?

if (isset($_POST['Submit']) && $_POST['Submit'] == "Update Payment Types") {
	
	if (!isset($_POST["paytypes"]) || !is_array($_POST["paytypes"])) {
		$paytypes = "";
	} else {
		$paytypes = implode(",", $_POST["paytypes"]);
	}
	
	lfmsql_query("UPDATE `".$prefix."ipn_salesglance` SET value='".$paytypes."' WHERE field='paytypes'") or die(lfmsql_error());
	
	echo("<br><div class=\"lfm_title\">Updated Successfully</div><br>");
	echo "<script language=\"JavaScript\">";
	echo "window.opener.location.href = window.opener.location.href;";
	echo "</script>";
	echo "<input name=\"Button\" type=\"button\" id=\"Submit\" value=\"Close\" onClick=\"javascript:self.close();\" />";
	exit;	
}

####################

//Begin main page

####################

$paytypes = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."ipn_salesglance` WHERE field='paytypes'"), 0);

?>

	<br><div class="lfm_title">SalesGlance Payment Types</div>
	<br><div class="lfm_descr" style="text-align:left; margin:5px;">Choose which payment types you want to be calculated in the graph and table.</div>
	
	<form action="salesglance_paytypes.php" method="post">
	<table width="500" cellpadding="5" cellspacing="0" border="0">
	
	<tr><td>
	
	<?php
	
	if ($paytypes == "") {
		
		// All Packs Are Selected
		$getfields = lfmsql_query("SELECT name FROM `".$prefix."ipn_merchants` ORDER BY name ASC");
	     	for ($i = 0; $i < lfmsql_num_rows($getfields); $i++) {
     			$fieldname = lfmsql_result($getfields, $i, "name");
     			$fieldname = strtolower($fieldname);
     			$fieldname = str_replace('comms', 'commissions', $fieldname);
	     		echo('<input type="checkbox" name="paytypes[]" value="'.$fieldname.'" checked> <font size="2">'.$fieldname.'<br>');
	     	}
	     	
	} else {
		
		// List Selected Packs
		$getfields = lfmsql_query("SELECT name FROM `".$prefix."ipn_merchants` ORDER BY name ASC");
	     	for ($i = 0; $i < lfmsql_num_rows($getfields); $i++) {
     			$fieldname = lfmsql_result($getfields, $i, "name");
     			$fieldname = strtolower($fieldname);
     			$fieldname = str_replace('comms', 'commissions', $fieldname);
	     		echo('<input type="checkbox" name="paytypes[]" value="'.$fieldname.'"'); if(array_search($fieldname, explode(",", $paytypes)) !==false) { echo(" checked"); } echo('> <font size="2">'.$fieldname.'<br>');
	     	}
		// End List Selected Packs
		
	}
	?>
	
	</td></tr>
	
	<tr><td>
	<INPUT type="submit" name="Submit" value="Update Payment Types">
	</td></tr>
	
	</table>
	</form>

<br><br>

</center>
</body>
</html>

<?php
exit;
?>