<?php
// ////////////////////////////////////////////////////////////
// LFM v4.27
// Copyright 2006-2021 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "../inc/filter.php";

// Prevent anyone who isn't logged in from opening this page
if(!isset($_SESSION["adminid"])) { exit; };

// Get path for affiliate URL
$fullurl = "https://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'];
$fullurl = str_ireplace('www.', '', $fullurl);
$aff_path=substr($fullurl,0,strlen($fullurl)-15);

if (isset($_GET['genapi']) && is_numeric($_GET['genapi']) && $_GET['genapi'] > 0) {
	$randapikey = '';
	$keychars = "1234567890bcdfghjklmnpqrstvwxyz";
	for ($a = 0; $a <= 20; $a++) {
		$b = rand(0, strlen($keychars) - 1);
        	$randapikey .= $keychars[$b];
	}
	$qry="UPDATE ".$prefix."settings SET salesapikey='".$randapikey."'";
	lfmsql_query($qry) or die("<br><br>Error updating api key: ".lfmsql_error());
}

$generallinkclass = 'list-group-item list-group-item-action';
$generaltabclass = 'tab-pane fade';

$maillinkclass = 'list-group-item list-group-item-action';
$mailtabclass = 'tab-pane fade';

$securitylinkclass = 'list-group-item list-group-item-action';
$securitytabclass = 'tab-pane fade';

$menulinkclass = 'list-group-item list-group-item-action';
$menutabclass = 'tab-pane fade';

$memberlinkclass = 'list-group-item list-group-item-action';
$membertabclass = 'tab-pane fade';

$autoresponderlinkclass = 'list-group-item list-group-item-action';
$autorespondertabclass = 'tab-pane fade';

if ($_GET['formid'] == 'mail') {
	$maillinkclass = 'list-group-item list-group-item-action active';
	$mailtabclass = 'tab-pane fade show active';
	
	if ($_POST['savebtn'] == 'Save Settings') {
		$qry="UPDATE ".$prefix."settings SET replyaddress='".$_POST["replyaddress"]."', bounceaddress='".$_POST["bounceaddress"]."'";
		lfmsql_query($qry) or die("Error updating settings: ".lfmsql_error());
		$aqry="UPDATE ".$prefix."admin SET admin_name='".$_POST["admin_name"]."',email='".$_POST["admin_email"]."'";
		lfmsql_query($aqry) or die("Error updating admin settings: ".lfmsql_error());
	}
	
} elseif ($_GET['formid'] == 'mail2') {
	$maillinkclass = 'list-group-item list-group-item-action active';
	$mailtabclass = 'tab-pane fade show active';
	
	if ($_POST['savebtn'] == 'Save Settings') {
		$qry="UPDATE ".$prefix."settings SET smtp_server='".$_POST["smtp_server"]."', smtp_user='".$_POST["smtp_user"]."', smtp_pass='".$_POST["smtp_pass"]."'";
		lfmsql_query($qry) or die("Error updating settings: ".lfmsql_error());
	}
	
} elseif ($_GET['formid'] == 'security') {
	$securitylinkclass = 'list-group-item list-group-item-action active';
	$securitytabclass = 'tab-pane fade show active';
	
	if ($_POST['savebtn'] == 'Save Settings') {
		
		if (!isset($_POST["max_fail_name"]) || !is_numeric($_POST["max_fail_name"]) || $_POST["max_fail_name"] < 0) {
			$_POST["max_fail_name"] = 0;
		}
		
		if (!isset($_POST["max_fail_ip"]) || !is_numeric($_POST["max_fail_ip"]) || $_POST["max_fail_ip"] < 0) {
			$_POST["max_fail_ip"] = 0;
		}
		
		if (!isset($_POST["max_ipperacc"]) || !is_numeric($_POST["max_ipperacc"]) || $_POST["max_ipperacc"] < 0) {
			$_POST["max_ipperacc"] = 0;
		}
		
		if (!isset($_POST["max_accperip"]) || !is_numeric($_POST["max_accperip"]) || $_POST["max_accperip"] < 0) {
			$_POST["max_accperip"] = 0;
		}
		
		$qry="UPDATE ".$prefix."settings SET max_fail_name='".$_POST["max_fail_name"]."', max_fail_ip='".$_POST["max_fail_ip"]."', max_ipperacc='".$_POST["max_ipperacc"]."', max_accperip='".$_POST["max_accperip"]."'";
		lfmsql_query($qry) or die("Error updating settings: ".lfmsql_error());
	}
	
} elseif ($_GET['formid'] == 'security2') {
	$securitylinkclass = 'list-group-item list-group-item-action active';
	$securitytabclass = 'tab-pane fade show active';
	
	if ($_POST['savebtn'] == 'Save Settings') {
		
		if(isset($_POST["fileprot"])){ $fileprot=$_POST["fileprot"]; } else { $fileprot=0; }
		
	        // Enable file protection
	        if($fileprot==1)
	        {
	            if ( ! isset($_SERVER['DOCUMENT_ROOT'] ) )
	              $_SERVER['DOCUMENT_ROOT'] = str_replace( '\\', '/', substr(
	            $_SERVER['SCRIPT_FILENAME'], 0, 0-strlen($_SERVER['PHP_SELF']) ) );
	        
	            $serverpath=$_SERVER["DOCUMENT_ROOT"];
	            $filelibpath=trim($_POST["filelibpath"]);
	            
	            $protfile=$serverpath.$filelibpath.".htaccess";
	            if(!$fp=fopen($protfile,"w"))
	            {
	                $msg="Error: Unable to create .htaccess ($protfile)!";
	            }
	            else
	            {
	                // Get our local variables
	                $fullurl = "https://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'];
	                $admin_path=substr($fullurl,0,strrpos($fullurl, "/"));
	                $root_path=substr($admin_path,0,strrpos($admin_path, "/"));
	                $loginurl=$root_path."/login.php";
	
	                $htaccess="RewriteEngine on\n";
	                $htaccess.="RewriteCond %{HTTP_COOKIE} !(lfmpr3s5gy) [NC]\n";
	                $htaccess.="RewriteRule ^(.*)$ $loginurl [R,L]\n";
        	        fwrite($fp,$htaccess);
	            }
	        }
		
		$qry="UPDATE ".$prefix."settings SET filelibpath='".$_POST["filelibpath"]."', fileprot=$fileprot";
		lfmsql_query($qry) or die("Error updating settings: ".lfmsql_error());
	}
	
} elseif ($_GET['formid'] == 'menusettings') {
	$menulinkclass = 'list-group-item list-group-item-action active';
	$menutabclass = 'tab-pane fade show active';
	
	if ($_POST['savebtn'] == 'Save Settings') {
		
		if(isset($_POST["enablemenu_home"])){ $enablemenu_home=$_POST["enablemenu_home"]; } else { $enablemenu_home=0; }
		if(isset($_POST["enablemenu_ref"])){ $enablemenu_ref=$_POST["enablemenu_ref"]; } else { $enablemenu_ref=0; }
		if(isset($_POST["enablemenu_profile"])){ $enablemenu_profile=$_POST["enablemenu_profile"]; } else { $enablemenu_profile=0; }
		if(isset($_POST["enablemenu_promote"])){ $enablemenu_promote=$_POST["enablemenu_promote"]; } else { $enablemenu_promote=0; }
		if(isset($_POST["enablemenu_makemoney"])){ $enablemenu_makemoney=$_POST["enablemenu_makemoney"]; } else { $enablemenu_makemoney=0; }
		if(isset($_POST["enablemenu_downloads"])){ $enablemenu_downloads=$_POST["enablemenu_downloads"]; } else { $enablemenu_downloads=0; }
		if(isset($_POST["enablemenu_dlb"])){ $enablemenu_dlb=$_POST["enablemenu_dlb"]; } else { $enablemenu_dlb=0; }
		if(isset($_POST["enablemenu_upgrade"])){ $enablemenu_upgrade=$_POST["enablemenu_upgrade"]; } else { $enablemenu_upgrade=0; }
		if(isset($_POST["enablemenu_forum"])){ $enablemenu_forum=$_POST["enablemenu_forum"]; } else { $enablemenu_forum=0; }
		if(isset($_POST["enablemenu_logout"])){ $enablemenu_logout=$_POST["enablemenu_logout"]; } else { $enablemenu_logout=0; }
		
		$qry="UPDATE ".$prefix."settings SET enablemenu_home=$enablemenu_home,enablemenu_ref=$enablemenu_ref,enablemenu_profile=$enablemenu_profile,enablemenu_promote=$enablemenu_promote,
        enablemenu_makemoney=$enablemenu_makemoney,enablemenu_downloads=$enablemenu_downloads,enablemenu_dlb=$enablemenu_dlb,enablemenu_upgrade=$enablemenu_upgrade,
        enablemenu_forum=$enablemenu_forum,enablemenu_logout=$enablemenu_logout,
		menutext_home='".$_POST["menutext_home"]."',
		menutext_ref='".$_POST["menutext_ref"]."',
		menutext_profile='".$_POST["menutext_profile"]."',
		menutext_promote='".$_POST["menutext_promote"]."',
		menutext_makemoney='".$_POST["menutext_makemoney"]."',
		menutext_downloads='".$_POST["menutext_downloads"]."',
		menutext_dlb='".$_POST["menutext_dlb"]."',
		menutext_upgrade='".$_POST["menutext_upgrade"]."',
		menutext_forum='".$_POST["menutext_forum"]."',
		menutext_logout='".$_POST["menutext_logout"]."'";
		lfmsql_query($qry) or die("Error updating settings: ".lfmsql_error());
	}
	
} elseif ($_GET['formid'] == 'member') {
	$memberlinkclass = 'list-group-item list-group-item-action active';
	$membertabclass = 'tab-pane fade show active';
	
	if ($_POST['savebtn'] == 'Save Settings') {
		
		if(isset($_POST["verifyemail"])){ $verifyemail=$_POST["verifyemail"]; } else { $verifyemail=0; }
		if(isset($_POST["notifysale"])){ $notifysale=$_POST["notifysale"]; } else { $notifysale=0; }
		if(isset($_POST["notifydownline"])){ $notifydownline=$_POST["notifydownline"]; } else { $notifydownline=0; }
		if(isset($_POST["firstcookie"])){ $firstcookie=$_POST["firstcookie"]; } else { $firstcookie=0; }
		if(isset($_POST["bannerurls"])){ $bannerurls=$_POST["bannerurls"]; } else { $bannerurls=0; }
		if(isset($_POST["flow"])){ $flow=$_POST["flow"]; } else { $flow=0; }
		
		if (!isset($_POST["delsusp"]) || !is_numeric($_POST["delsusp"]) || $_POST["delsusp"] < 0) {
			$_POST["delsusp"] = 0;
		}
		
		if(isset($_POST["captcha"])){ $captcha=$_POST["captcha"]; } else { $captcha=0; }
		if(isset($_POST["nodelpaid"])){ $nodelpaid=$_POST["nodelpaid"]; } else { $nodelpaid=0; }
		if(isset($_POST["reqrever"])){ $reqrever=1; } else { $reqrever=0; }
		
		if (isset($_POST['autopermdel']) && is_numeric($_POST['autopermdel']) && $_POST['autopermdel'] >= 0) {
        		$autopermdel = $_POST['autopermdel'];
	        } else {
        		$autopermdel = -1;
	        }
        	if ($autopermdel == 1 && is_numeric($_POST['autopermdeldays']) && $_POST['autopermdeldays'] > 0) {
        		$autopermdel = $_POST['autopermdeldays'];
	        }
        	
	        if(isset($_POST["showloginlog"])){ $showloginlog=1; } else { $showloginlog=0; }
		
		$qry="UPDATE ".$prefix."settings SET firstcookie=$firstcookie, bannerurls=$bannerurls, flow=$flow, verifyemail=$verifyemail, notifysale=$notifysale, notifydownline=$notifydownline, delsusp='".$_POST["delsusp"]."', nodelpaid='".$nodelpaid."', captcha='".$captcha."', unveridel='".$_POST['unveridel']."', unverirem='".$_POST['unverirem']."', reqrever='".$reqrever."', autopermdel='".$autopermdel."', showloginlog='".$showloginlog."', min_comm='".$_POST["min_comm"]."'";
		lfmsql_query($qry) or die("Error updating settings: ".lfmsql_error());
	}
	
} elseif ($_GET['formid'] == 'autoresponder') {
	$autoresponderlinkclass = 'list-group-item list-group-item-action active';
	$autorespondertabclass = 'tab-pane fade show active';
	
	if ($_POST['savebtn'] == 'Save Settings') {
		
		if (!isset($_POST["m_spon_did"]) || !is_numeric($_POST["m_spon_did"]) || $_POST["m_spon_did"] < 0) {
			$_POST["m_spon_did"] = 0;
		}
		
		$qry="UPDATE ".$prefix."settings SET auto_email='".$_POST["auto_email"]."', a_meta_web_id='".$_POST["a_meta_web_id"]."', a_unit='".$_POST["a_unit"]."', a_req_fields='".$_POST["a_req_fields"]."', autoresponder=".$_POST["autoresp"].", arp_email='".$_POST["arp_email"]."', gvo_affiliate_name='".$_POST["gvo_affiliate_name"]."', gvo_campaign='".$_POST["gvo_campaign"]."', gvo_form_id='".$_POST["gvo_form_id"]."', m_spon_did='".$_POST["m_spon_did"]."'";
		lfmsql_query($qry) or die("Error updating settings: ".lfmsql_error());
	}
	
} else {
	$generallinkclass = 'list-group-item list-group-item-action active';
	$generaltabclass = 'tab-pane fade show active';
	
	if ($_POST['savebtn'] == 'Save Settings') {
		
		if(isset($_POST["indextheme"])){ $indextheme=$_POST["indextheme"]; } else { $indextheme=0; }
		if(isset($_POST["jshttps"])){ $jshttps=$_POST["jshttps"]; } else { $jshttps=0; }
		if(isset($_POST["loginrequest"])){ $loginrequest=$_POST["loginrequest"]; } else { $loginrequest=0; }
		$splittest=$_POST["splittest"];
		
		$qry="UPDATE ".$prefix."settings SET sitename='".$_POST["sitename"]."', sitedesc='".$_POST["sitedesc"]."', meta_description='".$_POST["meta_description"]."', meta_keywords='".$_POST["meta_keywords"]."', affurl='".$_POST["affurl"]."', splittest=$splittest, indextheme='".$indextheme."', jshttps='".$jshttps."', loginrequest='".$loginrequest."', salesapikey='".$_POST["salesapikey"]."'";
		lfmsql_query($qry) or die("Error updating settings: ".lfmsql_error());
	}
	
}

$res=@lfmsql_query("SELECT * FROM ".$prefix."settings");
$row=@lfmsql_fetch_array($res);

$ares=@lfmsql_query("SELECT * FROM ".$prefix."admin");
$arow=@lfmsql_fetch_array($ares);

if ($row["autopermdel"] > 0) {
	$autopermdeldays = $row["autopermdel"];
} else {
	$autopermdeldays = "";
}

?>


<div class="row">
	<div class="col-md-3 col-xl-2">
	
		<div class="card">
			<div class="card-header">
				<h5 class="card-title mb-0">Settings</h5>
			</div>

			<div class="list-group list-group-flush" role="tablist">
				<a class="<?php echo($generallinkclass); ?>" data-toggle="list" href="#generalsettings" role="tab">General</a>
				<a class="<?php echo($maillinkclass); ?>" data-toggle="list" href="#mailsettings" role="tab">Mail</a>
				<a class="<?php echo($securitylinkclass); ?>" data-toggle="list" href="#securitysettings" role="tab">Security</a>
				<a class="<?php echo($menulinkclass); ?>" data-toggle="list" href="#menusettings" role="tab">Member Menu</a>
				<a class="<?php echo($memberlinkclass); ?>" data-toggle="list" href="#membersettings" role="tab">Members</a>
				<a class="<?php echo($autoresponderlinkclass); ?>" data-toggle="list" href="#autorespondersettings" role="tab">Autoresponders</a>
			</div>
		</div>
	</div>
	
	<div class="col-md-9 col-xl-10">
		<div class="tab-content">
			
			<!-- General Settings Tab -->
			
			<div class="<?php echo($generaltabclass); ?>" id="generalsettings" role="tabpanel">	
			
				<div class="card">
					<div class="card-header">	
						<h5 class="card-title mb-0">General Settings</h5>
					</div>
					<div class="card-body">
						<form action="admin.php?f=ss&formid=general" method="post">
							
							<div class="form-group">
								<label for="sitename">Sitename <a href="#" title="This is the name of your site that will appear in the title of the web browser."><i class="fas fa-question-circle"></i></a></label>
								<input name="sitename" type="text" id="sitename" class="form-control" placeholder="Sitename" value="<?=$row["sitename"];?>">
							</div>
							
							<div class="form-group">
								<label for="affurl">Site URL <a href="#" title="The URL that your affiliates will use to refer new members."><i class="fas fa-question-circle"></i></a></label>
								<input name="affurl" type="text" id="affurl" class="form-control" placeholder="Site URL" value="<?=$row["affurl"];?>">
								<small>eg. <?=$aff_path;?></small>
							</div>
							
							<div class="form-group">
								<label for="sitedesc">Site Description <a href="#" title="This is the subtitle, slogan etc of your site that appears on some themes."><i class="fas fa-question-circle"></i></a></label>
								<input name="sitedesc" type="text" id="sitedesc" class="form-control" placeholder="Site Description" value="<?=$row["sitedesc"];?>">
							</div>
							
							<div class="form-group">
								<label for="meta_description">Meta Description <a href="#" title="This is the description of your site that some search engines will use."><i class="fas fa-question-circle"></i></a></label>
								<input name="meta_description" type="text" id="meta_description" class="form-control" placeholder="Meta Description" value="<?=$row["meta_description"];?>">
							</div>
							
							<div class="form-group">
								<label for="meta_keywords">Meta Keywords <a href="#" title="The keywords for your site that some search engines will use."><i class="fas fa-question-circle"></i></a></label>
								<input name="meta_keywords" type="text" id="meta_keywords" class="form-control" placeholder="Meta Keywords" value="<?=$row["meta_keywords"];?>">
							</div>
							
							<div class="form-check">
								<input name="indextheme" type="checkbox" id="indextheme" class="form-check-input" value="1"<?php if($row["indextheme"] > 0) { echo' checked'; } ?>>
								<label class="form-check-label" for="indextheme">Use Theme On Sales Page <a href="#" title="If this box is checked then the header and footer of the selected theme will be automatically added to your sales page template."><i class="fas fa-question-circle"></i></a></label>
							</div>
							
							<div class="form-check">
								<input name="jshttps" type="checkbox" id="jshttps" class="form-check-input" value="1"<?php if($row["jshttps"] == 1) { echo' checked'; } ?>>
								<label class="form-check-label" for="jshttps">Redirect To HTTPS <a href="#" title="Uses JavaScript to force a secure connection. Uncheck this if your host does not support HTTPS or if you are using a server-side HTTPS redirect."><i class="fas fa-question-circle"></i></a></label>
							</div>
							
							<div class="form-check">
								<input name="loginrequest" type="checkbox" id="loginrequest" class="form-check-input" value="1"<?php if($row["loginrequest"] == 1) { echo' checked'; } ?>>
								<label class="form-check-label" for="loginrequest">Allow Login Redirects <a href="#" title="If someone tries to visit a members-only page while not logged in, this will take them directly to that page after they login, skipping any login offers."><i class="fas fa-question-circle"></i></a></label>
							</div>
							
							<div style="margin-top:20px; margin-bottom:20px;" class="form-group">
								Split test 
							          <select name="splittest" class="formfield" id="splittest">
							            <option value="1"<?php if($row["splittest"] == 1) { ?> selected="selected"<?php } ?>>1</option>
							            <option value="2"<?php if($row["splittest"] == 2) { ?> selected="selected"<?php } ?>>2</option>
							            <option value="3"<?php if($row["splittest"] == 3) { ?> selected="selected"<?php } ?>>3</option>
							          </select>
							        sales page(s) <a href="#" title="Allows you to split test multiple sales page templates.  Set to 1 if you don't wish to use this feature."><i class="fas fa-question-circle"></i></a>
							</div>
							
							<div class="form-group">
								<label for="salesapikey">Sales API Key <a href="#" title="A key that allows external software, such as accounting software, to access your sales data.  Leave this field blank if you are not using this feature."><i class="fas fa-question-circle"></i></a></label>
								<input name="salesapikey" type="text" id="salesapikey" class="form-control" placeholder="Not Active" value="<?=$row["salesapikey"];?>">
								<a href="admin.php?f=ss&genapi=1"><small>Generate Random Key</small></a>
							</div>
							
							<button type="submit" name="savebtn" value="Save Settings" class="btn btn-primary">Save Settings</button>
						</form>
						
					</div>
				</div>
				
				<p class="text-center"><a target="_blank" href="view_phpinfo.php"><small><b>View Advanced Server/PHP Info</b></small></a></p>

			</div>
			
			<!-- Mail Settings Tab -->
			
			<div class="<?php echo($mailtabclass); ?>" id="mailsettings" role="tabpanel">	
			
				<div class="card">
					<div class="card-header">	
						<h5 class="card-title mb-0">Mail Settings</h5>
					</div>
					<div class="card-body">
						<form action="admin.php?f=ss&formid=mail" method="post">
							
							<div class="form-group">
								<label for="admin_name">Admin Name <a href="#" title="The administrator's real name (e.g. John Citizen)."><i class="fas fa-question-circle"></i></a></label>
								<input name="admin_name" type="text" id="admin_name" class="form-control" placeholder="Admin Name" value="<?=$arow["admin_name"];?>">
							</div>
							
							<div class="form-group">
								<label for="admin_email">Admin Email <a href="#" title="The administrator email address. Payment notifications and other alerts will be sent to this address."><i class="fas fa-question-circle"></i></a></label>
								<input name="admin_email" type="text" id="admin_email" class="form-control" placeholder="Admin Email" value="<?=$arow["email"];?>">
							</div>
							
							<div class="form-group">
								<label for="replyaddress">Mail 'From' Address <a href="#" title="The reply-to address that will appear on emails sent to members from your site."><i class="fas fa-question-circle"></i></a></label>
								<input name="replyaddress" type="text" id="replyaddress" class="form-control" placeholder="From Address" value="<?=$row["replyaddress"];?>">
							</div>
							
							<div class="form-group">
								<label for="bounceaddress">Bounce Notification Address <a href="#" title="Bounce notifications will be sent to this address."><i class="fas fa-question-circle"></i></a></label>
								<input name="bounceaddress" type="text" id="bounceaddress" class="form-control" placeholder="Bounce Notification Address" value="<?=$row["bounceaddress"];?>">
							</div>
							
							<button type="submit" name="savebtn" value="Save Settings" class="btn btn-primary">Save Settings</button>
						</form>
						
					</div>
				</div>
				
				<div class="card">
					<div class="card-header">	
						<h5 class="card-title mb-0">External Mail Server</h5>
					</div>
					<div class="card-body">
					
					<div class="alert alert-danger" role="alert">
						You should only change these settings if you've been instructed to do so by your hosting provider, or you've configured your own SMTP server. Otherwise, SMTP Server should always be set to localhost.
					</div>
					
						<form action="admin.php?f=ss&formid=mail2" method="post">
							
							<div class="form-group">
								<label for="smtp_server">SMTP Server <a href="#" title="The location of your SMTP (outgoing) mail server.  The default is: localhost"><i class="fas fa-question-circle"></i></a></label>
								<input name="smtp_server" type="text" id="smtp_server" class="form-control" placeholder="SMTP Server" value="<?=$row["smtp_server"];?>">
							</div>
							
							<div class="form-group">
								<label for="smtp_user">SMTP Username <a href="#" title="The username of your SMTP mail server, if required."><i class="fas fa-question-circle"></i></a></label>
								<input name="smtp_user" type="text" id="smtp_user" class="form-control" placeholder="SMTP Username" value="<?=$row["smtp_user"];?>">
							</div>
							
							<div class="form-group">
								<label for="smtp_pass">SMTP Password <a href="#" title="The password of your SMTP mail server, if required."><i class="fas fa-question-circle"></i></a></label>
								<input name="smtp_pass" type="text" id="smtp_pass" class="form-control" placeholder="SMTP Password" value="<?=$row["smtp_pass"];?>">
							</div>
							
							<button type="submit" name="savebtn" value="Save Settings" class="btn btn-primary">Save Settings</button>
						</form>
						
					</div>
				</div>

			</div>
			
			<!-- Security Settings Tab -->
			
			<div class="<?php echo($securitytabclass); ?>" id="securitysettings" role="tabpanel">	
			
				<div class="card">
					<div class="card-header">	
						<h5 class="card-title mb-0">Security Settings</h5>
					</div>
					<div class="card-body">
						<form action="admin.php?f=ss&formid=security" method="post">
							
							<div class="form-group">
								<label for="max_fail_name">Max Invalid Logins Per Account <a href="#" title="An account will be temporarily locked after this number of login attempts using an invalid password."><i class="fas fa-question-circle"></i></a></label>
								<input name="max_fail_name" type="text" id="max_fail_name" class="form-control" placeholder="Max Invalid Logins Per Account" value="<?=$row["max_fail_name"];?>">
							</div>
							
							<div class="form-group">
								<label for="max_fail_ip">Max Invalid Logins Per IP <a href="#" title="An IP Address will be temporarily blocked after this number of login attempts using an invalid username or password."><i class="fas fa-question-circle"></i></a></label>
								<input name="max_fail_ip" type="text" id="max_fail_ip" class="form-control" placeholder="Max Invalid Logins Per IP" value="<?=$row["max_fail_ip"];?>">
							</div>
							
							<div class="form-group">
								<label for="max_ipperacc">Max IP Addresses Per Account <a href="#" title="The number of different IP Addresses that can log into one account within 24 hours."><i class="fas fa-question-circle"></i></a></label>
								<input name="max_ipperacc" type="text" id="max_ipperacc" class="form-control" placeholder="Max IP Addresses Per Account" value="<?=$row["max_ipperacc"];?>">
							</div>
							
							<div class="form-group">
								<label for="max_accperip">Max Accounts Per IP Address <a href="#" title="The number of different accounts that one IP Address can log into within 24 hours."><i class="fas fa-question-circle"></i></a></label>
								<input name="max_accperip" type="text" id="max_accperip" class="form-control" placeholder="Max Accounts Per IP Address" value="<?=$row["max_accperip"];?>">
							</div>
							
							<button type="submit" name="savebtn" value="Save Settings" class="btn btn-primary">Save Settings</button>
						</form>
						
					</div>
				</div>
				
				
				<div class="card">
					<div class="card-header">	
						<h5 class="card-title mb-0">File Library</h5>
					</div>
					<div class="card-body">
						<form action="admin.php?f=ss&formid=security2" method="post">
							
							<div class="form-check">
								<input name="fileprot" type="checkbox" id="fileprot" class="form-check-input" value="1"<?php if($row["fileprot"] == 1) { echo' checked'; } ?>>
								<label class="form-check-label" for="fileprot">Enable File Protection <a href="#" title="Enable .htaccess file protection"><i class="fas fa-question-circle"></i></a></label>
							</div>
							
							<div class="form-group" style="margin-top:20px;">
								<label for="filelibpath">File Library Folder <a href="#" title="This is the folder where additions to the 'File Library' will be stored."><i class="fas fa-question-circle"></i></a></label>
								<input name="filelibpath" type="text" id="filelibpath" class="form-control" placeholder="File Library Folder" value="<?=$row["filelibpath"];?>">
								<small>eg. /myfiles1q33e/</small>
							</div>
							
							<button type="submit" name="savebtn" value="Save Settings" class="btn btn-primary">Save Settings</button>
						</form>
						
					</div>
				</div>

			</div>
			
			<!-- Members Menu Tab -->
			
			<div class="<?php echo($menutabclass); ?>" id="menusettings" role="tabpanel">	
			
				<div class="card">
					<div class="card-header">	
						<h5 class="card-title mb-0">Members Area Menu Settings</h5>
					</div>
					<div class="card-body">
						<form action="admin.php?f=ss&formid=menusettings" method="post">
							<p>You can enable or disable each of the options on the member area menu by checking or unchecking the boxes below.</p>
							
	<table border="0" cellpadding="4">
            <tr>
              <td><strong>Page</strong></td>
              <td align="center">enabled</td>
              <td>Title</td></tr>
            <tr>
             <tr>
              <td><strong>Home</strong></td>
              <td align="center"><input name="enablemenu_home" type="checkbox" id="enablemenu_home" value="1" <?php if(get_setting("enablemenu_home") == "1") { ?> checked="checked"<?php } ?>></td>
              <td><input name="menutext_home" type="text"  value="<?=get_setting("menutext_home"); ?>"  /></td></tr>
            <tr>
              <td><strong>Downloads</strong></td>
              <td align="center"><input name="enablemenu_downloads" type="checkbox" id="enablemenu_downloads" value="1" <?php if(get_setting("enablemenu_downloads") == "1") { ?> checked="checked"<?php } ?>></td>
              <td><input name="menutext_downloads" type="text"  value="<?=get_setting("menutext_downloads"); ?>"  /></td>
            </tr>
            <tr>
              <td><strong>Referrals</strong></td>
              <td align="center"><input name="enablemenu_ref" type="checkbox" id="enablemenu_ref" value="1" <?php if(get_setting("enablemenu_ref") == "1") { ?> checked="checked"<?php } ?>></td>
              <td><input name="menutext_ref" type="text"  value="<?=get_setting("menutext_ref"); ?>"  /></td></tr>
            <tr>
              <td><strong>Downline Builder</strong></td>
              <td align="center"><input name="enablemenu_dlb" type="checkbox" id="enablemenu_dlb" value="1" <?php if(get_setting("enablemenu_dlb") == "1") { ?> checked="checked"<?php } ?>></td>
              <td><input name="menutext_dlb" type="text"  value="<?=get_setting("menutext_dlb"); ?>"  /></td>
            </tr>
            <tr>
              <td><strong>Profile</strong></td>
              <td align="center"><input name="enablemenu_profile" type="checkbox" id="enablemenu_profile" value="1" <?php if(get_setting("enablemenu_profile") == "1") { ?> checked="checked"<?php } ?>></td>
              <td><input name="menutext_profile" type="text"  value="<?=get_setting("menutext_profile"); ?>"  /></td></tr>
            <tr>
              <td><strong>Upgrade</strong></td>
              <td align="center"><input name="enablemenu_upgrade" type="checkbox" id="enablemenu_upgrade" value="1" <?php if(get_setting("enablemenu_upgrade") == "1") { ?> checked="checked"<?php } ?>></td>
              <td><input name="menutext_upgrade" type="text"  value="<?=get_setting("menutext_upgrade"); ?>"  /></td>
            </tr>
            <tr>
              <td><strong>Affiliate Toolbox</strong></td>
              <td align="center"><input name="enablemenu_promote" type="checkbox" id="enablemenu_promote" value="1" <?php if(get_setting("enablemenu_promote") == "1") { ?> checked="checked"<?php } ?>></td>
              <td><input name="menutext_promote" type="text"  value="<?=get_setting("menutext_promote"); ?>"  /></td></tr>
            <tr>
              <td><strong>Forum</strong></td>
              <td align="center"><input name="enablemenu_forum" type="checkbox" id="enablemenu_forum" value="1" <?php if(get_setting("enablemenu_forum") == "1") { ?> checked="checked"<?php } ?>></td>
              <td><input name="menutext_forum" type="text"  value="<?=get_setting("menutext_forum"); ?>"  /></td>
            </tr>
            <tr>
              <td><strong>Commissions</strong></td>
              <td align="center"><input name="enablemenu_makemoney" type="checkbox" id="enablemenu_makemoney" value="1" <?php if(get_setting("enablemenu_makemoney") == "1") { ?> checked="checked"<?php } ?>></td>
              <td><input name="menutext_makemoney" type="text"  value="<?=get_setting("menutext_makemoney"); ?>"  /></td></tr>
            <tr>
              <td><strong>Logout</strong></td>
              <td align="center"><input name="enablemenu_logout" type="checkbox" id="enablemenu_logout" value="1" <?php if(get_setting("enablemenu_logout") == "1") { ?> checked="checked"<?php } ?>></td>
              <td><input name="menutext_logout" type="text"  value="<?=get_setting("menutext_logout"); ?>"  /></td>
            </tr>
          </table>
							
							<button type="submit" name="savebtn" value="Save Settings" class="btn btn-primary">Save Settings</button>
						</form>
						
					</div>
				</div>

			</div>
			
			<!-- Member Settings Tab -->
			
			<div class="<?php echo($membertabclass); ?>" id="membersettings" role="tabpanel">	
			
				<div class="card">
					<div class="card-header">	
						<h5 class="card-title mb-0">Member Settings</h5>
					</div>
					<div class="card-body">
						<form action="admin.php?f=ss&formid=member" method="post">
							
							<div class="form-check">
								<input name="captcha" type="checkbox" id="captcha" class="form-check-input" value="1"<?php if($row["captcha"] > 0) { echo' checked'; } ?>>
								<label class="form-check-label" for="captcha">Require Captcha On Signup <a href="#" title="If this box is checked then a captcha field will be added to your signup page."><i class="fas fa-question-circle"></i></a></label>
							</div>
							
							<div class="form-check">
								<input name="verifyemail" type="checkbox" id="verifyemail" class="form-check-input" value="1"<?php if($row["verifyemail"] == 1) { echo' checked'; } ?>>
								<label class="form-check-label" for="verifyemail">Require Email Verification <a href="#" title="If checked, then new members must click the verification link in their e-mail before they can login."><i class="fas fa-question-circle"></i></a></label>
							</div>
							
							<div class="form-check">
								<input name="reqrever" type="checkbox" id="reqrever" class="form-check-input" value="1"<?php if($row["reqrever"] == 1) { echo' checked'; } ?>>
								<label class="form-check-label" for="reqrever">Require Email Re-Verification <a href="#" title="If checked, then members must click a new verification link if they change their email."><i class="fas fa-question-circle"></i></a></label>
							</div>
							
							<div class="form-check">
								<input name="showloginlog" type="checkbox" id="showloginlog" class="form-check-input" value="1"<?php if($row["showloginlog"] == 1) { echo' checked'; } ?>>
								<label class="form-check-label" for="showloginlog">Show Login History <a href="#" title="If checked, then members can view their account login history on their Profile page."><i class="fas fa-question-circle"></i></a></label>
							</div>
							
							<div class="form-check">
								<input name="notifysale" type="checkbox" id="notifysale" class="form-check-input" value="1"<?php if($row["notifysale"] == 1) { echo' checked'; } ?>>
								<label class="form-check-label" for="notifysale">Send Sale Notifications <a href="#" title="If checked, affiliates will receive an e-mail when one of their referrals makes a purchase."><i class="fas fa-question-circle"></i></a></label>
							</div>
							
							<div class="form-check">
								<input name="notifydownline" type="checkbox" id="notifydownline" class="form-check-input" value="1"<?php if($row["notifydownline"] == 1) { echo' checked'; } ?>>
								<label class="form-check-label" for="notifydownline">Send Downline Notifications <a href="#" title="If checked, affiliates will receive an e-mail when they refer a new member."><i class="fas fa-question-circle"></i></a></label>
							</div>
							
							<div class="form-check">
								<input name="firstcookie" type="checkbox" id="firstcookie" class="form-check-input" value="1"<?php if($row["firstcookie"] == 1) { echo' checked'; } ?>>
								<label class="form-check-label" for="firstcookie">First Cookie Gets Sale <a href="#" title="If this box is checked and there is an LFM cookie in the browser, the cookie will OVERRIDE the referrer ID on the end of the affiliate URL. If the box is unchecked, then the referral ID on the end of the URL will override any cookies that were previously set."><i class="fas fa-question-circle"></i></a></label>
							</div>
							
							<div class="form-check">
								<input name="bannerurls" type="checkbox" id="bannerurls" class="form-check-input" value="1"<?php if($row["bannerurls"] == 1) { echo' checked'; } ?>>
								<label class="form-check-label" for="bannerurls">Provide Banner URLs <a href="#" title="Check this box to have URLs displayed with your banners and images in the members promo area. This will mean that they will use the images (and bandwidth) from your site."><i class="fas fa-question-circle"></i></a></label>
							</div>
							
							<div class="form-check">
								<input name="flow" type="checkbox" id="flow" class="form-check-input" value="1"<?php if($row["flow"] == 1) { echo' checked'; } ?>>
								<label class="form-check-label" for="flow">Member Levels Flow Through <a href="#" title="If this box is checked, members on a higher level will automatically be given access to content pages for lower levels. For example, if you had Free, Silver and Gold levels the Silver level would have access to Free content pages and the Gold level would have access to Silver and Free content pages. See the notes in the Member Levels area about setting 'ranks'"><i class="fas fa-question-circle"></i></a></label>
							</div>
							
							<div style="margin-top:20px;" class="form-group">
								<label for="min_comm">Minimum Comm. Payment <a href="#" title="This is the minimum commission required for affiliates to be paid when generating a payment file. Affiliates who have earned less than this amount will not be paid."><i class="fas fa-question-circle"></i></a></label>
								<input name="min_comm" type="text" id="min_comm" class="form-control" placeholder="Min Payment" value="<?=$row["min_comm"];?>">
							</div>
							
							<div class="form-group">
								<label for="unverirem">Remind Unverified Members <a href="#" title="The number of days before an unverified member is sent a verification reminder e-mail.  Set to 0 to disable verification reminders."><i class="fas fa-question-circle"></i></a></label>
								<input name="unverirem" type="text" id="unverirem" class="form-control" placeholder="Remind Unverified Members" value="<?=$row["unverirem"];?>">
							</div>
							
							<div class="form-group">
								<label for="unveridel">Delete Unverified Members <a href="#" title="The number of days before an unverified account is deleted.  Set to 0 to never delete unverified members."><i class="fas fa-question-circle"></i></a></label>
								<input name="unveridel" type="text" id="unveridel" class="form-control" placeholder="Delete Unverified Members" value="<?=$row["unveridel"];?>">
							</div>
							
							<div class="form-group">
								<label for="delsusp">Delete Suspended Members <a href="#" title="Suspended members who haven't logged in after this number of days will be deleted.  Enter 0 to disable auto delete."><i class="fas fa-question-circle"></i></a></label>
								<input name="delsusp" type="text" id="delsusp" class="form-control" placeholder="Delete Suspended Members" value="<?=$row["delsusp"];?>">
							</div>
							
							<div class="form-check">
								<input name="nodelpaid" type="checkbox" id="nodelpaid" class="form-check-input" value="1"<?php if($row["nodelpaid"] == 1) { echo' checked'; } ?>>
								<label class="form-check-label" for="nodelpaid">Exclude Paid Suspended Members <a href="#" title="If checked, suspended members who have made a purchase at your site will never be auto deleted."><i class="fas fa-question-circle"></i></a></label>
							</div>
							
							<div style="margin-top:20px; margin-bottom:20px;" class="form-group">
								<label>Permanently Remove Deleted Members: <a href="#" title="Automatically permanently deletes members who have deleted their accounts.  Does not affect members who have been deleted by the Admin."><i class="fas fa-question-circle"></i></a></label>
								<br>
								<input name="autopermdel" type="radio" value="-1" <?php if($row["autopermdel"] == -1){ echo "checked=\"checked\""; } ?>/> Never automatically remove deleted members<br>
        							<input name="autopermdel" type="radio" value="0" <?php if($row["autopermdel"] == 0){ echo "checked=\"checked\""; } ?>/> Immediately remove deleted members<br>
        							<input name="autopermdel" type="radio" value="1" <?php if($row["autopermdel"] > 0){ echo "checked=\"checked\""; } ?>/> Automatically remove after <input name="autopermdeldays" type="text" class="formfield" id="autopermdeldays" value="<?=$autopermdeldays;?>" size="3" /> days
							</div>
							
							<button type="submit" name="savebtn" value="Save Settings" class="btn btn-primary">Save Settings</button>
						</form>
						
					</div>
				</div>

			</div>
			
			<!-- Autoresponder Settings Tab -->
			
			<div class="<?php echo($autorespondertabclass); ?>" id="autorespondersettings" role="tabpanel">	
			
				<div class="card">
					<div class="card-header">	
						<h5 class="card-title mb-0">Autoresponder Settings</h5>
					</div>
					<div class="card-body">
						
						<p>These settings allow you to configure LFM with some common autoresponder services.  Note that LFM does not provide support for 3rd party autoresponders, and the integration methods of an autoresponder service may change at any time.</p>
						
						<form action="admin.php?f=ss&formid=autoresponder" method="post">
							
							<table>
	<tr valign="middle">
        <td colspan="4" align="left" nowrap="nowrap" bgcolor="#D6E3FE" class="button">
        <input name="autoresp" type="radio" value="0" <?php if($row["autoresponder"] == 0){ echo "checked=\"checked\""; } ?> /> None 
        <input name="autoresp" type="radio" value="3" <?php if($row["autoresponder"] == 3){ echo "checked=\"checked\""; } ?> />
        <a href="http://autoresponseplus.com/" target="_blank">Auto Response Plus</a>
<input name="autoresp" type="radio" value="1" <?php if($row["autoresponder"] == 1){ echo "checked=\"checked\""; } ?> /> AWeber 
<input name="autoresp" type="radio" value="4" <?php if($row["autoresponder"] == 4){ echo "checked=\"checked\""; } ?> /> GVO 
<input name="autoresp" type="radio" value="5" <?php if($row["autoresponder"] == 5){ echo "checked=\"checked\""; } ?> /> Multisponder Elite 
             <input name="autoresp" type="radio" value="2" <?php if($row["autoresponder"] == 2){ echo "checked=\"checked\""; } ?> /> Other </td>
        </tr>
      <tr>
        <td align="left" nowrap="nowrap" bgcolor="#D6E3FE" class="button style1">Generic (Other)  Settings </td>
        <td colspan="2" align="left" nowrap="nowrap">&nbsp;</td>
        <td align="center">&nbsp;</td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Autoresponder Email:</font></strong></td>
        <td colspan="2" align="left" nowrap="nowrap"><input name="auto_email" type="text" class="formfield" id="auto_email" value="<?=$row["auto_email"];?>" size="32" /></td>
        <td align="center"><a title="The email address of your auto-responder." href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
        </a></td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap"><font size="2" face="Verdana, Arial, Helvetica, sans-serif">&nbsp;</font></td>
        <td colspan="2" align="left" nowrap="nowrap">&nbsp;</td>
        <td align="center">&nbsp;</td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap" bgcolor="#D6E3FE" class="button style1">Aweber Settings </td>
        <td colspan="2" align="left" nowrap="nowrap">&nbsp;</td>
        <td align="center">&nbsp;</td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Aweber Meta Web Form ID: </font></strong></td>
        <td colspan="2" align="left" nowrap="nowrap"><input name="a_meta_web_id" type="text" class="formfield" value="<?=$row["a_meta_web_id"];?>" id="a_meta_web_id" /></td>
        <td align="center"><a title="The AWeber meta_web_id field value from your AWeber subscription form." href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
        </a></td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Aweber Unit: </font></strong></td>
        <td colspan="2" align="left" nowrap="nowrap"><input name="a_unit" type="text" class="formfield" value="<?=$row["a_unit"];?>" id="a_unit" /></td>
        <td align="center"><a title="The AWeber unit field value from your AWeber subscription form." href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
        </a></td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Aweber Meta Req. Fields: </font></strong></td>
        <td colspan="2" align="left" nowrap="nowrap"><input name="a_req_fields" type="text" class="formfield" value="<?=$row["a_req_fields"];?>" id="a_req_fields" /></td>
        <td align="center"><a title="The AWeber req_fields value from your AWeber subscription form." href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
        </a></td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap"><font size="2" face="Verdana, Arial, Helvetica, sans-serif">&nbsp;</font></td>
        <td colspan="2" align="left" nowrap="nowrap">&nbsp;</td>
        <td align="center">&nbsp;</td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap" bgcolor="#D6E3FE" class="button style1">GVO settings </td>
        <td colspan="2" align="left" nowrap="nowrap">&nbsp;</td>
        <td align="center">&nbsp;</td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">GVO affiliate name: </font></strong></td>
        <td colspan="2" align="left" nowrap="nowrap"><input name="gvo_affiliate_name" type="text" class="formfield" value="<?=$row["gvo_affiliate_name"];?>" id="gvo_affiliate_name" /></td>
        <td align="center"><a title="your GVO user name." href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
        </a></td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">GVO Campaign Code: </font></strong></td>
        <td colspan="2" align="left" nowrap="nowrap"><input name="gvo_campaign" type="text" class="formfield" value="<?=$row["gvo_campaign"];?>" id="gvo_campaign" /></td>
        <td align="center"><a title="The code for the GVO campaign list you wish members to be added to." href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
        </a></td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">GVO Form ID: </font></strong></td>
        <td colspan="2" align="left" nowrap="nowrap"><input name="gvo_form_id" type="text" class="formfield" value="<?=$row["gvo_form_id"];?>" id="gvo_form_id" /></td>
        <td align="center"><a title="The ID of your GVO subscription form." href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
        </a></td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap"><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
        <td colspan="2" align="left" nowrap="nowrap">&nbsp;</td>
        <td align="left" nowrap="nowrap">&nbsp;</td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap" bgcolor="#D6E3FE" class="button style1">Auto Response Plus Settings </td>
        <td colspan="2" align="left" nowrap="nowrap">&nbsp;</td>
        <td align="left" nowrap="nowrap">&nbsp;</td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">ARP Subscription Email:</font></strong></td>
        <td colspan="2" align="left" nowrap="nowrap"><input name="arp_email" type="text" class="formfield" id="arp_email" value="<?=$row["arp_email"];?>" size="40" /></td>
        <td align="left" nowrap="nowrap">&nbsp;</td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap">&nbsp;</td>
        <td colspan="2" align="left" nowrap="nowrap">&nbsp;</td>
        <td align="left" nowrap="nowrap">&nbsp;</td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap" bgcolor="#D6E3FE" class="button style1">Multisponder Elite Settings </td>
        <td colspan="2" align="left" nowrap="nowrap">&nbsp;</td>
        <td align="left" nowrap="nowrap">&nbsp;</td>
      </tr>
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Form ID Number:</font></strong></td>
        <td colspan="2" align="left" nowrap="nowrap"><input name="m_spon_did" type="text" class="formfield" id="m_spon_did" value="<?=$row["m_spon_did"];?>" size="40" /></td>
        <td align="left" nowrap="nowrap">&nbsp;</td>
      </tr>
							</table>
							<br>
							<button type="submit" name="savebtn" value="Save Settings" class="btn btn-primary">Save Settings</button>
						</form>
						
					</div>
				</div>

			</div>
			
		</div>
		
	</div>
</div>