<?php
// ////////////////////////////////////////////////////////////
// LFM v4.25
// Copyright 2006-2019 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

include "../inc/checkauth.php"; 
include "../inc/funcs.php";

if(!isset($_SESSION["adminid"])) { exit; };

if (isset($_GET['viewuserid']) && is_numeric($_GET['viewuserid']) && $_GET['viewuserid'] > 0) {
	$useridquery = " AND userid=".$_GET['viewuserid'];
	$useridurl = "&viewuserid=".$_GET['viewuserid'];
} else {
	$useridquery = "";
	$useridurl = "";
}

if (isset($_GET['viewip']) && strlen($_GET['viewip']) > 0) {
	$ipquery = " AND ipaddress='".$_GET['viewip']."'";
	$ipurl = "&viewip=".$_GET['viewip'];
} else {
	$ipquery = "";
	$ipurl = "";
}

if (isset($_GET['invalidlogins']) && is_numeric($_GET['invalidlogins']) && $_GET['invalidlogins'] > 0) {
	$logintypequery = "invalidlogin=1";
	$logintypetext = '<b>Viewing Incorrect Logins</b><br><a href="viewloginlog.php?invalidlogins=0'.$useridurl.$ipurl.'">View Successful Logins</a><br>';
} else {
	$logintypequery = "invalidlogin=0";
	$logintypetext = '<b>Viewing Successful Logins</b><br><a href="viewloginlog.php?invalidlogins=1'.$useridurl.$ipurl.'">View Incorrect Logins</a><br>';
}

// Get our settings
$logres = lfmsql_query("SELECT logtime, userid, ipaddress, region, country, city FROM `".$prefix."login_log` WHERE ".$logintypequery.$useridquery.$ipquery." ORDER BY logtime DESC") or die("Unable to find log!");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>LFM Log Viewer</title>
<link href="styles.css" rel="stylesheet" type="text/css" />
</head>
<body>

<center>
<?php
echo($logintypetext);
?>
</center>

<table width="675" border="0" align="center" cellpadding="10" cellspacing="0">
  <tr class="admintd">
    <td><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Date</font></strong></td>
    <td><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">User</font></strong></td>
    <td><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">IP Address</font></strong></td>
    <?php
    if (file_exists("../inc/iplocation_funcs.php")) {
    	echo('<td><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Estimated Location</font></strong></td>');
    }
    ?>
  </tr>
<?
while($logrow=@lfmsql_fetch_array($logres))
{
	if ($logrow["userid"] < 1) {
		$logrow["userid"] = "Incorrect";
	} else {
		$getname = lfmsql_query("SELECT firstname, lastname FROM `".$prefix."members` WHERE Id=".$logrow["userid"]);
		if (lfmsql_num_rows($getname) > 0) {
			$firstname = lfmsql_result($getname, 0, "firstname");
			$lastname = lfmsql_result($getname, 0, "lastname");
			$logrow["userid"] = "User #".$logrow["userid"]."<br>".$firstname." ".$lastname;
		}
	}
?>  
  <tr>
    <td align="left" nowrap="nowrap"><? echo(date('M j Y g:ia', $logrow["logtime"])); ?> </td>
    <td align="left"><?=$logrow["userid"];?> </td>
    <td align="left"> <?=$logrow["ipaddress"];?> </td>
    <?php
    if (file_exists("../inc/iplocation_funcs.php")) {
    	echo('<td align="left"> '.$logrow["city"].'<br>'.$logrow["country"].'<br>'.$logrow["region"].' </td>');
    }
    ?>
  </tr>
<?
}
?>
  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
</table>
</body>
</html>
