<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.52
// Copyright ©2006-2021 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

if(!isset($_SESSION["adminid"])) { exit; };

?>

<!-- Start Sales Leaderboard -->

<div class="col-12 col-lg-6 col-xl-6 d-flex">
	<div class="card flex-fill w-100">
		<div class="card-header">
			<h5 class="card-title mb-0">Affiliate Leaderboard</h5>
		</div>
		<div class="card-body">

<form method="post" action="admin.php">
  <table border="0" cellpadding="0" cellspacing="0">
  
    <tr>
      <td colspan="4" align="center" nowrap="nowrap"><table border="0" class="lfmtable">
<?    if(isset($_POST["sdate"]) && isset($_POST["edate"]))
    {
?>
        <tr>
          <td nowrap="nowrap">From:
            <input name="sdate" type value="<?=$_POST['sdate'];?>" size="10" text>            </td>
          <td nowrap="nowrap">To:
            <input name="edate" type value="<?=$_POST['edate'];?>" size="10" text>            </td>
        </tr>
<?
    }
    else
    {
?>
        <tr>
          <td nowrap="nowrap">From:
            <input name="sdate" type="text" value="<?=date("Y-m-d",mktime(0,0,0,date("m")-1,date("d"),date("Y")));?>" size="10">            </td>
          <td nowrap="nowrap">To:
            <input name="edate" type="text" value="<?=date("Y-m-d");?>" size="10">            </td>
        </tr>

<?
    }
    
    if (is_numeric($_POST['showtop']) && $_POST['showtop'] > 0) {
    	$showtop = $_POST['showtop'];
    } else {
    	$showtop = 10;
    }
    
?>
        <tr>
          <td colspan="2" align="center">Show the top <input name="showtop" type="text" size="3" value="<?=$showtop?>"> sellers.
          </td>
        </tr>
        
      </table></td>
      </tr>
    <tr>
      <td colspan="4" align="center" nowrap="nowrap"><input name="Submit" type="submit" class="footer-text" id="Submit" value="Update Leaderboard" /></td>
      </tr>
    <tr class="button">
      <td align="center" nowrap="nowrap"></td>
      <td nowrap="nowrap"><strong>Name</strong></td>
      <td align="center" nowrap="nowrap"><strong> Sales </strong></td>
      <td align="center" nowrap="nowrap"><strong> Comm. </strong></td>
      </tr>
<?
// Get sales data for all affiliates
if(isset($_POST["sdate"]))
{
    $sdate = $_POST["sdate"]." 00:00:00";
    $edate = $_POST["edate"]." 23:59:59";
}
else
{
    $sdate = date("Y-m-d",mktime(0,0,0,date("m")-1,date("d"),date("Y")))." 00:00:00";
    $edate = date("Y-m-d",mktime(23,59,59,date("m"),date("d"),date("Y")))." 23:59:59";
}
$lbqry="SELECT firstname,lastname,affid,count(*) as salecount,sum(s.commission) as comm FROM ".$prefix."sales s LEFT JOIN ".$prefix."members m on m.id=s.affid WHERE saledate > '$sdate' AND saledate < '$edate' AND prize=0 GROUP BY affid ORDER BY comm DESC LIMIT ".$showtop;
$lbres=@lfmsql_query($lbqry);
$affpos=0;                    // Position in the leaderboard
$totalsales=0;                // Overall total sales ($)
$totalnumsales=0;            // Overall total number of sales

while($lbrow=@lfmsql_fetch_array($lbres))
{
    $totalsales=$totalsales+$lbrow["comm"];
    $totalnumsales=$totalnumsales+$lbrow["salecount"];
    $affpos=$affpos+1;
	$affid=$lbrow["affid"];
?>
    <tr>
      <td align="center"><strong><?=$affpos;?></strong></td>
      <td><?=$lbrow["firstname"];?>&nbsp;<?=$lbrow["lastname"];?></td>
      <td align="center"><?=$lbrow["salecount"];?></td>
      <td align="center"><?=$lbrow["comm"];?></td>
      </tr>
<?
}
?>
    <tr>
      <td nowrap="nowrap">&nbsp;</td>
      <td nowrap="nowrap">&nbsp;</td>
      <td nowrap="nowrap"><strong>Total: <?=$totalnumsales;?></strong></td>
      <td nowrap="nowrap"><strong>Total: $<?=$totalsales;?></strong></td>
      </tr>
  </table>
</form>

		</div>
	</div>
</div>

<!-- End Sales Leaderboard -->