<?php

// LFM Sales Target Widget
// 2016 LFM Wealth Systems, http://themembershipscript.com


// This line of code just prevents anyone from attempting to open the file from outside of the Admin Panel
if(!isset($_SESSION["adminid"])) { exit; };


if (isset($_POST['Submit']) && $_POST['Submit'] == "Update Settings") {
	
	if (!isset($_POST['targetmonths']) || !is_numeric($_POST['targetmonths']) || ($_POST['targetmonths'] != 1 && $_POST['targetmonths'] != 3 && $_POST['targetmonths'] != 6 && $_POST['targetmonths'] != 12)) {
		$_POST['targetmonths'] = 6;
	}
	lfmsql_query("UPDATE `".$prefix."w_salestarget` SET value='".$_POST['targetmonths']."' WHERE field='targetmonths'") or die(lfmsql_error());
	
	if (!isset($_POST["paytypes"]) || !is_array($_POST["paytypes"])) {
		$paytypes = "";
	} else {
		$paytypes = implode(",", $_POST["paytypes"]);
	}
	lfmsql_query("UPDATE `".$prefix."w_salestarget` SET value='".$paytypes."' WHERE field='paytypes'") or die(lfmsql_error());
	
	echo("<center><div class=\"lfm_title\">Updated Successfully</div><br>");
}

$targetmonths = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."w_salestarget` WHERE field='targetmonths'"), 0);
$paytypes = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."w_salestarget` WHERE field='paytypes'"), 0);

?>

<center>

<div class="lfm_title">Sales Target Widget Settings</div>
<br>

<form action="admin.php?f=widgets&widgetsettings=salestarget_settings.php" method="post">

	<table width="500" cellpadding="5" cellspacing="0" border="0">
	
	<tr><td>
	
	<p class="lfm_descr">Base your sales target on your average monthly sales over the:</p>
	<select class="form-control" name="targetmonths">
		<option value="1"<?php if ($targetmonths == 1) { echo(" selected"); } ?>>Last Month</option>
		<option value="3"<?php if ($targetmonths == 3) { echo(" selected"); } ?>>Last 3 Months</option>
		<option value="6"<?php if ($targetmonths == 6) { echo(" selected"); } ?>>Last 6 Months</option>
		<option value="12"<?php if ($targetmonths == 12) { echo(" selected"); } ?>>Last 12 Months</option>
	</select>
	
	</td></tr>
	
	<tr><td><br></td></tr>
	
	<tr><td>
	<p class="lfm_descr">Select which payment methods you would like to include in your sales target:</p>
	
	<?php
	
	if ($paytypes == "") {
		
		// All Packs Are Selected
		$getfields = lfmsql_query("SELECT name FROM `".$prefix."ipn_merchants` ORDER BY name ASC");
	     	for ($i = 0; $i < lfmsql_num_rows($getfields); $i++) {
     			$fieldname = lfmsql_result($getfields, $i, "name");
     			$fieldname = strtolower($fieldname);
     			$fieldname = str_replace('comms', 'commissions', $fieldname);
	     		echo('<input type="checkbox" name="paytypes[]" value="'.$fieldname.'" checked> <font size="2">'.$fieldname.'<br>');
	     	}
	     	
	} else {
		
		// List Selected Packs
		$getfields = lfmsql_query("SELECT name FROM `".$prefix."ipn_merchants` ORDER BY name ASC");
	     	for ($i = 0; $i < lfmsql_num_rows($getfields); $i++) {
     			$fieldname = lfmsql_result($getfields, $i, "name");
     			$fieldname = strtolower($fieldname);
     			$fieldname = str_replace('comms', 'commissions', $fieldname);
	     		echo('<input type="checkbox" name="paytypes[]" value="'.$fieldname.'"'); if(array_search($fieldname, explode(",", $paytypes)) !==false) { echo(" checked"); } echo('> <font size="2">'.$fieldname.'<br>');
	     	}
		// End List Selected Packs
		
	}
	?>
	
	</td></tr>
	
	<tr><td><br></td></tr>
	
	<tr><td>
	<input type="submit" name="Submit" value="Update Settings">
	</td></tr>
	
	</table>

</form>