<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.54
// Copyright 2006-2022 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

if(!isset($_SESSION["adminid"])) { exit; };

$hiddenitems = array();
$gethidden = lfmsql_query("SELECT listitem FROM `".$prefix."tedash_hidden` WHERE adminidnum=".$_SESSION["adminidnum"]) or die(lfmsql_error());
if (lfmsql_num_rows($gethidden) > 0) {
	for ($idash = 0; $idash < lfmsql_num_rows($gethidden); $idash++) {
		$hiddenitems[$idash] = lfmsql_result($gethidden, $idash, "listitem");
	}
}


$currenttime = time();

$nowtime = $currenttime-120;
$hourtime = $currenttime-3600;
$daytime = $currenttime-86400;
$weektime = $currenttime-604800;

$currentdate = date("Y-m-d");
$yesterdate = strftime("%Y-%m-%d", strtotime("$currentdate + 1 days ago"));
$weekdate = strftime("%Y-%m-%d", strtotime("$currentdate + 7 days ago"));

$surfingnow = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where lastclick >= ".$nowtime),0);
$surfinghour = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where lastclick >= ".$hourtime),0);
$surfingtoday = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where clickstoday > 0"),0);
$surfingweek = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where lastclick >= ".$weektime),0);

$getrotation = lfmsql_query("Select rotationtype from ".$prefix."settings");
$rotationtype = lfmsql_result($getrotation, 0, "rotationtype");

if ($rotationtype == 0) {
	// Per Member Rotation
	
	$sitesrotating = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."msites a LEFT JOIN ".$prefix."members b ON (a.memid=b.Id) where a.state=1 and a.credits >= 1 and b.status='Active' and b.actsite=1"),0);
	
	$bannersrotating = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."mbanners a LEFT JOIN ".$prefix."members b ON (a.memid=b.Id) where a.state=1 and a.imps >= 1 and b.status='Active' and b.actbanner=1"),0);
	
	$textsrotating = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."mtexts a LEFT JOIN ".$prefix."members b ON (a.memid=b.Id) where a.state=1 and a.imps >= 1 and b.status='Active' and b.acttext=1"),0);
	
} else {
	// Per Site Rotation
	$sitesrotating = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."msites where state=1 and credits >= 1"),0);
	$bannersrotating = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."mbanners where state=1 and imps >= 1"),0);
	$textsrotating = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."mtexts where state=1 and imps >= 1"),0);
}

$numbermembers = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."members"), 0);
if ($numbermembers > 0) {
	$creditstoday = lfmsql_result(lfmsql_query("Select SUM(creditstoday) from ".$prefix."members"),0);
	$creditsyesterday = lfmsql_result(lfmsql_query("Select SUM(creditsyesterday) from ".$prefix."members"),0);
	$creditstoday = round($creditstoday, 1);
	$creditsyesterday = round($creditsyesterday, 1);
} else {
	$creditstoday = 0;
	$creditsyesterday = 0;
}

$numbersites = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."msites"), 0);
if ($numbersites > 0) {
	$hitstoday = lfmsql_result(lfmsql_query("Select SUM(hitstoday) from ".$prefix."msites"),0);
	$hitsyesterday = lfmsql_result(lfmsql_query("Select SUM(hitsyesterday) from ".$prefix."msites"),0);
	$persitetoday = lfmsql_result(lfmsql_query("Select hitstoday from ".$prefix."msites order by hitstoday desc limit 1"),0);
	$persiteyesterday = lfmsql_result(lfmsql_query("Select hitsyesterday from ".$prefix."msites order by hitsyesterday desc limit 1"),0);
} else {
	$hitstoday = 0;
	$hitsyesterday = 0;
	$persitetoday = 0;
	$persiteyesterday = 0;
}

$numberbanners = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."mbanners"), 0);
if ($numberbanners > 0) {
	$perbantoday = lfmsql_result(lfmsql_query("Select hitstoday from ".$prefix."mbanners order by hitstoday desc limit 1"),0);
	$perbanyesterday = lfmsql_result(lfmsql_query("Select hitsyesterday from ".$prefix."mbanners order by hitsyesterday desc limit 1"),0);
} else {
	$perbantoday = 0;
	$perbanyesterday = 0;
}

$numbertexts = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."mtexts"), 0);
if ($numbertexts > 0) {
	$pertexttoday = lfmsql_result(lfmsql_query("Select hitstoday from ".$prefix."mtexts order by hitstoday desc limit 1"),0);
	$pertextyesterday = lfmsql_result(lfmsql_query("Select hitsyesterday from ".$prefix."mtexts order by hitsyesterday desc limit 1"),0);
} else {
	$pertexttoday = 0;
	$pertextyesterday = 0;
}

// Square Banners Plugin
if (file_exists('sqbanners.php') || file_exists('../sqbanners.php')) {
	$sqbansrotating = @lfmsql_result(@lfmsql_query("Select COUNT(*) from ".$prefix."msqbans where state=1 and imps >= 1"),0);
	$persqbantoday = @lfmsql_result(@lfmsql_query("Select hitstoday from ".$prefix."msqbans order by hitstoday desc limit 1"),0);
	$persqbanyesterday = @lfmsql_result(@lfmsql_query("Select hitsyesterday from ".$prefix."msqbans order by hitsyesterday desc limit 1"),0);
	if (!isset($persqbantoday) || !is_numeric($persqbantoday) || $persqbantoday < 0) { $persqbantoday=0; }
	if (!isset($persqbanyesterday) || !is_numeric($persqbanyesterday) || $persqbanyesterday < 0) { $persqbanyesterday=0; }
}

// Mini Branders Plugin
if (file_exists('minibranders.php') || file_exists('../minibranders.php')) {
	if ($rotationtype == 0) {
		$mbrandsrotating = @lfmsql_result(@lfmsql_query("Select COUNT(*) from ".$prefix."mbranders a LEFT JOIN ".$prefix."members b ON (a.memid=b.Id) where a.state=1 and a.imps >= 1 and b.status='Active' and b.actmbrand=1"),0);
	} else {
		$mbrandsrotating = @lfmsql_result(@lfmsql_query("Select COUNT(*) from ".$prefix."mbranders where state=1 and imps >= 1"),0);
	}
	$permbrandtoday = @lfmsql_result(@lfmsql_query("Select hitstoday from ".$prefix."mbranders order by hitstoday desc limit 1"),0);
	$permbrandyesterday = @lfmsql_result(@lfmsql_query("Select hitsyesterday from ".$prefix."mbranders order by hitsyesterday desc limit 1"),0);
	if (!isset($permbrandtoday) || !is_numeric($permbrandtoday) || $permbrandtoday < 0) { $permbrandtoday=0; }
	if (!isset($permbrandyesterday) || !is_numeric($permbrandyesterday) || $permbrandyesterday < 0) { $permbrandyesterday=0; }
}

// Peel Ads Plugin
if (file_exists('peelads.php') || file_exists('../peelads.php')) {
	$peelsrotating = @lfmsql_result(@lfmsql_query("Select COUNT(*) from `".$prefix."mpeels` where state=1 and imps >= 1"),0);
	$perpeeltoday = @lfmsql_result(@lfmsql_query("Select hitstoday from `".$prefix."mpeels` order by hitstoday desc limit 1"),0);
	$perpeelyesterday = @lfmsql_result(@lfmsql_query("Select hitsyesterday from `".$prefix."mpeels` order by hitsyesterday desc limit 1"),0);
	if (!isset($perpeeltoday) || !is_numeric($perpeeltoday) || $perpeeltoday < 0) { $perpeeltoday=0; }
	if (!isset($perpeelyesterday) || !is_numeric($perpeelyesterday) || $perpeelyesterday < 0) { $perpeelyesterday=0; }
}

// Widget Ads Plugin
if (file_exists('widgetads.php') || file_exists('../widgetads.php')) {
	$widgetsrotating = @lfmsql_result(@lfmsql_query("Select COUNT(*) from `".$prefix."widgetads` where state=1 and imps >= 1"),0);
	$perwidgettoday = @lfmsql_result(@lfmsql_query("Select hitstoday from `".$prefix."widgetads` order by hitstoday desc limit 1"),0);
	$perwidgetyesterday = @lfmsql_result(@lfmsql_query("Select hitsyesterday from `".$prefix."widgetads` order by hitsyesterday desc limit 1"),0);
	if (!isset($perwidgettoday) || !is_numeric($perwidgettoday) || $perwidgettoday < 0) { $perwidgettoday=0; }
	if (!isset($perwidgetyesterday) || !is_numeric($perwidgetyesterday) || $perwidgetyesterday < 0) { $perwidgetyesterday=0; }
}


$abusereports = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."reports where action=0"),0);

$newmemstoday = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where joindate <= '".$currentdate." 23:59:59' and joindate >= '".$currentdate."'"), 0);
$newmemsyesterday = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where joindate <= '".$yesterdate." 23:59:59' and joindate >= '".$yesterdate."'"), 0);
$newmemsweek = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where joindate <= '".$currentdate." 23:59:59' and joindate >= '".$weekdate."'"), 0);

?>

<?php

if (array_search('Surfing Now', $hiddenitems) === false || array_search('Surfed This Hour', $hiddenitems) === false || array_search('Surfed Today', $hiddenitems) === false || array_search('Surfed This Week', $hiddenitems) === false) {

?>

<!-- Start Surfers Dashboard -->

<div class="col-12 col-lg-6 col-xl-4">
	<div class="card">
		<div class="card-header">
			<h5 class="card-title mb-0">Surfers Dashboard</h5>
		</div>
		<div class="card-body pb-0">

<table class="table table-striped">
  <tbody>
  
  <?
  $thissection = 0;
  ?>
  
  <? if (array_search('Surfing Now', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Surfing Now (<a target=_self href=admin.php?f=mm&sf=browse&show=surfing>View</a>): </td>
      <td align="left" width="25%"><b><?=$surfingnow;?></b></td>
      </tr>
  <? } ?>
      
  <? if (array_search('Surfed This Hour', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Surfed This Hour (<a target=_self href=admin.php?f=mm&sf=browse&show=surfhour>View</a>): </td>
      <td align="left" width="25%"><b><?=$surfinghour;?></b></td>
      </tr>
  <? } ?>
  
  <? if (array_search('Surfed Today', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Surfed Today (<a target=_self href=admin.php?f=mm&sf=browse&show=surftoday>View</a>): </td>
      <td align="left" width="25%"><b><?=$surfingtoday;?></b></td>
      </tr>
  <? } ?>
      
  <? if (array_search('Surfed This Week', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Surfed This Week (<a target=_self href=admin.php?f=mm&sf=browse&show=surfweek>View</a>): </td>
      <td align="left" width="25%"><b><?=$surfingweek;?></b></td>
      </tr>
  <? } ?>
    
      
    </tbody>
</table>

		</div>
	</div>
</div>

<!-- End Surfers Dashboard -->

<?php

}

if (array_search('Open Abuse Reports', $hiddenitems) === false || array_search('Sites In Rotation', $hiddenitems) === false || array_search('Banners In Rotation', $hiddenitems) === false || array_search('Texts Ads In Rotation', $hiddenitems) === false || (isset($sqbansrotating) && array_search('Square Banners In Rotation', $hiddenitems) === false) || (isset($mbrandsrotating) && array_search('Mini Branders In Rotation', $hiddenitems) === false) || (isset($peelsrotating) && array_search('Peel Ads In Rotation', $hiddenitems) === false) || (isset($widgetsrotating) && array_search('Widget Ads In Rotation', $hiddenitems) === false)) {

?>

<!-- Start Ads Dashboard -->

<div class="col-12 col-lg-6 col-xl-4">
	<div class="card">
		<div class="card-header">
			<h5 class="card-title mb-0">Ads Dashboard</h5>
		</div>
		<div class="card-body pb-0">

<table class="table table-striped">
  <tbody>
    
  <?
  $thissection = 0;
  ?>
    
  <? if (array_search('Open Abuse Reports', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Open Abuse Reports (<a target=_self href=admin.php?f=areports&show=&searchfield=action&searchtext=0&sf=browse>View</a>): </td>
      <td align="left" width="25%"><b><?=$abusereports;?></b></td>
      </tr>
  <? } ?>
    
    
  <? if (array_search('Sites In Rotation', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Sites In Rotation (<a target=_self href=admin.php?f=smm&sf=browse&show=rotsites>View</a>): </td>
      <td align="left" width="25%"><b><?=$sitesrotating;?></b></td>
      </tr>
  <? } ?>
  
  <? if (array_search('Banners In Rotation', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Banners In Rotation (<a target=_self href=admin.php?f=bmm&sf=browse&show=rotbanners>View</a>): </td>
      <td align="left" width="25%"><b><?=$bannersrotating;?></b></td>
      </tr>
  <? } ?>
      
  <? if (array_search('Texts Ads In Rotation', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Text Ads In Rotation (<a target=_self href=admin.php?f=tmm&sf=browse&show=rottexts>View</a>): </td>
      <td align="left" width="25%"><b><?=$textsrotating;?></b></td>
      </tr>
  <? } ?>
  
  <? if (isset($sqbansrotating) && array_search('Square Banners In Rotation', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Sq. Banners In Rotation (<a target=_self href=admin.php?f=sqbanners&sf=browse&show=rotsqbans>View</a>): </td>
      <td align="left" width="25%"><b><?=$sqbansrotating;?></b></td>
      </tr>
  <? } ?>
  
  <? if (isset($mbrandsrotating) && array_search('Mini Branders In Rotation', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Mini Branders In Rotation (<a target=_self href=admin.php?f=mbranders&sf=browse&show=rotmbrands>View</a>): </td>
      <td align="left" width="25%"><b><?=$mbrandsrotating;?></b></td>
      </tr>
  <? } ?>
  
  <? if (isset($peelsrotating) && array_search('Peel Ads In Rotation', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Peel Ads In Rotation (<a target=_self href=admin.php?f=peelads&sf=browse&show=rotpeels>View</a>): </td>
      <td align="left" width="25%"><b><?=$peelsrotating;?></b></td>
      </tr>
  <? } ?>
  
  <? if (isset($widgetsrotating) && array_search('Widget Ads In Rotation', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Widget Ads In Rotation (<a target=_self href=admin.php?f=widgetads&sf=browse&show=rotwidgets>View</a>): </td>
      <td align="left" width="25%"><b><?=$widgetsrotating;?></b></td>
      </tr>
  <? } ?>
  
  
    </tbody>
</table>

		</div>
	</div>
</div>

<!-- End Ads Dashboard -->

<?php

}

if (array_search('Signups Today', $hiddenitems) === false || array_search('Signups Yesterday', $hiddenitems) === false || array_search('Signups This Week', $hiddenitems) === false) {

?>

<!-- Start Signups Dashboard -->

<div class="col-12 col-lg-6 col-xl-4">
	<div class="card">
		<div class="card-header">
			<h5 class="card-title mb-0">Signups Dashboard</h5>
		</div>
		<div class="card-body pb-0">

<table class="table table-striped">
  <tbody>

  <?
  $thissection = 0;
  ?>
  
  <? if (array_search('Signups Today', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Signups Today (<a target=_self href=admin.php?f=mm&sf=browse&show=newtoday>View</a>): </td>
      <td align="left" width="25%"><b><?=$newmemstoday;?></b></td>
      </tr>
  <? } ?>
      
  <? if (array_search('Signups Yesterday', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Signups Yesterday (<a target=_self href=admin.php?f=mm&sf=browse&show=newyester>View</a>): </td>
      <td align="left" width="25%"><b><?=$newmemsyesterday;?></b></td>
      </tr>
  <? } ?>
      
  <? if (array_search('Signups This Week', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Signups This Week (<a target=_self href=admin.php?f=mm&sf=browse&show=newweek>View</a>): </td>
      <td align="left" width="25%"><b><?=$newmemsweek;?></b></td>
      </tr>
  <? } ?>
      
    </tbody>
</table>

		</div>
	</div>
</div>

<!-- End Signups Dashboard -->

<?php

}

if (array_search('Credits Earned Today', $hiddenitems) === false || array_search('Hits Delivered Today', $hiddenitems) === false || array_search('Hits Delivered Per URL Today', $hiddenitems) === false || array_search('Imps Delivered Per Banner Today', $hiddenitems) === false || array_search('Imps Delivered Per Text Ad Today', $hiddenitems) === false || (isset($persqbantoday) && array_search('Imps Delivered Per Square Banner Today', $hiddenitems) === false) || (isset($permbrandtoday) && array_search('Imps Delivered Per Mini Brander Today', $hiddenitems) === false) || (isset($perpeeltoday) && array_search('Imps Delivered Per Peel Ad Today', $hiddenitems) === false) || (isset($perwidgettoday) && array_search('Imps Delivered Per Widget Ad Today', $hiddenitems) === false)) {

?>

<!-- Start Today Dashboard -->

<div class="col-12 col-lg-6 col-xl-4">
	<div class="card">
		<div class="card-header">
			<h5 class="card-title mb-0">Stats Today</h5>
		</div>
		<div class="card-body pb-0">

<table class="table table-striped">
  <tbody>
    
  <?
  $thissection = 0;
  ?>
  
  <? if (array_search('Credits Earned Today', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Credits Earned Today: </td>
      <td align="left" width="25%"><b><?=$creditstoday;?></b></td>
      </tr>
  <? } ?>
  
  <? if (array_search('Hits Delivered Today', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Hits Delivered Today: </td>
      <td align="left" width="25%"><b><?=$hitstoday;?></b></td>
      </tr>
  <? } ?>
      
  <? if (array_search('Hits Delivered Per URL Today', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Hits Delivered Per URL: </td>
      <td align="left" width="25%"><b><?=$persitetoday;?></b></td>
      </tr>
  <? } ?>
  
  <? if (array_search('Imps Delivered Per Banner Today', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Imps Delivered Per Banner: </td>
      <td align="left" width="25%"><b><?=$perbantoday;?></b></td>
      </tr>
  <? } ?>
      
  <? if (array_search('Imps Delivered Per Text Ad Today', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Imps Delivered Per Text Ad: </td>
      <td align="left" width="25%"><b><?=$pertexttoday;?></b></td>
      </tr>
  <? } ?>
  
  <? if (isset($persqbantoday) && array_search('Imps Delivered Per Square Banner Today', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Imps Delivered Per Sq. Banner: </td>
      <td align="left" width="25%"><b><?=$persqbantoday;?></b></td>
      </tr>
  <? } ?>
  
  <? if (isset($permbrandtoday) && array_search('Imps Delivered Per Mini Brander Today', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Imps Delivered Per Mini Brander: </td>
      <td align="left" width="25%"><b><?=$permbrandtoday;?></b></td>
      </tr>
  <? } ?>
  
  <? if (isset($perpeeltoday) && array_search('Imps Delivered Per Peel Ad Today', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Imps Delivered Per Peel Ad: </td>
      <td align="left" width="25%"><b><?=$perpeeltoday;?></b></td>
      </tr>
  <? } ?>
  
  <? if (isset($perwidgettoday) && array_search('Imps Delivered Per Widget Ad Today', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Imps Delivered Per Widget Ad Today: </td>
      <td align="left" width="25%"><b><?=$perwidgettoday;?></b></td>
      </tr>
  <? } ?>
  
    </tbody>
</table>

		</div>
	</div>
</div>

<!-- End Today Dashboard -->

<?php

}

if (array_search('Credits Earned Yesterday', $hiddenitems) === false || array_search('Hits Delivered Yesterday', $hiddenitems) === false || array_search('Hits Delivered Per URL Yesterday', $hiddenitems) === false || array_search('Imps Delivered Per Banner Yesterday', $hiddenitems) === false || array_search('Imps Delivered Per Text Ad Yesterday', $hiddenitems) === false || (isset($persqbanyesterday) && array_search('Imps Delivered Per Square Banner Yesterday', $hiddenitems) === false) || (isset($permbrandyesterday) && array_search('Imps Delivered Per Mini Brander Yesterday', $hiddenitems) === false) || (isset($perpeelyesterday) && array_search('Imps Delivered Per Peel Ad Yesterday', $hiddenitems) === false) || (isset($perwidgetyesterday) && array_search('Imps Delivered Per Widget Ad Yesterday', $hiddenitems) === false)) {

?>

<!-- Start Yesterday Dashboard -->

<div class="col-12 col-lg-6 col-xl-4">
	<div class="card">
		<div class="card-header">
			<h5 class="card-title mb-0">Stats Yesterday</h5>
		</div>
		<div class="card-body pb-0">

<table class="table table-striped">
  <tbody>

  <?
  $thissection = 0;
  ?>
  
  <? if (array_search('Credits Earned Yesterday', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Credits Earned Yesterday: </td>
      <td align="left" width="25%"><b><?=$creditsyesterday;?></b></td>
      </tr>
  <? } ?>
  
  <? if (array_search('Hits Delivered Yesterday', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Hits Delivered Yesterday: </td>
      <td align="left" width="25%"><b><?=$hitsyesterday;?></b></td>
      </tr>
  <? } ?>
  
  <? if (array_search('Hits Delivered Per URL Yesterday', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Hits Delivered Per URL: </td>
      <td align="left" width="25%"><b><?=$persiteyesterday;?></b></td>
      </tr>
  <? } ?>
  
  <? if (array_search('Imps Delivered Per Banner Yesterday', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Imps Delivered Per Banner: </td>
      <td align="left" width="25%"><b><?=$perbanyesterday;?></b></td>
      </tr>
  <? } ?>
  
  <? if (array_search('Imps Delivered Per Text Ad Yesterday', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Imps Delivered Per Text Ad: </td>
      <td align="left" width="25%"><b><?=$pertextyesterday;?></b></td>
      </tr>
  <? } ?>
  
  <? if (isset($persqbanyesterday) && array_search('Imps Delivered Per Square Banner Yesterday', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Imps Delivered Per Sq. Banner: </td>
      <td align="left" width="25%"><b><?=$persqbanyesterday;?></b></td>
      </tr>
  <? } ?>
  
  <? if (isset($permbrandyesterday) && array_search('Imps Delivered Per Mini Brander Yesterday', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Imps Delivered Per Mini Brander: </td>
      <td align="left" width="25%"><b><?=$permbrandyesterday;?></b></td>
      </tr>
  <? } ?>
  
  <? if (isset($perpeelyesterday) && array_search('Imps Delivered Per Peel Ad Yesterday', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Imps Delivered Per Peel Ad: </td>
      <td align="left" width="25%"><b><?=$perpeelyesterday;?></b></td>
      </tr>
  <? } ?>
  
  <? if (isset($perwidgetyesterday) && array_search('Imps Delivered Per Widget Ad Yesterday', $hiddenitems) === false) { $thissection++; ?>
    <tr>
      <td align="right" width="75%">Imps Delivered Per Widget Ad Yesterday: </td>
      <td align="left" width="25%"><b><?=$perwidgetyesterday;?></b></td>
      </tr>
  <? } ?>
    
  </tbody>
</table>

		</div>
	</div>
</div>

<!-- End TE Dashboard -->

<?php

}

?>