<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.54
// Copyright 2006-2022 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

if(!isset($_SESSION["adminid"])) { exit; };

$itemslist = array();

$itemslist[] = "Surfing Now";
$itemslist[] = "Surfed This Hour";
$itemslist[] = "Surfed Today";
$itemslist[] = "Surfed This Week";
$itemslist[] = "Open Abuse Reports";
$itemslist[] = "Sites In Rotation";
$itemslist[] = "Banners In Rotation";
$itemslist[] = "Texts Ads In Rotation";

if (file_exists('sqbanners.php') || file_exists('../sqbanners.php')) {
	$itemslist[] = "Square Banners In Rotation";
}

if (file_exists('minibranders.php') || file_exists('../minibranders.php')) {
	$itemslist[] = "Mini Branders In Rotation";
}

if (file_exists('peelads.php') || file_exists('../peelads.php')) {
	$itemslist[] = "Peel Ads In Rotation";
}

if (file_exists('widgetads.php') || file_exists('../widgetads.php')) {
	$itemslist[] = "Widget Ads In Rotation";
}

$itemslist[] = "Signups Today";
$itemslist[] = "Signups Yesterday";
$itemslist[] = "Signups This Week";
$itemslist[] = "Credits Earned Today";
$itemslist[] = "Hits Delivered Today";
$itemslist[] = "Hits Delivered Per URL Today";
$itemslist[] = "Imps Delivered Per Banner Today";
$itemslist[] = "Imps Delivered Per Text Ad Today";

if (file_exists('sqbanners.php') || file_exists('../sqbanners.php')) {
	$itemslist[] = "Imps Delivered Per Square Banner Today";
}

if (file_exists('minibranders.php') || file_exists('../minibranders.php')) {
	$itemslist[] = "Imps Delivered Per Mini Brander Today";
}

if (file_exists('peelads.php') || file_exists('../peelads.php')) {
	$itemslist[] = "Imps Delivered Per Peel Ad Today";
}

if (file_exists('widgetads.php') || file_exists('../widgetads.php')) {
	$itemslist[] = "Imps Delivered Per Widget Ad Today";
}

$itemslist[] = "Credits Earned Yesterday";
$itemslist[] = "Hits Delivered Yesterday";
$itemslist[] = "Hits Delivered Per URL Yesterday";
$itemslist[] = "Imps Delivered Per Banner Yesterday";
$itemslist[] = "Imps Delivered Per Text Ad Yesterday";

if (file_exists('sqbanners.php') || file_exists('../sqbanners.php')) {
	$itemslist[] = "Imps Delivered Per Square Banner Yesterday";
}

if (file_exists('minibranders.php') || file_exists('../minibranders.php')) {
	$itemslist[] = "Imps Delivered Per Mini Brander Yesterday";
}

if (file_exists('peelads.php') || file_exists('../peelads.php')) {
	$itemslist[] = "Imps Delivered Per Peel Ad Yesterday";
}

if (file_exists('widgetads.php') || file_exists('../widgetads.php')) {
	$itemslist[] = "Imps Delivered Per Widget Ad Yesterday";
}

?>

<center>

<?

if (isset($_POST['Submit']) && $_POST['Submit'] == "Update Settings") {
	
	lfmsql_query("DELETE FROM `".$prefix."tedash_hidden` WHERE adminidnum='".$_SESSION["adminidnum"]."'") or die(lfmsql_error());
	
	foreach ($itemslist as $value) {
		$checkboxname = str_replace(' ', '', $value);
		if ($_POST[$checkboxname] != "1") {
			lfmsql_query("INSERT INTO `".$prefix."tedash_hidden` (adminidnum, listitem) VALUES ('".$_SESSION["adminidnum"]."', '".$value."')") or die(lfmsql_error());
		}
	}
	
	echo("<br><div class=\"lfm_title\">Updated Successfully</div><br>");
	echo("<br><div class=\"lfm_descr\"><a href=\"admin.php?f=widgets\">Go back to Widgets</a></div><br>");
	exit;	
}

####################

//Begin main page

####################

?>

	<br><div class="lfm_title">TE Dashboard Settings</div>
	
	<br><div class="lfm_descr">Check the box for each item that you want to show on the TE Dashboard.</div>
	
	<form action="admin.php?f=widgets&widgetsettings=tedash_settings.php" method="post">
	<table width="500" cellpadding="5" cellspacing="0" border="0">
	
	<tr><td align="left">
	
	<?
	
	foreach ($itemslist as $value) {
		$valuename = $value;
		$itemhidden = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `".$prefix."tedash_hidden` WHERE adminidnum='".$_SESSION["adminidnum"]."' AND listitem='".$value."'"), 0);
		echo("<input type=\"checkbox\" name=\"".str_replace(' ', '', $value)."\" value=\"1\""); if($itemhidden == 0) { echo(" checked"); } echo("> <font size=\"2\">".$valuename."</font><br>");
	}
	
	?>
	
	</td></tr>
	
	<tr><td>
	<INPUT type="submit" name="Submit" value="Update Settings">
	</td></tr>
	
	</table>
	</form>
	