<?php

// LFMTE Bingo Game
// 2017 LFM Wealth Systems, http://thetrafficexchangescript.com

require_once "inc/filter.php";
session_start();
include "inc/userauth.php";
include "inc/theme.php";
include "lfm_plugins/BingoGame/funcs.php";
$userid = $_SESSION["userid"];

$countcredits = lfmsql_query("select email, credits, mtype, bingotoken from ".$prefix."members where Id=$userid");
$useremail = lfmsql_result($countcredits, 0, "email");
$usercredits = lfmsql_result($countcredits, 0, "credits");
$bingotokens = lfmsql_result($countcredits, 0, "bingotoken");
$acctype = lfmsql_result($countcredits, 0, "mtype");
$error = '';

if ($_POST['act'] == 'buycardcredits') {
	$getgame = lfmsql_query("SELECT * FROM ".$prefix."bingogame WHERE id='".$_POST['game']."' ");
	if (lfmsql_num_rows($getgame) == 1) {
		$game = lfmsql_fetch_array($getgame);
		
		$getprize = lfmsql_query("SELECT * FROM ".$prefix."bingoprizes WHERE id='".$game['prize']."' ");
		if (lfmsql_num_rows($getprize) == 1) {
			$prize = lfmsql_fetch_array($getprize);
		}
		
		$checknumcards = lfmsql_query("SELECT * FROM ".$prefix."bingocard WHERE userid='".$userid."' AND gameid='".$game['id']."' ");
		$numcards = lfmsql_num_rows($checknumcards);
		
		if (($numcards < $bingosettings['maxcards'] OR $bingosettings['maxcards'] == 0) AND $game['buyfreeze'] == 0) {
			if ($game['status'] == 'pending' OR ($game['status'] == 'active' AND $bingosettings['allowbuyin'] == 'yes')) {
				if ($usercredits > $bingosettings['creditcost'] AND $bingosettings['creditcost'] > 0) {
					if ($prize['jackcard'] > 0) {
						lfmsql_query("UPDATE ".$prefix."bingogame SET jackpot=jackpot+".$prize['jackcard']." WHERE id='".$game['id']."' ");
					}
					lfmsql_query("UPDATE ".$prefix."members SET credits=credits-".$bingosettings['creditcost']." WHERE Id='$userid' ");
					genBingoCard($userid,$game['id']);
				}
			}
			header("location:bingo.php?act=view&game=".$_POST['game']);
			exit;
		} elseif ($game['buyfreeze'] == 1) {
			$_GET['act'] = 'view';
			$_GET['game'] = $_POST['game'];
			$error = '<center><b>There is a buying freeze on cards for this game.</b></center>';
		} else {
			$_GET['act'] = 'view';
			$_GET['game'] = $_POST['game'];
			$error = '<center><b>You have reached the maximum number of cards allowed for this game.</b></center>';
		}
	}
}

if ($_POST['act'] == 'buycardtokens') {
	$getgame = lfmsql_query("SELECT * FROM ".$prefix."bingogame WHERE id='".$_POST['game']."' ");
	if (lfmsql_num_rows($getgame) == 1) {
		$game = lfmsql_fetch_array($getgame);
		
		$getprize = lfmsql_query("SELECT * FROM ".$prefix."bingoprizes WHERE id='".$game['prize']."' ");
		if (lfmsql_num_rows($getprize) == 1) {
			$prize = lfmsql_fetch_array($getprize);
		}
		
		$checknumcards = lfmsql_query("SELECT * FROM ".$prefix."bingocard WHERE userid='".$userid."' AND gameid='".$game['id']."' ");
		$numcards = lfmsql_num_rows($checknumcards);
		
		if (($numcards < $bingosettings['maxcards'] OR $bingosettings['maxcards'] == 0) AND $game['buyfreeze'] == 0) {
			if ($game['status'] == 'pending' OR ($game['status'] == 'active' AND $bingosettings['allowbuyin'] == 'yes')) {
				if ($bingotokens >= 1) {
					if ($prize['jackcard'] > 0) {
						lfmsql_query("UPDATE ".$prefix."bingogame SET jackpot=jackpot+".$prize['jackcard']." WHERE id='".$game['id']."' ");
					}
					lfmsql_query("UPDATE ".$prefix."members SET bingotoken=bingotoken-1 WHERE Id='$userid' ");
					genBingoCard($userid,$game['id']);
				}
			}
			header("location:bingo.php?act=view&game=".$_POST['game']);
			exit;
		} elseif ($game['buyfreeze'] == 1) {
			$_GET['act'] = 'view';
			$_GET['game'] = $_POST['game'];
			$error = '<center><b>There is a buying freeze on cards for this game.</b></center>';
		} else {
			$_GET['act'] = 'view';
			$_GET['game'] = $_POST['game'];
			$error = '<center><b>You have reached the maximum number of cards allowed for this game.</b></center>';
		}
	}
}

$getprizes = lfmsql_query("SELECT * FROM ".$prefix."bingoprizes WHERE type=1 ");
if (lfmsql_num_rows($getprizes) > 0) {
	while ($aprz = lfmsql_fetch_array($getprizes)) {
		$thisprize = $aprz['id'];
		$prize[$thisprize] = '<b>'.$aprz['name'].'</b><br />'.$aprz['description'];
	}
}

load_template ($theme_dir."/header.php");
load_template ($theme_dir."/mmenu.php");

if (strlen($error) > 0) {
	echo $error;
}

echo '<link href="lfm_plugins/BingoGame/bingostyles.css" rel="stylesheet" type="text/css" />';

if ($_GET['act'] == 'vcard') {
	$checkcard = lfmsql_query("SELECT * FROM ".$prefix."bingocard WHERE userid='".$userid."' AND id='".$_GET['card']."' ");
	if (lfmsql_num_rows($checkcard) == 1) {
		$card = lfmsql_fetch_array($checkcard);
		echo '<center>';
		echo dispBingoCard($card['id'],3);
		echo '<a href="bingo.php?act=view&game='.$card['gameid'].'">Back to Game</a></center>';
	} else {
		echo '<center><b>Could not locate card</b></center>';
	}
} elseif ($_GET['act'] == 'lb') {
	$gettemplate = lfmsql_query("SELECT template_data FROM ".$prefix."templates WHERE template_name='bingo_lbrd' ");
	$template = lfmsql_result($gettemplate, 0, "template_data");
	$template=translate_site_tags($template);
	$template = translate_user_tags($template, $useremail);
	echo $template;
	   
	$getlastgames = lfmsql_query("SELECT * FROM ".$prefix."bingogame WHERE status='complete' ORDER BY id DESC limit 10 ");
	if (lfmsql_num_rows($getlastgames) > 0) {
		while ($compgames = lfmsql_fetch_array($getlastgames)) {
			echo '<h2>Game #'.$compgames['id'].'</h2>';
			$getwinners = lfmsql_query("SELECT * FROM ".$prefix."bingobrd WHERE gameid='".$compgames['id']."' ");
			if (lfmsql_num_rows($getwinners) > 0) {
				echo '<table border=1 bordercolor=black cellpadding=5 cellspacing=0 class="bingolbtab">
				  <tr>
				    <th class="bingolbthmember">Member</td>
				    <th class="bingolbthprize">Prize</td>
				    <th class="bingolbthcard">Card</td>
				  </tr>';
				while ($winner = lfmsql_fetch_array($getwinners)) {
					$thisuser = 'User not found';
					$getusername = lfmsql_query("SELECT username FROM ".$prefix."members WHERE Id='".$winner['user']."' ");
					if (lfmsql_num_rows($getusername) == 1) {
						$thisuser = lfmsql_result($getusername,0);
					}
					echo '
					  <tr>
					    <td class="bingolbtdmember" style="font-size:24pt;text-align:center;">'.$thisuser.'</td>
					    <td class="bingolbtdprize" style="font-size:24pt;text-align:center;">'.$winner['prize'].'</td>
					    <td class="bingolbtdcard" style="font-size:20pt;text-align:center;">'.dispBingoCard($winner['card'],2).'</td>
					  </tr>';
				}
				echo '</table>';
			} else {
				echo '<center><b>No winners found for this game</b></center>';
			}
		}
	} else {
		echo '<center><b>There are no completed games yet</b></center>';
	}
	
	
} elseif ($_GET['act'] == 'view') {
	$getgame = lfmsql_query("SELECT * FROM ".$prefix."bingogame WHERE id='".$_GET['game']."' ");
	if (lfmsql_num_rows($getgame) == 1) {
		
	   $gettemplate = lfmsql_query("SELECT template_data FROM ".$prefix."templates WHERE template_name='bingo_game' ");
	   $template = lfmsql_result($gettemplate, 0, "template_data");
	   $template=translate_site_tags($template);
	   $template = translate_user_tags($template, $useremail);
	   echo $template;
		
		$game = lfmsql_fetch_array($getgame);
		$prizeid = $game['prize'];
		$countcards = lfmsql_query("SELECT count(id) FROM ".$prefix."bingocard WHERE gameid='".$game['id']."' ");
		$cardcount = lfmsql_result($countcards,0);
		$balls = json_decode($game['balls'],true);
		if (is_array($balls)) {
			$balls = array_reverse($balls);
		} else {
			$balls = array();
		}
		
		echo '<table>
		  <tr>
		    <td><p style="text-align:center;font-size:12pt;"><span style="font-size:18pt;">Game</span><br /><span style="font-size:36pt;">#'.$game['id'].'</span></p></td>
		    ';
		    
		$getcards = lfmsql_query("SELECT * FROM ".$prefix."bingocard WHERE userid='".$userid."' AND gameid='".$game['id']."' ");
		$numcards = lfmsql_num_rows($getcards);
		
		if (($numcards < $bingosettings['maxcards'] OR $bingosettings['maxcards'] == 0) AND ($game['status'] == 'pending' OR ($game['status'] == 'active' AND $bingosettings['allowbuyin'] == 'yes'))) {
			echo '<td style="width:30px;"></td><td style="text-align:center;width:300px;"><div style="text-align:center:width:200px;">You have '.$usercredits.' credits and '.$bingotokens.' bingo tokens.<br /><table style="width:100%;"><tr>';
			
			if ($game['buyfreeze'] == 0 AND $usercredits >= $bingosettings['creditcost'] AND $bingosettings['creditcost'] > 0) {
				echo '<td style="text-align:center"><form action="bingo.php" method="post">
				  <input type="hidden" name="act" value="buycardcredits">
				  <input type="hidden" name="game" value="'.$game['id'].'">
				  <input type="submit" name="submit" value="Buy card for '.$bingosettings['creditcost'].' credits">
				</form></td>';
			}
			
			if ($game['buyfreeze'] == 0 AND $bingotokens >= 1) {
				echo '<td style="text-align:center"><form action="bingo.php" method="post">
				  <input type="hidden" name="act" value="buycardtokens">
				  <input type="hidden" name="game" value="'.$game['id'].'">
				  <input type="submit" name="submit" value="Buy card with Bingo Tokens">
				</form></td>';
			}
			echo '</tr></table></div></td>';
		}
		
		$jackpot = '';
		switch ($game['jacktype']) {
			case "credits":
			  $jackpot = '<h2>Jackpot: '.$game['jackpot'].' credits<br /><i style="font-size:10pt;font-weight: normal;">Jackpot is divided among all members who get Bingo</i></h2>';
			  break;
			case "banners":
			  $jackpot = '<h2>Jackpot: '.$game['jackpot'].' banner impressions<br /><i style="font-size:10pt;font-weight: normal;">Jackpot is divided among all members who get Bingo</i></h2>';
			  break;
			case "textads":
			  $jackpot = '<h2>Jackpot: '.$game['jackpot'].' text link impressions<br /><i style="font-size:10pt;font-weight: normal;">Jackpot is divided among all members who get Bingo</i></h2>';
			  break;
			case "cash":
			  $jackpot = '<h2>Jackpot: $'.$game['jackpot'].' cash<br /><i style="font-size:10pt;font-weight: normal;">Jackpot is divided among all members who get Bingo</i></h2>';
			  break;
			case "peelads":
			  $jackpot = '<h2>Jackpot: '.$game['jackpot'].' peel ad impressions<br /><i style="font-size:10pt;font-weight: normal;">Jackpot is divided among all members who get Bingo</i></h2>';
			  break;
			case "sqbans":
			  $jackpot = '<h2>Jackpot: '.$game['jackpot'].' square banner impressions<br /><i style="font-size:10pt;font-weight: normal;">Jackpot is divided among all members who get Bingo</i></h2>';
			  break;
			case "mbranders":
			  $jackpot = '<h2>Jackpot: '.$game['jackpot'].' mini brander impressions<br /><i style="font-size:10pt;font-weight: normal;">Jackpot is divided among all members who get Bingo</i></h2>';
			  break;
			case "porkyps":
			  $jackpot = '<h2>Jackpot: '.$game['jackpot'].' porky points<br /><i style="font-size:10pt;font-weight: normal;">Jackpot is divided among all members who get Bingo</i></h2>';
			  break;
			case "xppoints":
			  $jackpot = '<h2>Jackpot: '.$game['jackpot'].' XP points<br /><i style="font-size:10pt;font-weight: normal;">Jackpot is divided among all members who get Bingo</i></h2>';
			  break;
		}
		
		echo '</tr></table><div style="padding:25px;border:1px #000 solid;">'.$jackpot.$prize[$prizeid].'</div><br />';
		
		if (count($balls) == 0) {
			echo '<center><b>No Balls have been pulled from the drum</b></center>';
		} else {
			$i=1;
			echo '<div style="height:110px;overflow-x:hidden;overflow-y:scroll;">';
			foreach ($balls AS $k=>$v) {
				if ($i == 1) { echo '<table style="margin:0 auto;"><tr>'; }
				echo '<td><div class="bingoballsm">'.$v[0].'</div></td>';
				$i++;
				if ($i > 10) { echo '</tr></table>'; $i = 1; }
			}
			if ($i != 1) {
				echo '</tr></table>';
			}
			echo '</div>';
		}
		
		echo '<br/>';
		
		if ($game['status'] == 'complete') {
			echo '<h2>Bingo!</h2>';
			$getwinners = lfmsql_query("SELECT * FROM ".$prefix."bingobrd WHERE gameid='".$game['id']."' ");
			if (lfmsql_num_rows($getwinners) > 0) {
				echo '<table border=1 bordercolor=black cellpadding=5 cellspacing=0 class="bingolbtab">
				  <tr>
				    <th class="bingolbtab">Member</td>
				    <th class="bingolbtab">Prize</td>
				    <th class="bingolbtab">Card</td>
				  </tr>';
				while ($winner = lfmsql_fetch_array($getwinners)) {
					$thisuser = 'User not found';
					$getusername = lfmsql_query("SELECT username FROM ".$prefix."members WHERE Id='".$winner['user']."' ");
					if (lfmsql_num_rows($getusername) == 1) {
						$thisuser = lfmsql_result($getusername,0);
					}
					echo '
					  <tr>
					    <td class="bingolbtab" style="font-size:24pt;text-align:center;">'.$thisuser.'</td>
					    <td class="bingolbtab" style="font-size:24pt;text-align:center;">'.$winner['prize'].'</td>
					    <td class="bingolbtab" style="font-size:20pt;text-align:center;">'.dispBingoCard($winner['card'],2).'</td>
					  </tr>';
				}
				echo '</table>';
			} else {
				echo '<center><b>No winners found for this game</b></center>';
			}
			echo '<br/>';
		}
		
		$getcards = lfmsql_query("SELECT * FROM ".$prefix."bingocard WHERE userid='".$userid."' AND gameid='".$game['id']."' ");
		if ($numcards > 0) {
			echo '<h2>Your Cards</h2>';
			$i=1;
			while ($card = lfmsql_fetch_array($getcards)) {
				if ($i == 1) { echo '<table style="margin:0 auto;"><tr>'; }
				echo '<td onClick="document.location=\'bingo.php?act=vcard&card='.$card['id'].'\'" style="cursor:pointer;">'.dispBingoCard($card['id'],2).'</td>';
				$i++;
				if ($i > 3) { echo '</tr></table>'; $i = 1; }
			}
			if ($i != 1) {
				echo '</tr></table>';
			}
		}
		
	} else {
		echo '<center><b>Could not locate game</b></center>';
	}
	
} else {
	$gettemplate = lfmsql_query("SELECT template_data FROM ".$prefix."templates WHERE template_name='bingo_main' ");
	$template = lfmsql_result($gettemplate, 0, "template_data");
	$template=translate_site_tags($template);
	$template = translate_user_tags($template, $useremail);
	echo $template;
	
	$getactgame = lfmsql_query("SELECT * FROM ".$prefix."bingogame WHERE status='active' ORDER BY id ASC ");
	if (lfmsql_num_rows($getactgame) == 1) {
		$game = lfmsql_fetch_array($getactgame);
		
		$withjackpot='';
		switch ($game['jacktype']) {
			case "credits":
			  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' credits" style="float:right;"/>';
			  break;
			case "banners":
			  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' banner impressions" style="float:right;"/>';
			  break;
			case "textads":
			  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' text link impressions" style="float:right;"/>';
			  break;
			case "cash":
			  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of $'.$game['jackpot'].' cash" style="float:right;"/>';
			  break;
			case "peelads":
			  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' peel ad impressions" style="float:right;"/>';
			  break;
			case "sqbans":
			  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' square banner impressions" style="float:right;"/>';
			  break;
			case "mbranders":
			  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' mini brander impressions" style="float:right;"/>';
			  break;
			case "porkyps":
			  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' porky points" style="float:right;"/>';
			  break;
			case "xppoints":
			  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' XP points" style="float:right;"/>';
			  break;
		}
		
		$prizeid = $game['prize'];
		$countcards = lfmsql_query("SELECT count(id) FROM ".$prefix."bingocard WHERE gameid='".$game['id']."' ");
		$cardcount = lfmsql_result($countcards,0);
		echo '<h3>Currently Active Game</h3><table border=1 bordercolor=black cellpadding=5 cellspacing=0 id="bingoactivegame">
		  <tr>
		    <td class="bingoagth_game">Game</td>
			<td class="bingoagth_prize">Prize</td>
		    <td class="bingoagth_card">Cards</td>
		    <td class="bingoagth_misc">&nbsp;</td>
		  </tr>
		  <tr>
		    <td class="bingoagtd_game">'.$game['id'].'</td>
			<td class="bingoagtd_prize">'.$withjackpot.$prize[$prizeid].'</td>
		    <td class="bingoagtd_card">'.$cardcount.'</td>
		    <td class="bingoagtd_misc"><a href="bingo.php?act=view&game='.$game['id'].'">View Game</a></td>
		  </tr>
		</table>';
	}
	
	$getpendgame = lfmsql_query("SELECT * FROM ".$prefix."bingogame WHERE status='pending' ORDER BY id ASC ");
	if (lfmsql_num_rows($getpendgame)> 0) {
		echo '<h3>Upcoming Games</h3><table border=1 bordercolor=black cellpadding=5 cellspacing=0 id="bingopendinggames">
		  <tr>
		    <th class="bingopgth_game">Game</td>
			<th class="bingopgth_prize">Prize</td>
		    <th class="bingopgth_card">Cards</td>
		    <th class="bingopgth_misc">&nbsp;</td>
		  </tr>';
		while ($game = lfmsql_fetch_array($getpendgame)) {
		
			$withjackpot='';
			switch ($game['jacktype']) {
				case "credits":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' credits" style="float:right;"/>';
				  break;
				case "banners":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' banner impressions" style="float:right;"/>';
				  break;
				case "textads":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' text link impressions" style="float:right;"/>';
				  break;
				case "cash":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of $'.$game['jackpot'].' cash" style="float:right;"/>';
				  break;
				case "peelads":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' peel ad impressions" style="float:right;"/>';
				  break;
				case "sqbans":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' square banner impressions" style="float:right;"/>';
				  break;
				case "mbranders":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' mini brander impressions" style="float:right;"/>';
				  break;
				case "porkyps":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' porky points" style="float:right;"/>';
				  break;
				case "xppoints":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' XP points" style="float:right;"/>';
				  break;
			}
			
			$prizeid = $game['prize'];
			$countcards = lfmsql_query("SELECT count(id) FROM ".$prefix."bingocard WHERE gameid='".$game['id']."' ");
			$cardcount = lfmsql_result($countcards,0);
			echo '
			  <tr>
			    <td class="bingopgtd_game">'.$game['id'].'</td>
			    <td class="bingopgtd_prize">'.$withjackpot.$prize[$prizeid].'</td>
			    <td class="bingopgtd_card">'.$cardcount.'</td>
			    <td class="bingopgtd_misc"><a href="bingo.php?act=view&game='.$game['id'].'">View Game</a></td>
			  </tr>';
		}
		echo '</table>';
	}
	
	$getexpgame = lfmsql_query("SELECT * FROM ".$prefix."bingogame WHERE status='complete' ORDER BY id DESC LIMIT 10 ");
	if (lfmsql_num_rows($getexpgame) > 0) {
		echo '<h3>Completed</h3><table border=1 bordercolor=black cellpadding=5 cellspacing=0 id="bingoexpiredgames">
		  <tr>
		    <th class="bingocgth_game">Game</td>
			<th class="bingocgth_prize">Prize</td>
		    <th class="bingocgth_card">Cards</td>
		    <th class="bingocgth_misc">&nbsp;</td>
		  </tr>';
		while ($game = lfmsql_fetch_array($getexpgame)) {
		
			$withjackpot='';
			switch ($game['jacktype']) {
				case "credits":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' credits" style="float:right;"/>';
				  break;
				case "banners":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' banner impressions" style="float:right;"/>';
				  break;
				case "textads":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' text link impressions" style="float:right;"/>';
				  break;
				case "cash":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of $'.$game['jackpot'].' cash" style="float:right;"/>';
				  break;
				case "peelads":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' peel ad impressions" style="float:right;"/>';
				  break;
				case "sqbans":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' square banner impressions" style="float:right;"/>';
				  break;
				case "mbranders":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' mini brander impressions" style="float:right;"/>';
				  break;
				case "porkyps":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' porky points" style="float:right;"/>';
				  break;
				case "xppoints":
				  $withjackpot = '<img src="lfm_plugins/BingoGame/jackpot.png" alt="Jackpot" title="With an additional jackpot of '.$game['jackpot'].' XP points" style="float:right;"/>';
				  break;
			}
			
			$prizeid = $game['prize'];
			$countcards = lfmsql_query("SELECT count(id) FROM ".$prefix."bingocard WHERE gameid='".$game['id']."' ");
			$cardcount = lfmsql_result($countcards,0);
			echo '
			  <tr>
			    <td class="bingocgtd_game">'.$game['id'].'</td>
			    <td class="bingocgtd_prize">'.$withjackpot.$prize[$prizeid].'</td>
			    <td class="bingocgtd_card">'.$cardcount.'</td>
			    <td class="bingocgtd_misc"><a href="bingo.php?act=view&game='.$game['id'].'">View Game</a></td>
			  </tr>';
		}
		echo '</table>';
	}
	
	echo '<p><a href="bingo.php?act=lb">View Full Leaderboard</a></p>';
}
include $theme_dir."/footer.php";

?>