<?php

// LFMTE Chat Mod v5
// 2016 LFM Wealth Systems, http://thetrafficexchangescript.com
// Licensed for the LFMTE script

session_start();

require "../chatfilter.php";

if (!isset($_GET['memid']) || !is_numeric($_GET['memid'])) {
	echo("<p>Invalid Member ID.</p>");
	exit;
}

if (!isset($_SESSION['adminun'])){
	@session_destroy();
	echo("<p>Session Has Timed Out.</p>");
	exit;
}


// Connect To Database
require_once "../inc/funcs.php";
include "../inc/config.php";
lfmsql_connect($dbhost,$dbuser,$dbpass) or die("Unable to connect to database.");
lfmsql_select_db($dbname) or die("Unable to select database.");

$getadminpassword = lfmsql_query("SELECT id, password FROM `chat_users` WHERE isadmin=1 AND username='".$_SESSION['adminun']."' LIMIT 1");
if (lfmsql_num_rows($getadminpassword) < 1) {
	@session_destroy();
	echo("<p>Error...  Incorrect username.</p>");
	exit;
}

$correctpassword = lfmsql_result($getadminpassword, 0, "password");

if ($_SESSION['password'] != $correctpassword) {
	@session_destroy();
	echo("<p>Error...  Incorrect password.</p>");
	exit;
}

$_SESSION['adminid'] = lfmsql_result($getadminpassword, 0, "id");

$modsuspend = @lfmsql_result(@lfmsql_query("SELECT suspend FROM `chat_moderators` WHERE roomid='".$_SESSION['roomid']."' AND userid=".$_SESSION['adminid']), 0);

if ($modsuspend != 1){
	echo("<p>Your moderator account does not have access to suspend accounts.</p>");
	exit;
}

$getmember = lfmsql_query("SELECT username, ipaddress FROM `chat_users` WHERE id=".$_GET['memid']." LIMIT 1");
if (lfmsql_num_rows($getmember) < 1) {
	echo("<p>Member not found.</p>");
	exit;
}

$membersname = lfmsql_result($getmember, 0, "username");
$memipaddress = lfmsql_result($getmember, 0, "ipaddress");

if ($_POST['subaction'] == "Suspend Member") {
	$suspendlength = $_POST['suspendlength'];
	
	if ($_POST['suspendtype'] == "days") {
		$suspendlength = $suspendlength*24;
	} else {
		$_POST['suspendtype'] = "hours";
	}
	
	lfmsql_query("INSERT INTO chat_adminlog (adminid, userid, roomid, type, time, logentry) VALUES (".$_SESSION['adminid'].", ".$_GET['memid'].", '".$_SESSION['roomid']."', 2, '".time()."', 'Suspended for ".$_POST['suspendlength']." ".$_POST['suspendtype'].": ".$_POST['suspendtext']."')") or die(lfmsql_error());
	
	$suspendlength = $suspendlength*3600;
	$expiretime = time() + $suspendlength;
	
	if ($suspendlength < 1 || $suspendlength > 631138519) {
		// Ban for 20 years
		$expiretime = time() + 631138519;
	}
	
	lfmsql_query("INSERT INTO chat_suspended (userid, roomid, ipaddress, timebanned, banexpires, reason) VALUES (".$_GET['memid'].", '".$_SESSION['roomid']."', '".$memipaddress."', '".time()."', '".$expiretime."', '".$_POST['suspendtext']."')") or die(lfmsql_error());

	echo("<p>Member ".$membersname." has been suspended.</p>");
	exit;
}

?>
<html>
<body>
<center>

<p><font size="4"><b>Suspend <? echo($membersname); ?></b></font></p>

<form action="suspendmember.php?memid=<? echo($_GET['memid']); ?>" method="post">
<p><font size="2">Suspend Member For <input type="text" size="2" name="suspendlength" value="1"> <select name="suspendtype"><option value="days">Days</option><option value="hours">Hours</option></select></p>
<p><font size="2">Reason:</font><br>
<textarea id="suspendtext" name="suspendtext" wrap="soft" cols="30" rows="4"></textarea><br>
<input type="submit" name="subaction" value="Suspend Member"></p>
</form>

</center>
</body>
</html>
<?

exit;

?>