<?php

// LFMTE Chat Mod v5
// 2016 LFM Wealth Systems, http://thetrafficexchangescript.com
// Licensed for the LFMTE script

session_start();

require "../chatfilter.php";

if (!isset($_SESSION['adminun'])){
	@session_destroy();
	echo("<p>Session Has Timed Out.</p>");
	exit;
}


// Connect To Database
require_once "../inc/funcs.php";
include "../inc/config.php";
lfmsql_connect($dbhost,$dbuser,$dbpass) or die("Unable to connect to database.");
lfmsql_select_db($dbname) or die("Unable to select database.");

$getadminpassword = lfmsql_query("SELECT id, password FROM `chat_users` WHERE isadmin=1 AND username='".$_SESSION['adminun']."' LIMIT 1");
if (lfmsql_num_rows($getadminpassword) < 1) {
	@session_destroy();
	echo("<p>Error...  Incorrect username.</p>");
	exit;
}

$correctpassword = lfmsql_result($getadminpassword, 0, "password");

if ($_SESSION['password'] != $correctpassword) {
	@session_destroy();
	echo("<p>Error...  Incorrect password.</p>");
	exit;
}

$_SESSION['adminid'] = lfmsql_result($getadminpassword, 0, "id");

if (!isset($_GET['memberid']) || !is_numeric($_GET['memberid'])) {
	echo("Invalid Member ID");
	exit;
}

?>

<html>

<head>
<style type="text/css">
body { margin: 0px 0px 0px 0px; background-color: #FFFFFF; }
</style>
</head>

<body>

<?

$getmessages = lfmsql_query("Select * from chat_adminlog WHERE userid=".$_GET['memberid']." AND roomid='".$_SESSION['roomid']."' order by id desc");
if (lfmsql_num_rows($getmessages) == 0) {
echo("No History Found");
exit;
} else {

echo("<table width=\"200\" border=\"0\" cellpadding=\"2\" cellspacing=\"0\">
");

for ($i = 0; $i < lfmsql_num_rows($getmessages); $i++) {

// Get Chat Info
$adminid = lfmsql_result($getmessages, $i, "adminid");
$chattime = lfmsql_result($getmessages, $i, "time");
$chattext = lfmsql_result($getmessages, $i, "logentry");

$actiondate = date('jS \of F Y', $chattime);
$actiontime = date('g:i A', $chattime);

// Make Sure Long Messages Don't Break The Table
$textspaces = explode(" ", $chattext);
if (count($textspaces) > 0) {
	$chattext = "";
	for ($j = 0; $j < count($textspaces); $j++) {
		if (strlen($textspaces[$j]) > 15) {
			// Trim the text to 15 characters
			$chattext .= substr($textspaces[$j], 0, 15);
		} else {
			$chattext .= $textspaces[$j];
		}
		if ($j+1 < count($textspaces)) {
			// Put the space back in
			$chattext .= " ";
		}
	}
}

// Get User Info
$getuser = lfmsql_query("Select isadmin, username, picture from chat_users where id=$adminid limit 1");
if (lfmsql_num_rows($getuser) > 0) {

$isadmin = lfmsql_result($getuser, 0, "isadmin");
$username = lfmsql_result($getuser, 0, "username");
$userpic = "";

if ($isadmin == 1) {
	$namecolor = "red";
} else {
	$namecolor = "blue";
}

$username = trim($username);

// Make Sure Long Names Don't Break The Table
$namespaces = explode(" ", $username);
if (count($namespaces) > 0) {
	$username = "";
	for ($j = 0; $j < count($namespaces); $j++) {
		if (strlen($namespaces[$j]) > 8) {
			// Trim the name to 8 characters
			$username .= substr($namespaces[$j], 0, 8);
		} else {
			$username .= $namespaces[$j];
		}
		if ($j+1 < count($namespaces)) {
			// Put the space back in
			$username .= " ";
		}
	}
}

	$usertitle = "<font face=verdana size=2 color=".$namecolor.">$username</font>";

echo("<tr><td valign=\"middle\" align=\"center\" width=\"60\">$usertitle</td><td valign=\"middle\" align=\"left\" width=\"140\"><font face=verdana size=2 color=gray>$actiondate $actiontime</font><br /><font face=verdana size=2>$chattext</font>");

if ($chattext != "") { echo("<br>"); }

echo("</td></tr>

<tr><td valign=\"middle\" align=\"center\" colspan=\"2\"><img width=\"100%\" height=\"2\" border=\"0\" src=\"chatborder.jpg\"></td></tr>");


}
}

echo("</table>

</body>
</html>");
}

exit;
?>