<?php

// LFMTE Chat Mod v5
// 2016 LFM Wealth Systems, http://thetrafficexchangescript.com
// Licensed for the LFMTE script

if (!isset($cronfilepath) || strlen($cronfilepath) < 1) {
	echo("This file should be scheduled in the oto_cronjobs table");
	exit;
}

$chatlogdays = @lfmsql_result(@lfmsql_query("Select value from `chat_vals` where field='chatlogdays'"), 0);
$modlogdays = @lfmsql_result(@lfmsql_query("Select value from `chat_vals` where field='modlogdays'"), 0);

if (!isset($chatlogdays) || !is_numeric($chatlogdays)) { $chatlogdays = 0; }
if (!isset($modlogdays) || !is_numeric($modlogdays)) { $modlogdays = 0; }

$chatlogsecs = $chatlogdays*86400;
$modlogdays = $modlogdays*86400;

if ($chatlogsecs > 0) {
	$chatdeltime = time() - $chatlogsecs;
	lfmsql_query("DELETE FROM `chat_messages` WHERE timestamp < '".$chatdeltime."'");
}

if ($modlogsecs > 0) {
	$moddeltime = time() - $modlogsecs;
	lfmsql_query("DELETE FROM `chat_adminlog` WHERE time < '".$moddeltime."'");
}

lfmsql_query("UPDATE `chat_vals` SET value='".time()."' WHERE field='lastcron'");

?>