<?php

// LFMTE Chat Mod v5
// 2016 LFM Wealth Systems, http://thetrafficexchangescript.com
// Licensed for the LFMTE script

require_once "chatfilter.php";

if (!isset($_GET['roomkey']) || $_GET['roomkey'] == "") {
	echo("Invalid Room Link");
	exit;
}

// Connect To Database
require_once "inc/funcs.php";
include "inc/config.php";
lfmsql_connect($dbhost,$dbuser,$dbpass) or die("Unable to connect to database.");
lfmsql_select_db($dbname) or die("Unable to select database.");

$getroomid = lfmsql_query("SELECT id FROM `chat_rooms` WHERE roomkey='".$_GET['roomkey']."'");
if (lfmsql_num_rows($getroomid) < 1) {
	echo("Room Not Found");
	exit;
}
$roomid = lfmsql_result($getroomid, 0, "id");

// Get Room Colors and Text
$getcolors = lfmsql_query("SELECT * FROM `chat_roomcolors` WHERE roomid=".$roomid);
if (lfmsql_num_rows($getcolors) < 1) {
	lfmsql_query("INSERT INTO `chat_roomcolors` (roomid) VALUES (".$dbsess['roomid'].")") or die(lfmsql_error());
	$getcolors = lfmsql_query("SELECT * FROM `chat_roomcolors` WHERE roomid=".$dbsess['roomid']);
}
$roomcolors = lfmsql_fetch_assoc($getcolors);

	// Query settings table for sitename
	$res=@lfmsql_query("SELECT * FROM ".$prefix."settings") or die("Unable to find settings!");
	$row=@lfmsql_fetch_array($res);
	$sitename=$row["sitename"];
	$replyaddress=$row["replyaddress"];

	function generatePassword ($length = 8)
	{
	  // start with a blank password
	  $password = "";
	
	  // define possible characters
	  $possible = "0123456789bcdfghjkmnpqrstvwxyz"; 
		
	  // set up a counter
	  $i = 0; 
		
	  // add random characters to $password until $length is reached
	  while ($i < $length) { 
		// pick a random character from the possible ones
		$char = substr($possible, mt_rand(0, strlen($possible)-1), 1);
			
		// we don't want this character if it's already in the password
		if (!strstr($password, $char)) { 
		  $password .= $char;
		  $i++;
		}
	  }
	  // done!
	  return $password;
	}
	
	if($_POST["Submit"] == "Send Login Details" && $_POST["email"] != "")
	{
		$lres=@lfmsql_query("SELECT username, email FROM chat_users WHERE email='".$_POST["email"]."'");
		$lrow=@lfmsql_fetch_array($lres);
		$username=$lrow["username"];
		$recipient=$lrow["email"];
		$password=generatePassword();
		$encpassword=md5($password);
				
		if(lfmsql_num_rows($lres) > 0)
		{
			// Update password
			lfmsql_query("UPDATE chat_users SET `password` = '$encpassword' WHERE email='".$recipient."' AND username='".$username."'") or die(lfmsql_error());

			$subject="Your Chat Login Details";
			$headers = 'From: '.$sitename.' <'.$replyaddress.'>';
			$msg="\nYou or someone else recently submitted a request to have your chat password reset and sent to you.

Your new chat login details are as follows:

Username: $username
Password: $password

Regards,

The $sitename Chat Password Retrieval System";

			mail($recipient,$subject,$msg,$headers);
			$msg="Your username and password have been emailed to you.";

		}
		else
		{
			$msg="The e-mail you entered is not registered in this chat system.<br><br>Click <a href=\"chatsignup.php?roomkey=".$_GET['roomkey']."\"><font size=\"2\" color=\"".$roomcolors['linkcolor']."\">HERE</font></a> to register.";
		}
	}
	
	echo("<html>
	
	<!-- LFMTE Chat Mod v4 -->
	<!-- (c) 2012 LFM Wealth Systems -->
	<!-- http://thetrafficexchangescript.com -->
	
	<head>
	<style type=\"text/css\">
	body { margin: 0px 0px 0px 0px; background-color: ".$roomcolors['mainbgcolor']."; }
	li { color: ".$roomcolors['maintextcolor']."; }
	</style>
	</head>
	
	<body>
	<center>
	");
	
	if(isset($_POST["email"])) {
		echo("<p><font size=\"2\" color=\"".$roomcolors['maintextcolor']."\">".$msg."<br><br>Click <a href=\"chatlogin.php?roomkey=".$_GET['roomkey']."\"><font size=\"2\" color=\"".$roomcolors['linkcolor']."\">HERE</font></a> to login.</font></p>");
	} else {
		?>
		<p><font size="4" color="<? echo($roomcolors['maintextcolor']); ?>"><b>Forgot Username/Password?</b></font></p>
		<p><font size="2" color="<? echo($roomcolors['maintextcolor']); ?>">Enter the e-mail address you entered when creating your Chat account.</font></p>
		<table>
		<form action="<?php echo("chatlostpass.php?roomkey=".$_GET['roomkey']); ?>" method="POST">
		<tr><td><font size="3" color="<? echo($roomcolors['maintextcolor']); ?>">Email:</font></td></tr><tr><td><input type="text" name="email" size="20" maxlength="75" value="" /></td></tr>
		<tr><td colspan="2"><input type="submit" name="Submit" value="Send Login Details" /></td></tr>
		</form>
		</table>		
		<?
	}
	
	echo("
	</center>
	</body>
	</html>");
	
	exit;
?>