<?php
// /////////////////////////////////////////////////////////////////////
// Viral Traffic Games Plugin for LFMTE written by Francisco Cardona
// Copyright 2014 ALL RIGHTS RESERVED!
// Do NOT Copy, Transfer, Sell, or Modify
// Licenses and Installation available
// contact: info@customtemods.com or admin@viraltrafficgames.com
// http://customtemods.com
// http://viraltrafficgames.com
// /////////////////////////////////////////////////////////////////////

//check we are comming from surfbar
if (isset($userid) && $userid == $_SESSION["userid"]) {
	$fc_fopdata = '0';
	
	//get settings
	$fc_settings = array();
	$fc_settingsres = lfmsql_query("select * from fc_settings where name like 'surfgame_%'");
	while($fc_settingsrow = lfmsql_fetch_array($fc_settingsres)){
		$fc_settings[$fc_settingsrow['name']] = $fc_settingsrow['setting'];
	}
	
	//update data if required
	$fc_currentdate = date("Y-m-d");
	if ($fc_settings['surfgame_cronjob'] != $fc_currentdate) {
		$fc_time = time();
		if($fc_time - $fc_settings['surfgame_cronjob_started'] > 120){
			lfmsql_query("update fc_settings set setting='".$fc_time."' where name='surfgame_cronjob_started' limit 1");
			lfmsql_query("update fc_vtg_prizes set winners_today=0, last_winsecond_day=0");
			lfmsql_query("update fc_vtg_prizes_stats set last_winsecond_day=0 where last_winsecond_day>0");
			lfmsql_query("update fc_vtg_prizes_stats set total_day = 0 where total_day > 0");
			if(date("w") == 1){
				lfmsql_query("update fc_vtg_prizes_stats set total_week = 0 where total_week > 0");
				lfmsql_query("update fc_vtg_prizes_stats set last_winsecond_week=0 where last_winsecond_week>0");
				lfmsql_query("update fc_vtg_prizes set winners_week=0,last_winsecond_week=0");
			}
			if(date("j") == 1){
				lfmsql_query("update fc_vtg_prizes_stats set total_month = 0 where total_month > 0");
				lfmsql_query("update fc_vtg_prizes_stats set last_winsecond_month=0 where last_winsecond_month>0");
				lfmsql_query("update fc_vtg_prizes set winners_month=0,last_winsecond_month=0");
			}
			lfmsql_query("delete from fc_vtg_prizes_stats where total_day = 0 and total_week = 0 and total_month = 0");
			@lfmsql_query("optimize table fc_vtg_prizes_stats");
			$fc_surfgame_histdays_res = lfmsql_query("select setting from fc_settings where name='surfgame_histdays' limit 1");
			if(lfmsql_num_rows($fc_surfgame_histdays_res) > 0){
				$fc_surfgame_histdays = lfmsql_result($fc_surfgame_histdays_res, 0);
				if($fc_surfgame_histdays > 0){
					lfmsql_query("delete from fc_vtg_prizes_winners where windate < date_sub(now(),interval $fc_surfgame_histdays day)");
					@lfmsql_query("optimize table fc_vtg_prizes_winners");
				}
			}
			lfmsql_query("update fc_settings set setting='$fc_currentdate' where name='surfgame_cronjob' limit 1");
		}	
	}
	
	if($fc_settings['surfgame_active'] == '1' || $fc_settings['surfgame_test_user']==$userid){	
		$fc_fopdataenabled = true;
		$fc_fopdatatopenabled = true;
		$fc_extenabled_res = lfmsql_query("select state from ".$prefix."barmods_extensions where filename='fc_viraltrafficgames_extensions.php' limit 1");
		if(!(lfmsql_num_rows($fc_extenabled_res) > 0 && lfmsql_result($fc_extenabled_res,0) > 0)){
			$fc_fopdataenabled = false;
		}
		$fc_extenabled_res2 = lfmsql_query("select state from ".$prefix."barmods_topbar where filename='fc_viraltrafficgames_topbar.php' limit 1");
		if(!(lfmsql_num_rows($fc_extenabled_res2) > 0 && lfmsql_result($fc_extenabled_res2,0) > 0)){
			$fc_fopdatatopenabled = false;
		}

		if($fc_fopdataenabled || $fc_fopdatatopenabled){
			//get member info
			$fc_memberres = lfmsql_query("select clickstoday, firstname, mtype, fc_vtgnextpage from ".$prefix."members where Id=".$userid);
			$fc_memberrow = lfmsql_fetch_array($fc_memberres);
			$fc_vtgnextpage = $fc_memberrow["fc_vtgnextpage"];
			$fc_mtype = $fc_memberrow["mtype"];
			$fc_username = $fc_memberrow["firstname"];
			$fc_clickstoday = $fc_memberrow["clickstoday"];
			$fc_clickstoday = is_numeric($fc_clickstoday) && $fc_clickstoday >= 0 ? $fc_clickstoday : 0;
			
			//check max surf pages/ prize ranges
			$fc_surf_limit = 0;
			$fc_min_pages = 0;
			$fc_max_pages = 0;
			$fc_mtype_settings = lfmsql_query("select * from fc_vtg_mtype_settings where mtype = ".$fc_mtype);
			if(lfmsql_num_rows($fc_mtype_settings) > 0){
				$fc_surf_limit = lfmsql_result($fc_mtype_settings,0,"surf_limit");
				$fc_min_pages = lfmsql_result($fc_mtype_settings,0,"min_pages");
				$fc_max_pages = lfmsql_result($fc_mtype_settings,0,"max_pages");
			}else{
				$fc_mtype_settings = lfmsql_query("select * from fc_vtg_mtype_settings where mtype = 1");
				if(lfmsql_num_rows($fc_mtype_settings) > 0){
					$fc_surf_limit = lfmsql_result($fc_mtype_settings,0,"surf_limit");
					$fc_min_pages = lfmsql_result($fc_mtype_settings,0,"min_pages");
					$fc_max_pages = lfmsql_result($fc_mtype_settings,0,"max_pages");
				}
			}
			
			//check surf limits
			if($fc_min_pages > 0 && $fc_max_pages > 0 && ($fc_surf_limit == 0 || $fc_clickstoday <= $fc_surf_limit)){
				//check time between prize pages
				$fc_validtime = true;
				$fc_vtgres = lfmsql_query("select *,now() fc_now from fc_vtg where memid=".$userid." limit 1");
				if(lfmsql_num_rows($fc_vtgres) > 0){
					$fc_vtgrow = lfmsql_fetch_array($fc_vtgres);			
					if($fc_settings['surfgame_active'] == '1' && $fc_settings['surfgame_wait_minutes']>0){
						if($fc_vtgrow['lastupdate'] != ''){
							$fc_lastupdate = strtotime($fc_vtgrow['lastupdate']);
							$fc_now = strtotime($fc_vtgrow['fc_now']);
							$fc_diff = $fc_now - $fc_lastupdate;
							if($fc_diff < $fc_settings['surfgame_wait_minutes']*60){
								$fc_validtime = false;
							}
						}
					}
				}

				if($fc_validtime){
					//check if reset required
					if($fc_clickstoday <= 1 || $fc_vtgnextpage == 0 || ($fc_vtgnextpage > $fc_clickstoday && $fc_vtgnextpage - $fc_clickstoday > $fc_max_pages)){
						$fc_vtgnextpage = $fc_clickstoday + $fc_min_pages - 1;
						if($fc_min_pages < $fc_max_pages){
							$fc_vtgnextpage = $fc_clickstoday + rand($fc_min_pages, $fc_max_pages) - 1;
						}
						lfmsql_query("update ".$prefix."members set fc_vtgnextpage=$fc_vtgnextpage where Id=".$userid);
					}

					if($fc_vtgnextpage <= $fc_clickstoday){
						//update next page view
						$fc_vtgnextpage = $fc_clickstoday + $fc_min_pages;
						if($fc_min_pages < $fc_max_pages){
							$fc_vtgnextpage = $fc_clickstoday + rand($fc_min_pages, $fc_max_pages);
						}
						lfmsql_query("update ".$prefix."members set fc_vtgnextpage=$fc_vtgnextpage where Id=".$userid);
						
						//show the icon
						$fc_lastkey = rand(100,10000);
						$_SESSION['VTG_KEY'] = $fc_lastkey;

						if(!isset($fc_vtgrow) || !is_array($fc_vtgrow) || count($fc_vtgrow) == 0){
							lfmsql_query("insert into fc_vtg (memid, lastkey, lastupdate, showntoday, showntotal) values ($userid, $fc_lastkey, now(), 1, 1)");
						}else{
							lfmsql_query("update fc_vtg set lastkey='$fc_lastkey', lastupdate=now(), showntoday=showntoday+1, showntotal=showntotal+1 where id=".$fc_vtgrow['id']);
						}

						//if(count($fc_vtgrow) == 0){
							//lfmsql_query("insert into fc_vtg (memid, lastkey, lastupdate, showntoday, showntotal) values ($userid, $fc_lastkey, now(), 1, 1)");
						//}else{
							lfmsql_query("update fc_vtg set lastkey='$fc_lastkey', lastupdate=now(), showntoday=showntoday+1, showntotal=showntotal+1 where id=".$fc_vtgrow['id']);
						//}
						$fc_specialpage = 'vtg_prizepage.php?securecode='.md5($fc_lastkey);

						$fc_surfgame_icon_height = $fc_settings['surfgame_icon_height'];
						$fc_surfgame_icon_path = $fc_settings['surfgame_icon_path'];
						if($fc_fopdataenabled){
							$fc_fopdata = "<table border='0'><tr>
							<td><a onclick='document.getElementById(\"fc_vtgdiv\").style.display=\"none\";' href='$fc_specialpage' target='_blank' style='text-decoration:none;color:".$menuItems."'><font color='".$menuItems."' size='4'><strong>".$fc_username.", Click Here to Play a Game</strong></font></a></td>
							<td><a onclick='document.getElementById(\"fc_vtgdiv\").style.display=\"none\";' href='$fc_specialpage' target='_blank'><img src='".$fc_surfgame_icon_path."' ".($fc_surfgame_icon_height>0?"height='".$fc_surfgame_icon_height."'":"")." border='0' ></a></td>
							</tr></table>"; 
						}
						if($fc_fopdatatopenabled){
							$fc_fopdata = "<a href='$fc_specialpage' target='_blank' onclick='document.getElementById(\"fc_vtgdiv\").style.display=\"none\";'><img src='".$fc_surfgame_icon_path."' ".($fc_surfgame_icon_height>0?"height='".$fc_surfgame_icon_height."'":"")." border='0' ></a>"; 
						}
					}
				}
			}
		}
	}
echo("
#FCVTG#".$fc_fopdata."#ENDFCVTG#
");
}
?>