<?php

// /////////////////////////////////////////////////////////////////////
// GeniuXs v3
// Copyright 2023 Logiscape LLC. All Rights Reserved
// https://geniuxs.com
//
// The sale, duplication or transfer of the script to any 
// person other than the original purchaser is a violation
// of the purchase agreement and is strictly prohibited.
// Any alteration of the script source code or accompanying 
// materials will void any responsibility that Logiscape LLC
// has regarding the proper functioning of the script.
// /////////////////////////////////////////////////////////////////////

@session_start();

require_once "inc/filter.php";

	include "inc/config.php";
	require_once "inc/sql_funcs.php";
	require_once "inc/funcs.php";
	@lfmsql_connect($dbhost,$dbuser,$dbpass);
	@lfmsql_select_db($dbname) or die( "Unable to select database");

	// Query settings table for sitename
	$res=@lfmsql_query("SELECT * FROM ".$prefix."settings") or die("Unable to find settings!");
	$row=@lfmsql_fetch_array($res);
	$sitename=$row["sitename"];
	$replyaddress=$row["replyaddress"];
	
	include "inc/theme.php";

if (!isset($_GET['linkkey'])) {
	echo("Invalid Link");
	exit;
}

if (!isset($_GET['userid']) || !is_numeric($_GET['userid'])) {
	echo("Invalid User ID");
	exit;
}

$getuserinfo = lfmsql_query("SELECT email, mtype, lastip FROM ".$prefix."members WHERE Id='".$_GET['userid']."' LIMIT 1") or die(lfmsql_error());

if (lfmsql_num_rows($getuserinfo) < 1) {
	echo("User ID Not Found");
	exit;
}

$useremail = lfmsql_result($getuserinfo, 0, "email");
$acctype = lfmsql_result($getuserinfo, 0, "mtype");
$memip = lfmsql_result($getuserinfo, 0, "lastip");

$_SESSION["userid"] = $_GET['userid'];
$_SESSION["prefix"] = $prefix;

$getlink = lfmsql_query("SELECT * FROM `geniuxs_clicklinks` WHERE linkkey='".$_GET['linkkey']."' AND (acctype=0 OR acctype=999999 OR acctype=".$acctype.") LIMIT 1") or die(lfmsql_error());

if (lfmsql_num_rows($getlink) < 1) {
	// Get Expired Template
	$getexpired = lfmsql_query("SELECT template_data FROM `".$prefix."templates` WHERE template_name='geniuxs_expired'");
	if (lfmsql_num_rows($getexpired) > 0) {
		$templatedata = lfmsql_result($getexpired, 0, "template_data");
		if (function_exists('html_entity_decode')) {
			$templatedata = html_entity_decode($templatedata);
		} else {
			$templatedata = unhtmlentities($templatedata);
		}
	} else {
		$templatedata = "This Link Has Expired";
	}

	echo($templatedata);
	exit;
}

$expiretime = lfmsql_result($getlink, 0, "expiretime");
$redirecturl = lfmsql_result($getlink, 0, "redirecturl");

$credits = lfmsql_result($getlink, 0, "credits");
$banners = lfmsql_result($getlink, 0, "banners");
$texts = lfmsql_result($getlink, 0, "texts");
$peelimps = lfmsql_result($getlink, 0, "peelimps");
$sqbanimps = lfmsql_result($getlink, 0, "sqbanimps");
$porkyps = lfmsql_result($getlink, 0, "porkyps");

$mbranders = lfmsql_result($getlink, 0, "mbranders");
$xppoints = lfmsql_result($getlink, 0, "xppoints");

$cash = lfmsql_result($getlink, 0, "cash");
$widgetads = lfmsql_result($getlink, 0, "widgetads");
$podpoints = lfmsql_result($getlink, 0, "podpoints");
$piggybank = lfmsql_result($getlink, 0, "piggybank");

$prizegiven = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `geniuxs_clicklog` WHERE linkkey='".$_GET['linkkey']."' AND userid='".$_GET['userid']."'"), 0);

if ($expiretime < time()) {
	// Get Expired Template
	$getexpired = lfmsql_query("SELECT template_data FROM `".$prefix."templates` WHERE template_name='geniuxs_expired'");
	if (lfmsql_num_rows($getexpired) > 0) {
		$templatedata = lfmsql_result($getexpired, 0, "template_data");
		if (function_exists('html_entity_decode')) {
			$templatedata = html_entity_decode($templatedata);
		} else {
			$templatedata = unhtmlentities($templatedata);
		}
	} else {
		$templatedata = "This Link Has Expired";
	}

	echo($templatedata);
	exit;
}


if ($prizegiven == "0") {
	
	lfmsql_query("INSERT INTO `geniuxs_clicklog` (linkkey, userid) VALUES ('".$_GET['linkkey']."', '".$_GET['userid']."')") or die(lfmsql_error());
	
	if (isset($_GET['gmid']) && is_numeric($_GET['gmid'])) {
		@lfmsql_query("UPDATE `geniuxs_groupmails` SET linkclicks=linkclicks+1 WHERE id=".$_GET['gmid']);
		@lfmsql_query("UPDATE `geniuxs_maillog` SET linkclicks=linkclicks+1 WHERE mailid=".$_GET['gmid']." ORDER BY starttime DESC LIMIT 1");
	} elseif (isset($_GET['nmid']) && is_numeric($_GET['nmid'])) {
		@lfmsql_query("UPDATE `geniuxs_newmem` SET linkclicks=linkclicks+1 WHERE id=".$_GET['nmid']);
	} elseif (isset($_GET['smid']) && is_numeric($_GET['smid'])) {
		@lfmsql_query("UPDATE `geniuxs_schedsent` SET linkclicks=linkclicks+1 WHERE messageid=".$_GET['smid']);
	}
	
	// Add Prizes
	if ($credits > 0) {
		lfmsql_query("Update `".$prefix."members` set credits=credits+".$credits." where Id='".$_GET['userid']."' limit 1");
	}
	
	if ($banners > 0) {
		lfmsql_query("Update `".$prefix."members` set bannerimps=bannerimps+".$banners." where Id='".$_GET['userid']."' limit 1");
	}
	
	if ($texts > 0) {
		lfmsql_query("Update `".$prefix."members` set textimps=textimps+".$texts." where Id='".$_GET['userid']."' limit 1");
	}
	
	if ($peelimps > 0) {
		@lfmsql_query("Update `".$prefix."members` set peelimps=peelimps+".$peelimps." where Id='".$_GET['userid']."' limit 1");
	}
	
	if ($sqbanimps > 0) {
		@lfmsql_query("Update `".$prefix."members` set sqbanimps=sqbanimps+".$sqbanimps." where Id='".$_GET['userid']."' limit 1");
	}
	
	if ($porkyps > 0) {
		if (file_exists("inc/porkyp_funcs.php")) {
			require_once "inc/porkyp_funcs.php";
			$porkytransfer = porkytransferpoints($useremail, $memip, $porkyps);
		}
	}
	
	if ($mbranders > 0) {
		@lfmsql_query("Update `".$prefix."members` set mbrandimps=mbrandimps+".$mbranders." where Id='".$_GET['userid']."' limit 1");
	}
	
	if ($xppoints > 0) {
		@lfmsql_query("Update `".$prefix."members` set dailyXP=dailyXP+".$xppoints." where Id='".$_GET['userid']."' limit 1");
	}
	
	if ($cash > 0) {
		@lfmsql_query("Insert into ".$prefix."sales (affid, saledate, itemid, itemname, itemamount, commission, prize) values (".$_GET['userid'].", NOW(), 0, 'Email link reward', '0.00', '".$cash."', 1)");
	}
	
	if ($widgetads > 0) {
		@lfmsql_query("Update ".$prefix."members set widgetimps=widgetimps+".$widgetads." where Id=".$_GET['userid']) or die(lfmsql_error());
	}
	
	if ($podpoints > 0) {
		if (file_exists("inc/trafficpods_funcs.php")) {
			require_once "inc/trafficpods_funcs.php";
			trafficpods_addpoints($_GET['userid'], $podpoints);
		}
	}
	
	if ($piggybank > 0) {
		@lfmsql_query("Insert into ".$prefix."piggybank (userid, transdate, descr, amount, status, ipnsaleid) values (".$_GET['userid'].", NOW(), 'Email link reward', '".$piggybank."', '0', '0')");
	}
	
	if (file_exists("mybanners.php")) {
		lfmsql_query("INSERT INTO ".$prefix."prizelog (plugin, user, time, credits, bannerimps, textimps, cash, peelads, widgetads, sqbans, mbrands, porkyps, xppoints, podpoints, piggybank, notes) VALUES ('GeniuXs', ".$_GET['userid'].", '".time()."', '$credits', '$banners', '$texts', '$cash', '$peelimps', '$widgetads', '$sqbanimps', '$mbranders', '$porkyps', '$xppoints', '$podpoints', '$piggybank', 'Email link reward') ");
	}
	
	// End Add Prizes
}

// Setup As A Redirect Link
if ($redirecturl != "showpage") {
	header("Location: ".$redirecturl);
	exit;
}


$salespackage = lfmsql_result($getlink, 0, "salespackage");
$htmlcontent = lfmsql_result($getlink, 0, "htmlcontent");

if ($salespackage > 0) {

	// Add Sales Tracking Data
	if (isset($_GET['gmid']) && is_numeric($_GET['gmid'])) {
		@lfmsql_query("INSERT INTO `geniuxs_tracksales` (time, userid, salespackage, mailtype, mailid) VALUES (".time().", ".$_GET['userid'].", ".$salespackage.", 1, ".$_GET['gmid'].")");
	} elseif (isset($_GET['nmid']) && is_numeric($_GET['nmid'])) {
		@lfmsql_query("INSERT INTO `geniuxs_tracksales` (time, userid, salespackage, mailtype, mailid) VALUES (".time().", ".$_GET['userid'].", ".$salespackage.", 2, ".$_GET['nmid'].")");
	} elseif (isset($_GET['smid']) && is_numeric($_GET['smid'])) {
		@lfmsql_query("INSERT INTO `geniuxs_tracksales` (time, userid, salespackage, mailtype, mailid) VALUES (".time().", ".$_GET['userid'].", ".$salespackage.", 3, ".$_GET['smid'].")");
	}
	
	// Add Payment Buttons
	
	$paymentcode = show_button_code($salespackage);
	$htmlcontent = str_ireplace('[paymentcode]', $paymentcode, $htmlcontent);

}

$htmlcontent = str_ireplace('[paymentcode]', '', $htmlcontent);

$res=@lfmsql_query("SELECT * FROM ".$prefix."ipn_products WHERE disable=0") or die("IPN macro error: ".lfmsql_error());
while($ipnrow=@lfmsql_fetch_array($res)) {
	
	$searchipnmacro="#IPN".$ipnrow["id"]."#";
	if(stristr($htmlcontent,$searchipnmacro)) {
		
		$salespackage = $ipnrow["id"];
		
		// Add Sales Tracking Data
		if (isset($_GET['gmid']) && is_numeric($_GET['gmid'])) {
			@lfmsql_query("INSERT INTO `geniuxs_tracksales` (time, userid, salespackage, mailtype, mailid) VALUES (".time().", ".$_GET['userid'].", ".$salespackage.", 1, ".$_GET['gmid'].")");
		} elseif (isset($_GET['nmid']) && is_numeric($_GET['nmid'])) {
			@lfmsql_query("INSERT INTO `geniuxs_tracksales` (time, userid, salespackage, mailtype, mailid) VALUES (".time().", ".$_GET['userid'].", ".$salespackage.", 2, ".$_GET['nmid'].")");
		} elseif (isset($_GET['smid']) && is_numeric($_GET['smid'])) {
			@lfmsql_query("INSERT INTO `geniuxs_tracksales` (time, userid, salespackage, mailtype, mailid) VALUES (".time().", ".$_GET['userid'].", ".$salespackage.", 3, ".$_GET['smid'].")");
		}
		
	}
}

$usetheme = 0;

if(stristr($htmlcontent, '[themeheader]') != FALSE) {
	load_template ($theme_dir."/header.php");
	$usetheme = 1;
}

$htmlcontent = str_ireplace('[themeheader]', '', $htmlcontent);
$htmlcontent = str_ireplace('[themefooter]', '', $htmlcontent);

$htmlcontent = translate_site_tags($htmlcontent);
$htmlcontent = translate_user_tags($htmlcontent,$useremail);

// Output The HTML Content
$page_content = $htmlcontent;

if ($usetheme == 1) {
	load_template ($theme_dir."/content.php");
	load_template ($theme_dir."/footer.php");
} else {
	echo($page_content);
}

exit;

?>