<?php

// /////////////////////////////////////////////////////////////////////
// GeniuXs v3
// Copyright 2023 Logiscape LLC. All Rights Reserved
// https://geniuxs.com
//
// The sale, duplication or transfer of the script to any 
// person other than the original purchaser is a violation
// of the purchase agreement and is strictly prohibited.
// Any alteration of the script source code or accompanying 
// materials will void any responsibility that Logiscape LLC
// has regarding the proper functioning of the script.
// /////////////////////////////////////////////////////////////////////

function geniuxs_make_key($length = 8) {
	  // start with a blank password
	  $password = "";
	  // define possible characters
	  $possible = "0123456789bcdfghjkmnpqrstvwxyz"; 
	
	  // set up a counter
	  $i = 0; 
	  // add random characters to $password until $length is reached
	  while ($i < $length) { 
		// pick a random character from the possible ones
		$char = substr($possible, mt_rand(0, strlen($possible)-1), 1);

		// we don't want this character if it's already in the password
		if (!strstr($password, $char)) { 
		  $password .= $char;
		  $i++;
		}
	  	}
	  // done!
	  return $password;
}

?>