<?php

// /////////////////////////////////////////////////////////////////////
// GeniuXs v3
// Copyright 2023 Logiscape LLC. All Rights Reserved
// https://geniuxs.com
//
// The sale, duplication or transfer of the script to any 
// person other than the original purchaser is a violation
// of the purchase agreement and is strictly prohibited.
// Any alteration of the script source code or accompanying 
// materials will void any responsibility that Logiscape LLC
// has regarding the proper functioning of the script.
// /////////////////////////////////////////////////////////////////////

include "inc/checkauth.php"; 
require_once "inc/funcs.php";
require_once "inc/sql_funcs.php";

if(!isset($_SESSION["adminid"])) { exit; };

// Query settings table for theme
$res=@lfmsql_query("SELECT * FROM ".$prefix."settings") or die("Unable to find settings!");
$row=@lfmsql_fetch_array($res);
$sitename=$row["sitename"];
$replyaddress=$row["replyaddress"];
include "inc/theme.php";
$_SESSION["prefix"] = $prefix;

if (isset($_GET['retrycount']) && is_numeric($_GET['retrycount'])) {
	
	if ($_GET['retrycount'] > 2) {
		echo("<html><body><center><p><font size=\"2\">Preview Failed...</font></p></center></body></html>");
		exit;
	} else {
		$_GET['retrycount'] = $_GET['retrycount'] + 1;
	}
	
} else {
	$_GET['retrycount'] = 1;
}

if (isset($_GET['timestamp']) && is_numeric($_GET['timestamp']) && isset($_GET['boxtype']) && is_numeric($_GET['boxtype'])) {
	
	$gettemplate = lfmsql_query("SELECT htmlcontent FROM `geniuxs_preview` WHERE timestamp='".$_GET['timestamp']."'") or die(lfmsql_error());
	if (lfmsql_num_rows($gettemplate) > 0) {
		$templatehtml = lfmsql_result($gettemplate, 0, "htmlcontent");
	} else {
		echo("<html>
		<head><meta http-equiv=\"refresh\" content=\"3;url=http://".$_SERVER['SERVER_NAME']."/geniuxs_preview.php?timestamp=".$_GET['timestamp']."&retrycount=".$_GET['retrycount']."&boxtype=".$_GET['boxtype']."\"></head>
		<body><center><p><font size=\"2\">Loading Preview...</font></p></center></body></html>");
		exit;
	}
	
} else {
	echo("<html><body><center><p><font size=\"2\">Invalid Template ID.</font></p></center></body></html>");
	exit;
}

$usetheme = 0;

if($_GET['boxtype'] == "1" && stristr($templatehtml, '[themeheader]') != FALSE) {
	load_template ($theme_dir."/header.php");
	$usetheme = 1;
}

$templatehtml = str_ireplace('[themeheader]', '', $templatehtml);
$templatehtml = str_ireplace('[themefooter]', '', $templatehtml);

$templatehtml = translate_site_tags($templatehtml);

$getusermail = lfmsql_query("SELECT email FROM ".$prefix."members ORDER BY Id LIMIT 1");
if (lfmsql_num_rows($getusermail) > 0) {
	$useremail = lfmsql_result($getusermail, 0, "email");
	$templatehtml = translate_user_tags($templatehtml, $useremail);
}

// Output The HTML Content
$page_content = $templatehtml;

if ($_GET['boxtype'] == "0" && stristr($page_content, '<html') === FALSE && stristr($page_content, '<body') === FALSE) {
	$page_content = nl2br($page_content);
}

$clicklinkurl = "about:blank";
if (stristr($page_content, 'href=#CLICKLINK#') === FALSE && stristr($page_content, 'href="#CLICKLINK#') === FALSE && stristr($page_content, 'href = #CLICKLINK#') === FALSE && stristr($page_content, 'href = "#CLICKLINK#') === FALSE) {
	$clicklinkurl = "<a target=\"_blank\" href=\"".$clicklinkurl."\">(Link Will Go Here)</a>";
}
$page_content = str_ireplace('#CLICKLINK#', $clicklinkurl, $page_content);

$page_content = str_ireplace('#AMPSIGN#', '&', $page_content);

if ($usetheme == 1) {
	load_template ($theme_dir."/content.php");
	load_template ($theme_dir."/footer.php");
} else {
	echo($page_content);
}

exit;

?>