<?php
// /////////////////////////////////////////////////////////////////////
// LFMTE v2.37
// Copyright 2016 AKH Media Group and Josh Abbott. All Rights Reserved
// http://thetrafficexchangescript.com
//
// The sale, duplication or transfer of the script to any 
// person other than the original purchaser is a violation
// of the purchase agreement and is strictly prohibited.
// Any alteration of the script source code or accompanying 
// materials will void any responsibility that AKH Media Group 
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions 
// of use of the script. The terms and conditions of use are 
// included with the script in the file titled terms.html.
// /////////////////////////////////////////////////////////////////////
require_once "inc/filter.php";
require_once "inc/funcs.php";

include "inc/config.php";
lfmsql_connect($dbhost,$dbuser,$dbpass);
lfmsql_select_db($dbname) or die( "Unable to select database");

// Start Profit Tracker Add-on
if (file_exists("inc/profittracker.php") && isset($_GET["id"]) && is_numeric($_GET["id"])) {
	require_once "inc/profittracker.php";
	$promoid = 100000 - $_GET["id"]; // Banners are in a different table, so this should prevent an ID collision
	ptcounthit(0, $promoid, 1, $_SERVER['REMOTE_ADDR'], $_SERVER["HTTP_REFERER"]);
}
// End Profit Tracker Add-on

if (!isset($_GET["id"]) || !is_numeric($_GET["id"]) || $_GET["id"] < 1) {
	echo("Invalid Banner ID");
	exit;
}
$bid=$_GET["id"];
$bresult=@lfmsql_query("SELECT * FROM ".$prefix."banners WHERE id=$bid") or die(lfmsql_error());
$row=@lfmsql_fetch_object($bresult);
$encodeddata = $row->banner;
Header( "Content-type: image/gif");
echo base64_decode($encodeddata);
?>
