<?php

// Hide N Seek
// (c) 2020 Maxxscape.com
// Licensed for the LFMTE script

require_once "../inc/filter.php";
session_start();

include "../inc/userauth.php";

// anti-cheat code
if ($_SESSION['bonuscode']==0 || ($_GET['securecode'] != md5($_SESSION['bonuscode']))) {
echo("Access Denied");
exit;
}
$_SESSION['bonuscode'] = 0;
// end anti-cheat code


$userid = $_SESSION["userid"];
$uid = $_SESSION["uid"];
$count = $_SESSION['count'];

include "../inc/config.php";

try {
        $conn = new PDO("mysql:host=$dbhost;dbname=$dbname", "$dbuser", "$dbpass");
        // set the PDO error mode to exception
        $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    } catch(PDOException $e) {
        echo "Error: " . $e->getMessage();
}

date_default_timezone_set('America/New_York');
$currentTimestamp = time();
$currentTimestamp2 = date("Y-m-d h:i A", $currentTimestamp);
$theDate = date("Y-m-d", $currentTimestamp);

$getAttempts = $conn->query("SELECT * FROM hideNset WHERE id = 1");
$attemptsMax = $getAttempts->fetch();
$attempts = $attemptsMax['tries'];

$getHolidays = $conn->query("SELECT * FROM hidingSpots WHERE ($currentTimestamp BETWEEN startDate AND stopDate) && active = 1 ");
$rowCount = $getHolidays->rowCount();

// echo "Rows: $rowCount<br />";

if($rowCount == 0) {
    
    $day = date("z");

    //  Days of spring
    $spring_starts = date("z", strtotime("March 21"));
    $spring_ends   = date("z", strtotime("June 20"));

    //  Days of summer
    $summer_starts = date("z", strtotime("June 21"));
    $summer_ends   = date("z", strtotime("September 22"));

    //  Days of autumn
    $autumn_starts = date("z", strtotime("September 23"));
    $autumn_ends   = date("z", strtotime("December 20"));

    //  If $day is between the days of spring, summer, autumn, and winter
    if( $day >= $spring_starts && $day <= $spring_ends ) :
           $season = "Spring";
    elseif( $day >= $summer_starts && $day <= $summer_ends ) :
           $season = "Summer";
    elseif( $day >= $autumn_starts && $day <= $autumn_ends ) :
           $season = "Autumn";
    else :
           $season = "Winter";
    endif;
// echo "Season: $season<br />";
  
    $getHolidays = $conn->query("SELECT * FROM hidingSpots WHERE holiday = '$season' ");
}

// echo "$season season, count is $count";

    $fetchHolidays = $getHolidays->fetch();
    
    $holiday = $fetchHolidays['holiday'];
    $lookFor = $fetchHolidays['lookFor']; 
    $imageOne = $fetchHolidays['imageOne'];
    $titleOne = $fetchHolidays['titleOne'];
    $imageTwo = $fetchHolidays['imageTwo'];
    $titleTwo = $fetchHolidays['titleTwo'];
    $imageThree = $fetchHolidays['imageThree'];
    $titleThree = $fetchHolidays['titleThree'];
    $imageFour = $fetchHolidays['imageFour'];
    $titleFour = $fetchHolidays['titleFour'];

$_SESSION['hideseek_active'] = 1;

?>

<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>


    <title></title>
  </head>
  <body>

    
<?php
echo "
<style>
    img.location {
        width: 150px; 
        display: block; 
        margin-left: auto; 
        margin-right: auto; 
    }
    
    .pick {
        width:150px; 
        height:30px; 
        white-space:nowrap;
    }
    
    body {
        background-image: linear-gradient(#0054ba, #261951);
        color: #000000;
        font-family: 'Open Sans', sans-serif;
        text-align: center;
    }
    h1, h3, .h1, .h3 {
    font-family: 'Rubik', sans-serif;
    color: #FFFFFF;
    line-height: 1.1;
    text-shadow: 2px 2px 2px #333;
}
 }
    p {
    font-family: 'Rubik', sans-serif;
    color: yellow;
    line-height: 0.8;
    text-shadow: 1px 1px 1px #333;
}

.headline h1 {
    font-size:3.5em;
    font-weight: 900;
}
    
</style>
";
      
echo "<header style='margin-top:1px;'>";
echo "   <div class='container'>";
echo "       <div class='row'>";
echo "           <h1 class='col-md-12 text-center'><p><br /><br /></p>Where is naughty $lookFor?</h1>";
echo "       </div>";
echo "   </div>";
echo "</header>";     
      
echo "<div class='container choices'>";
echo "    <div class='row'>";
echo "        <div class='col-md-12'>";

echo "                <div class='row'>";
echo "                    <div class = 'col-md-12  text-center'>";
echo "                        <div name='count' id='count'>";
echo "                        <p><strong>Where do you want to look for $lookFor ?</strong></p></div>";
echo "                    </div>";
echo "               </div>";
echo "               <div class='row'>";
echo '<div class = "col-md-2 text-center">';
echo "</div>";
echo '<div class = "col-md-4 text-center">';
echo "  <img src = 'images/$imageOne' class='location' alt = '$titleOne'><br />";
echo "  <button id='$imageOne' place='imageOne' type='button' class='pick btn btn-sm btn-primary'> $titleOne </button><p></p>";
echo "</div>";
 
echo '<div class = "col-md-4 text-center">';
echo "  <img src = 'images/$imageTwo' class='location' alt = '$titleTwo'><br />";
echo "  <button id='$imageTwo' place='imageTwo' type='button' class='pick btn btn-sm btn-primary'> $titleTwo </button><p></p>";
echo "</div>";
      
echo '<div class = "col-md-2 text-center">';
echo "</div>";      

echo "               </div>";
echo "               <div class='row'>";
echo '<div class = "col-md-2 text-center">';
echo "</div>";
      
echo '<div class = "col-md-4 text-center">';
echo "  <img src = 'images/$imageThree' class='location' alt = '$titleThree'><br />";
echo "  <button id='$imageThree' place='imageThree' type='button' class='pick btn btn-sm btn-primary'> $titleThree </button><p></p>";
echo "</div>";
echo '<div class = "col-md-4 text-center">';
echo "  <img src = 'images/$imageFour' class='location' alt = '$titleFour'><br />";
echo "  <button id='$imageFour' place='imageFour' type='button' class='pick btn btn-sm btn-primary'> $titleFour </button><p></p>";
echo "</div>";
echo '<div class = "col-md-2 text-center">';
echo "</div>";
      
 
  
      

echo "                </div>";
echo "        </div> "; // col-md-12
echo "    </div>"; // row
echo "</div>"; // container      
      

echo "<div class='container gameOver'>";
echo "    <div class='row'>";
echo "        <div class='col-md-12 text-center' >"; 
echo "        <h1> Game Over </h1> <h3> Please Keep Surfing !</h3>";  
echo "        </div>";
echo "    </div> "; // col-md-12
echo "</div>"; // row     
?>
   
<script>
$('body .gameOver').hide();
    
$('body').on('click', '.pick', function() {
    var pick = $(this).attr('id');
    var holiday = '<?php echo $holiday; ?>';
    var place = $(this).attr('place');
    
//    alert(pick);
//    alert(holiday);
//    alert(place);
    

    $.post(
        'hideseekcheck.php', {
        'pick': pick,
        'holiday': holiday,
        'place': place,
        },

        function(data) {
            var msg = data.split("^");
            if (msg[0] == "success") {
                $('body .picked').html(msg[1]);
                $('body .hideMe').html(msg[2]);
                $('body .results').html(msg[3] + ' ' + msg[4]);
                $('body .tries').html('You have tried'  + ' ' + msg[5] + ' ' + 'time(s)');
                var tried = msg[5];
                var game = msg[6];
                var place = msg[7];
                const done = 'done';
                
                
                
                game = game.trim();
                
                if(game == done) {
                    $('body .tries').hide();
                }

                if(tried >= <?php echo $attempts; ?> || game == done) {
                    $('body .pick').hide();
                    $('body .choices').hide();
                    $('body .gameOver').show();
                    
                    <?php $_SESSION['count'] = 0; ?>
                    <?php $_SESSION['thiefPlace'] = '' ?>
                }
                
                $("#detailsModal").modal('show');
            } else {
                var msg = data.split("^");
                if (msg[0] == "fail") {}
            }
        });
});
    
</script>
 
    <div class="modal" id="detailsModal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Selection Status</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class = 'row'>
                            <div class="col-md-6 text-center picked"></div>
                            <div class="col-md-6 text-center hideMe"></div>
                    </div>
                    <div class = 'row'>
                            <div class="col-md-12 results text-center"></div>
                    </div>
                    <div class = 'row'>
                            <div class="col-md-12 tries text-center"></div>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
 
  </body>
</html>
