<?php

// BalloonPop Game
// 2016 LFM Wealth Systems, http://thetrafficexchangescript.com
// Licensed for the LFMTE script

if (!isset($cronfilepath) || strlen($cronfilepath) < 1) {
	echo("This file should be scheduled in the oto_cronjobs table");
	exit;
}

$settings['modenabled'] = lfmsql_result(lfmsql_query("SELECT value FROM ".$prefix."bpopsets WHERE field='modenabled'"), 0);
$settings['reset'] = lfmsql_result(lfmsql_query("SELECT value FROM ".$prefix."bpopsets WHERE field='reset'"), 0);
$settings['resetlast'] = lfmsql_result(lfmsql_query("SELECT value FROM ".$prefix."bpopsets WHERE field='resetlast'"), 0);

if ($settings['modenabled'] == 1) {
	if ($settings['reset'] == 0 OR ($settings['reset'] == 1 AND date("w") == 0) OR ($settings['reset'] == 2 AND date("w") == 1) OR ($settings['reset'] == 3 AND date("j") == 1)) {
		if ((time()-(60*60*24)+120) >= $settings['resetlast']) {
			$peeladsinst=0;
			$sqbansinst=0;
			$porkypsinst=0;
			$xppointsinst=0;
			$mbrandersinst = 0;
			
			$trafficpodsinst = 0;
			$piggybankinst = 0;
			
			if (file_exists("mypeels.php")) {
				$peeladsinst = 1;
			}
			if (file_exists("mysqbans.php")) {
				$sqbansinst = 1;
			}
			if (file_exists("mybranders.php")) {
				$mbrandersinst = 1;
			}
			if (file_exists("inc/porkyp_funcs.php")) {
				$porkypsinst = 1;
			}
			if (file_exists("inc/xppoints_funcs.php")) {
				$xppointsinst = 1;
			}
			
			if (file_exists("admin/trafficpods.php")) {
				$trafficpodsinst = 1;
			}
			if (file_exists("admin/piggybank.php")) {
				$piggybankinst = 1;
			}
			
			// CURRENT BALLOONS
			$curballfield = lfmsql_result(lfmsql_query("SELECT id FROM ".$prefix."customfields WHERE name='Current Balloons' "),0) or die(lfmsql_error());
			
			// PULL ALL USERIDS WHO HAVE ACTIVE BALLOONS IN THIS GAME - DESCENDING ORDER
			$gettopplayers = lfmsql_query("SELECT userid, CAST(fieldvalue AS UNSIGNED) AS fieldvalue FROM ".$prefix."customvals WHERE fieldid='$curballfield' AND fieldvalue>0 ORDER BY fieldvalue DESC");
			if (lfmsql_num_rows($gettopplayers) > 0) {
				$i=1;
				while ($tplayer = lfmsql_fetch_array($gettopplayers)) {
					
					// DETERMINE IF THERE IS A PRIZE FOR THIS MEMBER'S RANK IN THE GAME
					$getplace = lfmsql_query("SELECT * FROM ".$prefix."bpoplprz WHERE place='$i' ");
					if (lfmsql_num_rows($getplace) == 1) {
						$lplace = lfmsql_fetch_array($getplace);
						
						// CHECK THAT THE USER EXISTS
						$getuser = lfmsql_query("SELECT Id FROM ".$prefix."members WHERE Id='".$tplayer['userid']."' ");
						if (lfmsql_num_rows($getuser) == 1) {
							
							// GET THE MEMBERS DETAILS
							$getemail = mysql_query("Select email, mtype, lastip from `".$prefix."members` where Id='".$tplayer['userid']."' limit 1");
							$useremail = mysql_result($getemail, 0, "email");
							$acctype = mysql_result($getemail, 0, "mtype");
							$memip = mysql_result($getemail, 0, "lastip");
							
							// AWARD ALL PRIZES
							if ($lplace['credits'] > 0) {
								@lfmsql_query("UPDATE ".$prefix."members SET credits=credits+'".$lplace['credits']."' WHERE Id='".$tplayer['userid']."' ");
							}
							if ($lplace['bannerimps'] > 0) {
								@lfmsql_query("UPDATE ".$prefix."members SET bannerimps=bannerimps+'".$lplace['bannerimps']."' WHERE Id='".$tplayer['userid']."' ");
							}
							if ($lplace['textimps'] > 0) {
								@lfmsql_query("UPDATE ".$prefix."members SET textimps=textimps+'".$lplace['textimps']."' WHERE Id='".$tplayer['userid']."' ");
							}
							if ($lplace['cash'] > 0) {
								@lfmsql_query("Insert into ".$prefix."sales (affid, saledate, itemid, itemname, itemamount, commission, prize) values (".$tplayer['userid'].", NOW(), 0, 'Balloon Pop Prize', '".$lplace['cash']."', '".$lplace['cash']."', 1)");
							}
							if ($lplace['peelads'] > 0 AND $peeladsinst == 1) {
								@lfmsql_query("UPDATE ".$prefix."members SET peelimps=peelimps+'".$lplace['peelads']."' WHERE Id='".$tplayer['userid']."' ");
							}
							if ($lplace['sqbans'] > 0 AND $sqbansinst == 1) {
								@lfmsql_query("UPDATE ".$prefix."members SET sqbanimps=sqbanimps+'".$lplace['sqbans']."' WHERE Id='".$tplayer['userid']."' ");
							}
							if ($lplace['mbranders'] > 0 AND $mbrandersinst == 1) {
								@lfmsql_query("UPDATE ".$prefix."members SET mbrandimps=mbrandimps+'".$lplace['mbranders']."' WHERE Id='".$tplayer['userid']."' ");
							}
							if ($lplace['porkyps'] > 0 AND $porkypsinst == 1) {
								if (file_exists("inc/porkyp_funcs.php")) {
									require_once "inc/porkyp_funcs.php";
									$porkytransfer = porkytransferpoints($useremail, $memip, $lplace['porkyps']);
								}
							}
							if ($lplace['xppoints'] > 0 AND $xppointsinst == 1) {
								@lfmsql_query("UPDATE ".$prefix."members SET dailyXP=dailyXP+'".$lplace['xppoints']."' WHERE Id='".$tplayer['userid']."' ");
							}
							
							if ($lplace['trafficpods'] > 0 AND $trafficpodsinst == 1) {
								require_once "inc/trafficpods_funcs.php";
								trafficpods_addpoints($tplayer['userid'], $lplace['trafficpods']);
							}
							if ($lplace['piggybank'] > 0 AND $piggybankinst == 1) {
								@lfmsql_query("Insert into ".$prefix."piggybank (userid, transdate, descr, amount, status, ipnsaleid) values (".$tplayer['userid'].", NOW(), 'Balloon Pop Game', '".$lplace['piggybank']."', '0', '0')");
							}
							
							lfmsql_query("INSERT INTO ".$prefix."prizelog (plugin,user,time,credits,bannerimps,textimps,cash,peelads,sqbans,mbrands,porkyps,xppoints, podpoints, piggybank,notes) VALUES ('Balloon Pop','".$tplayer['userid']."','".time()."','${lplace['credits']}','${lplace['bannerimps']}','${lplace['textimps']}','${lplace['cash']}','${inlog['peelads']}','${lplace['sqbans']}','${lplace['mbranders']}','${lplace['porkyps']}','${lplace['xppoints']}' ,'${lplace['trafficpods']}' ,'${lplace['piggybank']}', 'Place $i') ");
						}
					}
					$i++;
				}
			}
			
			// REMOVE CURRENT GAME DATA AND RESET BALLOONS TO 0
			lfmsql_query("DELETE FROM ".$prefix."customvals WHERE fieldid='$curballfield' ");
			lfmsql_query("UPDATE ".$prefix."bpopsets SET value='".time()."' WHERE field='resetlast'");
		}
	}
}

?>