<?php

// Social Profiles Plugin
// 2008-2019 Logiscape.com
// Licensed for the LFMTE script

require_once "inc/filter.php";

@session_start();

if (isset($_SESSION["uid"]) && strlen($_SESSION["uid"]) > 0 && isset($_SESSION["user_password"]) && strlen($_SESSION["user_password"]) > 0 && isset($_SESSION["userid"]) && is_numeric($_SESSION["userid"]) && $_SESSION["userid"] > 0) {
	// User is logged in
	require "inc/userauth.php";
	$user['user_id'] = $_SESSION["userid"];
	$user['username'] = $_SESSION["uid"];
	$result2 = lfmsql_query("SELECT firstname, lastname FROM ".$prefix."members WHERE Id = ".$user['user_id']);
	if($row2 = lfmsql_fetch_assoc($result2)) {
		$user['firstname'] = $row2['firstname'];
		$user['lastname'] = $row2['lastname'];
	}
	if(!$_REQUEST['a'] && isset($_REQUEST['uid']) && is_numeric($_REQUEST['uid'])) { $_REQUEST['a'] = 'profile'; }
	if(!$_REQUEST['a']) { $_REQUEST['a'] = 'myprofile'; }
} else {
	// Viewing as a public user
	require_once "inc/lfmsql.php";
	include "inc/config.php";
	@lfmsql_connect($dbhost,$dbuser,$dbpass);
	@lfmsql_select_db($dbname) or die("Unable to select database");
	$user['user_id'] = 0;
	$user['username'] = '';
	$user['firstname'] = '';
	$user['lastname'] = '';
	$_REQUEST['a'] = 'profile';
	if (isset($_REQUEST['uid']) && is_numeric($_REQUEST['uid'])) {
		// Set profile user as referrer
		setcookie("rid", $_REQUEST['uid'], time()+2592000);
	}
}

if ($_REQUEST['a'] == 'profile' && (!isset($_REQUEST['uid']) || !is_numeric($_REQUEST['uid'])) && $_REQUEST['b'] != 'do_search') {
	if ($user['user_id'] > 0) {
		$_REQUEST['uid'] = $user['user_id'];
	} else {
		header('Location:index.php');
		exit;
	}
}

require_once "inc/funcs.php";
require_once "inc/theme.php";
require_once "myprofile_functions.php";

$profilesenabled = 0;
$getprofilesenabled = lfmsql_query("Select value from `profiles_settings` where field='enabled'");
if (lfmsql_num_rows($getprofilesenabled) > 0) {
	$profilesenabled = lfmsql_result($getprofilesenabled, 0, "value");
}
if ($profilesenabled < 1) {
	echo("Social Profiles are currently disabled");
	exit;
}

if ($user['user_id'] > 0 && !isset($_SESSION["locationupdated"])) {
	location_runupdate();
}

$getprofiletheme = lfmsql_query("Select value from `profiles_settings` where field='theme'");
if (lfmsql_num_rows($getprofiletheme) > 0) {
	$theme_dir = $currentTheme = lfmsql_result($getprofiletheme, 0, "value");
}

switch ($_REQUEST['a']) {
	
	// MA
	case 'ma':
		
		switch ($_REQUEST['b']) {
		
			case 'invites_contact':
				$display = invites_contact();
			break;			
			case 'invites_contact_accept':
				invites_contact_accept();
			break;			
			case 'invites_contact_ignore':
				invites_contact_ignore();
			break;
			
			// CONTACTS //
			
			case 'contact_add':
				contact_add($_REQUEST['uid']);
				$_REQUEST['mes'] = 'This member was added to your contact list. We have notified them and requested that they add you as a mutual contact.';
				$display = showProfile($_REQUEST['uid'],false);
			break;
			case 'contact_rem':
				contact_rem($_REQUEST['uid']);
				$_REQUEST['mes'] = 'Contact has been removed.';
				$display = showProfile($user['user_id'],true);
			break;
			case 'contact_list':
				$display = contact_list();
			break;
			
			// INTERESTS //
			case 'interests_view':
				$display = interests_view();
			break;			
			case 'interests_update':
				interests_update();
			break;	
			case 'location_update':
				location_update();
			break;	
			
			default:
				$display = showProfile($user['user_id'],true);
		}
		
	break;

	
	// PROFILE
	case 'myprofile':
		$display = showProfile($user['user_id'],true);
	break;
	case 'profile':
		switch ($_REQUEST['b']) {
			case 'add_comment':
				blog_comment_add($_POST['blog_id'],$user['user_id'],$_POST['comment']);
				header('Location:myprofile.php?a=profile&uid='.$_POST['uid'].'&postid='.$_POST['postid'].'&mes=Comment added');
			break;
			case 'add_blog':
				blog_entry_add($_POST['entry'],$_POST['title']);
				header('Location:myprofile.php?a=myprofile&mes=Entry added to your blog');
			break;
			case 'edit_blog':
				blog_entry_edit($_POST['entry'],$_POST['title'],$_POST['blog_id']);
				header('Location:myprofile.php?a=myprofile&mes=Blog post has been updated');
			break;
			case 'del_blog':
				blog_entry_del($_REQUEST['blog_id']);
				header('Location:myprofile.php?a=myprofile&mes=Blog post has been removed');
			break;
			case 'pin_blog':
				blog_entry_pin($_REQUEST['blog_id']);
				header('Location:myprofile.php?a=myprofile&mes=Blog post has been pinned');
			break;
			case 'unpin_blog':
				blog_entry_unpin($_REQUEST['blog_id']);
				header('Location:myprofile.php?a=myprofile&mes=Blog post has been unpinned');
			break;
			case 'del_comment':
				blog_comment_del($_REQUEST['blogc_id']);
				header('Location:myprofile.php?a=myprofile&mes=Blog comment has been removed');
			break;
			
			case 'do_search':
				$display = do_search();
			break;
			
			default:
			$display = showProfile($_REQUEST['uid'],false);
		}
	break;
	
	//default to my account if no a action received.
	default:
		$display = showProfile($user['user_id'],true);
	break;
	
}


// DISPLAY
if($_REQUEST['mes']) {
	$mes = '<div class="alert alert-primary" role="alert">'.$_REQUEST['mes'].'</div>';
}

	$page_content = '
	    	<div id="member_main">
    	'.$mes.'
    	'.$display.'
   	 </div>		
	
   ';

load_template ($theme_dir."/header.php");
load_template ($theme_dir."/content.php");
load_template ($theme_dir."/footer.php");

?>