<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.55
// Copyright 2006-2022 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "inc/filter.php";
session_start();
include "inc/userauth.php";
$userid = $_SESSION["userid"];

$getuserdata = lfmsql_query("Select credits, textimps, email, mtype, joindate from ".$prefix."members where Id=$userid");
$credits = lfmsql_result($getuserdata, 0, "credits");
$textimps = lfmsql_result($getuserdata, 0, "textimps");
$useremail = lfmsql_result($getuserdata, 0, "email");
$mtype = lfmsql_result($getuserdata, 0, "mtype");
$joindate = lfmsql_result($getuserdata, 0, "joindate");
include "inc/theme.php";

load_template ($theme_dir."/header.php");
load_template ($theme_dir."/mmenu.php");

$getaccdata = mysql_query("Select textvalue, textunvalue from ".$prefix."membertypes where mtid=$mtype limit 1") or die(mysql_error());
$impvalue = mysql_result($getaccdata, 0, "textvalue");
$impunvalue = mysql_result($getaccdata, 0, "textunvalue");

$errormessage = '';

if (!is_numeric($credits) || $credits < 0) { $credits = "0"; }
if (!is_numeric($textimps) || $textimps < 0) { $textimps = "0"; }

$page_content .= '<p><a href="mytexts.php"><< Back To Text Ads</a></p>';

if ($impvalue <= 0 && $impunvalue <= 0) {
	$page_content .= '<h2>There are no conversion options available</h2>';
	load_template ($theme_dir."/content.php");
	load_template ($theme_dir."/footer.php");
	exit;
} elseif ($impvalue > 1 && $impunvalue > 1) {
	// Ensures members can't gain credits by converting back and forth
	$page_content .= '<h2>There are no conversion options available</h2><p>Note to Admin: The impression value and credit conversion ratios cannot both be higher than 1</p>';
	load_template ($theme_dir."/content.php");
	load_template ($theme_dir."/footer.php");
	exit;
} elseif ($impvalue > 0 && $impunvalue > 0) {
	// Both options are available
	$colwidth = 6;
} else {
	// One option is available
	$colwidth = 12;
}

$page_content .= '<div class="row">';

if ($impvalue > 0) {

	if (isset($_POST['toimps']) && is_numeric($_POST['toimps']) && $_POST['toimps'] > 0) {
		
		// Send Transfer
		
		if ($_POST['toimps'] > $credits) {
			$errormessage = 'You can only convert '.$credits.' credits';
		} else {
			
			$_POST['toimps'] = round($_POST['toimps'], 2);
 			$receiveamount = $_POST['toimps'] * $impvalue;
 			$receiveamount = round($receiveamount, 2);
 			
 			if ($receiveamount < 1) {
 				$errormessage = $_POST['toimps'].' credits is less than 1 impression';
 			} else {
				mysql_query("Update ".$prefix."members set credits=credits-".$_POST['toimps']." where Id=$userid limit 1") or die(mysql_error());
				mysql_query("Update ".$prefix."members set textimps=textimps+".$receiveamount." where Id=$userid limit 1") or die(mysql_error());
				$credits = $credits - $_POST['toimps'];
				$textimps = $textimps + $receiveamount;
			}
			
		}
	}
}

if ($impunvalue > 0) {

	if (isset($_POST['tocredits']) && is_numeric($_POST['tocredits']) && $_POST['tocredits'] > 0) {
		
		// Send Transfer
		
		if ($_POST['tocredits'] > $textimps) {
			$errormessage = 'You can only convert '.$textimps.' impressions';
		} else {
			
			$_POST['tocredits'] = round($_POST['tocredits'], 2);
 			$receiveamount = $_POST['tocredits'] * $impunvalue;
 			$receiveamount = round($receiveamount, 2);
 			
 			if ($receiveamount <= 0) {
 				$errormessage = $_POST['tocredits'].' impressions is less than 1 credit';
 			} else {
 				mysql_query("Update ".$prefix."members set textimps=textimps-".$_POST['tocredits']." where Id=$userid limit 1") or die(mysql_error());
				mysql_query("Update ".$prefix."members set credits=credits+".$receiveamount." where Id=$userid limit 1") or die(mysql_error());
				$credits = $credits + $receiveamount;
				$textimps = $textimps - $_POST['tocredits'];
			}
			
		}
	}
}

if ($impvalue > 0) {
	
	$page_content .= '<div class="col-12 col-lg-'.$colwidth.'">';
		
	if (isset($errormessage) && strlen($errormessage) > 0) {
		$page_content .= '<p style="color:darkred;"><b>'.$errormessage.'</b></p>';
	}
		
	$page_content .= '<h3>Convert Credits To Text Impressions</h3>
		<p>1 credit = '.$impvalue.' imps</p>
		
		<form action="mytexts_convert.php" method="post" onsubmit="submitConvCredits()">
		<table border="0" cellpadding="5" cellspacing="0">
		
		<tr>
			<td><b>Number Of Credits To Convert:</b></td>
			<td><input id="toimps" name="toimps" value="0.00" oninput="updateToImps()">';
			
			$page_content .= '<br>Current Credits: '.$credits.'</td>
		</tr>
		
		<tr>
			<td colspan="2"><hr style="border:0; clear:both; display:block; background-color:#333333; width:98%; height:1px;"></td>
		</tr>
		
		<tr>
			<td><b>Text Imps You Will Receive:</b></td>
			<td><input id="fromcredits" name="fromcredits" value="0.00" oninput="updateFromCredits()"></td>
		</tr>
		
		<tr>
			<td colspan="2"><input class="btn btn-lg buttonlink" id="convcreditsbtn" type="submit" value="Convert Credits" disabled></td>
		</tr>
		</table>
		
		</form>
		
		</div>
		
		<script>
		
		function submitConvCredits() {
			document.getElementById("convcreditsbtn").disabled = true;
		}
		
		function updateToImps() {
			var impvalue = '.$impvalue.';
			var maxsend = '.$credits.';
			
			fromtotal = parseFloat(document.getElementById("toimps").value);
			
			if (fromtotal > 0) {
	 			receiveamount = fromtotal * impvalue;
 			} else {
 				receiveamount = 0;
 			}
 			
 			document.getElementById("fromcredits").value = receiveamount.toFixed(2);
 			
 			if (receiveamount > 0 && parseFloat(fromtotal.toFixed(2)) <= maxsend) {
 				document.getElementById("convcreditsbtn").disabled = false;
 			} else {
 				document.getElementById("convcreditsbtn").disabled = true;
 			}
 		}
 		
 		function updateFromCredits() {
 			var impvalue = '.$impvalue.';
 			var maxsend = '.$credits.';
 			
 			receiveamount = parseFloat(document.getElementById("fromcredits").value);
 			
 			if (receiveamount > 0) {
 				
	 			fromtotal = receiveamount;
	 			
	 			if (impvalue > 0) {
	 				fromtotal = fromtotal/impvalue;
 				}
 				
 			} else {
 				fromtotal = 0;
 			}
 			
 			document.getElementById("toimps").value = fromtotal.toFixed(2);
 			
 			if (receiveamount > 0 && parseFloat(fromtotal.toFixed(2)) <= maxsend) {
 				document.getElementById("convcreditsbtn").disabled = false;
 			} else {
 				document.getElementById("convcreditsbtn").disabled = true;
 			}
 		}
 		
 		</script> 		
 		';
}

if ($impunvalue > 0) {
	
	$page_content .= '<div class="col-12 col-lg-'.$colwidth.'">';
		
	if (isset($errormessage) && strlen($errormessage) > 0) {
		$page_content .= '<p style="color:darkred;"><b>'.$errormessage.'</b></p>';
	}
		
	$page_content .= '<h3>Convert Text Impressions To Credits</h3>
		<p>1 impression = '.$impunvalue.' credits</p>
		
		<form action="mytexts_convert.php" method="post" onsubmit="submitConvImps()">
		<table border="0" cellpadding="5" cellspacing="0">
		
		<tr>
			<td><b>Number Of Impressions To Convert:</b></td>
			<td><input id="tocredits" name="tocredits" value="0.00" oninput="updateToCredits()">';
			
			$page_content .= '<br>Current Impressions: '.$textimps.'</td>
		</tr>
		
		<tr>
			<td colspan="2"><hr style="border:0; clear:both; display:block; background-color:#333333; width:98%; height:1px;"></td>
		</tr>
		
		<tr>
			<td><b>Credits You Will Receive:</b></td>
			<td><input id="fromimps" name="fromimps" value="0.00" oninput="updateFromImps()"></td>
		</tr>
		
		<tr>
			<td colspan="2"><input class="btn btn-lg buttonlink" id="convimpsbtn" type="submit" value="Convert Impressions" disabled></td>
		</tr>
		</table>
		
		</form>
		
		</div>
		
		<script>
		
		function submitConvImps() {
			document.getElementById("convimpsbtn").disabled = true;
		}
		
		function updateToCredits() {
			var impunvalue = '.$impunvalue.';
			var maxsend = '.$textimps.';
			
			fromtotal = parseFloat(document.getElementById("tocredits").value);
			
			if (fromtotal > 0) {
	 			receiveamount = fromtotal * impunvalue;
 			} else {
 				receiveamount = 0;
 			}
 			
 			document.getElementById("fromimps").value = receiveamount.toFixed(2);
 			
 			if (receiveamount > 0 && parseFloat(fromtotal.toFixed(2)) <= maxsend) {
 				document.getElementById("convimpsbtn").disabled = false;
 			} else {
 				document.getElementById("convimpsbtn").disabled = true;
 			}
 		}
 		
 		function updateFromImps() {
 			var impunvalue = '.$impunvalue.';
 			var maxsend = '.$textimps.';
 			
 			receiveamount = parseFloat(document.getElementById("fromimps").value);
 			
 			if (receiveamount > 0) {
 				
	 			fromtotal = receiveamount;
	 			
	 			if (impunvalue > 0) {
	 				fromtotal = fromtotal/impunvalue;
 				}
 				
 			} else {
 				fromtotal = 0;
 			}
 			
 			document.getElementById("tocredits").value = fromtotal.toFixed(2);
 			
 			if (receiveamount > 0 && parseFloat(fromtotal.toFixed(2)) <= maxsend) {
 				document.getElementById("convimpsbtn").disabled = false;
 			} else {
 				document.getElementById("convimpsbtn").disabled = true;
 			}
 		}
 		
 		</script> 		
 		';
}

$page_content .= '</div>';

load_template ($theme_dir."/content.php");
load_template ($theme_dir."/footer.php");
exit;

?>