<?php

// Piggy Bank Plugin
// 2019 Logiscape.com

require_once "inc/filter.php";
session_start();
include "inc/userauth.php";
$userid = $_SESSION["userid"];

$enablepiggy = lfmsql_result(lfmsql_query("Select value from `".$prefix."piggybank_settings` where field='enabled'"), 0);
if ($enablepiggy < 1) {
	echo("This payment option is not enabled");
	exit;
}

// Generate Random Txn ID
function GetRandTxn($length) {
    $template = "1234567890abcdefghijklmnopqrstuvwxyz";

    for ($a = 0; $a <= $length; $a++) {
         $b = rand(0, strlen($template) - 1);
         $rndstring .= $template[$b];
    }

    return $rndstring;
}

$getmtype = lfmsql_query("select firstname, lastname, email, mtype from ".$prefix."members where Id=$userid");
$firstname = lfmsql_result($getmtype, 0, "firstname");
$lastname = lfmsql_result($getmtype, 0, "lastname");
$member_email = lfmsql_result($getmtype, 0, "email");
$mtype = lfmsql_result($getmtype, 0, "mtype");

// Set Site Info
$getsiteinfo = lfmsql_query("Select sitename, affurl from `".$prefix."settings` order by id desc limit 1");
if (lfmsql_num_rows($getsiteinfo) > 0) {
$sitename = lfmsql_result($getsiteinfo, 0, "sitename");
$siteurl = lfmsql_result($getsiteinfo, 0, "affurl");
} else {
$sitename = "LFM";
$siteurl = "http://loginfrequencymarketing.com";
}
$getadmininfo = lfmsql_query("Select email from `".$prefix."admin` order by id desc limit 1");
if (lfmsql_num_rows($getadmininfo) > 0) {
$adminemail = lfmsql_result($getadmininfo, 0, "email");
} else {
$adminemail = "lfmipn@trafficmods.com";
}
if ($siteurl != "") {
$spliturl = explode("/", $siteurl);
$sitedomain = $spliturl[2];
$sitedomain = str_replace("www.", "", $sitedomain);
} else {
$sitedomain = "loginfrequencymarketing.com";
}
define('SITE_NAME',$sitename);
define('VALID_DOMAIN',$sitedomain);
define('CONTACT_EMAIL',$adminemail);
$headers='From: "'.SITE_NAME.'" <ipn@'.VALID_DOMAIN.'>';
// End Set Site Info

include "inc/theme.php";

// Get Product Info
$itemname = $_POST['itemname'];
$itemnumber = $_POST['itemnumber'];
if (!isset($itemnumber) || !is_numeric($itemnumber)) { echo("Invalid product ID"); exit; }

$getitem = lfmsql_query("SELECT * FROM ".$prefix."ipn_products WHERE id='".$itemnumber."'") or die(lfmsql_error());
if (lfmsql_num_rows($getitem) < 1) {
	echo("Item Not Found");
	exit;
}
$iteminfo = lfmsql_fetch_array($getitem);

// End Get Product Info

// Calculate Member Commissions
$mcomm = lfmsql_result(lfmsql_query("SELECT SUM(amount) from ".$prefix."piggybank where userid=$userid and status='0'"), 0);
if (!is_numeric($mcomm) || $mcomm < 0) { $mcomm = "0.00"; }
if ($iteminfo['amount'] > $mcomm) {
	$_SESSION['piggybankbuyid'] = $_POST['itemnumber'];
	$_SESSION['piggybankbuytime'] = time();
	$_SESSION['piggybankbuyname'] = $_POST['itemname'];
	header("Location: piggybank.php");
	exit;
}
// End Calculate Member Commissions


if ($_GET['processpayment'] == "yes") {
	
	$_SESSION['piggybankbuyid'] = 0;
	$_SESSION['piggybankbuytime'] = 0;
	$_SESSION['piggybankbuyname'] = '';
	
	// Process The Payment
	$new = array();
	$new['processor']='piggybank';

	$new['txn_id'] = GetRandTxn(20);

	$new['date'] = date("Y-m-d");
	$txn_type = "piggy_purchase";
	$new['txn_type']="piggy_purchase";
	$new['item_name']=$itemname;
	$new['item_number']=$itemnumber;
	$new['name']=$firstname.' '.$lastname;
	$new['email']=$member_email;
	$new['fee']="0.00";

	$new['user_id']=$userid;
	$new['payment_status']='OK';
	
	if($iteminfo['type'] != "N") {
		// Recurring Subscription
		if($iteminfo['type']=="D") { $unit="days"; }
		if($iteminfo['type']=="M") { $unit="months"; }
		if($iteminfo['type']=="Y") { $unit="months"; $iteminfo['period']=$iteminfo['period']*12; }
		
		if (!isset($unit) || strlen($unit) < 1 || !is_numeric($iteminfo['period']) || $iteminfo['period'] < 1) {
			echo("Invalid subscription values");
			exit;
		}
		
		if ($iteminfo['trial_period'] > 0 && ($iteminfo['trial_type'] == "D" || $iteminfo['trial_type'] == "M" || $iteminfo['trial_type'] == "Y")) {
			// Trial Period
			if($iteminfo['trial_type']=="D") { $startunit="days"; }
			if($iteminfo['trial_type']=="M") { $startunit="months"; }
			if($iteminfo['trial_type']=="Y") { $startunit="months"; $iteminfo['trial_period']=$iteminfo['trial_period']*12; }
			$startperiod = $iteminfo['trial_period'];
			$iteminfo['amount'] = $iteminfo['trial_amount'];
		} else {
			$startunit = $unit;
			$startperiod = $iteminfo['period'];
		}
		
		if (isset($iteminfo['recurring']) && is_numeric($iteminfo['recurring']) && $iteminfo['recurring'] > 1) {
			$subpayments = $iteminfo['recurring'];
		} else {
			$subpayments = 0;
		}
		
		$today = date("Y-m-d");
		$nextpaydate = strftime("%Y-%m-%d",strtotime($today." + ".$startperiod." ".$startunit));
		
		lfmsql_query("INSERT INTO `".$prefix."piggybank_subs` (userid, startdate, nextbill, status, ipnpackage, recurring, paymentcount) VALUES ('".$userid."', NOW(), '".$nextpaydate."', 'Active', '".$itemnumber."', '".$subpayments."', 1)") or die(lfmsql_error());
		$newsubid = lfmsql_insert_id();
		
		$new['amount']=$iteminfo['amount'];
		processOrder($txn_type,$new);
		
		if (is_numeric($newsubid)) {
			lfmsql_query("UPDATE `".$prefix."piggybank` SET subid='".$newsubid."' WHERE userid='".$userid."' ORDER BY transdate DESC LIMIT 1");
		}
		
	} else {
		$new['amount']=$iteminfo['amount'];
		processOrder($txn_type,$new);
	}
	
	$returnurl = lfmsql_result(lfmsql_query("SELECT return_url FROM `".$prefix."ipn_products` WHERE id='".$itemnumber."'"), 0);
	header("Location:".$returnurl);
	exit;
	// End Process The Payment
	
} else {

	// Show Confirmation Page
	
	load_template ($theme_dir."/header.php");
	load_template ($theme_dir."/mmenu.php");
	
	$recurring = '';
	if($iteminfo['type'] != "N") {
		// Recurring Subscription
		if($iteminfo['type']=="D") { $unit="days"; }
		if($iteminfo['type']=="M") { $unit="months"; }
		if($iteminfo['type']=="Y") { $unit="months"; $iteminfo['period']=$iteminfo['period']*12; }
		$recurring = 'Rebills every '.$iteminfo['period'].' '.$unit;
		if ($recurring == 'Rebills every 1 months') {
			$recurring = 'Rebills every month';
		}
		if ($iteminfo['trial_period'] > 0 && ($iteminfo['trial_type'] == "D" || $iteminfo['trial_type'] == "M" || $iteminfo['trial_type'] == "Y")) {
			if($iteminfo['trial_type']=="D") { $startunit="days"; }
			if($iteminfo['trial_type']=="M") { $startunit="months"; }
			if($iteminfo['trial_type']=="Y") { $startunit="months"; $iteminfo['trial_period']=$iteminfo['trial_period']*12; }
			if ($iteminfo['trial_period'] == 1) { $startunit = substr($startunit, 0, -1); }
			if ($iteminfo['trial_amount'] <= 0) {
				$iteminfo['trial_amount'] = 'Free';
			} else {
				$iteminfo['trial_amount'] = '$'.$iteminfo['trial_amount'];
			}
			$recurring = $iteminfo['trial_amount'].' for '.$iteminfo['trial_period'].' '.$startunit.' then<br>'.$recurring;
		}
		if (isset($iteminfo['recurring']) && is_numeric($iteminfo['recurring']) && $iteminfo['recurring'] > 0) {
			$recurring = $recurring.' for '.$iteminfo['recurring'].' '.$unit;
		}
	}
	
	echo("<center>
	<p><font size=\"2\">Your balance is: <b>$".$mcomm."</b>.  You can use your balance to purchase this item.</font></p>
	
	<p><font size=\"4\">".$itemname." - ".$iteminfo['amount']."</font></p>");
	
	if (strlen($recurring) > 0) {
		echo("<p><font size=\"4\">".$recurring."</font></p>");
	}
	
	echo("<form action=\"/paywithpiggybank.php?processpayment=yes\" method=\"post\">
	<input type=\"hidden\" name=\"itemnumber\" value=\"".$itemnumber."\">
	<input type=\"hidden\" name=\"itemname\" value=\"".$itemname."\">
	<input type=\"submit\" name=\"submit\" value=\"Complete Purchase\">
	</form>
	
	</center>");
	
}


include $theme_dir."/footer.php";
exit;

/////////////////////////////////////////////////////////////////////////
// ULTIMATE IPN & PAYMENT MANAGEMENT SYSTEM v1.3                       //
// (c) 2004-2012 Simon B Kelly. All rights reserved.                   //
// http://replytosimon.com                                             //
//                                                                     //
// Not for resale.  Version included with the LFM script only.         //
/////////////////////////////////////////////////////////////////////////

// the functions
function processOrder ($type,$data) {

	if (file_exists("inc/config.php")) {
		include "inc/config.php";
	} else {
		processError ('Could not find config.php file',$data);
	}

	global $test_mode,$headers;
	$res=lfmsql_query("SELECT field,value FROM ".$prefix."ipn_settings WHERE id>0 LIMIT 3;"); // notify and jv comm variables
	while($row=lfmsql_fetch_array($res)) { ${$row['field']}=$row['value']; }
	
	//Get admin email
	$getreplyinfo = lfmsql_query("Select replyaddress from `".$prefix."settings` order by id desc limit 1");
	if (lfmsql_num_rows($getreplyinfo) > 0) {
		$ademail = lfmsql_result($getreplyinfo, 0, "replyaddress");
	} else {
		$ademail = "noreply@noreplydomain.com";
	}
	
	$res=lfmsql_query("SELECT field,value FROM ".$prefix."ipn_vals WHERE id>4 LIMIT 6;");
	while($row=lfmsql_fetch_array($res)) { ${$row['field']}=$row['value']; }

		$sql="INSERT INTO ".$prefix."ipn_transactions ( processor, date, txn_id, txn_type, item_name, item_number, name, email, amount, fee, user_id, added ) VALUES ( '".$data['processor']."', '".$data['date']."', '".$data['txn_id']."', '".$data['txn_type']."', '".$data['item_name']."', '".$data['item_number']."', '".$data['name']."', '".$data['email']."', ".$data['amount'].", ".$data['fee'].", '".$data['user_id']."', NOW() )";
		
		$mcomm = lfmsql_result(lfmsql_query("SELECT SUM(amount) from ".$prefix."piggybank where userid='".$data['user_id']."' and status='0'"), 0);
		if (!is_numeric($mcomm) || $mcomm < 0) { $mcomm = "0.00"; }
		if ($data['amount'] <= $mcomm) {

			// ADD TO TRANSACTIONS DATABASE TABLE
			lfmsql_query($sql) or die(lfmsql_error());
			$transaction_id=lfmsql_insert_id();

			// ADD NEGATIVE LFM BUCKS FOR PAYMENT
			$subamount = 0-$data['amount'];
			$paymentqry="INSERT INTO ".$prefix."piggybank (userid, transdate, descr, amount, status, ipnsaleid) VALUES (".$data['user_id'].", NOW(), 'Purchase: ".$data['item_name']."', ".$subamount.", '0', '".$transaction_id."')";
			lfmsql_query($paymentqry) or die(lfmsql_error());
			
			// FIND ITEM IN ipn_products TABLE
			$cnx=lfmsql_query("SELECT amount, credits, bimps, limps, productid, subscription, upgrade, period, type, return_url, email_subject, email_body FROM ".$prefix."ipn_products WHERE id=".$data['item_number']." AND amount=".$data['amount'].";");
			
			if (!lfmsql_num_rows($cnx)) {
				$cnx=lfmsql_query("SELECT amount, credits, bimps, limps, productid, subscription, upgrade, period, type, trial_period, trial_type, return_url, email_subject, email_body FROM ".$prefix."ipn_products WHERE id=".$data['item_number']." AND trial_amount=".$data['amount']." AND trial_type!='N';");
				$freetrial = "yes";
				}
			if ($row=@lfmsql_fetch_assoc($cnx)) {
				// UPDATE USER
				$usr_cnx=@lfmsql_query("SELECT username, email, upgend, lastotoid, refid FROM ".$prefix."members WHERE Id=".$data['user_id']);
				$usr=lfmsql_fetch_assoc($usr_cnx);


//Start OTO Split Testing
if (($row['subscription'] == 2) && ($usr['lastotoid'] != '0/0/0')) {

$splitoto = explode("/", $usr['lastotoid']);
$groupoto = $splitoto[0];
$offeroto = $splitoto[1];
$origgroup = $splitoto[2];

@lfmsql_query("insert into ".$prefix."oto_stats (userid, groupid) values (".$data['user_id'].", $origgroup)");
@lfmsql_query("Update `".$prefix."oto_offers` set timesbought=timesbought+1, sales=sales+$data[amount] where groupid=$groupoto and rank=$offeroto limit 1");
@lfmsql_query("Update `".$prefix."oto_groups` set groupbought=groupbought+1, groupsales=groupsales+".$data['amount']." where id=$groupoto limit 1");
@lfmsql_query("Update `".$prefix."members` set lastotoid='0/0/0' where Id=".$data['user_id']." limit 1");
$usr['lastotoid'] = '0/0/0';

}
//End OTO Split Testing

				$username=$usr['username'];

				$msg_a="Successful {$data['processor']} transaction.\nItem # {$data['item_number']} : {$data['item_name']}\nChanges made to User # {$data['user_id']}:\n\n";
				$msg='';
				
					
	//Credit Boost
	$getacctype = lfmsql_query("Select mtype from ".$prefix."members where Id=".$data['user_id']." limit 1");
	$acctype = lfmsql_result($getacctype, 0, "mtype");
	
	$t = time();
	$getboost = lfmsql_query("SELECT buyboost FROM ".$prefix."cboost WHERE `starttime`<$t AND `endtime`>$t AND buyboost>1 AND (acctype=$acctype OR acctype=0) LIMIT 1;");
	
	if ((lfmsql_num_rows($getboost) > 0) && ($row['subscription'] == 0)) {
		$buyboost = lfmsql_result($getboost, 0, "buyboost");
		$row['credits'] = $row['credits']*$buyboost;
	}
	//End Credit Boost
	
				
				if ($row['credits']>0) {
					lfmsql_query("UPDATE ".$prefix."members SET credits=credits+".$row['credits']." WHERE Id=".$data['user_id']." LIMIT 1");
					$msg.= $row['credits']." credits added\n";
				}
				
				if ($row['bimps']>0) {
					lfmsql_query("UPDATE ".$prefix."members SET bannerimps=bannerimps+".$row['bimps']." WHERE Id=".$data['user_id']." LIMIT 1");
					$msg.= $row['bimps']." banner impressions added\n";
				}
				
				if ($row['limps']>0) {
					lfmsql_query("UPDATE ".$prefix."members SET textimps=textimps+".$row['limps']." WHERE Id=".$data['user_id']." LIMIT 1");
					$msg.= $row['limps']." text impressions added\n";
				}
					
				// LFMTE v2.31 Update
				if (strlen($row['productid']) > 0) {
					$getprodlist = lfmsql_query("SELECT productid, itemid, productname FROM ".$prefix."products ORDER BY productid");
					while($proddata = @lfmsql_fetch_object($getprodlist)) {
						if (array_search($proddata->productid, explode(",", $row['productid'])) !==false) {
							$checkexisting = lfmsql_query("Select * from ".$prefix."purchases where affid=".$data["user_id"]." and itemid=".$proddata->productid." limit 1");
							if (lfmsql_num_rows($checkexisting) == 0) {
								lfmsql_query("INSERT INTO ".$prefix."purchases(affid,itemid,txn_id) VALUES(".$data["user_id"].",'".$proddata->productid."','".$data["txn_id"]."')");
								$msg .= $proddata->productname." can be downloaded in the Members Area\n";
							}
						}
					}
				}
				// End LFMTE v2.31 Update

				if ($row['upgrade'] > 0) {
					$today=date("Y-m-d");
					$exp=$usr['upgend'];
					$period=$row['period'];
					$type=$row['type'];
					$unit="day";
					
					if($type=="N") {
					//Lifetime Upgrade
					$upg_query = 'update '.$prefix.'members set mtype='.$row['upgrade'].', upgend="0000-00-00" where Id='.$data['user_id'].' limit 1';
					lfmsql_query($upg_query);		
					$res=lfmsql_query('select accname from '.$prefix.'membertypes where mtid='.$row['upgrade']);
					$acc_row=lfmsql_fetch_assoc($res);
					$msg .= "Lifetime {$acc_row['accname']} \n";
					
					} else {
										
					if($type=="M") { $unit="month"; }
					  elseif($type=="Y") { $unit="year"; }
					if($period<>1) { $unit.="s"; }
					
					if ($freetrial == "yes") {
						$period=$row['trial_period'];
						$type=$row['trial_type'];
						$unit = "days";
						if($type=="M") { $unit="month"; }
						  elseif($type=="Y") { $unit="year"; }
						if($period<>1) { $unit.="s"; }
						$exp=strftime("%Y-%m-%d",strtotime("$today + 2 days"));
					}
					
					if ($exp<$today) {
						$exp=strftime("%Y-%m-%d",strtotime("$today + 2 days"));
						}	
					$exp=strftime("%Y-%m-%d",strtotime("$exp + $period $unit"));
					$res=lfmsql_query('select accname from '.$prefix.'membertypes where mtid='.$row['upgrade']);
					$acc_row=lfmsql_fetch_assoc($res);
					
					$upg_query = 'update '.$prefix.'members set mtype='.$row['upgrade'].', upgend="'.$exp.'" where Id='.$data['user_id'].' limit 1';
					
					lfmsql_query($upg_query);
					$msg .= "Account type of {$acc_row['accname']} expires $exp\n";
					
					}
					
					}
				
				// begin startpage update
				$r=lfmsql_query("SELECT type FROM ".$prefix."startpage_settings;");
				if($data['item_number']==1) {
					// get date from item name
					$date=substr($data['item_name'],-11);
					$y=substr($date,-4);
					$m=substr($date,3,3);
					$d=substr($date,0,2);
					if($m=="Jan") { $m=1; } elseif($m=="Feb") { $m=2; } elseif($m=="Mar") { $m=3; } elseif($m=="Apr") { $m=4; } elseif($m=="May") { $m=5; } elseif($m=="Jun") { $m=6; } elseif($m=="Jul") { $m=7; } elseif($m=="Aug") { $m=8; } elseif($m=="Sep") { $m=9; } elseif($m=="Oct") { $m=10; } elseif($m=="Nov") { $m=11; } elseif($m=="Dec") { $m=12; } else { processError('Date Error',$data); }
					$type=@lfmsql_result($r,0,"type");
					$from=mktime(0,0,0,$m,$d,$y);
					$to=$from+86399;
					if($type=="W") { $from=$from-(6*86400); }
					// check for offset difference
					$o1=date("O",$from)/100;
					$o2=date("O",$to)/100;
					$from=$from-3600*($o1-$o2);
					if($type=="M") { $from=mktime(0,0,0,$m,1,$y); }
					lfmsql_query("INSERT INTO ".$prefix."startpage (`from`, `to`, `usrid`, `purchased`, `cost`) VALUES ('$from', '$to', '".$data['user_id']."', NOW(), '".$data['amount']."');");
					$msg .= "\nStartpage booked from ".date("r",$from)." to ".date("r",$to);
					}
				// end startpage update
				
				// Run IPN Mods
				$getmods = lfmsql_query("Select filename from `".$prefix."ipnmods` where enabled=1");
				if (lfmsql_num_rows($getmods) > 0) {
				while ($modlist = lfmsql_fetch_array($getmods)) {
					$modfilename = trim($modlist['filename']);
					if (file_exists("ipn/".$modfilename)) {
						include("ipn/".$modfilename);
					}
				}
				}
				// End Run IPN Mods
				
				$msg = trim($msg);	
				$msg_a .= $msg;
				
				
				// commissions
				$paycomms = lfmsql_result(lfmsql_query("Select value from `".$prefix."piggybank_settings` where field='paycomms'"), 0);
				if ($paycomms > 0 && $usr['refid'] > 0) {
				
					$affid = $usr['refid'];

				//Process LFM Commission
				    $affqry="SELECT username, email, mtype FROM ".$prefix."members WHERE Id=$affid";
				    $affres=@lfmsql_query($affqry);
				    $affrow=@lfmsql_fetch_array($affres);
				
				if ($row['subscription'] == 2) {
				// commission level on OTO
				    $commqry="SELECT otocomm FROM ".$prefix."membertypes WHERE mtid=".$affrow["mtype"];
				    $commres=@lfmsql_query($commqry);
				    $commrow=@lfmsql_fetch_array($commres);
				    $comper = $commrow["otocomm"];
				} else {
				// commission level on purchases
				    $commqry="SELECT comm FROM ".$prefix."membertypes WHERE mtid=".$affrow["mtype"];
				    $commres=@lfmsql_query($commqry);
				    $commrow=@lfmsql_fetch_array($commres);
				    $comper = $commrow["comm"];
				}
				    
				    if($comper > 0) {
				    $affcom=round((($comper/100)*$data['amount']),2);

				    // Sales table keeps affiliate commission stats
				    $saleqry="INSERT INTO ".$prefix."sales (affid, purchaserid, saledate, itemid, itemname, itemamount, commission, txn_id, salestier) VALUES ($affid, ".$data['user_id'].", NOW(), '".$data['item_number']."', '".$data['item_name']."', ".$data['amount'].", $affcom, '".$data['txn_id']."', 1)";
				    lfmsql_query($saleqry);
				    
				    } else {
				    	// No Commission - Record Sale
					$saleqry="INSERT INTO ".$prefix."sales(affid,purchaserid,saledate,itemid,itemname,itemamount,commission,txn_id) VALUES(0,".$data['user_id'].",NOW(),'".$data['item_number']."','".$data['item_name']."',".$data['amount'].",0,'".$data['txn_id']."')";
	  					lfmsql_query($saleqry);
				    }

				    // Check for tier 2 commission
					// Get referrer so we can insert this sale into the database
				    $ul2qry="SELECT refid FROM ".$prefix."members WHERE Id=$affid";
				    $ul2res=@lfmsql_query($ul2qry);

				    if($ul2res)
				    {
					    $ul2row=@lfmsql_fetch_array($ul2res);
					    $aff2id=$ul2row["refid"];

						// Find out the affiliate's member type for commission
						$aff2qry="SELECT mtype FROM ".$prefix."members WHERE Id=$aff2id";
						$aff2res=@lfmsql_query($aff2qry);
						$aff2row=@lfmsql_fetch_array($aff2res);
					
						if ($row['subscription'] == 2) {
						// commission level on OTO
							$comm2qry="SELECT otocomm2 FROM ".$prefix."membertypes WHERE mtid=".$aff2row["mtype"];
							$comm2res=@lfmsql_query($comm2qry);
							$comm2row=@lfmsql_fetch_array($comm2res);
							$comper2 = $comm2row["otocomm2"];
						} else {
						// commission level on purchases
							$comm2qry="SELECT comm2 FROM ".$prefix."membertypes WHERE mtid=".$aff2row["mtype"];
							$comm2res=@lfmsql_query($comm2qry);
							$comm2row=@lfmsql_fetch_array($comm2res);
							$comper2 = $comm2row["comm2"];
						}
						
						if($comper2 > 0)
						{
							$aff2com=round((($comper2/100)*$data['amount']),2);
	
							// Sales table keeps affiliate commission stats
							$sale2qry="INSERT INTO ".$prefix."sales(affid, purchaserid, saledate, itemid, itemname, itemamount, commission, txn_id, salestier) VALUES ($aff2id, ".$data['user_id'].", NOW(), '".$data['item_number']."', '".$data['item_name']."', ".$data['amount'].", $aff2com, '".$data['txn_id']."', 2)";
							lfmsql_query($sale2qry);
						}
					
					}
				//End Process LFM Commission

						if($refnotify && ($affcom>0)) {
							// send email to referer
							$details = $username." has purchased ".$data['item_name']." - $ ".$data['amount']."\nYour commission is $ ".$affcom." (".$comper." %)";
							$subject=str_replace('[username]',$affrow["username"],$refsubj);
							$body=str_replace("\r\n","\n",$refbody);
							$body=str_replace('[details]',$details,$body);
							$body=str_replace('[username]',$affrow["username"],$body);
							$body=str_replace('[sitename]',$sitename,$body);
							mail($affrow["email"],$subject,$body,"From: $sitename <$ademail>\nBcc: $bcc");
							}
					} else {
						// No Commission - Record Sale
						$saleqry="INSERT INTO ".$prefix."sales(affid,purchaserid,saledate,itemid,itemname,itemamount,commission,txn_id) VALUES(0,".$data['user_id'].",NOW(),'".$data['item_number']."','".$data['item_name']."',".$data['amount'].",0,'".$data['txn_id']."')";
	  					lfmsql_query($saleqry);
					}
				//End commissions
				
					$msg_log = preg_replace("/((\r(?!\n))|((?<!\r)\n)|(\r\n))/", " ", $msg_a);
					AddLog("IPN Success - ".$msg_log);

				if ($adnotify) {
					// send email to admin
					mail (CONTACT_EMAIL,'IPN Success - '.SITE_NAME,$msg_a,$headers);
					}	
				if ($memnotify) {
					// send email to member
					$subject=str_replace('[username]',$username,$row['email_subject']);
					$body=str_replace("\r\n","\n",$row['email_body']);
					$body=str_replace('[details]',$msg,$body);
					$body=str_replace('[username]',$username,$body);
					$body=str_replace('[sitename]',$sitename,$body);
					$body=str_replace('[room]',$room,$body);
					
					$useremail = lfmsql_result(lfmsql_query("SELECT email FROM ".$prefix."members WHERE Id='".$data['user_id']."'"), 0);
					
					$subject = translate_site_tags($subject);
					$subject = translate_user_tags($subject, $useremail);
					
					$body = translate_site_tags($body);
					$body = translate_user_tags($body, $useremail);
					
					mail($data['email'],$subject,$body,"From: $sitename <$ademail>\nBcc: $bcc");
					}	
				} else {
				processError ('Could not find sales package',$data);
				}	
			} else {
			processError ('Purchase with piggy bank calculation error',$data);
			}	
	}
function processError ($msg,$data=array()) {
	global $headers;
	$msg = "$msg\n\n";
	foreach ($data as $k => $v) {
		$msg .= $k.' = '.$v."\n";
		}	
	mail (CONTACT_EMAIL,'IPN Message - '.SITE_NAME,"$msg\n".$_SERVER['REMOTE_ADDR'],$headers);
	
	$msg = preg_replace("/((\r(?!\n))|((?<!\r)\n)|(\r\n))/", " ", $msg);
	AddLog("IPN Error - ".$msg);
	
}

?>