<?php
// Prevent anyone who isn't logged in from accessing this page
if(!defined('LFM_ACTIVE_SURFERS_AUTH') || (LFM_ACTIVE_SURFERS_AUTH != 'gasdf'))
	exit();

	$form_promo_data['from'] = isset($_POST['sdate'])?$_POST['sdate']:date('Y-m-d', time());   // Datetime
	$form_promo_data['to'] = isset($_POST['edate'])?$_POST['edate']:date('Y-m-d', time());      // Datetime
	$form_promo_data['surf'] = isset($_POST['surf'])?$_POST['surf']:0;                                     // Int
	$form_promo_data['cash'] = isset($_POST['cash'])?$_POST['cash']:'0.00';                            // String
	$form_promo_data['credits'] = isset($_POST['credits'])?$_POST['credits']:0;                        // Int
	$form_promo_data['bannerimps'] = isset($_POST['bannerimps'])?$_POST['bannerimps']:0; // Int
	$form_promo_data['textimps'] = isset($_POST['textimps'])?$_POST['textimps']:0;              // Int

	$form_promo_data['peelimps'] = isset($_POST['peelimps'])?$_POST['peelimps']:0;              // Int
	$form_promo_data['sqbanimps'] = isset($_POST['sqbanimps'])?$_POST['sqbanimps']:0;      // Int
	$form_promo_data['porkyps'] = isset($_POST['porkyps'])?$_POST['porkyps']:0;                   // Int
	
	$form_promo_data['mbrands'] = isset($_POST['mbrands'])?$_POST['mbrands']:0;      // Int
	$form_promo_data['trafficpods'] = isset($_POST['trafficpods'])?$_POST['trafficpods']:0;      // Int
	
	$form_promo_data['piggybank'] = isset($_POST['piggybank'])?$_POST['piggybank']:0;      // Int

// Check the Date Ranges exist
	if(($_POST['sdate'] == NULL ) || ($_POST['edate'] == NULL ))
	{
		$status_msg[] = 'Either the Start or End Dates are Incorrect';
	}
// Check that there is at least one participating Domain(s)
	if((count($_POST['inexchanges']) < 2) && (in_array('',$_POST['inexchanges'])))
	{
		$status_msg[] = 'No Participating Domains were provided';
	}
// Check that there are  "some" rewards being given
	if(
		($_POST['cash'] == '0.00') &&
		($_POST['credits'] == 0) &&
		($_POST['textimps'] == 0) &&
		($_POST['bannerimps'] == 0) &&
		($_POST['peelimps'] == 0) &&
		($_POST['sqbanimps'] == 0) &&
		($_POST['porkyps'] == 0) &&
		($_POST['mbrands'] == 0) &&
		($_POST['trafficpods'] == 0) &&
		($_POST['piggybank'] == 0)
	)
	{
		$status_msg[] = 'No Rewards have been set';
	}
	
// Process the Domains entries
	foreach($_POST['inexchanges'] as $domain)
	{
		if($domain != '')
		{
			$form_promo_data['domain'].= 'Domain: <input size="35" type="text" value="'.$domain.'" name="inexchanges[]" /><br>';
		}
	}
//Convert to timestamps
	$start_time = strtotime($_POST['sdate']);
	$end_time = strtotime($_POST['edate']);

// More Time Range Checks
// Make sure they are not the same
	if(($start_time == $end_time)) 
	{
		if(($start_time == 0) || ($end_time == 0)) // Neither are Zero - not set
		{
			$status_msg[] = 'Start or End Dates have not been set';
		}
	}
	if($start_time > $end_time) // The Start Time is greater than the End Time
	{
		$status_msg[] = 'The Start Date is After the End Date';
	}
	if($start_time < (time() - 86400)) // The start Date isn't more than a day previous (more for testing)
	{
		$status_msg[] = 'The Start Date is in the past';
	}
//@TB These are already defined in the initialization.
//@TB We really dont need them here and this isn't good anyway.
	$from = $_POST['sdate'];
	$to = $_POST['edate'];
	
// Generate Our Promo Create Form Error messages

// Do we want to check that the corresponding sites are active participents?
// This could be a slow process depending upon how many sites are participating.
// What action do we want to take if a site fails?
// 
	$promo_error_count = count($status_msg);
	if($promo_error_count > 0)
	{
		$msg_form_error .= '<div class="promo_error_message_cont">';
		$msg_form_error .= '<div class="promo_error_message">';
		$msg_form_error .= '<h1>Errors were encountered</h1>';
		$msg_form_error .= '<div class="promo_error_message_text">';
		foreach($status_msg as $msg)
		{
			$msg_form_error .= '-- '.$msg;
			$msg_form_error .= '<br />';
		}
		$msg_form_error .= '</div>';
		$msg_form_error .= '</div>';
		$msg_form_error .= '</div>';
	}
// If there are no Errors then Save the details
if($promo_error_count == 0)
{
	$starttime = strtotime($_POST['sdate'].' 00:00:00');
	$endtime = strtotime($_POST['edate'].' 23:59:59');
	$objdate->init_times($starttime,$endtime);
	$tzone = date('e');
	$objdate->set_values($tzone,0);
	$promokey = $objAS->generatePromoKey();

	if (!isset($peelimps) || !is_numeric($peelimps) || $peelimps < 1) {
		$peelimps = 0;
	}
	if (!isset($sqbanimps) || !is_numeric($sqbanimps) || $sqbanimps < 1) {
		$sqbanimps = 0;
	}
	if (!isset($porkyps) || !is_numeric($porkyps) || $porkyps < 1) {
		$porkyps = 0;
	}
	
	if (!isset($mbrands) || !is_numeric($mbrands) || $mbrands < 1) {
		$mbrands = 0;
	}
	if (!isset($trafficpods) || !is_numeric($trafficpods) || $trafficpods < 1) {
		$trafficpods = 0;
	}
	
	if (!isset($piggybank) || !is_numeric($piggybank) || $piggybank < 0) {
		$piggybank = 0;
	}

// NOTE - active_surfer_promos Database Insert
	$zquery = "INSERT INTO {$prefix}active_surfer_promos (
			starttime,
			endtime,
			createdby,
			timezone,
			savingstime,
			promokey,
			surf,
			upgrade,
			cash,
			credits,
			bannerimps,
			textimps,
			peelimps,
			sqbanimps,
			porkyps,
			mbrands,
			trafficpods,
			piggybank,
			active
			) VALUES (
			'$objdate->starttime',
			'$objdate->endtime',
			'$thisdomain',
			'$objdate->tzone',
			'$objdate->savingstime',
			'$promokey',
			'$surf',
			'$upgrade',
			'$cash',
			'$credits',
			'$bannerimps',
			'$textimps',
			'$peelimps',
			'$sqbanimps',
			'$porkyps',
			'$mbrands',
			'$trafficpods',
			'$piggybank',
			2
			)";
	mysql_query($zquery) or die (mysql_error());
	$newpromoid = mysql_insert_id();
// Get the Domain Names from the Form and save them into the DB Table active_surfer_sites
	for ($i = 0; $i < count($_POST['inexchanges']); $i++)
	{
		$exchangedomain = $_POST['inexchanges'][$i];
		$exchangedomain = trim(strtolower(str_replace("www.", "", $exchangedomain)));
		$exchangerefid = 0;
		if ($exchangedomain != "")
		{
			$promoIDCheck = lfmsql_query("SELECT refID FROM ".$prefix."active_surfer_referralids WHERE website = '".$exchangedomain."' LIMIT 1");
			if (lfmsql_num_rows($promoIDCheck) > 0) {
				$exchangerefid = lfmsql_result($promoIDCheck, 0, "refID");
				if($exchangerefid < 1 || $exchangerefid == '') {
					$exchangerefid = 0;
				}
			} else {
				lfmsql_query("INSERT INTO ".$prefix."active_surfer_referralids (website, refID) VALUES ('".$exchangedomain."', '0')");
			}
			
			$sql = "Insert into {$prefix}active_surfer_sites (
				promoid,
				domain,
				refid
				) VALUES (
				$newpromoid,
				'$exchangedomain',
				'$exchangerefid')";
			mysql_query($sql);
		}
	} 
	$msg_form_error .= '<div style="width:400px;padding-top:10px;padding-bottom:10px;margin-bottom:20px;text-align:center;background-color:lightgreen;border: 1px solid darkgreen;border-radius:10px;">';
	$msg_form_error .= '<b>Promo Created Successfully</b><br>The invite can be downloaded on the <a href="admin.php?f=active&act=viewpromos">Manage Promos</a> page.';
	$msg_form_error .= '</div>';
}