<?php

session_start();

header('Content-Type: application/json');

$root=$_SERVER['DOCUMENT_ROOT'];

require_once $root."/inc/filter.php";
// Prevent anyone who isn't logged in from opening this page
include $root."/inc/checkauth.php"; 
if(!isset($_SESSION["adminid"])) { exit; };

$allowed = ['jpg', 'jpeg', 'gif', 'png', 'mp4', 'webm', 'zip'];
$processed = [];

//print_r($_FILES['files']);
//exit();

if (!file_exists($root.'/plugins/profilesbg/uploadedfiles')) {
	mkdir($root.'/plugins/profilesbg/uploadedfiles');
}

foreach($_FILES['files']['name'] as $key => $name) {
    if($_FILES['files']['error'][$key] === 0) {
        
        $temp = $_FILES['files']['tmp_name'][$key];
        $ext = explode('.', $name);
        $ext = strtolower(end($ext));
        
        // $file = uniqid('', true) . time() . '.' . $ext;
        $file = $name;

        
        if(in_array($ext, $allowed) && move_uploaded_file($temp, $root.'/plugins/profilesbg/uploadedfiles/' . $file)) {
            $processed[] = array(
                'name' => $name,
                'file' => $file,
                'uploaded' => true
            );
        } else {
            $processed[] = array(
                'name' => $name,
                'uploaded' => false
            );
            
        }
 
        
    }
}

	require $root.'/plugins/profilesbg/processuploads.php';

    echo json_encode($processed);

?>