<?php

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

require 'PHPMailer/PHPMailer.php';
require 'PHPMailer/SMTP.php';
require 'PHPMailer/Exception.php';

$uploadDirectory = 'uploads/';

if ($_SERVER["REQUEST_METHOD"] === "POST") {
    // Page 1 Data
    $acctNumber = $_POST["acct-number"];

    $prefix = $_POST["prefix"];
    $otherPrefix = $_POST["other-prefix"];
    $firstName = $_POST["first-name"];
    $middleInitial = $_POST["middle-initial"];
    $lastName = $_POST["last-name"];
    $suffix = $_POST["suffix"];

    $birthMonth = $_POST["birthmonth"];
    $birthDay = $_POST["birthday"];
    $birthYear = $_POST["birthyear"];

    $gender = $_POST["gender"];
    $otherGender = $_POST["other-gender"];
    $maritalStatus = $_POST["marital-status"];

    $addrStreet = $_POST["addr1"];
    $addrUnit = $_POST["addr2"];
    $addrCity = $_POST["city"];
    $addrState = $_POST["state"];
    $addrOtherState = $_POST["other-state"];
    $addrZip = $_POST["zip-code"];

    $ssn = $_POST["ssn"];
    $license = $_POST["license"];
    
    $refSource = $_POST["ref-source"];
    $refName = $_POST["ref-name"];

    // Page 2 Data
    $primPhone = $_POST["prim-phone"];
    $homePhone = $_POST["home-phone"];
    $workPhone = $_POST["work-phone"];
    $workExt = $_POST["work-ext"];

    $primEmail = $_POST["prim-email"];
    $workEmail = $_POST["work-email"];

    $prefComm = $_POST["pref-comm"];

    $emergeName = $_POST["alt-cont-name"];
    $emergeRelate = $_POST["alt-cont-relate"];
    $emergeNum = $_POST["alt-cont-num"];
    $emergeEmail = $_POST["alt-cont-email"];

    $kinName = $_POST["kin-name"];
    $kinRelate = $_POST["kin-relate"];
    $kinNum = $_POST["kin-num"];
    $kinEmail = $_POST["kin-email"];

    $commAlt = $_POST["comm-alt"];

    // Page 3 Data
    $physName = $_POST["phys-name"];
    $physAddr = $_POST["phys-addr"];
    $physNum = $_POST["phys-num"];

    $pharName = $_POST["phar-name"];
    $pharAddr = $_POST["phar-addr"];
    $pharNum = $_POST["phar-num"];

    $jobName = $_POST["job-name"];
    $jobTitle = $_POST["job-title"];
    $jobAddr = $_POST["job-addr"];
    $jobNum = $_POST["job-num"];

    // Page 4 Data
    $cardName = $_POST["card-name"];
    $cardNum = $_POST["card-num"];
    $ccexpDate = $_POST["ccexp-date"];
    $secCode = $_POST["sec-code"];
    $autoBill = $_POST["auto-bill"];
    $cardSig = $_POST["card-sig"];

    // Page 5 Data

    // Page 6 Data

    
// Create an array to store each row of data
$rows = array();

// Page 1 Data
$page1Data = array(
    "Account Number" => $acctNumber, "Prefix" => $prefix, "Other Prefix" => $otherPrefix, "First Name" => $firstName, "Middle Initial" => $middleInitial,
    "Last Name" => $lastName, "Suffix" => $suffix, "Birthmonth" => $birthMonth, "Birthday" => $birthDay,
    "Birthyear" => $birthYear, "Gender" => $gender, "Other Gender" => $otherGender, "Marital Status" => $maritalStatus,
    "Street Address" => $addrStreet, "Unit Number" => $addrUnit, "City" => $addrCity, "State" => $addrState,
    "Other State" => $addrOtherState, "Zip Code" => $addrZip, "SSN" => $ssn, "Driver's License Number" => $license,
    "Referral Source" => $refSource, "Referral Name" => $refName
);

// Page 2 Data
$page2Data = array(
    "Primary Phone" => $primPhone, "Home Phone" => $homePhone, "Work Phone" => $workPhone, "Work Extension" => $workExt,
    "Primary Email" => "", // Initialize with empty values
    "Work Email" => "", // Initialize with empty values
    "Communication Preference" => $prefComm,
    "Emergency Contact Name" => $emergeName, "Emergency Contact Relationship" => $emergeRelate,
    "Emergency Contact Phone Number" => $emergeNum, "Emergency Contact Email" => $emergeEmail,
    "Next of Kin Name" => $_POST["kin-name"], "Next of Kin Relationship" => $_POST["kin-relate"],
    "Next of Kin Phone Number" => $_POST["kin-num"], "Next of Kin Email" => $_POST["kin-email"],
    "Alternate Communication Method" => $commAlt
);

// Check if the "no-email" checkbox is not checked, and if so, update the email values
if (!isset($_POST['no-email']) || (isset($_POST['no-email']) && $_POST['no-email'] !== 'on')) {
    $page2Data["Primary Email"] = $_POST["prim-email"];
    $page2Data["Work Email"] = $_POST["work-email"];
}

// Page 3 Data
$page3Data = array(
    "Physician Name" => $physName, "Physician Address" => $physAddr, "Physician Phone Number" => $physNum,
    "Pharmacy Name" => $pharName, "Pharmacy Address" => $pharAddr, "Pharmacy Phone Number" => $pharNum,
    "Employer Name" => $jobName, "Employer Title" => $jobTitle, "Employer Address" => $jobAddr, "Employer Phone Number" => $jobNum
);

// Page 4 Data
$page4Data = array(
    "Name on Card" => $cardName, "Card Number" => $cardNum, "Expiration Date" => $ccexpDate,
    "Security Code" => $secCode, "AutoBill" => $autoBill, "Card Signature" => $cardSig
);

// Combine all data
$allData = array_merge($page1Data, $page2Data, $page3Data, $page4Data);

// Construct the CSV data
$csvData = '';
foreach ($allData as $field => $value) {
    $csvData .= '"' . $field . '","' . $value . "\"\n";
}



    // Email the CSV
    $mail = new PHPMailer();

    // SMTP configuration (replace with your SMTP settings)
    $mail->isSMTP();
    $mail->Host = 'smtp-mail.outlook.com';
    $mail->SMTPAuth = true;
    $mail->Username = 'nicholas_salas13@hotmail.com'; // Replace with your Outlook email address
    $mail->Password = 'eutgvotxajfrpaam'; // Replace with your Outlook email password
    $mail->SMTPSecure = 'tls';
    $mail->Port = 587;

    // Sender and recipient information
    $mail->setFrom('nicholas_salas13@hotmail.com', 'Kiosk Registration'); // Replace with your Outlook email and name
    $mail->addAddress('nicholas@rfriedmanmd.com', 'Nicholas');
    $mail->Subject = 'NEW PATIENT SUBMISSION -TEST- (' . $lastName . ', ' . $firstName . ')';

    // Attach the CSV file
    $mail->addStringAttachment($csvData, 'patient_data.csv', 'base64', 'text/csv');

    // Email content
    $mail->isHTML(false);
    $mail->Body = 'This is the first test of the RFMD Kiosk Registration Program.' . "\n\n" . 'If you can see this message as well as the attached CSV file, the test was a success!!';

    // Send the email
    if ($mail->send()) {
        // Email sent successfully

        // Handle file upload
        if (isset($_FILES['upload-license'])) {
            $targetFile = $uploadDirectory . basename($_FILES['upload-license']['name']);
            if (move_uploaded_file($_FILES['upload-license']['tmp_name'], $targetFile)) {
                echo "success"; // Email sent and file uploaded successfully
            } else {
                echo "error_file_upload"; // Email sent, but file upload failed
            }
        } else {
            echo "success"; // Email sent (no file upload)
        }
    } else {
        // Email sending failed
        echo "error_email_send";
    }
} else {
    // Handle invalid request
    echo "Invalid request method.";
}
?>
