<?php

// LFMTE Square Banners Plugin
// 2016 LFM Wealth Systems
// http://thetrafficexchangescript.com

require_once "inc/filter.php";
require_once "inc/funcs.php";

include "inc/config.php";
lfmsql_connect($dbhost,$dbuser,$dbpass);
lfmsql_select_db($dbname) or die("Unable to select database");

$bannerid = 0;
$bannerimage = "";

$imgid = $_GET['imgid'];
$ipaddress = $_SERVER['REMOTE_ADDR'];
$currenttime = time();

$defaultban = @lfmsql_result(@lfmsql_query("SELECT value FROM `".$prefix."sqban_settings` WHERE field='defsqbanimg'"), 0);

$getrotation = lfmsql_query("Select rotationtype from ".$prefix."settings");
$rotationtype = lfmsql_result($getrotation, 0, "rotationtype");

//Update IP Log
$checkip = lfmsql_query("Select lasttime, bannerid from `".$prefix."sqban_iplog` where ipaddress='".$ipaddress."' and imgid='".$imgid."' limit 1");
if (lfmsql_num_rows($checkip) >= 1) {
	$lasttime = lfmsql_result($checkip, 0, "lasttime");
	$fivesecago = $currenttime-5;
	if ($lasttime > $fivesecago) {
		$repeatlastban = "yes";
		$lastbanner = lfmsql_result($checkip, 0, "bannerid");
	} else {
		@lfmsql_query("Update `".$prefix."sqban_iplog` set lasttime='".$currenttime."' where ipaddress='".$ipaddress."' and imgid='".$imgid."' limit 1");
		$repeatlastban = "no";
	}
} else {
	@lfmsql_query("Insert into `".$prefix."sqban_iplog` (ipaddress, imgid, lasttime) values ('".$ipaddress."', '".$imgid."', '".$currenttime."')");
	$repeatlastban = "no";
}

if ($repeatlastban == "yes") {
	
	// The same user viewed this banner less than 5 seconds ago, so the page was probably refreshed
	
	$getbanner = lfmsql_query("SELECT img FROM `".$prefix."msqbans` WHERE id='".$lastbanner."' LIMIT 1");
	if (lfmsql_num_rows($getbanner) > 0) {
		$bannerid = $lastbanner;
		$bannerimage = lfmsql_result($getbanner, 0, "img");
	}
	
} elseif ($rotationtype == 0) {

	//Per Member Rotation

	$checktries = 0;
	while ($checktries < 3 && $bannerimage == "") {
		
		$getuser = lfmsql_query("Select Id from ".$prefix."members where lastip != '".$ipaddress."' and status='Active' and actsqban=1 order by lastsqban asc limit 1");
		if (lfmsql_num_rows($getuser) < 1) {
			$bannerid = 0;
			$bannerimage = "";
			$checktries = 3;
		} else {
			$gotuser = lfmsql_result($getuser, 0, "Id");
			@lfmsql_query("Update ".$prefix."members set lastsqban=".time()." where Id=$gotuser limit 1");
			$geturl = lfmsql_query("Select id, img from `".$prefix."msqbans` where state=1 and memid=$gotuser and imps>=1 order by lasthit asc limit 1");
			if (lfmsql_num_rows($geturl) < 1) {
				@lfmsql_query("Update ".$prefix."members set actsqban=0 where Id=$gotuser limit 1");
			} else {
				$bannerid = lfmsql_result($geturl, 0, "id");
				$bannerimage = lfmsql_result($geturl, 0, "img");
				$checktries = 3;
			}
		}
		
		$checktries = $checktries+1;
	}

} else {

	//Per Site Rotation
	
	$geturl = lfmsql_query("Select id, img from `".$prefix."msqbans` where state=1 and imps>=1 order by lasthit asc limit 1");
	
	if (lfmsql_num_rows($geturl) > 0) {
		$bannerid = lfmsql_result($geturl, 0, "id");
		$bannerimage = lfmsql_result($geturl, 0, "img");
	}
	
}

//Show Banner

if ($bannerimage != "") {
	
	if ($repeatlastban != "yes") {
		// Only deduct impressions if the user hasn't viewed the page for the past 5 seconds
		@lfmsql_query("UPDATE `".$prefix."sqban_iplog` SET bannerid='".$bannerid."' WHERE ipaddress='".$ipaddress."' AND imgid='".$imgid."' LIMIT 1");
		@lfmsql_query("UPDATE `".$prefix."msqbans` SET hits=hits+1, hitstoday=hitstoday+1, imps=imps-1, lasthit=".time()." WHERE id='".$bannerid."' LIMIT 1");
	}
	
	header('HTTP/1.1 302 Found');
	Header ("Location: ".$bannerimage);
	
} else {
	
	@lfmsql_query("UPDATE `".$prefix."sqban_iplog` SET bannerid=0 WHERE ipaddress='".$ipaddress."' AND imgid='".$imgid."' LIMIT 1");
	header('HTTP/1.1 302 Found');
	Header ("Location: ".$defaultban);
	
}

exit;

?>