<?php

// LFMTE Captcha Pro Plugin
// 2020 Logiscape.com

$getcaptchatype = lfmsql_query("SELECT value FROM `".$prefix."captchaproset` WHERE field='captchatype'");
if (lfmsql_num_rows($getcaptchatype) > 0) {
	$captchatype = lfmsql_result($getcaptchatype, 0, "value");
} else {
	$captchatype = 1;
}

if ($captchatype == 1) {
	// Basic Captcha
	$page_content .= '<tr>
	    <td align="left" class="formlabelbold">Security Code: </td>
	    <td align="left" nowrap="nowrap">
		<img src="captcha.php" alt="captcha image"><br />
		<input type="text" name="captcha" size="3" maxlength="3" /> 
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">(enter the 3 characters)</font> </td>
	  </tr>';
} elseif ($captchatype == 2) {
	// Google reCAPTCHA v2
	$rcv2key = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."captchaproset` WHERE field='rcv2key'"), 0);
	$page_content .= '<tr>
	    <td colspan="2" align="left" nowrap="nowrap">
		<script src="https://www.google.com/recaptcha/api.js"></script>
		<div class="g-recaptcha" data-sitekey="'.$rcv2key.'"></div>
	</td>
	</tr>';
} elseif ($captchatype == 3) {
	// Google reCAPTCHA v3
	$rcv3key = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."captchaproset` WHERE field='rcv3key'"), 0);
	$page_content .= '
	<input type="hidden" id="recaptchafield" name="g-recaptcha-response" value="">
	<script src="https://www.google.com/recaptcha/api.js?render='.$rcv3key.'"></script>
	<script>
	grecaptcha.ready(function() {
		grecaptcha.execute(\''.$rcv3key.'\', {action: \'signup\'}).then(function(token) {
			document.getElementById("recaptchafield").value = token;
		});
	});
	</script>';
}

?>