<?php

//Connect To LFM Database
require_once "inc/filter.php";
include "inc/config.php";
include "inc/funcs.php";

error_reporting(E_ALL);
@lfmsql_connect($dbhost,$dbuser,$dbpass);
@lfmsql_select_db($dbname) or die( "Unable to select database");

$prefix="oto_";

$getsiteinfo = lfmsql_query("Select sitename, affurl from `".$prefix."settings` where id=1 limit 1");
if (lfmsql_num_rows($getsiteinfo) > 0) {
	$sitename = lfmsql_result($getsiteinfo, 0, "sitename");
	$siteurl = lfmsql_result($getsiteinfo, 0, "affurl");
} else {
	$sitename = "Traffic Exchange";
	$siteurl = "http://thetrafficexchangescript.com";
}

if ($siteurl != "") {
	$spliturl = explode("/", $siteurl);
	$sitedomain = $spliturl[2];
	$sitedomain = str_replace("www.", "", $sitedomain);
} else {
	$sitedomain = "thetrafficexchangescript.com";
}

define('SITE_NAME',$sitename);
define('VALID_DOMAIN',$sitedomain);
extract($_POST);


	$r = lfmsql_query("SELECT verify FROM ".$prefix."ipn_merchants WHERE name='Stripe'");
	$secret_key = lfmsql_result($r,0,"verify");

	require_once('Stripe/init.php');
	\Stripe\Stripe::setApiKey($secret_key);
	
	if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		$postdata = @file_get_contents("php://input");
		$event = json_decode($postdata, true);

		$variables=$postdata; //used to email data

		$data = $event['type'];

		$billing_reason = $event['data']['object']['billing_reason'];
		$subscription_id = $event['data']['object']['subscription'];

		$sub_txn = $event['data']['object']['lines']['data'][0]['metadata']['client_reference_id'];
		$sub_amt = $event['data']['object']['total'];
		$plan_name = $event['data']['object']['lines']['data'][0]['plan']['id'];
		$plan_id = $event['data']['object']['lines']['data'][0]['plan']['nickname'];
		$subsc_id = $event['data']['object']['subscription'];
		$start_date = $event['data']['object']['lines']['data'][0]['period']['start'];
		$end_date = $event['data']['object']['lines']['data'][0]['period']['end'];
		$amount = $event['data']['object']['amount_received'];  //txnid
		$txn_id = $event['data']['object']['id'];  //txnid
		$user_id = $event['data']['object']['metadata']['user_id'];
		$product_id = $event['data']['object']['metadata']['product_id'];
		$item_name = $event['data']['object']['metadata']['item_name'];
		$customer_email = $event['data']['object']['metadata']['email'];
		$customer_name = $event['data']['object']['metadata']['customer_name'];
		$status = $event['data']['object']['charges']['data'][0]['status'];

		$_POST['stripe_hook'] = $data;
	

	if ($data == 'invoice.payment_succeeded') {
	
		$sql = lfmsql_query("SELECT * FROM stripe_subscriptions WHERE plan_name='".$plan_name."' AND item_name='".$plan_id."' AND txn_id='".$sub_txn."'");
		if(@lfmsql_num_rows($sql)) {

			include("ipn/stripe_code.php");

			lfmsql_query("UPDATE `stripe_subscriptions` set current_period_start='".$start_date."', current_period_end='".$end_date."', subsc_id='".$subsc_id."' WHERE plan_name='".$plan_name."' AND item_name='".$plan_id."' AND txn_id='".$sub_txn."'");	
		
			while($each = lfmsql_fetch_array($sql)) {
					$rand = rand(1000,9999);
					$sub_txn2 = $sub_txn."_".$rand;
					$new = array();
					$new['processor']='Stripe';
					$new['date']=date("r");
					$new['amount'] = $each['amount'];
					if($each['interval_time']=="month") $intveral_time = "M";
					if($each['interval_time']=="day") $intveral_time = "D";
					if($each['interval_time']=="year") $intveral_time = "Y";
					
					$new['txn_type'] = "subscription";
					$new['period'] = $each['intveral_count'];
					$new['item_name'] = $each['item_name'];
					$new['item_number'] = $each['item_number'];
					$new['email'] = $each['stripe_email'];
					$new['user_id'] = $each['user_id'];
					$new['name'] = $each['stripe_customer'];
					$new['payment_status']='OK';
					$new['fee'] = number_format((($each['amount']*2.9/100)+.30),2);
					$new['subscr_id'] = $sub_txn2;
					$new['txn_id'] = $sub_txn2;
					$new['trial_price'] = $each['trial_amount'];
					$new['trial_period'] = $each['trial_perion'];
					$new['trial_unit'] = $each['trial_type'];
					lfmsql_query("UPDATE `stripe_subscriptions` set added='".date('Y-m-d H:i:s')."', delivered_times=delivered_times+1 WHERE plan_name='".$plan_name."' AND item_name='".$each['item_name']."' AND item_number='".$each['item_number']."' AND txn_id='".$sub_txn."'");	

					processOrder ($new['txn_type'],$new);
			}


		}
		

	}

	if ($data == 'payment_intent.succeeded') {

			if(!empty($user_id)) {
					// payment passes excute code
					$amount = number_format($amount/100,2);
					$new = array();
					$new['processor']='Stripe';
					$new['date']=date("r");
					$new['amount']=$amount;
					$new['txn_type']="item";
		
					$new['item_name']=$item_name; 
					$new['item_number']=$product_id;
					$new['email']=$customer_email; 
					$new['user_id']=$user_id;
					$new['name']=$customer_name; 
					$new['payment_status']='OK';
					$new['fee'] = number_format((($amount*2.9/100)+.30),2);
					
					$new['subscr_id'] = $txn_id;
					$new['txn_id']=$txn_id;

					// at this point since this is a one-time charge
					// we can go ahead and process the order and 
					// add the advertising to the members account
					include("ipn/stripe_code.php");

					processOrder ($new['txn_type'],$new);
			}		
	}

	

}
header("HTTP/1.1 200 OK");

$variables.="root: $root\nserver time: ".date("Y:m:d H:i:s")."\n\n$_SERVER[REMOTE_ADDR]";
$headers='From: "'.SITE_NAME.'" <ipn@'.VALID_DOMAIN.'>';


?>