<?php

#########################################
##     LFMTE Prize Page Addon v3       ##
##                                     ##
##       2008-2023 LJ Fix LLC         ##
##           www.LJFix.com             ##
##                                     ##
#########################################

// Prevent Invalid Access
if (!isset($userid) || $userid != $_SESSION["userid"]) {
	header("Location: members.php?mf=lo");
	exit;
}

// Prize Page Settings
$pPrizePage = "https://".$_SERVER["SERVER_NAME"]."/prizepage.php"; // URL for Prize Page
$pTable = $prefix.'prizepage_prizes';
$pWinnersTable = $prefix.'prizepage_prize_winners';

$date = date("Y-m-d");

$nextPrizeView2=0;
$prizeurl = "";

$getpages = lfmsql_query("SELECT * FROM `".$prefix."prizepage_pages` WHERE enabled='1' AND (startdate='0000-00-00' OR startdate <= '".$date."') AND (enddate='0000-00-00' OR enddate >= '".$date."') ORDER BY rank ASC");

for ($i = 0; $i < lfmsql_num_rows($getpages); $i++) {
	if ($prizeurl == "" && $_SESSION['prizepage']['on'] != 'PrizeOn' && $_SESSION['prizepage']['on'] != 'PrizeGo') {
		
		$prizepageid = lfmsql_result($getpages, $i, "id");
		
		$rand_limits[0] = lfmsql_result($getpages, $i, "rnd_a");
		$rand_limits[1] = lfmsql_result($getpages, $i, "rnd_b");
		
		$per_mem = lfmsql_result($getpages, $i, "per_mem");
		
		$prizeAvail = lfmsql_result(lfmsql_query("select count(`id`) from `$pTable` where pageid='".$prizepageid."' AND `available`=1 and (`qty_in` - `qty_out`) > 0"),0);
				
		$LimitDaily = 0;
		$pMaxWin = lfmsql_result($getpages, $i, "max_win");
		switch ($pMaxWin) {
			case 1:
				$pDays='1 day ago';
				break;
			case 2:
				$pDays='7 days ago';
				break;
			case 3:
				$pDays='1 month ago';
				break;
			case 4:
				$LimitDaily='2';
				$pDays='1 day ago';
				break;
			case 5:
				$LimitDaily='4';
				$pDays='1 day ago';
				break;
			case 6:
				$LimitDaily='8';
				$pDays='1 day ago';
				break;
			case 7:
				$LimitDaily='10';
				$pDays='1 day ago';
				break;
			case 8:
				$LimitDaily='20';
				$pDays='1 day ago';
				break;
			case 9:
				$LimitDaily='50';
				$pDays='1 day ago';
				break;
			default:
				$pDays=0;
				break;
		}
		
		if ($LimitDaily == 0) {
			$pDay = strftime("%Y-%m-%d", strtotime("$date + $pDays"));
			$pCount=lfmsql_result(lfmsql_query("select count(`user_id`) from `$pWinnersTable` where pageid='".$prizepageid."' AND `user_id`=$userid and `datetime`>'$pDay'"),0);
		} else {
			$pCount=lfmsql_result(lfmsql_query("select count(`user_id`) from `$pWinnersTable` where pageid='".$prizepageid."' AND `user_id`=$userid and DATE(datetime)='$date'"),0);
			if ($pCount < $LimitDaily) {
				// Hasn't reached limit yet
				$pCount = 0;
			} else {
				// Earned max prizes today
				$pCount = 1;
			}
		}
		
		if ($per_mem == 0) {
			// Site-wide Views
			if ($prizeAvail > 0 and 0 != $rand_limits[1] and (0 == $pCount or 0 == $pDays)) {
				$cnx = lfmsql_query("select sum(`clickstoday`) from `".$prefix."members`");
				$siteWideViewed = lfmsql_result($cnx,0);
				lfmsql_query("LOCK TABLES ".$prefix."prizepage_pages,$pWinnersTable WRITE");
				if ($siteWideViewed < 0 or $siteWideViewed == NULL) {
					$siteWideViewed=0;
					$nextPrizeView=0;
				} else {
					$nextPrizeView = lfmsql_result(lfmsql_query("SELECT next_view FROM ".$prefix."prizepage_pages where `id`='".$prizepageid."'"), 0);
				}
				
				if ($nextPrizeView <= $siteWideViewed and $siteWideViewed != 0 and $rand_limits[1] != 0){
					$nextPrizeView2=$siteWideViewed + rand($rand_limits[0],$rand_limits[1]) + 1; //added one because the random page counts as one
		
						$prizeurl = $pPrizePage;
						
				} elseif ($nextPrizeView > $siteWideViewed and ($siteWideViewed+$rand_limits[1]) < $nextPrizeView) {
					$nextPrizeView2=$siteWideViewed + rand($rand_limits[0],$rand_limits[1]);
				}
				if ($nextPrizeView != $nextPrizeView2 and $nextPrizeView2 != 0) {
					lfmsql_query("update `".$prefix."prizepage_pages` set `next_view`=$nextPrizeView2 where `id`='".$prizepageid."'");
				}
				lfmsql_query('UNLOCK TABLES');
			}
		} else {
			// Per Member Views
			if ($prizeAvail > 0 and 0 != $rand_limits[1] and (0 == $pCount or 0 == $pDays)) {
				$cnx = lfmsql_query("select clickstoday from `".$prefix."members` where Id=$userid limit 1");
				$siteWideViewed = lfmsql_result($cnx,0);
				if ($siteWideViewed < 0 or $siteWideViewed == NULL) {
					$siteWideViewed=0;
					$nextPrizeView=0;
				} else {
					$getnextPrizeView = lfmsql_query("select `next_prize` from `".$prefix."prizepage_next_prizes` where pageid='".$prizepageid."' AND user_id=$userid limit 1");
					if (lfmsql_num_rows($getnextPrizeView) > 0) {
						$nextPrizeView = lfmsql_result($getnextPrizeView, 0);
					} else {
						lfmsql_query("INSERT INTO `".$prefix."prizepage_next_prizes` (pageid, user_id, next_prize) VALUES ('".$prizepageid."', $userid, 0)");
						$nextPrizeView = 0;
					}
				}
				
				if ($nextPrizeView <= $siteWideViewed and $siteWideViewed != 0 and $rand_limits[1] != 0){
					$nextPrizeView2=$siteWideViewed + rand($rand_limits[0],$rand_limits[1]) + 1; //added one because the random page counts as one
		
						$prizeurl = $pPrizePage;
						
				} elseif ($nextPrizeView > $siteWideViewed and ($siteWideViewed+$rand_limits[1]) < $nextPrizeView) {
					$nextPrizeView2=$siteWideViewed + rand($rand_limits[0],$rand_limits[1]);
				}
				if ($nextPrizeView != $nextPrizeView2 and $nextPrizeView2 != 0) {
					lfmsql_query("UPDATE `".$prefix."prizepage_next_prizes` SET `next_prize`=$nextPrizeView2 WHERE pageid='".$prizepageid."' AND user_id=$userid");
				}
			}
		}
		
	}
}

if ($prizeurl != "") {
	$newsite = $prizeurl;
	$_SESSION['prizepage']['on'] = 'PrizeOn';
	$_SESSION['prizepage']['pageid'] = $prizepageid;
	$_SESSION['prizepage']['clickcount'] = 0;
} else {
	if (!isset($_SESSION['prizepage']['clickcount']) || !is_numeric($_SESSION['prizepage']['clickcount'])) {
		$_SESSION['prizepage']['clickcount'] = 0;
	} elseif ($_SESSION['prizepage']['clickcount'] > 2) {
		unset($_SESSION['prizepage']);
	} else {
		$_SESSION['prizepage']['clickcount'] = $_SESSION['prizepage']['clickcount'] + 1;
	}
}

?>