<?php

// SurfingGuard Checker v2.5
// 2011-2020 Josh Abbott, http://surfingguard.com

include("sgheader.php");

echo("<p><font size=\"4\"><b>Banned Sites</b></font></p>");

echo("<p align=\"left\">Sites on your banned sites list will always fail the checker.</p>");

echo("<table border=\"1\" bordercolor=\"gray\" cellpadding=\"5\" cellspacing=\"0\" width=\"400\">
<tr><td align=\"center\">
<p><b>Add A Banned Site</b></p>
<p>You can add a specific page like <b>http://surfingguard.com/index.php</b> or a complete domain like <b>surfingguard.com</b> to your banned sites.</p>

<form action=\"bannedsites.php?add=yes\" method=\"post\">
<table border=\"0\" cellpadding=\"5\" cellspacing=\"0\">
<tr><td align=\"right\"><b>URL:</b></td><td><input type=\"text\" name=\"newsite\"></td></tr>
<tr><td align=\"right\"><b>Category:</b></td><td>

<select name=\"sitecategory\">
<option value=\"1\">PTP</option>
<option value=\"2\">HYIP / Other Illegal Content</option>
<option value=\"3\">Adult Content</option>
<option value=\"4\">Freezes Browser</option>
<option value=\"5\">Virus</option>
<option value=\"6\">Frame Breaker</option>
<option value=\"7\">Untrusted Rotator</option>
<option value=\"8\">Gambling</option>
<option value=\"9\">AutoSurf (Non Investment)</option><option value=\"10\">Non English</option>
<option value=\"0\">Other</option>
</select>
</td></tr>
<tr><td colspan=\"2\" align=\"center\"><input type=\"submit\" value=\"Ban Site\"></td></tr>
</table>
</form>
</td></tr>
</table>
<br>
");

echo("<table border=\"1\" bordercolor=\"gray\" cellpadding=\"5\" cellspacing=\"0\">
<tr><td align=\"center\">
<p><b>Search Banned Sites</b></p>
<form action=\"bannedsites.php\" method=\"post\">
<input type=\"text\" name=\"searchlist\" value=\"".$_POST['searchlist']."\"><input type=\"submit\" value=\"Search\">
</form>
</td></tr>
</table>
<br>
");

if (is_numeric($_GET['delid']) && $_GET['delid'] > 0) {
	@lfmsql_query("Delete from banned_sites where id=".$_GET['delid']." limit 1");
}

if ($_GET['add'] == "yes" && $_POST['newsite'] != "") {

	$checkbanned = lfmsql_query("Select domain from `banned_sites`");
	$bannedurl = "no";
	while ($bannedlist = lfmsql_fetch_array($checkbanned)) {
	  	if (stristr(trim($_POST['newsite']), trim($bannedlist['domain']))) {
	  		$bannedurl = "yes";
		}
	}
	
	if ($bannedurl == "no") {

	@lfmsql_query("Insert into banned_sites (domain) values ('".$_POST['newsite']."')");

	if (is_numeric($_POST['sitecategory'])) {
		// Send To Central Ban
		
		$tename = lfmsql_result(lfmsql_query("Select value from sg_settings where name='exchange'"), 0);
		$sgkey = lfmsql_result(lfmsql_query("Select value from sg_settings where name='key'"), 0);
		
		$centralbanurl = "https://sgchecker.com/reportsite.php?exchange=".$tename."&key=".$sgkey."&cat=".$_POST['sitecategory']."&url=".urlencode($_POST['newsite']);
		
		$urlinfo = parse_url($centralbanurl);
		$hostname = $urlinfo['host'];
		
		if ($hostname == "" || gethostbyname($hostname) == $hostname) {
			// Central Ban Server Error
		} else {
		
			$port = 443;
			$timeout = 5;
			$headers = "GET ".$urlinfo['path'].'?'.$urlinfo['query']." HTTP/1.1\r\n";
			$headers .= "Host: ".$hostname."\r\n";
			$headers .= "Referer: http://".$_SERVER["SERVER_NAME"]."\r\n";
			$headers .= "User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36\r\n";
			$headers .= "Connection: close\r\n";
			$headers .= "Accept: */*\r\n";
			$headers .= "\r\n";
			$cbreturn = "";
			
			$cbconnect = fsockopen('ssl://'.$hostname, $port, $errno, $errstr, $timeout);
			stream_set_timeout($cbconnect, 3);
			fwrite($cbconnect,$headers);
			while (!feof($cbconnect) && !$checktimeout['timed_out']) {
				$cbreturn .= fread($cbconnect, 10000);
				$checktimeout = stream_get_meta_data($cbconnect);
			}
			fclose($cbconnect);
		}
		
		// End Send To Central Ban
	}
	
} else {
	echo("<p><font color=\"red\"><b>Site Already Banned</b></font></p>");
}

}


if (isset($_POST['searchlist']) && $_POST['searchlist'] != "") {
	$searchlist = "%".trim($_POST['searchlist'])."%";
	$getsites = lfmsql_query("Select id, domain from banned_sites where domain LIKE '".$searchlist."' order by domain asc");
	$headingtext = "Banned Sites Search Results";
} else {
	$getsites = lfmsql_query("Select id, domain from banned_sites order by domain asc");
	$headingtext = "Banned Sites List";
}

if (lfmsql_num_rows($getsites) < 1) {
	echo("<p><b>No Sites Found</b></p>");
} else {
	echo("<table border=\"1\" bordercolor=\"gray\" cellpadding=\"5\" cellspacing=\"0\" width=\"500\">");
	echo("<tr><td bgcolor=\"#8FBAE7\" colspan=\"2\"><b>".$headingtext."</b></td></tr>");
	for ($i = 0; $i < lfmsql_num_rows($getsites); $i++) {
		echo("<tr><td width=\"85%\">".lfmsql_result($getsites, $i, "domain")."</td><td width=\"15%\" onMouseOver=\"hoveron(this)\" onMouseOut=\"hoveroff(this)\" bgcolor=\"#8FBAE7\"><a href=\"bannedsites.php?delid=".lfmsql_result($getsites, $i, "id")."\"><font color=\"blue\"><u>Delete</u></font></a></td></tr>");
		
	}
	echo("</table>");
}

include("sgfooter.php");

?>