<?php

// SurfingGuard Checker v2.2
// 2011-2014 Josh Abbott, http://surfingguard.com
// LFMTE script version

include("sgheader.php");

// Make Checkboxes
function makecheckbox($catnum) {
	if (!is_numeric($catnum)) {
		return "";
	}
	
	$searchtype = lfmsql_result(lfmsql_query("Select COUNT(*) from sg_ban_types where type=".$catnum), 0);
	if ($searchtype > 0) {
		return "<input type=\"checkbox\" name=\"bantypes[]\" value=\"".$catnum."\" checked>";
	} else {
		return "<input type=\"checkbox\" name=\"bantypes[]\" value=\"".$catnum."\">";
	}
}
// End Make Checkboxes

if ($_GET['updatecats'] == "yes") {
	if (isset($_POST['bantypes'])) {
		@lfmsql_query("TRUNCATE TABLE sg_ban_types");
		foreach ($_POST['bantypes'] as $key=>$value) {
			@lfmsql_query("Insert into sg_ban_types (type) values (".$value.")");
		}
	}
}

echo("<p><font size=\"4\"><b>Central Ban Categories</b></font></p>");

echo("<p align=\"left\">Sites in the Central Ban list have been banned by other traffic exchanges for having inappropriate content.  Sites in the list are organized by category.  You can specify which categories you would like to be banned at your exchange.</p>");

echo("<form action=\"centralban.php?updatecats=yes\" method=\"post\">

<table border=\"0\" cellpadding=\"5\" cellspacing=\"0\">
<tr><td align=\"right\"><b>Category</b></td><td><b>Banned</b></td></tr>

<tr><td align=\"right\">PTP</td><td>".makecheckbox(1)."</td></tr>
<tr><td align=\"right\">HYIP / Other Illegal Content</td><td>".makecheckbox(2)."</td></tr>
<tr><td align=\"right\">Adult Content</td><td>".makecheckbox(3)."</td></tr>
<tr><td align=\"right\">Freezes Browser</td><td>".makecheckbox(4)."</td></tr>
<tr><td align=\"right\">Virus</td><td>".makecheckbox(5)."</td></tr>
<tr><td align=\"right\">Frame Breaker</td><td>".makecheckbox(6)."</td></tr>
<tr><td align=\"right\">Untrusted Rotator</td><td>".makecheckbox(7)."</td></tr>
<tr><td align=\"right\">Gambling</td><td>".makecheckbox(8)."</td></tr>
<tr><td align=\"right\">AutoSurf (Non Investment)</td><td>".makecheckbox(9)."</td></tr>
<tr><td align=\"right\">Non English</td><td>".makecheckbox(10)."</td></tr>

<tr><td colspan=\"2\" align=\"center\"><input type=\"submit\" value=\"Update Categories\"></td></tr>

</table>

</form>
");

echo("<hr>
<p><font size=\"4\"><b>Central Ban Excluded Sites</b></font></p>");

echo("<p align=\"left\">Sites in the Excluded Sites list will not fail the checker simply because they are listed in the Central Ban list.  However, the checker will still run all of the other tests on the sites, to make sure they do not have viruses or other harmful content.</p>");

echo("<table border=\"1\" bordercolor=\"gray\" cellpadding=\"5\" cellspacing=\"0\" width=\"400\">
<tr><td align=\"center\">
<p><b>Add An Excluded Site</b></p>
<p>You can add a specific page like <b>http://intellibanners.com/splash.php</b> or a complete domain like <b>intellibanners.com</b> to your excluded sites.</p>
<form action=\"centralban.php?add=yes\" method=\"post\">
<input type=\"text\" name=\"newsite\"><br><input type=\"submit\" value=\"Add Site\">
</form>
</td></tr>
</table>
<br>
");

echo("<table border=\"1\" bordercolor=\"gray\" cellpadding=\"5\" cellspacing=\"0\">
<tr><td align=\"center\">
<p><b>Search Excluded Sites</b></p>
<form action=\"centralban.php\" method=\"post\">
<input type=\"text\" name=\"searchlist\" value=\"".$_POST['searchlist']."\"><input type=\"submit\" value=\"Search\">
</form>
</td></tr>
</table>
<br>
");

if (is_numeric($_GET['delid']) && $_GET['delid'] > 0) {
	@lfmsql_query("Delete from sg_ban_exclude where id=".$_GET['delid']." limit 1");
}

if ($_GET['add'] == "yes" && $_POST['newsite'] != "") {
	@lfmsql_query("Insert into sg_ban_exclude (domain) values ('".$_POST['newsite']."')");
}


if (isset($_POST['searchlist']) && $_POST['searchlist'] != "") {
	$searchlist = "%".trim($_POST['searchlist'])."%";
	$getsites = lfmsql_query("Select id, domain from sg_ban_exclude where domain LIKE '".$searchlist."' order by domain asc");
	$headingtext = "Excluded Sites Search Results";
} else {
	$getsites = lfmsql_query("Select id, domain from sg_ban_exclude order by domain asc");
	$headingtext = "Excluded Sites List";
}

if (lfmsql_num_rows($getsites) < 1) {
	echo("<p><b>No Sites Found</b></p>");
} else {
	echo("<table border=\"1\" bordercolor=\"gray\" cellpadding=\"5\" cellspacing=\"0\" width=\"500\">");
	echo("<tr><td bgcolor=\"#8FBAE7\" colspan=\"2\"><b>".$headingtext."</b></td></tr>");
	for ($i = 0; $i < lfmsql_num_rows($getsites); $i++) {
		echo("<tr><td width=\"85%\">".lfmsql_result($getsites, $i, "domain")."</td><td width=\"15%\" onMouseOver=\"hoveron(this)\" onMouseOut=\"hoveroff(this)\" bgcolor=\"#8FBAE7\"><a href=\"centralban.php?delid=".lfmsql_result($getsites, $i, "id")."\"><font color=\"blue\"><u>Delete</u></font></a></td></tr>");
		
	}
	echo("</table>");
}

include("sgfooter.php");

?>