<?

set_time_limit(180);

class CSocket {
  var $error_no=0;
  var $error_string='';
  var $timeout_sock;
  var $timeout_maximum;
  var $timeout_renew;
  var $sleeptime;
  var $nextsleeptime;

  var $hostname;
  var $port;
  var $socket_status;

  var $psocket;
  var $timeout;
  var $buffer;

  var $time_now;
  var $time_out;
  var $socket_type;
  
  var $proxyserver;
  var $proxyport;

  function timeouts($_timeout_sock,$_timeout_maximum,$_timeout_renew,$_sleeptime) {
    $this->timeout_sock    = $_timeout_sock;
    $this->timeout_maximum = $_timeout_maximum * 1000;
    $this->timeout_renew   = $_timeout_renew * 1000;
    $this->sleeptime       = $_sleeptime * 1000;
  }

  function connect($_hostname,$_port,$_socket_type=true) {
    $this->hostname = $_hostname;

    // ok conitnue from here
    $this->port     = $_port;
    $this->socket_type = $_socket_type;
    $this->psocket  = @fsockopen($this->hostname,$this->port,$this->erorr_no,$this->error_string,$this->timeout_sock);
    if(!$this->psocket) return;
    list($micro,$secs)=explode(' ',microtime());
    $this->time_now = ((float)$micro + (float)$secs);
    $this->time_out = time() + $this->timeout_maximum;
    socket_set_blocking($this->psocket,$this->socket_type);
    stream_set_timeout($this->psocket, $this->timeout_sock);
  }
  
  function proxyConnect($_hostname,$_port,$_socket_type=true) {
    $this->hostname = $_hostname;

    // ok conitnue from here
    $this->port     = $_port;
    $this->socket_type = $_socket_type;    
    $this->psocket  = @fsockopen($this->proxyserver,$this->proxyport,$this->erorr_no,$this->error_string,$this->timeout_sock);
    if(!$this->psocket) return;
    list($micro,$secs)=explode(' ',microtime());
    $this->time_now = ((float)$micro + (float)$secs);
    $this->time_out = time() + $this->timeout_maximum;
    socket_set_blocking($this->psocket,$this->socket_type);
    stream_set_timeout($this->psocket, $this->timeout_sock);
  }

/*************end code**************/ 

  function CSocket() {
    $this->socket_type = 0;
    $this->timeout_sock = 10;
    $this->timeout_maximum = 10;
    $this->timeout_renew = 10;
    $this->error_string = '';
    $this->error_no = 0;
    $this->psocket = 0;
    $this->buffer = '';
    $this->port = 80;
    $this->hostname  = "127.0.0.1";
    $this->time_now  = 0;
    $this->time_out  = 0;
    $this->sleeptime = 100000;
    $this->nextsleeptime  = 0;
    $this->proxyserver = "15.191.5.52";
    $this->proxyport = 8080;
  }

  function eof() {
    if($this->psocket) return false;
    if(!empty($this->buffer)) return false;
    return true;
  }

  function write($line) {
    if(!$this->psocket) return;
    fwrite($this->psocket,$line);
  }

  function close() {
    if(!$this->psocket) return false;
    fclose($this->psocket);
    $this->psocket=0;
  }

  //
  function socket__status() {
    if($this->eof()) return true;
    if(!$this->psocket) return true;
    $this->socket_status = @socket_get_status($this->psocket);
    return false;
  }

  function _read() {
    $result = '';
    if($this->eof()) return $result;
    list($micro,$secs)=explode(' ',microtime());
    $time_now = ((float)$micro + (float)$secs);
    $time_out_hit = 0;
    if($time_now < $this->nextsleeptime) {
      $time_out_hit = 1;
//      usleep($this->sleeptime);
      $time_now += $this->sleeptime;
    }
    $this->nextsleeptime = $time_now + $this->sleeptime;
    if($this->socket_type) {
      //stream_set_blocking($this->psocket, FALSE );
      $result = fread($this->psocket, 4096*4);
      if(feof($this->psocket)) $this->close();
      if($this->socket__status()==true) $this->close();
      if(isset($this->socket_status)) {
        if($this->socket_status['timed_out']) $this->close();
        if($this->socket_status['eof']) $this->close();
      }
    } else {
//      if($time_out_hit) $result = fread($this->psocket, 1);
//      else fread($this->psocket, 0);
      $this->socket__status();
      $byte_count = $this->socket_status['unread_bytes'];
      if($byte_count > 0) {
        $this->timeout = $time_now + $this->timeout_renew;
        $result .= fread($this->psocket,$byte_count);
      } else {
        if($this->socket_status['eof']) $this->close();
        if($this->socket_status['timed_out']) $this->close();
        if($this->socket_status['blocked']) $this->close();
        if($time_now >= $this->time_out) $this->close();
      }
    }
    return $result;
  }

  // say here until all read read.
  function receive_complete() {
    $this->buffer = '';
    while($this->psocket) {
      $this->buffer .= $this->_read();
    }
    return $this->buffer;
  }

  // FALSE = ok TRUE = data in bufffer
  function data_available() {
    $this->buffer .= $this->_read();
    if($this->eof()) return false;
    if(strlen($this->buffer) > 0) return false;
    return true;
  }

  function read_complete() {
    $this->buffer .= $this->_read();
    if($this->eof()) return false;
    if(strlen($this->buffer) > 0) return false;
    return true;
  }
  // read data
  function read_all() {
    if(!data_available()) return '';
    $result = $this->buffer;
    $this->buffer = '';
    return ($result);
  }

  function read_line() {
    $result='';
    while(!$this->eof()) {
      if($this->data_available()) continue;
      $p = strpos($this->buffer,"\n");
      if(!$p) continue;
      $result = substr($this->buffer,0,$p);
      $this->buffer = substr($this->buffer,$p);
      break;
    }
    return $result;
  }
};
?>