// Update button visibility
document.addEventListener("DOMContentLoaded", function() {
    updateButtonVisibility();
});

document.addEventListener("DOMContentLoaded", function() {
    // Section 1: Populate form fields with temporary values
    const loadAccountNumber = localStorage.getItem('indexAccountNumber');
    const loadNewExistPt = localStorage.getItem('indexNewExistPt');
    
    if (loadAccountNumber) {
        document.getElementById('acct-number').value = loadAccountNumber;
        document.getElementById('patient-type').value = loadNewExistPt;
        // Update URL here
        history.pushState({}, null, `page1_basic.html?accountNumber=${loadAccountNumber}`);
        // Remove from localStorage
        localStorage.removeItem('indexAccountNumber');
        localStorage.removeItem('indexNewExistPt');
    }
    
});

// Section 4: Populate form fields from patient_list.csv
    document.addEventListener("DOMContentLoaded", function() {
    const patientData = JSON.parse(localStorage.getItem('patientData'));
    
    if (patientData) {
        
        document.getElementById('first-name').value = patientData.Patient_FirstName || '';
        document.getElementById('last-name').value = patientData.Patient_LastName || '';
        document.getElementById('ref-name').value = patientData.REFERRING || '';
        document.getElementById('addr1').value = patientData.Addr1 || '';
        document.getElementById('addr2').value = patientData.Addr2 || '';
        document.getElementById('city').value = patientData.City || '';
        document.getElementById('state').value = patientData.State || '';
        document.getElementById('zip-code').value = patientData.Zip || '';
        document.getElementById('birthdate').value = patientData.DOB || '';
        document.getElementById('gender').value = patientData.Gender || '';
        document.getElementById('home-phone').value = patientData.HomePhone || '';
        document.getElementById('prim-phone').value = patientData.CellPhone || '';
        document.getElementById('prim-ins-name-COMM').value = patientData.Plan || '';
        document.getElementById('prim-pol-num-COMM').value = patientData.Policy || '';
        document.getElementById('prim-grp-num-COMM').value = patientData.Group || '';
        document.getElementById('prim-exp-date-COMM').value = patientData.Expires || '';

        document.getElementById('prim-email').value = patientData.HomeEmail || '';
        document.getElementById('other-email').value = patientData.WorkEmail || '';
        // ... populate other fields ...

         // Optionally, clear patient data from local storage after use to avoid unintentional reuse
        localStorage.removeItem('patientData');
    }
});

// Section 6: Clear localStorage and cookies when refreshed
// window.addEventListener('unload', function() {
   // localStorage.removeItem('accountNumber');
   // var allCookies = document.cookie.split(';');
   // for (var i = 0; i < allCookies.length; i++) {
       // var cookieName = allCookies[i].split('=')[0].trim();
       // document.cookie = cookieName + "=; expires=Thu, 01 Jan 1970 00:00:00 UTC; path=/;";
   // }
// });