<!doctype html>
<html lang="en">
  <head>
    
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title><?php lfm_sitename(); ?></title>
    
    <!-- Bootstrap Stylesheet -->
    <link href="<?php echo $theme_dir.'/'; ?>style_files/css/bootstrap.min.css" rel="stylesheet">
    
    <!-- Font Awesome Free Stylesheet -->
    <link href="<?php echo $theme_dir.'/'; ?>style_files/css/fontawesome-icons.min.css" rel="stylesheet">
    
    <!-- Main LFM Stylesheet -->
    <link href="<?php echo $theme_dir.'/'; ?>style.css" rel="stylesheet">
    
   
    
  </head>

<?php if(function_exists('fabint')) { fabint(); } ?>

<body>

<!-- Required Bootstrap Javascript Files -->
<script src="<?php echo $theme_dir.'/'; ?>style_files/js/jquery.min.js"></script>
<script src="<?php echo $theme_dir.'/'; ?>style_files/js/bootstrap.bundle.min.js"></script>

<!-- Typed.js Animated Text Javascript File -->
<script src="<?php echo $theme_dir.'/'; ?>style_files/js/typed.min.js"></script>

<div class="header">
<div id=”header”>
    <!-- Header in desktop mode -->
    <div id="headerwrapper">
<a href="index.php"><div id="header"></div></a>
</div>
    <!-- Header in mobile mode -->
		<a class="d-lg-none navbar-toggler dropdown-toggle text-white" data-toggle="collapse" data-target="#lfm_members_mainmenu" aria-controls="lfm_members_mainmenu" aria-expanded="false" aria-label="Toggle navigation" href="#"><img class="lfm_menu_logo" src="themes/LFMTE_default/elogo.png" alt="Logo"></a>
    </div>
    </div>
    <div class="lfm_menu_bar">
<nav class="navbar navbar-expand-lg">
		
	
		
		<!-- Header in mobile mode -->
		
		
		<!-- Main menu -->
		<div class="navbar-collapse collapse" id="lfm_members_mainmenu">
			<ul class="nav navbar-nav">
			
			<?php
			if(isset($_SESSION["uid"]) && $_SESSION["uid"] != "") {
				$prefix = $_SESSION["prefix"];
				
				if (isset($_GET['tabid'])) {
					$tabid = $_GET['tabid'];
				} elseif (isset($_SESSION['tabid'])) {
					$tabid = $_SESSION['tabid'];
				} else {
					$tabid = 'home';
				}
				$_SESSION['tabid'] = $tabid;
			?>
			
				<li class="nav-item<?php if($tabid == 'home') { echo ' lfm_tab_opened'; } ?>"><a class="nav-link" href="#" role="button" aria-expanded="false"> <i class="fas fa-home"></i> Home</a>
					<ul class="lfm_menu_tab nav">

<? if(get_setting("enablemenu_home") == "1") { ?><li><a href="members.php?tabid=home"><span>Members Area</span></a></li><? } ?>
<li><a href="bingo.php?tabid=home"><span>Bingo Area</span></a></li>

<li><a href="https://easyonlineadvertising.com/support"target="_blank"><span>Support</span></a></li>

<? if(get_setting("enablemenu_forum") == "1") { ?><li><a href="/forum/"><span>Forum</span></a></li><? } ?>

<? if(get_setting("enablemenu_logout") == "1") { ?><li><a href="members.php?mf=lo"><span>Logout</span></a></li><? } ?>

					</ul>
				</li>
			
				<li class="nav-item<?php if($tabid == 'surf') { echo ' lfm_tab_opened'; } ?>"><a class="nav-link" href="surfing.php" role="button" aria-expanded="false"> Earn Credits (Surf)</a>
					<ul class="lfm_menu_tab nav">
						
	
						
					</ul>
				</li>
				
				<li class="nav-item<?php if($tabid == 'ads') { echo ' lfm_tab_opened'; } ?>"><a class="nav-link" href="#" role="button" aria-expanded="false"> Set Up Ads</a>
					<ul class="lfm_menu_tab nav">

<li class="dropdown">
<a href="#" class="dropdown-toggle" data-toggle="dropdown">Manage Ads<b class="caret"></b></a>
<ul class="dropdown-menu">
	
	<li><a href="mysites.php?tabid=ads"><span>Sites</span></a></li>
	
	<li><a href="mybanners.php?tabid=ads"><span>Banners</span></a></li>
	
	<?php
	// Square Banners Plugin
	if (file_exists('mysqbans.php')) {
		$sqbansenabled = @lfmsql_result(@lfmsql_query("SELECT value FROM `".$prefix."sqban_settings` WHERE field='sqban_enabled'"), 0);
		if ($sqbansenabled == 1) {
			echo('<li><a href="mysqbans.php?tabid=ads"><span>Square Banners</span></a></li>');
		}
	}
	?>
	
	<li><a href="mytexts.php?tabid=ads"><span>Text Ads</span></a></li>
	<li><a href="mygifts.php?tabid=ads"><span>Add Gifts</span></a></li>
	<?php
	// Mini Branders Plugin
	if (file_exists('mybranders.php')) {
		$mbrandsenabled = @lfmsql_result(@lfmsql_query("SELECT value FROM `".$prefix."mbrandset` WHERE field='mbrand_enabled'"), 0); if ($mbrandsenabled == 1) { ?> <li><a href="mybranders.php?tabid=ads"><span>Mini Branders</span></a></li> <?php }
	}
	?>
	
	<?php
	// Peel Ads Plugin
	if (file_exists('mypeels.php')) {
		$peelsenabled = @lfmsql_result(@lfmsql_query("SELECT value FROM `".$prefix."peel_settings` WHERE field='peel_enabled'"), 0);
		if ($peelsenabled == 1) {
			echo('<li><a href="mypeels.php?tabid=ads"><span>Peel Ads</span></a></li>');
		}
	}
	?>
	
</ul>
</li>


<li class="dropdown">
<a href="#" class="dropdown-toggle" data-toggle="dropdown">Credits<b class="caret"></b></a>
<ul class="dropdown-menu">
	<li><a href="autoassign.php?tabid=ads"><span>Auto Assign</span></a></li>
	<li><a href="buycredits.php?tabid=ads"><span>Buy Credits</span></a></li>
</ul>
</li>


	<?php
	// Rotator/Tracker Plugin
	if (file_exists('myrotators.php')) {
		echo('<li><a href="myrotators.php?tabid=ads"><span>Rotators</span></a></li>');
	}
	?>
	
	<?php
	// Auto Monthly Bonuses Plugin
	if (file_exists('ab_autoassign.php')) {
		$autobenabled = @lfmsql_result(@lfmsql_query("SELECT value FROM `".$prefix."abonsets` WHERE field='modenabled'"), 0); if ($autobenabled == 1) { ?> <li><a href="ab_autoassign.php?tabid=ads"><span>Monthly Bonuses</span></a></li> <?php }
	}
	?>
	
	<?php
	// Get The Spot Plugin
	if (file_exists('thespot.php')) {
		$getlbsettings=lfmsql_query("SELECT value FROM ".$_SESSION["prefix"]."thespot WHERE field='ssenabled'");
		if(lfmsql_num_rows($getlbsettings) > 0) {
			$spotmenuenabled = lfmsql_result($getlbsettings, 0, "value");
			if($spotmenuenabled == 1) {
				echo('<li><a href="thespot.php?tabid=ads"><span>Get The Spot</span></a></li>');
			}
		}
	}
	?>
	
	<?php
	// Remember My Site Plugin
	if (file_exists('memquest_buy.php')) {
		$getmqsettings=lfmsql_query("SELECT * FROM ".$_SESSION["prefix"]."prevpgmset WHERE mtid=0 ");
		if(lfmsql_num_rows($getmqsettings) > 0) {
			while ($gmqsettings = lfmsql_fetch_array($getmqsettings)) {
				$mqsetid = $gmqsettings['field'];
				$mqsetting[$mqsetid] = $gmqsettings['value'];
			}
			if($mqsetting['ppenabled'] == 1 && $mqsetting['sellslots'] == 1) {
				echo('<li><a href="memquest_buy.php?tabid=ads"><span>Memory Sites</span></a></li>');
			}
		}
	}
	?>
	
	<?php
	// Reserved Pageviews Plugin
	if (file_exists('buyslots.php')) {
		echo('<li><a href="buyslots.php?tabid=ads"><span>Reserve A Page</span></a></li>');
	}
	?>
	
	<?php
	// Login Spotlight Plugin
	if (file_exists('spotlight.php')) {
		echo('<li><a href="spotlight.php?tabid=ads"><span>Login Spotlight</span></a></li>');
	}
	?>
		
					</ul>
				</li>
			<li class="nav-item<?php if($tabid == 'account') { echo ' lfm_tab_opened'; } ?>"><a class="nav-link" href="#" role="button" aria-expanded="false"> Account</a>
					<ul class="lfm_menu_tab nav">
						
	
	<?php
	// Coupons Plugin
	if (file_exists('mycoupons.php')) {
		$couponsenabled = @lfmsql_result(@lfmsql_query("SELECT value FROM `".$prefix."coupsets` WHERE field='modenabled'"), 0); if ($couponsenabled == 1) { ?> <li><a href="mycoupons.php?tabid=account"><span>My Coupons</span></a></li> <?php }
	}
	?>
	
	<? if(get_setting("enablemenu_profile") == "1") { ?><li><a href="members.php?mf=pf&tabid=account"><span>Update Profile</span></a></li><? } ?>
	<li><a href="https://easyonlineadvertising.com/members.php?page=info&tabid=account"><span>Account Info</span></a></li>
	<?php
	// Authorize.net
	$checkauthnet = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$_SESSION["prefix"]."ipn_merchants WHERE name='AuthNet' AND CHAR_LENGTH(payee) > 0"), 0);
	if ($checkauthnet > 0) {
	?>
	<li><a href="authnet_paymethods.php"><span>Payment Methods</span></a></li>
	<li><a href="authnet_subs.php"><span>Subscriptions</span></a></li>
	<? } ?>
	
	
	<?php
	// Piggy Bank Plugin
	if (file_exists('piggybank.php')) {
		$enablepiggy = @lfmsql_result(@lfmsql_query("Select value from `".$_SESSION["prefix"]."piggybank_settings` where field='enabled'"), 0); if ($enablepiggy > 0) { $balancename = @lfmsql_result(@lfmsql_query("Select value from `".$_SESSION["prefix"]."piggybank_settings` where field='balancename'"), 0); echo('<li><a href="piggybank.php?tabid=account"><span>'.$balancename.'</span></a></li>'); }
	}

	?>

	<li><a href="members.php?mf=sc"><span>Manage Card Subscriptions</span></a></li>
	
	
	<? if(get_setting("enablemenu_downloads") == "1") { ?><li><a href="members.php?mf=md&tabid=account"><span>Downloads</span></a></li><? } ?>
	

</ul>
</li>
<li class="nav-item<?php if($tabid == 'purchase') { echo ' lfm_tab_opened'; } ?>"><a class="nav-link" href="#" role="button" aria-expanded="false"> Purchase</a>
					<ul class="lfm_menu_tab nav">
						
<li><a href="buycredits.php?tabid=purchase"><span>Buy Credits</span></a></li>
<?php
	// Login Spotlight Plugin
	if (file_exists('spotlight.php')) {
		echo('<li><a href="spotlight.php?tabid=purchase"><span>Login Spotlight</span></a></li>');
	}
	?>
</ul>
</li>
<li class="nav-item<?php if($tabid == 'upgrade') { echo ' lfm_tab_opened'; } ?>"><a class="nav-link" href="#" role="button" aria-expanded="false"> Upgrade</a>
					<ul class="lfm_menu_tab nav">
						
<li><a href="https://easyonlineadvertising.com/members.php?page=upgrade&tabid=upgrade"><span>Buy an Upgrade</span></a></li>
<li><a href="https://easyonlineadvertising.com/members.php?page=mem&tabid=upgrade"><span>Compare Memberships</span></a></li>
<li><a href="https://easyonlineadvertising.com/members.php?page=comm1&tabid=upgrade"><span>Commission Only Deals</span></a></li>

</ul>
</li>
<li class="nav-item<?php if($tabid == 'affiliates') { echo ' lfm_tab_opened'; } ?>"><a class="nav-link" href="#" role="button" aria-expanded="false"> Affiliates</a>
					<ul class="lfm_menu_tab nav">
						
<? if(get_setting("enablemenu_promote") == "1") { ?><li><a href="members.php?mf=li&tabid=affiliates"><span>Affiliate Toolbox</span></a></li><? } ?>

<? if(get_setting("enablemenu_makemoney") == "1") { ?><li><a href="members.php?mf=mc&tabid=affiliates"><span>Commissions</span></a></li><? } ?>
	
	<? if(get_setting("enablemenu_ref") == "1") { ?><li><a href="members.php?mf=mr&tabid=affiliates"><span>Referrals</span></a></li><? } ?>
	
	<? if(get_setting("enablemenu_dlb") == "1") { ?><li><a href="members.php?mf=dlb&tabid=affiliates"><span>Downline Builder</span></a></li><? } ?>
	
	<?php
	// Personalized Banners Plugin
	if (file_exists('promo_banners.php')) {
		echo('<li><a href="promo_banners.php?tabid=home"><span>Personal Banners</span></a></li>');
	}
	?>
	
	<?php
	// Personalized Splash Plugin
	if (file_exists('promo_info.php')) {
		echo('<li><a href="promo_info.php?tabid=home"><span>Personal Splashes</span></a></li>');
	}
	?>
</ul>
</li>
<li class="nav-item<?php if($tabid == 'rewards') { echo ' lfm_tab_opened'; } ?>"><a class="nav-link" href="#" role="button" aria-expanded="false"> Rewards</a>
					<ul class="lfm_menu_tab nav">
						
<?php
	// Surfer Rewards Plugin
	if (file_exists('claim.php')) {
		echo('<li><a href="claim.php?tabid=rewards"><span>Surfer Rewards</span></a></li>');
	}
	?>
<li><a href="embersclaim.php?tabid=rewards"><span>Claim Daily Embers</span></a></li>
	<?php
	// Surf Promo Code Plugin
	if (file_exists('surfcode.php')) {
		echo('<li><a href="surfcode.php?tabid=rewards"><span>Enter Surf Code</span></a></li>');
	}
	?>
	
	<?php
	// Bonus Card Game
	if (file_exists('bonuscard.php')) {
		$getbcardsettings=lfmsql_query("SELECT * FROM ".$_SESSION["prefix"]."bonuscardset");
		if(lfmsql_num_rows($getbcardsettings) > 0) {
			while ($gbcardsettings = lfmsql_fetch_array($getbcardsettings)) {
				$bcardsetid = $gbcardsettings['field'];
				$bcardsetting[$bcardsetid] = $gbcardsettings['value'];
			}
			if($bcardsetting['enabled'] == 1) {
				echo('<li><a href="bonuscard.php?tabid=rewards"><span>Bonus Card</span></a></li>');
			}
		}
	}
	?>
	<li><a href="https://easyonlineadvertising.com/members.php?page=refcont&tabid=rewards"><span>Referral Contest - Easy to 3000</span></a></li>
<li><a href="https://easyonlineadvertising.com/members.php?page=refrew&tabid=rewards"><span>Monthly Referral Rewards</span></a></li>
<li><a href="https://easyonlineadvertising.com/members.php?page=fginfo&tabid=rewards"><span>Food Game info</span></a></li>
</ul>
</li>
<li class="nav-item<?php if($tabid == 'contests') { echo ' lfm_tab_opened'; } ?>"><a class="nav-link" href="#" role="button" aria-expanded="false">Contests</a>
					<ul class="lfm_menu_tab nav">
						
<li><a href="members.php?page=pops&tabid=contests"><span>Daily Balloon Pops Contest</span></a></li>
<li><a href="https://easyonlineadvertising.com/members.php?page=top5&tabid=contests"><span>Daily Top 5 Surfers Contest</span></a></li>
<li><a href="https://easyonlineadvertising.com/members.php?page=fggold&tabid=contests"><span>FG Gold Draw</span></a></li>
<li><a href="https://easyonlineadvertising.com/members.php?page=bonusfg&tabid=contests"><span>Bonus FG Gold Draw</span></a></li>
<li><a href="https://easyonlineadvertising.com/members.php?page=refcont&tabid=contests"><span>Referral Contest - Easy to 3000</span></a></li>

</ul>
</li>
<li class="nav-item<?php if($tabid == 'social') { echo ' lfm_tab_opened'; } ?>"><a class="nav-link" href="#" role="button" aria-expanded="false">Community</a>
					<ul class="lfm_menu_tab nav">
						
	<?php
	// Private Messages Plugin
	if (file_exists('pmessages.php')) {
		echo('<li><a href="pmessages.php?tabid=social"><span>Private Messages</span></a></li>');
	}
	?>
<?php
	// Social Profiles Plugin
	if (file_exists('myprofile_info.php')) {
		$getprofilesenabled = lfmsql_query("Select value from `profiles_settings` where field='enabled'"); if (lfmsql_num_rows($getprofilesenabled) > 0) { $profilesenabled = lfmsql_result($getprofilesenabled, 0, "value"); if ($profilesenabled == 1) { echo('<li><a href="myprofile_info.php?tabid=social"><span>Social Profile</span></a></li>'); } }
	}
	?>
	<li><a href="https://easyonlineadvertising.com/members.php?page=editor&tabid=social"><span>Blog Editor Tool</span></a></li>
<?php
	// Social Branding Plugin
	if (file_exists('social_branding.php')) {
		echo('<li><a href="social_branding.php?tabid=social"><span>Social Branding</span></a></li>');
	}
	?>
</ul>
</li>
<li class="nav-item<?php if($tabid == 'contests') { echo ' lfm_tab_opened'; } ?>"><a class="nav-link" href="https://easyonlineadvertising.com/members.php?page=view_gifts" role="button" aria-expanded="false">Free Gifts</a>
</ul>
</li>
			<?php } else { ?>
			
		<nav class="navbar">

        <div class="left">

            <h2><span style="color: #FFFF00;"><img alt="" src="/themes/LFMTE_default/elogo.png" style="width: 55px; height: 57px;" />&nbsp;EasyOnlineAdvertising.com</span></h2>

        </div>

        <div class="right">

            <input type="checkbox" id="check">

            <label for="check" class="checkBtn">

                <i class="fa fa-bars"></i>

            </label>

            <ul class="list">

                <li><a href="https://easyonlineadvertising.com/">Home</a></li>
                <li><a href="faqs.php">Services FAQ</a></li>
                <li><a href="https://easyonlineadvertising.com/upgradeoptions.html"target="_blank">Membership Plans</a></li>

                <li><a href="login.php">Member Login</a></li>

                <li><a href="https://easyonlineadvertising.com/support"target="_blank">Contact Us/Support</a></li>

            </ul>

        </div>

    </nav>
			<?php } ?>
			</ul>
		</div>
	</nav>
</div>


<!-- Javascript for the main menu -->
<script>
$(document).ready(function() {
	$('.nav-link').on('click', function(e) {
		var parent = $(this).parent();
		var openedTabs = parent.siblings('.lfm_tab_opened');
		
		if (parent.hasClass('lfm_tab_opened') && !parent.hasClass('lfm_tab_closed')) {
			// If already opened, adds a closed class for mobile
			parent.addClass('lfm_tab_closed');
		} else if (parent.hasClass('lfm_tab_closed')) {
			parent.removeClass('lfm_tab_closed');
		}
		
		openedTabs.removeClass('lfm_tab_opened');
		parent.addClass('lfm_tab_opened');
	});
});
</script>