<?php
// /////////////////////////////////////////////////////////////////////
// Viral Traffic Games Plugin for LFMVM written by Francisco Cardona
// Copyright 2015 ALL RIGHTS RESERVED!
// Do NOT Copy, Transfer, Sell, or Modify
// Licenses and Installation available
// contact: info@customtemods.com or admin@viraltrafficgames.com
// http://customtemods.com
// http://viraltrafficgames.com
// /////////////////////////////////////////////////////////////////////
//database connection
include "inc/filter.php";
include "inc/funcs.php";
include "inc/config.php";
include_once "inc/sql_funcs.php";
@lfmsql_connect($dbhost,$dbuser,$dbpass);
@lfmsql_select_db($dbname) or die( "Unable to select database");

session_start();

function fc_getname($name, $qty){
	return $qty.' '.($qty == 1 ? $name : $name.'s');
}

function fc_getprizename($credits, $banners, $texts, $sqbanners, $cash){
	$prize= '';
	if($credits > 0){
		if($sqbanners == 0){
			if($banners > 0 && $texts > 0){
				$prize .= fc_getname('Traffic Credit',$credits).', '.fc_getname('Banner Ad',$banners).' and '.fc_getname('Text Ad',$texts);
			}
			else if($banners > 0){
				$prize .= fc_getname('Traffic Credit',$credits).' and '.fc_getname('Banner Ad',$banners).'';
			}
			else if($texts > 0){
				$prize .= fc_getname('Traffic Credit',$credits).' and '.fc_getname('Text Ad',$texts).'';
			}
			else{
				$prize .= fc_getname('Traffic Credit',$credits).'';
			}
		}else{
			if($banners > 0 && $texts > 0){
				$prize .= fc_getname('Traffic Credit',$credits).', '.fc_getname('Banner Ad',$banners).', '.fc_getname('Text Ad',$texts).' and '.fc_getname('Square Banner',$sqbanners).'';
			}
			else if($banners > 0){
				$prize .= fc_getname('Traffic Credit',$credits).', '.fc_getname('Banner Ad',$banners).' and '.fc_getname('Square Banner',$sqbanners).'';
			}
			else if($texts > 0){
				$prize .= fc_getname('Traffic Credit',$credits).', '.fc_getname('Text Ad',$texts).' and '.fc_getname('Square Banner',$sqbanners).'';
			}
			else{
				$prize .= fc_getname('Traffic Credit',$credits).' and '.fc_getname('Square Banner',$sqbanners).'';
			}
		}
	}
	else{
		if($sqbanners == 0){
			if($banners > 0 && $texts > 0){
				$prize .= fc_getname('Banner Ad',$banners).' and '.fc_getname('Text Ad',$texts).'';
			}
			else if($banners > 0){
				$prize .= fc_getname('Banner Ad',$banners).'';
			}
			else if($texts > 0){
				$prize .= fc_getname('Text Ad',$texts).'';
			}
		}else{
			if($banners > 0 && $texts > 0){
				$prize .= fc_getname('Banner Ad',$banners).', '.fc_getname('Text Ad',$texts).' and '.fc_getname('Square Banner',$sqbanners).'';
			}
			else if($banners > 0){
				$prize .= fc_getname('Banner Ad',$banners).' and '.fc_getname('Square Banner',$sqbanners).'';
			}
			else if($texts > 0){
				$prize .= fc_getname('Text Ad',$texts).' and '.fc_getname('Square Banner',$sqbanners).'';
			}else{
				$prize .= fc_getname('Square Banner',$sqbanners).'';
			}
		}
	}
	if($cash>0){
		$prize= '$'.$cash.($prize != ''?'/ '.$prize: '');
	}
	
	return $prize;
}

//user and site information
$serverurl = 'https://viraltrafficgames.com';
$site = lfmsql_result(lfmsql_query("select setting from fc_settings where name='surfgame_site' limit 1"),0);
$sitekey = lfmsql_result(lfmsql_query("select setting from fc_settings where name='surfgame_skey' limit 1"),0);
$userid = $_SESSION["userid"];

//claim page
if(isset($_GET['vtgc'])){
	$msgprize = '';
	if(is_numeric($_GET['k']) && $_GET['k'] >= 1 && is_numeric($_GET['u']) && $_GET['u'] > 0){
		$userid = $_GET['u'];
		$session_id = lfmsql_result(lfmsql_query("select max(id) from fc_vtg_sessions where memid='".$_GET['u']."' and session='".$_GET['k']."' limit 1"),0);
		if($session_id > 0){
			//mark the session as used
			lfmsql_query("update fc_vtg_sessions set session='0',lastupdate=now() where id=".$session_id);
			$member_res = lfmsql_query("select * from ".$prefix."members where id='".$userid."' limit 1");
			if(lfmsql_num_rows($member_res) > 0){
				$member_row = lfmsql_fetch_array($member_res);
				//find a prize for the user
				$seconds = time() - strtotime('today');
				$secondsWeek = $seconds + date('w')*24*60*60;
				$secondsMonth = $seconds + (date('j')-1)*24*60*60;
				$prizefound = false;
				$prizeslevel = lfmsql_result(lfmsql_query("select count(0) from fc_vtg_prizes where mtype=".$member_row['mtype']." and day".(date('w'))."=1 and active=1"),0);
				if($prizeslevel > 0){
					$prizestotal = lfmsql_result(lfmsql_query("select count(0) from fc_vtg_prizes where (mtype=".$member_row['mtype']." or mtype=0) and day".(date('w'))."=1 and active=1"),0);
					if($prizeslevel < $prizestotal/2.0){
						$prizeslevelperc = 0.5-($prizeslevel/$prizestotal);
						if($prizeslevelperc > 0 && mt_rand(1,100) <= ($prizeslevelperc*100)){
							$prizeres = lfmsql_query("select * from fc_vtg_prizes where mtype=".$member_row['mtype']." and active=1 and day".(date('w'))."=1 and (site_qty=0 or ((site_unit=0 and site_qty>winners_today and last_winsecond_day+site_every_seconds<=$seconds) or (site_unit=1 and site_qty>winners_week and last_winsecond_week+site_every_seconds<=$secondsWeek) or (site_unit=2 and site_qty>winners_month and last_winsecond_month+site_every_seconds<=$secondsMonth))) and id not in (select p.id from fc_vtg_prizes p, fc_vtg_prizes_stats s where p.id=s.prizeid and s.memid=$userid and p.member_qty > 0 and ((p.member_unit=0 and (p.member_qty <= s.total_day and s.last_winsecond_day+p.member_every_seconds>=$seconds)) or (p.member_unit=1 and (p.member_qty <= s.total_week and s.last_winsecond_week+p.member_every_seconds>=$secondsWeek)) or (p.member_unit=2 and (p.member_qty <= s.total_month and s.last_winsecond_month+p.member_every_seconds>=$secondsMonth)))) order by rand() limit 1");
							if(lfmsql_num_rows($prizeres) > 0){
								$prizefound = true;
							}
						}
					}
				}
				if(!$prizefound){
					$prizeres = lfmsql_query("select * from fc_vtg_prizes where (mtype=0 || mtype=".$member_row['mtype'].") and active=1 and day".(date('w'))."=1 and (site_qty=0 or ((site_unit=0 and site_qty>winners_today and last_winsecond_day+site_every_seconds<=$seconds) or (site_unit=1 and site_qty>winners_week and last_winsecond_week+site_every_seconds<=$secondsWeek) or (site_unit=2 and site_qty>winners_month and last_winsecond_month+site_every_seconds<=$secondsMonth))) and id not in (select p.id from fc_vtg_prizes p, fc_vtg_prizes_stats s where p.id=s.prizeid and s.memid=$userid and p.member_qty > 0 and ((p.member_unit=0 and (p.member_qty <= s.total_day and s.last_winsecond_day+p.member_every_seconds>=$seconds)) or (p.member_unit=1 and (p.member_qty <= s.total_week and s.last_winsecond_week+p.member_every_seconds>=$secondsWeek)) or (p.member_unit=2 and (p.member_qty <= s.total_month and s.last_winsecond_month+p.member_every_seconds>=$secondsMonth)))) order by rand() limit 1");
				}
				if(lfmsql_num_rows($prizeres) > 0){
					$prizerow = lfmsql_fetch_array($prizeres);
					//first update prize
					lfmsql_query("update fc_vtg_prizes set winners_today=winners_today+1, winners_week=winners_week+1, winners_month=winners_month+1, winners_total=winners_total+1, last_winsecond_day=$seconds, last_winsecond_week=$secondsWeek, last_winsecond_month=$secondsMonth where id=".$prizerow['id']);
					
					$credits = 0;
					if($prizerow['credits'] > 0 && $prizerow['credits_max'] == 0){
						$credits = $prizerow['credits'];
					}else if($prizerow['credits'] == 0 && $prizerow['credits_max'] > 0){
						$credits = $prizerow['credits_max'];
					}else if($prizerow['credits'] > 0 && $prizerow['credits_max'] > 0){
						if($prizerow['credits'] == $prizerow['credits_max']){
							$credits = $prizerow['credits'];
						}else{
							$credits = rand($prizerow['credits'], $prizerow['credits_max']);
						}
					}
					
					$banners = 0;
					if($prizerow['banners'] > 0 && $prizerow['banners_max'] == 0){
						$banners = $prizerow['banners'];
					}else if($prizerow['banners'] == 0 && $prizerow['banners_max'] > 0){
						$banners = $prizerow['banners_max'];
					}else if($prizerow['banners'] > 0 && $prizerow['banners_max'] > 0){
						if($prizerow['banners'] == $prizerow['banners_max']){
							$banners = $prizerow['banners'];
						}else{
							$banners = rand($prizerow['banners'], $prizerow['banners_max']);
						}
					}else if($prizerow['banners_factor'] > 0 && $credits > 0){
						$banners = ceil($credits * $prizerow['banners_factor']);
					}

					$texts = 0;
					if($prizerow['texts'] > 0 && $prizerow['texts_max'] == 0){
						$texts = $prizerow['texts'];
					}else if($prizerow['texts'] == 0 && $prizerow['texts_max'] > 0){
						$texts = $prizerow['texts_max'];
					}else if($prizerow['texts'] > 0 && $prizerow['texts_max'] > 0){
						if($prizerow['texts'] == $prizerow['texts_max']){
							$texts = $prizerow['texts'];
						}else{
							$texts = rand($prizerow['texts'], $prizerow['texts_max']);
						}
					}else if($prizerow['texts_factor'] > 0 && $credits > 0){
						$texts = ceil($credits * $prizerow['texts_factor']);
					}else if($prizerow['texts_factorb'] > 0 && $banners > 0){
						$texts = ceil($banners * $prizerow['texts_factorb']);
					}

					$sq_banners = 0;
					if($prizerow['sq_banners'] > 0 && $prizerow['sq_banners_max'] == 0){
						$sq_banners = $prizerow['sq_banners'];
					}else if($prizerow['sq_banners'] == 0 && $prizerow['sq_banners_max'] > 0){
						$sq_banners = $prizerow['sq_banners_max'];
					}else if($prizerow['sq_banners'] > 0 && $prizerow['sq_banners_max'] > 0){
						if($prizerow['sq_banners'] == $prizerow['sq_banners_max']){
							$sq_banners = $prizerow['sq_banners'];
						}else{
							$sq_banners = rand($prizerow['sq_banners'], $prizerow['sq_banners_max']);
						}
					}else if($prizerow['sq_banners_factor'] > 0 && $credits > 0){
						$sq_banners = ceil($credits * $prizerow['sq_banners_factor']);
					}
					
					$cash = 0;
					if($prizerow['cash'] > 0 && $prizerow['cash_max'] == 0){
						$cash = $prizerow['cash'];
					}else if($prizerow['cash'] == 0 && $prizerow['cash_max'] > 0){
						$cash = $prizerow['cash_max'];
					}else if($prizerow['cash'] > 0 && $prizerow['cash_max'] > 0){
						if($prizerow['cash'] == $prizerow['cash_max']){
							$cash = $prizerow['cash'];
						}else{
							$minunit = 10.0;
							for($unit = 10000.0; $unit >= 10; $unit = $unit/ 10.0){
								$testnum = $prizerow['cash']*$unit;
								if(($testnum - (int)$testnum)*10 > 0){
									$minunit = $unit*10;
									break;
								}
								$testnum = $prizerow['cash_max']*$unit;
								if(($testnum - (int)$testnum)*10 > 0){
									$minunit = $unit*10;
									break;
								}
							}
							$cash = rand($prizerow['cash']*$minunit, $prizerow['cash_max']*$minunit)/$minunit;
						}
					}
					
					//here we give prize
					if($credits > 0){
						lfmsql_query("update ".$prefix."members set credits=credits+$credits where id='".$userid."' limit 1");
					}
					if($banners > 0){
						lfmsql_query("update ".$prefix."members set bannerimps=bannerimps+$banners where id='".$userid."' limit 1");
					}
					if($texts > 0){
						lfmsql_query("update ".$prefix."members set textimps=textimps+$texts where id='".$userid."' limit 1");
					}
					if($sq_banners > 0){
						@lfmsql_query("update ".$prefix."members set sqbanimps=sqbanimps+$sq_banners where id='".$userid."' limit 1");
					}
					if($cash > 0){
						lfmsql_query("Insert into ".$prefix."sales(`affid`, `saledate`, `itemid`, `itemname`, itemamount, commission, txn_id , salestier, purchaserid, prize) values($userid, now(), 0, 'Cash Prize', 0, $cash, '', 1, 0, 1)");
					}
					$msgprize = fc_getprizename($credits, $banners, $texts, $sq_banners, $cash);
					
					$rewarded = ($credits + $banners + $texts + $sq_banners + $cash > 0 ? 1 : 0);
					lfmsql_query("Insert into fc_vtg_prizes_winners(prizeid, memid, credits, banners, texts, sq_banners, cash, rewarded, windate, mtype) values (".$prizerow['id'].", $userid, $credits, $banners, $texts, $sq_banners, $cash, $rewarded, now(),".$member_row['mtype'].")");
					//save in stats if required
					if($prizerow['member_qty'] > 0){
						$statsres = lfmsql_query("select id from fc_vtg_prizes_stats where memid=$userid and prizeid=".$prizerow['id']);
						if(lfmsql_num_rows($statsres) > 0){
							lfmsql_query("update fc_vtg_prizes_stats set total_day=total_day+1, total_week=total_week+1, total_month=total_month+1,last_windate=now(),last_winsecond_day=$seconds, last_winsecond_week=$secondsWeek, last_winsecond_month=$secondsMonth where id=".lfmsql_result($statsres, 0));
						}else{
							lfmsql_query("insert into fc_vtg_prizes_stats (memid, prizeid, total_day, total_week, total_month, last_windate,last_winsecond_day, last_winsecond_week, last_winsecond_month) values ($userid, ".$prizerow['id'].", 1, 1, 1, now(), $seconds, $secondsWeek, $secondsMonth)");
						}
					}
				}
			}
			lfmsql_query("update fc_vtg set lastupdate=now() where memid=".$userid);
		}
	}
	$vcode = md5($userid.$sitekey.$site.$_GET['k'].$msgprize);
	header('Location: '.$serverurl.'/vtg/showresult.php?s='.$site.'&u='.$userid.'&k='.$_GET['k'].'&mp='.$msgprize.'&v='.$vcode);
	exit;
}

//session validation
if(isset($_GET['vtgk'])){
	$result = 0;
	if(is_numeric($_GET['vtgk']) && $_GET['vtgk'] > 0 && $_GET['vtgu'] != ''){
		$session_exists = lfmsql_result(lfmsql_query("select count(0) from fc_vtg_sessions where memid='".$_GET['vtgu']."' and session='".$_GET['vtgk']."' limit 1"),0);
		$result = ($session_exists > 0 ? 1 : 0);
	}
	echo $result;
	exit;
}

//here we need to validate we come from a valid prize page request
if ($_SESSION['VTG_KEY']==0 || ($_GET['securecode'] != md5($_SESSION['VTG_KEY']))) { 
	echo("No Surf Bonus Active"); 
	exit; 
} 
$_SESSION['VTG_KEY'] = 0;
$lastkey_res = lfmsql_query("select lastkey from fc_vtg where memid='$userid' limit 1");
if(lfmsql_num_rows($lastkey_res) == 0){
	echo("No Surf Bonus Active."); 
	exit; 
} 
if ($_GET['securecode'] != md5(lfmsql_result($lastkey_res,0))) { 
	echo("No Surf Bonus Active.."); 
	exit; 	
}

$session = rand(10000, 1000000) + rand(1,9999);
$sessionres = lfmsql_query("select id from fc_vtg_sessions where memid='".$userid."' limit 1");
if(lfmsql_num_rows($sessionres)>0){
	$session_id = lfmsql_result($sessionres,0);
}
if($session_id > 0){
	lfmsql_query("update fc_vtg_sessions set session='".$session."', lastupdate=now() where id=".$session_id." limit 1");
}else{
	lfmsql_query("insert into fc_vtg_sessions (memid, session, lastupdate) values ('".$userid."', '".$session."', now())");
}
//version 1.3
$extra_points = 0;
$member_res = lfmsql_query("select mtype from ".$prefix."members where id='".$userid."' limit 1");
if(lfmsql_num_rows($member_res) > 0){
	$fc_mtype = lfmsql_result($member_res, 0);
	if($fc_mtype > 1){
		$extrapoints_res = lfmsql_query("select * from fc_vtg_mtype_settings where mtype='".$fc_mtype."' limit 1");
		if(lfmsql_num_rows($extrapoints_res) > 0){
			$extrapoints_row = lfmsql_fetch_array($extrapoints_res);
			if($extrapoints_row['surfleague_perc'] && $extrapoints_row['surfleague_perc'] > 0){
				$extra_points	= $extrapoints_row['surfleague_perc'];
			}
		}
	}
}

$vcode = md5($session.$userid.$sitekey.$site.($extra_points>0?$extra_points:''));
header('Location: '.$serverurl.'/vtg/showgame.php?s='.$site.'&u='.$userid.'&k='.$session.($extra_points>0?'&e='.$extra_points:'').'&v='.$vcode);
exit;
?>
Loading Prize Page...