<?php
// ////////////////////////////////////////////////////////////
// LFM v4.25
// Copyright 2006-2019 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

include "../inc/checkauth.php"; 
include "../inc/funcs.php";

if(!isset($_SESSION["adminid"])) { exit; };

if (isset($_GET['adminid']) && is_numeric($_GET['adminid']) && $_GET['adminid'] >= 0) {
	$adminquery = " AND adminidnum=".$_GET['adminid'];
} else {
	$adminquery = "";
}

// Get our settings
$logres = lfmsql_query("SELECT logtime, ipaddress, message FROM ".$prefix."admins_log WHERE invalidlogin=0".$adminquery." ORDER BY logtime DESC") or die("Unable to find log!");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>LFM Log Viewer</title>
<link href="styles.css" rel="stylesheet" type="text/css" />
</head>
<body>
<table width="675" border="0" align="center" cellpadding="10" cellspacing="0">
  <tr class="admintd">
    <td><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Date</font></strong></td>
    <td><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">IP Address</font></strong></td>
    <?php
    if (file_exists("../inc/iplocation_funcs.php")) {
    	include_once "../inc/iplocation_funcs.php";
    	echo('<td><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Estimated Location</font></strong></td>');
    }
    ?>
    <td width="100%"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Log Entry</font></strong></td>
  </tr>
<?
while($logrow=@lfmsql_fetch_array($logres))
{
?>  
  <tr>
    <td align="left" nowrap="nowrap"><? echo(date('M j Y g:ia', $logrow["logtime"])); ?> </td>
    <td align="left"> <?=$logrow["ipaddress"];?> </td>
    <?php
    if (function_exists('getIpCity')) {
    	$ipdata = getIpCity($logrow["ipaddress"]);
    	echo('<td align="left"> '.$ipdata[2].'<br>'.$ipdata[1].'<br>'.$ipdata[0].' </td>');
    }
    ?>
    <td align="left"> <?=$logrow["message"];?></td>
  </tr>
<?
}
?>
  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
</table>
</body>
</html>
