<?php
// ////////////////////////////////////////////////////////////
// LFM v4.24
// Copyright 2006-2018 Josh Abbott and Robert Puddy. All Rights Reserved
// http://themembershipscript.com
//
// The Membership Script ("the script") is copyrighted to
// Josh Abbott and Robert Puddy.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the TMS
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that TMS
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>LFM Cron Check</title>
<style>
div#navbar {font-family: Verdana, Helvetica, Arial, sans-serif; font-size: .9em; font-weight: bold; text-align: center; background-color: #bbccbb; border:

ridge #2b4460 thin; font-weight: bold; padding: 3px; width: 300px;} #navbar ul li a:link, #navbar ul li a:visited {color: #3d4a5e;
background-color:

#abcbb8; text-decoration: none;
display: inline;} #navbar ul li a:hover, #navbar ul li a.current {color: #3d4a5e;
background-color: #abcbb8;

text-decoration: none;}

#navbar ul li {margin: 0px; padding: 0px; list-style-type: none; display: inline;} #navbar ul {margin: 0px; padding: 0px;}
</style>
</head>
<body>
<table width="500" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td height="30" align="center" bgcolor="#1972CE"><font color="#FFFFFF" size="4" face="Verdana, Arial, Helvetica, sans-serif"><strong><img src="LFM_header.jpg" width="760" height="134" /><br>LFM Cron Jobs</strong></font></td>
    <td rowspan="2" align="center" bgcolor="#FFFFFF"><img src="../images/vert.gif" width="1" height="400" /></td>
  </tr>
<?

require_once "../inc/filter.php";
include "../inc/config.php";
include_once "../inc/sql_funcs.php";
require_once "../inc/funcs.php";
lfmsql_connect($dbhost,$dbuser,$dbpass);
lfmsql_select_db($dbname) or die( "Unable to select database");


?>
  <tr>
    <td align="center" valign="top"><table border="0" align="center">
      <tr>
        <td align="left" nowrap="nowrap"><p>&nbsp;</p>
          <p>The following cron jobs need to be added to your cPanel account for the LFM script to work correctly.<br />
          The status of each cron job is shown below.  Please note it can take up to 24 hours after adding a cron<br />
          job to your cPanel account for the status below to change to "Working".</p>
          
          <?php

// Get Cron Paths
$php_path = @exec( 'which php');
if ($php_path == "") {
	$php_path = "/usr/bin/php";
}

// Fix For EasyApache 4
$php_path = str_ireplace('/usr/local/bin/php', '/usr/bin/php', $php_path);

if(isset($_SERVER['PATH_TRANSLATED'])) {
	$installerpath=$_SERVER['PATH_TRANSLATED'];
} else {
	$installerpath=$_SERVER['SCRIPT_FILENAME'];
}
$fullpath = $installerpath;
$mail_path=substr($fullpath,0,strrpos($fullpath, "/"));
$maint=$mail_path."/maint.php > /dev/null 2>&1";

$maintcmd = $php_path." -f ".$maint;

$sgf4cron = $php_path." -f ".$_SERVER['DOCUMENT_ROOT']."/f4cron.php > /dev/null 2>&1";
$sgmban = $php_path." -f ".$_SERVER['DOCUMENT_ROOT']."/mbancron.php > /dev/null 2>&1";

$cronsched = $php_path." -f ".$_SERVER['DOCUMENT_ROOT']."/cronsched.php > /dev/null 2>&1";
$queuerun = $php_path." -f ".$_SERVER['DOCUMENT_ROOT']."/runqueue.php > /dev/null 2>&1";

$runcron = $php_path." -f ".$_SERVER['DOCUMENT_ROOT']."/runcrons.php > /dev/null 2>&1";
// End Get Cron Paths

// Get Cron Status

$currentdate = date("Y-m-d");

$getlastcron = lfmsql_query("Select maintcron from ".$prefix."settings");
if (lfmsql_num_rows($getlastcron) == 0) {
	$maintstatus = "ERROR";
} else {
	$lastcron = lfmsql_result($getlastcron, 0, "maintcron");
	
	if ($lastcron == $currentdate) {
		$maintstatus = "Working";
	} else {
		$maintstatus = "Not Working";
	}
}

if (file_exists('../f4cron.php')) {
	$getlastmon = lfmsql_query("Select f4check FROM ".$prefix."msites ORDER BY f4check DESC LIMIT 1");
	if (lfmsql_num_rows($getlastmon) > 0) {
		$lastmon = lfmsql_result($getlastmon, 0, "f4check");
		if ((time() - $lastmon) > 7200) {
			$monitorstatus = "Not Working";
		} else {
			$monitorstatus = "Working";
		}
	} else {
		$monitorstatus = "No Active Sites";
	}
}

if (file_exists('../mbancron.php')) {
	$getlastmon = lfmsql_query("Select value FROM sg_settings where name='lastcbmon'");
	if (lfmsql_num_rows($getlastmon) > 0) {
		$lastcbmon = lfmsql_result($getlastmon, 0, "value");
		if ((time() - $lastcbmon) > 7200) {
			$chargebackstatus = "Not Working";
		} else {
			$chargebackstatus = "Working";
		}
	} else {
		$chargebackstatus = "ERROR";
	}
}

if (file_exists('../cronsched.php')) {
	$getlastsched = lfmsql_query("Select value FROM ".$prefix."queue_vals WHERE field='lastsched'");
	if (lfmsql_num_rows($getlastsched) > 0) {
		$lastschedrun = lfmsql_result($getlastsched, 0, "value");
		if ((time() - $lastschedrun) > 900) {
			$schedrunstatus = "Not Working";
		} else {
			$schedrunstatus = "Working";
		}
	} else {
		$schedrunstatus = "ERROR";
	}
}

if (file_exists('../runqueue.php')) {
	$getlastqueue = lfmsql_query("Select value FROM ".$prefix."queue_vals WHERE field='lastqueue'");
	if (lfmsql_num_rows($getlastqueue) > 0) {
		$lastqueuerun = lfmsql_result($getlastqueue, 0, "value");
		if ((time() - $lastqueuerun) > 65) {
			$queuerunstatus = "Not Working";
		} else {
			$queuerunstatus = "Working";
		}
	} else {
		$queuerunstatus = "ERROR";
	}
}

$getlastmon = lfmsql_query("Select lastruncron from ".$prefix."settings");
if (lfmsql_num_rows($getlastmon) > 0) {
	$lastcbmon = lfmsql_result($getlastmon, 0, "lastruncron");
	if ((time() - $lastcbmon) > 65) {
		$runcronstatus = "Not Working";
	} else {
		$runcronstatus = "Working";
	}
} else {
	$runcronstatus = "ERROR";
}

// End Get Cron Status

?>

Every night at 12AM: <b><?=$maintcmd;?></b><br />Status: <?=$maintstatus;?><br /><br />

<?php if (file_exists('../f4cron.php')) { ?>
Run every 10 Minutes: <b><?=$sgf4cron;?></b><br />Status: <?=$monitorstatus;?><br /><br />
<?php } ?>

<?php if (file_exists('../mbancron.php')) { ?>
Run every 10 Minutes: <b><?=$sgmban;?></b><br />Status: <?=$chargebackstatus;?><br /><br />
<?php } ?>

<?php if (file_exists('../cronsched.php')) { ?>
Run every 15 Minutes: <b><?=$cronsched;?></b><br />Status: <?=$schedrunstatus;?><br /><br />
<?php } ?>

<?php if (file_exists('../runqueue.php')) { ?>
Run every minute: <b><?=$queuerun;?></b><br />Status: <?=$queuerunstatus;?><br /><br />
<?php } ?>

Run every minute: <b><?=$runcron;?></b><br />Status: <?=$runcronstatus;?><br /><br />

      </td>
      </tr>
      <tr>
        <td align="center">&nbsp;</td>
      </tr>
      
      
      <tr>
        <td align="left" nowrap="nowrap"><p>&nbsp;</p>
          <center><p><font color="#000000" size="4" face="Verdana, Arial, Helvetica, sans-serif"><strong>App Cron Jobs</strong></font></p></center>
          <p>These cron jobs have been automatically setup by the apps installed on your site.  You do not need to<br />
          add them to your cPanel account, they are listed for informational and troubleshooting purposes only.
          </p>
          <center><p>Current Time: <?php echo(date('M j Y g:i:s A', time())); ?></p></center>

    </table>	</td>
    <td rowspan="2" align="center" bgcolor="#FFFFFF"><img src="../images/vert.gif" width="1" /></td>
  </tr>
  </table>
  
  <center>
  <table border="1" bordercolor="black" cellpadding="10" cellspacing="0">
  	<tr>
  		<td><b>Cron File</b></td>
  		<td><b>Day</b></td>
  		<td><b>Hour</b></td>
  		<td><b>Minute</b></td>
  		<td><b>Last Called</b></td>
  		<td><b>Last Completed</b></td>
  	</tr>
  	
  	<?php
  		$getcrons = lfmsql_query("SELECT filepath, lastcalled, lastcomplete, day, hour, minute FROM ".$prefix."cronjobs ORDER BY filepath ASC") or die(lfmsql_error());
  		if (lfmsql_num_rows($getcrons) > 0) {
  			for ($i = 0; $i < lfmsql_num_rows($getcrons); $i++) {
  				$filepath = lfmsql_result($getcrons, $i, "filepath");
  				$lastcalled = lfmsql_result($getcrons, $i, "lastcalled");
  				$lastcomplete = lfmsql_result($getcrons, $i, "lastcomplete");
  				$day = lfmsql_result($getcrons, $i, "day");
  				$hour = lfmsql_result($getcrons, $i, "hour");
  				$minute = lfmsql_result($getcrons, $i, "minute");
  				if (($lastcalled > $lastcomplete) && (($lastcalled-$lastcomplete) > 3600)) {
  					$lastcompletebg = "darkred";
  					$lastcompletetxt = "white";
  				} else {
  					$lastcompletebg = "white";
  					$lastcompletetxt = "black";
  				}
  				if ($lastcalled < 1) {
  					$lastcalled = 'Never';
  				} else {
  					$lastcalled = date('M j Y g:i:s A', $lastcalled);
  				}
  				if ($lastcomplete < 1) {
  					$lastcomplete = 'Never';
  				} else {
  					$lastcomplete = date('M j Y g:i:s A', $lastcomplete);
  				}
  				echo('<tr>
  					<td>'.$filepath.'</td>
  					<td>'.$day.'</td>
  					<td>'.$hour.'</td>
  					<td>'.$minute.'</td>
  					<td>'.$lastcalled.'</td>
  					<td bgcolor="'.$lastcompletebg.'"><font color="'.$lastcompletetxt.'">'.$lastcomplete.'</font></td>
  				</tr>');
  			}
  		} else {
  			echo('<tr><td colspan="6" align="center">No App Cron Jobs Scheduled</td></tr>');
  		}
  	?>
  	
  </table>
  </center>
  
  </p>
  <p>&nbsp;  </p>
<table width="760" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#1972CE">
  <tr>
    <td align="center"><font color="#FFFFFF" size="2" face="Arial, Helvetica, sans-serif"><strong>LFM Copyright &copy;2006-2018 AKH Media Group and Josh Abbott. All Rights Reserved. </strong></font></td>
  </tr>
</table>
</body>
</html>