<?
// /////////////////////////////////////////////////////////////////////
// Viral Traffic Games Plugin for LFMVM written by Francisco Cardona
// Copyright 2014 ALL RIGHTS RESERVED!
// Do NOT Copy, Transfer, Sell, or Modify
// Licenses and Installation available
// contact: info@customtemods.com or admin@viraltrafficgames.com
// http://customtemods.com
// http://viraltrafficgames.com
// /////////////////////////////////////////////////////////////////////

require_once "../inc/filter.php";

// Prevent anyone who isn't logged in from opening this page
include "../inc/checkauth.php";
if(!isset($_SESSION["adminid"])) { exit; };

function convertToInStatement($value){
	$res = "";
	if($value != ""){
		$values = explode(',', $value);
		for($p = 0; $p < count($values); $p++){
			$res .= ($res!=""?",":"")."'".str_replace("'","",trim($values[$p]))."'";
		}	
	}
	return $res;
}

function pageNavBlocked($allEntries, $limitStart=0, $limitBy=40,$page="mm")
{
    $lastPageEntries = ($allEntries % $limitBy);
    $allPages = round(($allEntries - $lastPageEntries) / $limitBy)+($allEntries % $limitBy==0?0:1);
    if($lastPageEntries>0 and $allPages==0) {$allPages=$allPages+1;}
    $thisPage = round(($limitStart+$limitBy) / $limitBy);

    if($allEntries > $limitBy)
        {
        print "<font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"2\"><b>Pages:</b>&nbsp;";
        for($entryNr=1; $entryNr<=$allPages; $entryNr++)
            {
            	$startPage = ($entryNr * $limitBy) - $limitBy;
            	if($thisPage!=$entryNr)
				{
					print "<a href=\"".$PHP_SELF."?f=".$page."&showstats=true&sf=browse&limitStart=".$startPage."\">".$entryNr."</a>&nbsp;";
					$rowbr=$entryNr % 30;
					if($entryNr > 0 && $rowbr == 0){ echo "<br>"; }
				}
            	else{
					print "<b>".$entryNr."</b>&nbsp;";
				}
          	}
        }
    $startNext = $thisPage * $limitBy;
}
$EXCLUDE_COND = "";

$showtype = "";
$timequery = "";

	$maxrows = 100;

	if(!isset($_GET["limitStart"]))
	{
		$st=0;
	}
	else
	{
		$st=$_GET["limitStart"];
	}
	
	$showprize = isset($_REQUEST["showprize"]);
	$showmtype = isset($_REQUEST["showmtype"]);
	$showrid = isset($_REQUEST["showrid"]);
	$showdate = $_REQUEST["showdate"];
	if(!$showprize && !$showrid && !$showdate && !$showmtype)
	{
		$showrid = true;
		$showdate = 1;
	}
	
	$columnsleft = 0;
	$columnsleft += ($showprize ? 1 : 0);
	$columnsleft += ($showmtype ? 1 : 0);
	$columnsleft += ($showrid ? 1 : 0);
	$columnsleft += ($showdate ? 1 : 0);
	
	$fromdate = isset($_REQUEST["fromdate"]) ? $_REQUEST["fromdate"] : date('Y-m-d');
	$todate = isset($_REQUEST["todate"]) ? $_REQUEST["todate"] : date('Y-m-d');
	$rid = isset($_GET['rid']) ? $_GET['rid'] : (isset($_POST['rid']) ? $_POST['rid'] : 0);
	if($rid != "")
	{
		$promoters = explode(',', $rid);
		for($p = 0; $p < count($promoters); $p++)
		{
			if(!is_numeric($promoters[$p]))
			{
				$rid = 0;
				break;
			}
		}
	}
	$prizeid = isset($_GET['prizeid']) ? $_GET['prizeid'] : (isset($_POST['prizeid']) ? $_POST['prizeid'] : '');
	$mtype = isset($_GET['mtype']) ? $_GET['mtype'] : (isset($_POST['mtype']) ? $_POST['mtype'] : '');
	$qprizeid = convertToInStatement($prizeid);
	if($mtype > 0){
		$qmtype = convertToInStatement($mtype);
	}

	// Get the total site count for site browse
	$extrafield = "";
	$select = "";
	$select .= ($showprize ? (strlen($select)>0?",":"")."prizeid" : "");
	$select .= ($showmtype ? (strlen($select)>0?",":"")."mtype" : "");
	$select .= ($showrid ? (strlen($select)>0?",":"")."memid" : "");
	$groupby = $select;
	$orderby = "count(0) DESC";
	$sporderf = isset($_GET['sporderf'])?$_GET['sporderf']:(isset($_POST['sporderf'])?$_POST['sporderf']:"");
	$sporder = isset($_GET['sporder'])?$_GET['sporder']:(isset($_POST['sporder'])?$_POST['sporder']:"");
	if($showdate == '1'){
		$select .= (strlen($select)>0?",":"")."windate as time";
		$groupby .= (strlen($groupby)>0?",":"")."windate";
		$orderby = "windate ".($sporder=='1'?'ASC':'DESC');
		$maxrows = 500;
	}else if($showdate == '2'){
		$dateformat = "%Y-%m-%d";
		$select .= (strlen($select)>0?",":"")."date_format( windate,'$dateformat') as time";
		$groupby .= (strlen($groupby)>0?",":"")."date_format( windate,'$dateformat')";
		$orderby = "date_format( windate,'$dateformat') ".($sporder=='1'?'ASC':'DESC').", count(0) ".($sporder=='1'?'DESC':'ASC');
		$maxrows = 500;	
	}else if($showdate == '3'){
		$dateformat = "%Y-%m";
		$select .= (strlen($select)>0?",":"")."date_format( windate,'$dateformat') as time";
		$groupby .= (strlen($groupby)>0?",":"")."date_format( windate,'$dateformat')";
		$orderby = "date_format( windate,'$dateformat') ".($sporder=='1'?'ASC':'DESC').", count(0) ".($sporder=='1'?'DESC':'ASC');
		$maxrows = 500;
	}
	$domaincond = 'memid>0 ';
	$domaincond .= $qprizeid != "" ? " and prizeid in ($qprizeid)" : ""	;
	$domaincond .= $qmtype != "" ? " and mtype in ($qmtype)" : ""	;
	$domaincond .= $mtype == '-1' ? " and mtype <> 1 " : "";
	$qtodate = strpos($todate," ")=== false ? "date_add(date('$todate'),interval 1 day)" : ($showhours || $showminutes ? "date_add('$todate',interval 1 ".($showhours?"hour":"minute").")" : "'".$todate."'");
	$cqry="select count(0) mcount from (SELECT $select, count(0) wins,sum(credits) credits, sum(banners) banners,sum(texts) texts, sum(sq_banners) sq_banners,sum(cash) cash,count(distinct memid) surfers $extrafield FROM  fc_vtg_prizes_winners WHERE $domaincond ".($fromdate <> "" ? " and windate >= '$fromdate'" : "").($todate <> "" ? " and windate < $qtodate" : "").($rid != 0 ? " and memid in ($rid)" : "")." $EXCLUDE_COND GROUP BY $groupby $extrafield ) x";
    $cres=@lfmsql_query($cqry);
    $crow=@lfmsql_fetch_array($cres);
	
	//check special sorting
	if($sporderf != ''){
		if($sporderf == "memid" && $showrid){
			$orderby = "memid ".($sporder=='1'?'ASC':'DESC');
		}else if($sporderf == "prizeid" && $showprize){
			$orderby = "prizeid ".($sporder=='1'?'ASC':'DESC');
		}else if($sporderf == "mtype" && $showmtype){
			$orderby = "mtype ".($sporder=='1'?'ASC':'DESC');
		}else if($sporderf == "credits"){
			$orderby = "credits ".($sporder=='1'?'ASC':'DESC');
		}else if($sporderf == "banners"){
			$orderby = "banners ".($sporder=='1'?'ASC':'DESC');
		}else if($sporderf == "texts"){
			$orderby = "texts ".($sporder=='1'?'ASC':'DESC');
		}else if($sporderf == "sqbanners"){
			$orderby = "sq_banners ".($sporder=='1'?'ASC':'DESC');
		}else if($sporderf == "cash"){
			$orderby = "cash ".($sporder=='1'?'ASC':'DESC');
		}else if($sporderf == "qty"){
			$orderby = "wins ".($sporder=='1'?'ASC':'DESC');
		}else if($sporderf == "surfers"){
			$orderby = "surfers ".($sporder=='1'?'ASC':'DESC');
		}
	}
	
	//get total for the week
	$totalres = lfmsql_query("SELECT count(0) wins,sum(credits) credits, sum(banners) banners,sum(texts) texts, sum(sq_banners) sq_banners,sum(cash) cash,count(distinct memid) surfers FROM  fc_vtg_prizes_winners WHERE $domaincond ".($fromdate <> "" ? " and windate >= '$fromdate'" : "").($todate <> "" ? " and windate < $qtodate" : "").($rid != 0 ? " and memid in ($rid)" : "")." $EXCLUDE_COND");
	$totalwins = lfmsql_result($totalres,0,"wins");
	$totalcredits = lfmsql_result($totalres,0,"credits");
	$totalbanners = lfmsql_result($totalres,0,"banners");
	$totaltexts = lfmsql_result($totalres,0,"texts");
	$totalsq_banners = lfmsql_result($totalres,0,"sq_banners");
	$totalcash = lfmsql_result($totalres,0,"cash");
	$totalsurfers = lfmsql_result($totalres,0,"surfers");
	
    // Get the first/next $maxrows records
	$mqry="SELECT $select, count(0) wins,sum(credits) credits, sum(banners) banners,sum(texts) texts, sum(sq_banners) sq_banners,sum(cash) cash,count(distinct memid) surfers $extrafield FROM  fc_vtg_prizes_winners WHERE $domaincond ".($fromdate <> "" ? " and windate >= '$fromdate'" : "").($todate <> "" ? " and windate < $qtodate" : "").($rid != 0 ? " and memid in ($rid)" : "")." $EXCLUDE_COND GROUP BY $groupby $extrafield ";
    $mqry.=" ORDER BY $orderby LIMIT $st,$maxrows";
	$mres=@lfmsql_query($mqry);
	
	//get prizes descriptions
	$allprizes = array();
	//lfmsql_query("select id, message, credits, credits_max")
	
	$allmemberlevels = array();
	$memberlevelsres = lfmsql_query("select mtid, accname from ".$prefix."membertypes order by mtid");
	while($mtyperow = lfmsql_fetch_array($memberlevelsres)){
		$allmemberlevels[$mtyperow['mtid']] = $mtyperow;
	}
	
?>
<center>
<a href="admin.php?f=fc_vtg">View Settings</a><br>
<h1>Viral Traffic Games</h1>
<h2>Statistics</h2>
<form name="mbrowse" id="mbrowse" method="post" action="admin.php?f=fc_vtg&showstats=true&show=<?=$showtype?>&searchfield=<?=$searchfield?>&searchtext=<?=$searchtext?>&sf=browse">
<table width="700" align="center" cellpadding="4" cellspacing="0" class="lfmtable" style="border: 1px solid #999;">
	  <tr>
		<td nowrap="nowrap" class="admintd" colspan="5" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Filter Criteria</strong></font></td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">User Id</font> </strong></td>
		<td class="formfield">
		<input name="rid" type="text" class="formfield" id="rid" value="<?=($rid != 0 ? $rid : "")?>" size="30" />
		</td>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Prize Id</font> </strong></td>
		<td class="formfield">
		<input name="prizeid" type="text" class="formfield" id="prizeid" value="<?=$prizeid;?>" size="30" />
		</td>
		<td align="center"><a href="#" title="User Id or Prize Id to filter. You can enter multiple user ids or prize ids separated by ,"><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Member Level</font> </strong></td>
		<td class="formfield" colspan="3">
			<select name="mtype">
				<option value="0">Any Member Levels</option>
				<option value="-1" <?php echo ($mtype=='-1'?'selected':'');?>>Any Upgraded</option>
				<?php foreach($allmemberlevels as $mtyperow){
					echo '<option value="'.$mtyperow['mtid'].'" '.($mtype==$mtyperow['mtid']?'selected':'').'>'.$mtyperow['accname'].'</option>';
				} ?>
			</select>
		</td>
		<td align="center"><a href="#" title="Member Level to filer."><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">From/ To</font> </strong></td>
		<td colspan="3" class="formfield">
		<input name="fromdate" type="text" id="DPC_fromdate_YYYY-MM-DD" value="<?=$fromdate?>" width="80">&nbsp;
		<input name="todate" type="text" id="DPC_todate_YYYY-MM-DD" value="<?=$todate?>" width="80">
		</td>
		<td align="center"><a href="#" title="Enter the timeframe to search, leave fields in blank if required"><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Show Fields</font> </strong></td>
		<td colspan="3" class="formfield">
		<table border="0">
			<tr>
				<td width="60">User Id</td><td><input name="showrid" type="checkbox" id="showrid" value="1" <?=($showrid ? 'checked="checked"' : "")?> /></td>
				<td width="60">Prize Id</td><td><input name="showprize" type="checkbox" id="showprize" value="1" <?=($showprize ? 'checked="checked"' : "")?> /></td>
				<td width="80">Member Level</td><td><input name="showmtype" type="checkbox" id="showmtype" value="1" <?=($showmtype ? 'checked="checked"' : "")?> /></td>
			</tr>
		</table>
		</td>
		<td align="center"><a href="#" title="Specify which fields to show in the table result. Statistics will be grouped by these fields"><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Date Field </font> </strong></td>
		<td colspan="3" class="formfield">
			<select name="showdate">
				<option value="0">Hidden</option>
				<option value="1" <?php echo ($showdate==1?"selected":"");?>>Show Date and Time</option>
				<option value="2" <?php echo ($showdate==2?"selected":"");?>>Grouped by Day</option>
				<option value="3" <?php echo ($showdate==3?"selected":"");?>>Grouped by Month</option>
			</select>
		</td>
		<td align="center"><a href="#" title="Select Grouped by Day or Month to show statistics by Day or Month.
Select Date and Time if you want to view individual prizes or Hidden if you don't want to group by date"><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
	  </tr>
  </table>
<br>
<table width="100%" border="0" cellspacing="0" cellpadding="4">
  <tr>
    <td><table width="70%" border="0" cellpadding="1" cellspacing="0" class="lfmtable" align="center">
      <tr>
        <td colspan="<?=$columnsleft+6?>" align="left" valign="bottom">
		<div align="left"><?
    		if(!isset($_GET["limitStart"])){$limitStart = 0;}
    		pageNavBlocked($crow["mcount"],$_GET["limitStart"],$maxrows,'fc_vtg'.($rid!=0?'&rid='.$rid:'').($fromdate!=''?'&fromdate='.$fromdate:'').($todate!=''?'&todate='.$todate:'').($showprize?'&showprize=1':'').($showmtype?'&showmtype=1':'').($showrid?'&showrid=1':'').($showdate?'&showdate='.$showdate:'').($prizeid!=''?'&prizeid='.$prizeid:'').($mtype!=''?'&mtype='.$mtype:'').($sporder!=''?'&sporder='.$sporder:'').($sporderf!=''?'&sporderf='.$sporderf:''));
		?></div>
		
		</td>
		<td colspan="1" align="center" valign="bottom">
		<input name="Refresh" type="submit" class="lfmtable" id="Refresh" style="height: 8; font-size:9px" value="Refresh" />
		<input type="hidden" name="sporderf" value="<?php echo $sporderf;?>">
		<input type="hidden" name="sporder" value="<?php echo $sporder;?>">
		</td>
        </tr>
      <tr class="admintd">
        <?php if($showrid){?>
        <td  align="center" nowrap="NOWRAP" background="images/lfmtablethbg.jpg"><strong>
		<a href="./admin.php?f=<?php echo 'fc_vtg'.($rid!=0?'&rid='.$rid:'').($fromdate!=''?'&fromdate='.$fromdate:'').($todate!=''?'&todate='.$todate:'').($showprize?'&showprize=1':'').($showmtype?'&showmtype=1':'').($showrid?'&showrid=1':'').($showdate?'&showdate='.$showdate:'').($prizeid!=''?'&prizeid='.$prizeid:'').($mtype!=''?'&mtype='.$mtype:'').'&sporder='.($sporder=='1'?'0':'1').'&sporderf=memid';?>&showstats=true&sf=browse">
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">User ID</font><a></strong></td>
		<?php } ?>
		<?php if($showprize){?>
        <td align="center" nowrap="NOWRAP" background="images/lfmtablethbg.jpg"><strong>
		<a href="./admin.php?f=<?php echo 'fc_vtg'.($rid!=0?'&rid='.$rid:'').($fromdate!=''?'&fromdate='.$fromdate:'').($todate!=''?'&todate='.$todate:'').($showprize?'&showprize=1':'').($showmtype?'&showmtype=1':'').($showrid?'&showrid=1':'').($showdate?'&showdate='.$showdate:'').($prizeid!=''?'&prizeid='.$prizeid:'').($mtype!=''?'&mtype='.$mtype:'').'&sporder='.($sporder=='1'?'0':'1').'&sporderf=prizeid';?>&showstats=true&sf=browse">
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Prize Id</font></a></strong></td>
		<?php } ?>
		<?php if($showmtype){?>
        <td align="center" nowrap="NOWRAP" background="images/lfmtablethbg.jpg"><strong>
		<a href="./admin.php?f=<?php echo 'fc_vtg'.($rid!=0?'&rid='.$rid:'').($fromdate!=''?'&fromdate='.$fromdate:'').($todate!=''?'&todate='.$todate:'').($showprize?'&showprize=1':'').($showmtype?'&showmtype=1':'').($showrid?'&showrid=1':'').($showdate?'&showdate='.$showdate:'').($prizeid!=''?'&prizeid='.$prizeid:'').($mtype!=''?'&mtype='.$mtype:'').'&sporder='.($sporder=='1'?'0':'1').'&sporderf=mtype';?>&showstats=true&sf=browse">
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Member Level</font></a></strong></td>
		<?php } ?>
        <?php if($showdate){?>
        <td  align="center" nowrap="NOWRAP" background="images/lfmtablethbg.jpg"><strong>
		<a href="./admin.php?f=<?php echo 'fc_vtg'.($rid!=0?'&rid='.$rid:'').($fromdate!=''?'&fromdate='.$fromdate:'').($todate!=''?'&todate='.$todate:'').($showprize?'&showprize=1':'').($showmtype?'&showmtype=1':'').($showrid?'&showrid=1':'').($showdate?'&showdate='.$showdate:'').($prizeid!=''?'&prizeid='.$prizeid:'').($mtype!=''?'&mtype='.$mtype:'').'&sporder='.($sporder=='1'?'0':'1').'&sporderf=date';?>&showstats=true&sf=browse">
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Date</font></a></strong></td>
		<?php } ?>
        <td align="center" width="75" nowrap="NOWRAP" background="images/lfmtablethbg.jpg"><strong>
		<a href="./admin.php?f=<?php echo 'fc_vtg'.($rid!=0?'&rid='.$rid:'').($fromdate!=''?'&fromdate='.$fromdate:'').($todate!=''?'&todate='.$todate:'').($showprize?'&showprize=1':'').($showmtype?'&showmtype=1':'').($showrid?'&showrid=1':'').($showdate?'&showdate='.$showdate:'').($prizeid!=''?'&prizeid='.$prizeid:'').($mtype!=''?'&mtype='.$mtype:'').'&sporder='.($sporder=='1'?'0':'1').'&sporderf=credits';?>&showstats=true&sf=browse">
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Credits</font></a></strong></td>
        <td align="center" width="75" nowrap="NOWRAP" background="images/lfmtablethbg.jpg"><strong>
		<a href="./admin.php?f=<?php echo 'fc_vtg'.($rid!=0?'&rid='.$rid:'').($fromdate!=''?'&fromdate='.$fromdate:'').($todate!=''?'&todate='.$todate:'').($showprize?'&showprize=1':'').($showmtype?'&showmtype=1':'').($showrid?'&showrid=1':'').($showdate?'&showdate='.$showdate:'').($prizeid!=''?'&prizeid='.$prizeid:'').($mtype!=''?'&mtype='.$mtype:'').'&sporder='.($sporder=='1'?'0':'1').'&sporderf=banners';?>&showstats=true&sf=browse">
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Banners</font></a></strong></td>
        <td align="center" width="75" nowrap="NOWRAP" background="images/lfmtablethbg.jpg"><strong>
		<a href="./admin.php?f=<?php echo 'fc_vtg'.($rid!=0?'&rid='.$rid:'').($fromdate!=''?'&fromdate='.$fromdate:'').($todate!=''?'&todate='.$todate:'').($showprize?'&showprize=1':'').($showmtype?'&showmtype=1':'').($showrid?'&showrid=1':'').($showdate?'&showdate='.$showdate:'').($prizeid!=''?'&prizeid='.$prizeid:'').($mtype!=''?'&mtype='.$mtype:'').'&sporder='.($sporder=='1'?'0':'1').'&sporderf=texts';?>&showstats=true&sf=browse">
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">TextAds</font></a></strong></td>
        <td align="center" width="75" nowrap="NOWRAP" background="images/lfmtablethbg.jpg"><strong>
		<a href="./admin.php?f=<?php echo 'fc_vtg'.($rid!=0?'&rid='.$rid:'').($fromdate!=''?'&fromdate='.$fromdate:'').($todate!=''?'&todate='.$todate:'').($showprize?'&showprize=1':'').($showmtype?'&showmtype=1':'').($showrid?'&showrid=1':'').($showdate?'&showdate='.$showdate:'').($prizeid!=''?'&prizeid='.$prizeid:'').($mtype!=''?'&mtype='.$mtype:'').'&sporder='.($sporder=='1'?'0':'1').'&sporderf=sqbanners';?>&showstats=true&sf=browse">
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Square Banners</font></a></strong></td>
        <td align="center" width="75" nowrap="NOWRAP" background="images/lfmtablethbg.jpg"><strong>
		<a href="./admin.php?f=<?php echo 'fc_vtg'.($rid!=0?'&rid='.$rid:'').($fromdate!=''?'&fromdate='.$fromdate:'').($todate!=''?'&todate='.$todate:'').($showprize?'&showprize=1':'').($showmtype?'&showmtype=1':'').($showrid?'&showrid=1':'').($showdate?'&showdate='.$showdate:'').($prizeid!=''?'&prizeid='.$prizeid:'').($mtype!=''?'&mtype='.$mtype:'').'&sporder='.($sporder=='1'?'0':'1').'&sporderf=cash';?>&showstats=true&sf=browse">
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Cash</font></a></strong></td>
        <td align="center" width="75" nowrap="NOWRAP" background="images/lfmtablethbg.jpg"><strong>
		<a href="./admin.php?f=<?php echo 'fc_vtg'.($rid!=0?'&rid='.$rid:'').($fromdate!=''?'&fromdate='.$fromdate:'').($todate!=''?'&todate='.$todate:'').($showprize?'&showprize=1':'').($showmtype?'&showmtype=1':'').($showrid?'&showrid=1':'').($showdate?'&showdate='.$showdate:'').($prizeid!=''?'&prizeid='.$prizeid:'').($mtype!=''?'&mtype='.$mtype:'').'&sporder='.($sporder=='1'?'0':'1').'&sporderf=qty';?>&showstats=true&sf=browse">
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Qty</font></a></strong></td>
        <td align="center" width="75" nowrap="NOWRAP" background="images/lfmtablethbg.jpg"><strong>
		<a href="./admin.php?f=<?php echo 'fc_vtg'.($rid!=0?'&rid='.$rid:'').($fromdate!=''?'&fromdate='.$fromdate:'').($todate!=''?'&todate='.$todate:'').($showprize?'&showprize=1':'').($showmtype?'&showmtype=1':'').($showrid?'&showrid=1':'').($showdate?'&showdate='.$showdate:'').($prizeid!=''?'&prizeid='.$prizeid:'').($mtype!=''?'&mtype='.$mtype:'').'&sporder='.($sporder=='1'?'0':'1').'&sporderf=surfers';?>&showstats=true&sf=browse">
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Surfers</font></a></strong></td>
      </tr>
<?
	$totalshown = 0;
	$totalpointsshown = 0;
	while($mrow=@lfmsql_fetch_array($mres))
	{
		$totalshown += $mrow["wins"];
		$totalpointsshown += $mrow["points"];
		if($bgcolor == "#FFFFFF")
		{
			$bgcolor="#DDDDDD";
		}
		else
		{
			$bgcolor="#FFFFFF";
		}
?>
      <tr bgcolor="<?=$bgcolor;?>" onMouseOver="this.bgColor='#99bb99';" onMouseOut="this.bgColor='<?=$bgcolor;?>';">
        <?php if($showrid){?>
		<td><font size="2" face="Verdana, Arial, Helvetica, sans-serif">
	        <a href="./admin.php?f=<?php echo 'fc_vtg'.('&rid='.$mrow["memid"]).($fromdate!=''?'&fromdate='.$fromdate:'').($todate!=''?'&todate='.$todate:'').($showprize?'&showprize=1':'').($showmtype?'&showmtype=1':'').($showrid?'&showrid=1':'').($showdate?'&showdate='.$showdate:'').($prizeid!=''?'&prizeid='.$prizeid:'').($mtype!=''?'&mtype='.$mtype:'');?>&showstats=true&sf=browse">
			<?=$mrow["memid"];?>
			</a>
        </font></td>
		<?php } ?>
		<?php if($showprize){?>
		<td><font size="2" face="Verdana, Arial, Helvetica, sans-serif">
          <a href="./admin.php?f=<?php echo 'fc_vtg'.($rid!=0?'&rid='.$rid:'').($fromdate!=''?'&fromdate='.$fromdate:'').($todate!=''?'&todate='.$todate:'').($showprize?'&showprize=1':'').($showmtype?'&showmtype=1':'').($showrid?'&showrid=1':'').($showdate?'&showdate='.$showdate:'').('&prizeid='.$mrow["prizeid"]).($mtype!=''?'&mtype='.$mtype:'');?>&showstats=true&sf=browse">
          <?=$mrow["prizeid"];?>
		  </a>
        </font></td>
		<?php } ?>
		<?php if($showmtype){?>
		<td><font size="2" face="Verdana, Arial, Helvetica, sans-serif">
          <a href="./admin.php?f=<?php echo 'fc_vtg'.($rid!=0?'&rid='.$rid:'').($fromdate!=''?'&fromdate='.$fromdate:'').($todate!=''?'&todate='.$todate:'').($showprize?'&showprize=1':'').($showmtype?'&showmtype=1':'').($showrid?'&showrid=1':'').($showdate?'&showdate='.$showdate:'').($prizeid!=''?'&prizeid='.$prizeid:'').('&mtype='.$mrow["mtype"]);?>&showstats=true&sf=browse">
          <?=$allmemberlevels[$mrow["mtype"]]['accname'];?>
		  </a>
        </font></td>
		<?php } ?>
        <?php if($showdate){?>
		<td><font size="2" face="Verdana, Arial, Helvetica, sans-serif">
          <?=$mrow["time"];?>
        </font></td>
		<?php } ?>

        <td align="center"><?=number_format($mrow["credits"],0);?></td>
        <td align="center"><?=number_format($mrow["banners"],0);?></td>
        <td align="center"><?=number_format($mrow["texts"],0);?></td>
        <td align="center"><?=number_format($mrow["sq_banners"],0);?></td>
        <td align="center"><?=number_format($mrow["cash"],2);?></td>
        <td align="center"><?=number_format($mrow["wins"],0);?></td>
        <td align="center"><?=number_format($mrow["surfers"],0);?></td>
        </td>
      </tr>
<?
}
?>
	<tr>
		<td colspan="<?=($columnsleft)?>" align="right" valign="bottom">
		<strong>Totals:</strong> 
		</td>
		<td align="center"><?php echo number_format($totalcredits,0); ?></td>
		<td align="center"><?php echo number_format($totalbanners,0); ?></td>
		<td align="center"><?php echo number_format($totaltexts,0); ?></td>
		<td align="center"><?php echo number_format($totalsq_banners,0); ?></td>
		<td align="center"><?php echo number_format($totalcash,2); ?></td>
		<td align="center"><?php echo number_format($totalwins,0); ?></td>
		<td align="center"><?php echo number_format($totalsurfers,0); ?></td>
	</tr>
    </table>	</td>
  </tr>
  <tr>
    <td>
	</td>
  </tr>
</table>
</form>
</center>