<?php

// GeniuXs AI v1.0 for LFM Scripts
// Copyright 2023 Logiscape LLC. All Rights Reserved.
// https://geniuxs.com

// Any modification, distribution, or use of this file is governed
// by the current terms of service at geniuxs.com and any additional
// license agreements for the script this file was included with.

require_once "../inc/filter.php";


// Prevent anyone who isn't logged in from opening this page
include "../inc/checkauth.php";
if(!isset($_SESSION["adminid"])) { exit; };

if (!isset($_GET['aiid']) || !is_numeric($_GET['aiid']) || $_GET['aiid'] < 1) {
	echo("Invalid AI ID");
	exit;
} else {
	$aiid = $_GET['aiid'];
}

$exportdata = array();

$getaidata = lfmsql_query("SELECT name, aidata FROM `geniuxs_ai` WHERE id='".$aiid."'") or die(lfmsql_error());
if (lfmsql_num_rows($getaidata) < 1) {
	echo("AI ID not found");
	exit;
}

header('Content-type: application/json');
header('Content-disposition: attachment; filename=geniuxs_ai_export.json');
header('Cache-Control: no-cache, must-revalidate');

$ainame = lfmsql_result($getaidata, 0, "name");
$aidata = lfmsql_result($getaidata, 0, "aidata");
$aidata = json_decode($aidata, true);

$exportdata['ainame'] = $ainame;
$exportdata['aitype'] = 1;

if (isset($_POST['aicreator']) && $_POST['aicreator'] > 0) {
	$exportdata['aicreator'] = 1;
} else {
	$exportdata['aicreator'] = 0;
}

$exportdata['aidata'] = $aidata;

$writeexportdata = json_encode($exportdata);

echo($writeexportdata);
exit;

?>