<?php
// ////////////////////////////////////////////////////////////
// v4.20
// Copyright 2006-2015 LFM Wealth Systems. All Rights Reserved
//
// Login Frequency Marketing ("the script") is copyrighted to 
// LFM Wealth Systems. 
// The sale, duplication or transfer of the script to any 
// person other than the original purchaser is a violation
// of the purchase agreement and is strictly prohibited.
// Any alteration of the script source code or accompanying 
// materials will void any responsibility that LFM Wealth Systems 
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions 
// of use of the script. The terms and conditions of use are 
// included with the script in the file titled terms.html.
// ////////////////////////////////////////////////////////////

require_once "../inc/filter.php";

include "default_member_level.php";

	// Prevent anyone who isn't logged in from opening this page
	if(!isset($_SESSION["adminid"])) { exit; };

	$msg="";
	// Add a new group
	if($_POST["Submit"] == "Add")
	{
		//  Do some sanity checks
		$scres=@lfmsql_query("SELECT count(*) as ncount FROM ".$prefix."membertypes WHERE accname='".$_POST["accname"]."'");
		$scrow=@lfmsql_fetch_array($scres);
		if($scrow["ncount"] > 0 || $_POST["accfee"] < 0 || $_POST["comm"] < 0 || $_POST["otocomm"] < 0 || strlen($_POST["accname"]) < 1)
		{
			if($scrow["ncount"] > 0)
				$msg="The member type '".$_POST["accname"]."' already exists!";
			if(!isset($_POST["accfee"]))
				$msg="The Fee must be 0 or greater!";
			if(!isset($_POST["comm"]))
				$msg="The Commission must be 0 or greater!";
			if(!isset($_POST["otocomm"]))
				$msg="The OTO Commission must be 0 or greater!";
			if(strlen($_POST["accname"]) < 1)
				$msg="The member type has no name!";
			

		}
		else
		{	
			if(!isset($_POST["rank"])) { $rank = 0; } else { $rank=$_POST["rank"]; }
			
			lfmsql_query("INSERT INTO ".$prefix."membertypes(accname,accfee,comm,comm2,otocomm,otocomm2,promocode,recur,_2co_productid,commfixed,commfixed2,pp_p1,pp_t1,pp_p3,rank,cb_paylink,pp_a1,pp_srt,downgrade_mtype) 
			VALUES('".$_POST["accname"]."','".$_POST["accfee"]."', '".$_POST["comm"]."', '".$_POST["comm2"]."', '".$_POST["otocomm"]."', '".$_POST["otocomm2"]."','".$_POST["promocode"]."','".$_POST["recur"]."','".$_POST["_2co_productid"]."','".$_POST["commfixed"]."','".$_POST["commfixed2"]."','".$_POST["pp_p1"]."','".$_POST["pp_t1"]."','".$_POST["pp_p3"]."','".$rank."','','".$_POST["pp_a1"]."','".$_POST["pp_srt"]."',".$_POST["downgrade_mtype"].")") or die(lfmsql_error());
			
			$upgrade = lfmsql_insert_id();
			
			// Create A Sales Package
			if ($_POST["accfee"] > 0 || $_POST["pp_a1"] > 0) {
				
				$merchant1=1;
				$merchant2=0;
				$merchant3=0;
				$merchant4=0;
				$merchant5=0;
				$merchant6=0;
				
				$checklastrow = lfmsql_query("Select rank from ".$prefix."ipn_products order by rank desc");
				if (lfmsql_num_rows($checklastrow) > 0) {
					$lastrow = lfmsql_result($checklastrow, 0, "rank");
				} else {
					$lastrow = 0;
				}
				$newrank = $lastrow+1;
				
				$defaultreturn = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."ipn_vals` WHERE field='return'"), 0);
				$defaultsubject = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."ipn_vals` WHERE field='memsubj'"), 0);
				$defaultbody = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."ipn_vals` WHERE field='membody'"), 0);
				
				lfmsql_query("INSERT INTO ".$prefix."ipn_products (name, productid, upgrade, amount, period, type, subscription, recurring, merchant1, merchant2, merchant3, merchant4, merchant5, merchant6, twocoid, rank, promocode, trial_amount, trial_period, trial_type, cb_hoplink, return_url, email_subject, email_body) VALUES ('".$_POST["accname"]."', '0', '$upgrade', '".$_POST["accfee"]."', '".$_POST["pp_p3"]."', '".$_POST["recur"]."', '0', '".$_POST["pp_srt"]."', '$merchant1', '$merchant2', '$merchant3', '$merchant4', '$merchant5', '$merchant6', '".$_POST["_2co_productid"]."', '$newrank', '".$_POST["promocode"]."', '".$_POST["pp_a1"]."', '".$_POST["pp_p1"]."', '".$_POST["pp_t1"]."', '', '$defaultreturn', '$defaultsubject', '$defaultbody')") or die(lfmsql_error());
				
				$salespackageid = lfmsql_insert_id();
				
				lfmsql_query("UPDATE ".$prefix."membertypes SET ipnid=".$salespackageid." WHERE mtid=".$upgrade) or die(lfmsql_error());
				
			}
			// End Create A Sales Package
			
		}
	}
?>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.2.6/jquery.min.js"></script>
<script type="text/javascript">
  function setDefaultMemberLevel (levelid) {
     document.getElementById('my_response').innerHTML = '';

    jQuery.get('default_member_level.php?level_id=' + levelid,false,function(data){
      if(data.length){
        //Do something with the data
        document.getElementById('my_response').innerHTML = data;
      }
    });
  }
</script>

<link href="styles.css" rel="stylesheet" type="text/css" />
<p>&nbsp;</p>
<br />
<table border="0" align="center" cellpadding="3" cellspacing="0" style="border:thin solid #000 ; border-width: 1px;" >
  
  <tr>
    <td width="33%" align="center" class="admintd">&nbsp;</td>
    <td align="center" class="admintd"><font size="3" face="Arial, Helvetica, sans-serif"><strong>Membership Account Types</strong></font></td>
    <td width="33%" align="center" class="admintd">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="3">
	<table border="0" cellspacing="0" cellpadding="2">
      <tr align="center" bgcolor="#E0EBFE">
        <td valign="top" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Name</font></strong></td>
        <td valign="top" nowrap="nowrap" bgcolor="#C6DBFD"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Rank</font></strong></td>
        <td valign="top" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Enable<br />
          Publish<br />
          Date</font></strong></td>
        <td valign="top" nowrap="nowrap" bgcolor="#C6DBFD"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Ref<br />
        %</font></strong></td>
        <td valign="top" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Ref<br />
          %<br />
          <font color="#FF0000">Tier 2</font> </font></strong></td>
        <td valign="top" nowrap="nowrap" bgcolor="#C6DBFD"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Ref<br />
          $        </font></strong></td>
        <td valign="top" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Ref<br />
          $<br />
          <font color="#FF0000">Tier 2</font></font></strong></td>
        <td valign="top" nowrap="nowrap" bgcolor="#C6DBFD"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">OTO<br />
          %
        </font></strong></td>
        <td valign="top" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">OTO<br />
          %<br />
          <font color="#FF0000">Tier 2</font> </font></strong></td>
        <td valign="top" nowrap="nowrap" bgcolor="#C6DBFD"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Promo Code </font></strong></td>
        <td width="24" valign="top" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Visible</font></strong></td>
        <td width="24" valign="top" nowrap="nowrap" bgcolor="#C6DBFD"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Total<br />
          Memb.</font></strong></td>
            <td width="24" valign="top" nowrap="nowrap" bgcolor="#C6DBFD"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Default</font></strong><div id="my_response"></div></td>
        <td colspan="3" valign="top" nowrap="nowrap">&nbsp;</td>
        </tr>
<?
	// Get the list of member account types
	$mtres=@lfmsql_query("SELECT * FROM ".$prefix."membertypes ORDER BY acclevel");
	while($mtrow=@lfmsql_fetch_array($mtres))
	{
		// Get total members at this level
		$totalmres=@lfmsql_query("SELECT COUNT(*) AS mcount FROM ".$prefix."members WHERE mtype=".$mtrow["mtid"]);
		$totalm=@lfmsql_result($totalmres,0);
		
		$trialperiod="None";
		$trial=$mtrow["pp_p1"];
		if($mtrow["pp_t1"] == "W"){ $trialperiod="$".$mtrow["pp_a1"]."/".$trial." Week"; }
		if($mtrow["pp_t1"] == "M"){ $trialperiod=$trial." Month"; }
		if($mtrow["pp_t1"] == "Y"){ $trialperiod=$trial." Year"; }
		
?>	  
      <tr>
        <td align="center" valign="top" nowrap="nowrap"><?=$mtrow["accname"];?></td>
        <td align="center" valign="top"><?=$mtrow["rank"];?></td>
        <td align="center" valign="top"><? if($mtrow["enablepdate"] == 1){ ?><img src="../images/tick.jpg"> <? } else { ?><img src="../images/cancel.jpg"><? } ?></td>
        <td align="center" valign="top"><?=$mtrow["comm"];?></td>
        <td align="center" valign="top"><?=$mtrow["comm2"];?></td>
        <td align="center" valign="top"><?=$mtrow["commfixed"];?></td>
        <td align="center" valign="top"><?=$mtrow["commfixed2"];?></td>
        <td align="center" valign="top"><?=$mtrow["otocomm"];?></td>
        <td align="center" valign="top"><?=$mtrow["otocomm2"];?></td>
        <td align="center" valign="top"><?=$mtrow["promocode"];?></td>
        <td width="24" align="center" valign="top" nowrap="NOWRAP">
<?		if($mtrow["enabled"] == 1) { ?>
		<img src="../images/tick.jpg" />
<?		} else { ?>
		<img src="../images/cancel.jpg" />
<? } ?>		</td>
        <td width="24" align="center" valign="top" nowrap="NOWRAP"><?=$totalm;?></td>
        <? 	if($mtrow["mtid"] > 1)
	{
?>
        <td width="24" align="center" valign="top"><input type="radio" name="default" <?
		if ($mtrow["mtid"] == $default_member_level){
		print " checked='checked' ";
		}
		?> onclick="setDefaultMemberLevel(<?=$mtrow["mtid"];?>)" value="<?=$mtrow["mtid"];?>" /></td>
        <td width="24" align="center" valign="top"><a href="javascript:editMembertype(<?=$mtrow["mtid"];?>)"><img src="../images/edit.png" width="16" height="16" border="0" /></a></td>
        <td width="24" align="center" valign="top"><a href="javascript:delMembertype(<?=$mtrow["mtid"];?>)"><img src="../images/del.png" width="16" height="16" border="0" /></a></td>
        <? } else { ?>
         <td width="24" align="center" valign="top"><input type="radio" name="default" <?
		if ($mtrow["mtid"] == $default_member_level){
		print " checked='checked' ";
		}
		?> onclick="setDefaultMemberLevel(<?=$mtrow["mtid"];?>)" value="<?=$mtrow["mtid"];?>" /></td>
        <td width="24" align="center" valign="top"><a href="javascript:editMembertype(<?=$mtrow["mtid"];?>)"><img src="../images/edit.png" width="16" height="16" border="0" /></a></td>
        <? } ?>
      </tr>
<?
}
?>
    </table>	</td>
  </tr>
</table>
<p align="center"><font color="red"><strong><?=$msg;?></strong></font>&nbsp;</p>
<form method="post" action="admin.php?f=mt" onsubmit="return validate_addMembertype(this);">
  <table style="border:thin solid #000 ; border-width: 1px;" border="0" align="center" cellpadding="4" cellspacing="0">
  <tr>
    <td colspan="6" align="center" class="admintd"><strong><font size="3" face="Verdana, Arial, Helvetica, sans-serif">Add Member Type</font> </strong></td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>This is the name for this account type that will appear on the signup page.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE">
	  <strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Name:</font></strong></td>
    <td align="left" nowrap="nowrap">
	<input name="accname" type="text" id="accname" size="28"></td>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The rank is used to determine which member content should 'pass through' to higher member levels.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Rank:</font></strong></td>
    <td align="left" nowrap="nowrap"><input name="rank" type="text" id="rank" value="<?=$mrow["rank"];?>" size="2" /></td>
  </tr>
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>You can enable a publish date to prevent members from accessing previously published content.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Hide Past Content:</font></strong></td>
    <td align="left" nowrap="nowrap"><input name="enablepdate" type="checkbox" id="enablepdate" value="1" /></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The level that paying subscribers will be moved to if they cancel or the subscription expires.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Downgrade Level:</font></strong></td>
    <td align="left" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">
      <select name="downgrade_mtype" id="downgrade_mtype">
        <option value="0" selected="selected">Suspended</option>
		<? $dmres=@lfmsql_query("SELECT mtid,accname FROM ".$prefix."membertypes ORDER BY accname");
			while($dmlevel=@lfmsql_fetch_object($dmres)) { ?>
        <option value="<?=$dmlevel->mtid;?>"><?=$dmlevel->accname;?></option>
            <? } ?>
      </select>
    </font></strong></td>
  </tr>
  <tr>
    <td align="left">&nbsp;</td>
    <td align="left" nowrap="NOWRAP">&nbsp;</td>
    <td align="left" nowrap="nowrap">&nbsp;</td>
    <td align="left" nowrap="nowrap">&nbsp;</td>
    <td align="left" nowrap="nowrap">&nbsp;</td>
    <td align="left" nowrap="nowrap">&nbsp;</td>
  </tr>
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>The 2CO Product ID (from the 2CO vendor area). Leave blank if 2CO is not available.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">2CO Product ID:</font> </strong></td>
    <td align="left" nowrap="nowrap"><input name="_2co_productid" type="text" id="_2co_productid" size="8" /></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE">&nbsp;</td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE">&nbsp;</td>
    <td align="left" nowrap="nowrap">&nbsp;</td>
  </tr>
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The trial or initial fee for this member type. Set to 0 if not in use.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Trial Amount: </font></strong></td>
    <td align="left" nowrap="nowrap"><input name="pp_a1" type="text" id="pp_a1" value="0" size="3" /></td>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The free trial period for this member type. Set to 0 if not in use.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Trial Period: </font></strong></td>
    <td align="left" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">
      <input name="pp_p1" type="text" value="0" size="2" />
      <select name="pp_t1" id="pp_t1">
        <option value="N" selected="selected">No</option>
        <option value="D">Days</option>
        <option value="M">Months</option>
        <option value="Y">Years</option>
        </select>
    </font></strong></td>
  </tr>
  <tr>
    <td align="left" bgcolor="#E0EBFE">
	<a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>The fixed or recurring membership fee.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Member Fee: </font></strong></td>
    <td align="left" nowrap="nowrap"><input name="accfee" type="text" id="accfee" value="0" size="3" /></td>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>Set this option to enable monthly or yearly subscriptions (PayPal only). Set to 'No' for a one-time fixed membership fee</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Recurring:</font></strong></td>
    <td align="left" nowrap="nowrap"><input name="pp_p3" type="text" id="pp_p3" value="0" size="2" />
      <select name="recur" id="recur">
        <option value="N" selected>No</option>
        <option value="D">Days</option>
        <option value="M">Months</option>
        <option value="Y">Years</option>
      </select></td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The total number of recurring payments to charge for this account type (0 = forever).</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Recurring Payments </font></strong></td>
    <td align="left" nowrap="nowrap"><select name="pp_srt" id="pp_srt">
      <option value="0" selected="selected">0</option>
      <option value="1">1</option>
      <option value="2">2</option>
      <option value="3">3</option>
      <option value="4">4</option>
      <option value="5">5</option>
      <option value="6">6</option>
      <option value="7">7</option>
      <option value="8">8</option>
      <option value="9">9</option>
      <option value="10">10</option>
      <option value="11">11</option>
      <option value="12">12</option>
      <option value="13">13</option>
      <option value="14">14</option>
      <option value="15">15</option>
      <option value="16">16</option>
      <option value="17">17</option>
      <option value="18">18</option>
      <option value="19">19</option>
      <option value="20">20</option>
      <option value="21">21</option>
      <option value="22">22</option>
      <option value="23">23</option>
      <option value="24">24</option>
      <option value="25">25</option>
      <option value="26">26</option>
      <option value="27">27</option>
      <option value="28">28</option>
      <option value="29">29</option>
      <option value="30">30</option>
    </select></td>
    <td align="left" bgcolor="#E0EBFE">&nbsp;</td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE">&nbsp;</td>
    <td align="left" nowrap="nowrap">&nbsp;</td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>The percentage amount of the membership fee that affiliates/members are paid for referring new members. Set this to 0 if you are paying fixed or no commission.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE"><strong>
	<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Ref.  %:</font></strong></td>
    <td align="left" nowrap="nowrap">
	<input name="comm" type="text" id="comm" size="3" value="0">
      %</td>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The percentage amount of the membership fee that tier 2 affiliates/members are paid for referring new members. Set this to 0 if you are paying fixed or no tier 2 commission.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Ref. % <font color="#FF0000">Tier 2</font> </font></strong></td>
    <td align="left" nowrap="nowrap"><input name="comm2" type="text" id="comm2" size="3"  value="0" />
% </td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>The fixed amount that affiliates/members are paid for referring new members. Set this to 0 if you are not paying a commission for free accounts.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Free Ref.  $:</font></strong></td>
    <td align="left" nowrap="nowrap">    <input name="commfixed" type="text" id="commfixed" size="3" value="0" />
      (Free accounts only) </td>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The fixed amount that tier 2 affiliates/members are paid for referring new members. Set this to 0 if you are not paying a tier 2 commission for free accounts.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Free Ref. $ <font color="#FF0000">Tier 2</font> </font></strong></td>
    <td align="left" nowrap="nowrap"><input name="commfixed2" type="text" id="commfixed2" size="3" value="0" />       (Free accounts only) </td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>The percentage amount that affiliates/members are paid on OTO sales to members they referred.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">OTO %:</font></strong></td>
    <td align="left" nowrap="nowrap"><input name="otocomm" type="text" id="otocomm" size="3" value="0"> 
      % </td>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The percentage amount that tier affiliates/members are paid on OTO sales to members they referred.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">OTO % <font color="#FF0000">Tier 2</font> </font></strong></td>
    <td align="left" nowrap="nowrap"><input name="otocomm2" type="text" id="otocomm2" size="3"  value="0" />
% </td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>The promo code for this membership level. You should set the 'Visible On Signup' to N if you are using a promo code.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Promo Code: </font></strong></td>
    <td align="left" nowrap="nowrap"><input name="promocode" type="text" id="promocode" size="5"></td>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>Set this membership Visible or Not Visible. If the membership level is 'Not Visible' it will not appear on the signup form unless the promo code for this member level is entered.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Visible On Signup:</font></strong></td>
    <td align="left" nowrap="nowrap"><select name="enabled">
      <option value="1">Y</option>
      <option value="0" selected="selected">N</option>
    </select></td>
  </tr>
  
  <tr>
    <td colspan="6" align="center" bgcolor="#B0CBFD"><input type="submit" name="Submit" value="Add" /></td>
  </tr>
</table>
</form>
<br />
<table width="600" border="1" align="center" bordercolor="#FFFFFF">
  
  <tr>
    <td bordercolor="#000000" bgcolor="#FFFF99"><p><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Notes:</font></strong></p>
      <ul>
        <li><font size="2" face="Verdana, Arial, Helvetica, sans-serif">If you will be providing a free membership you <strong>MUST</strong> use the existing free membership level and it must be visible. You can rename it if required. </font></li>
        <li><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Leave the Tier 2 values set to 0 if you don't want to have a second commission level.</font></li>
        <li><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Leave the Trial and Recur periods set to 0 if you do not wish to use them. </font></li>
        <li><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Leave the 2CO Product ID blank if you don't have a 2CO vendor account</font></li>
        <li><font size="2" face="Verdana, Arial, Helvetica, sans-serif">If you are using 2CO, make sure you use the <strong>NUMERIC</strong> Product ID that 2CO assigns to your product </font></li>
        <li><font size="2" face="Verdana, Arial, Helvetica, sans-serif">If you are using a promo code, leave the membership type set as 'Invisible'</font></li>
        <li><font size="2" face="Verdana, Arial, Helvetica, sans-serif">The fixed commission (Ref $) applies<strong> <font color="#FF0000">only to free accounts.</font></strong></font></li>
        <li><font size="2" face="Verdana, Arial, Helvetica, sans-serif">To create a 'Promo' level (e.g. for your JV partners) make a new member level, set Visible to 'N' and enter a promo code for the level. Your JV partners can then enter the promo code on your sales page.</font></li>
        <li><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><font size="2" face="Verdana, Arial, Helvetica, sans-serif">The 'Rank' is used to designate the order of your memberships when using the 'flow through' feature. A higher rank means a higher level membership. For example, if you had Gold and Silver levels and gave Silver a rank of 1 and Gold a rank of 2, your Gold members would have access to any content pages you created for Silver members. To use this feature enable the <strong>'Member Levels Flow Through'</strong> option in the System Settings.  </font></li>
      </ul>
      <p>&nbsp;</p></td>
  </tr>
</table>
<p>&nbsp;</p>
