<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.54
// Copyright 2006-2022 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "../inc/filter.php";
require_once "../inc/funcs.php";
require_once "../inc/sql_funcs.php";

include "../inc/checkauth.php"; 

if(!isset($_SESSION["adminid"])) { exit; };

?>

<html>

<head>
<link href="lfm_admin_style.css" rel="stylesheet" type="text/css" />
<link href="styles.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../inc/qtip.js"></script>
<script type="text/javascript" src="../inc/jsfuncs.js"></script>
<script type="text/javascript" src="../inc/jquery.js"></script>
</head>

<style>
body {
  margin: 0;
  background-color: #FFFFFF;
}
</style>

<body>
<center>

<?

if (isset($_POST['Submit']) && $_POST['Submit'] == "Update Grid") {
	
	if ($_POST['showgrav'] != "1") { $_POST['showgrav'] = 0; }
	if ($_POST['showid'] != "1") { $_POST['showid'] = 0; }
	if ($_POST['showfirst'] != "1") { $_POST['showfirst'] = 0; }
	if ($_POST['showlast'] != "1") { $_POST['showlast'] = 0; }
	if ($_POST['showusername'] != "1") { $_POST['showusername'] = 0; }
	if ($_POST['showemail'] != "1") { $_POST['showemail'] = 0; }
	if ($_POST['showpaypal'] != "1") { $_POST['showpaypal'] = 0; }
	if ($_POST['showmtype'] != "1") { $_POST['showmtype'] = 0; }
	if ($_POST['showupgend'] != "1") { $_POST['showupgend'] = 0; }
	if ($_POST['showjoined'] != "1") { $_POST['showjoined'] = 0; }
	if ($_POST['showlogin'] != "1") { $_POST['showlogin'] = 0; }
	if ($_POST['showcredits'] != "1") { $_POST['showcredits'] = 0; }
	if ($_POST['showbanners'] != "1") { $_POST['showbanners'] = 0; }
	if ($_POST['showtexts'] != "1") { $_POST['showtexts'] = 0; }
	if ($_POST['showsqban'] != "1") { $_POST['showsqban'] = 0; }
	if ($_POST['showminibr'] != "1") { $_POST['showminibr'] = 0; }
	if ($_POST['showpeels'] != "1") { $_POST['showpeels'] = 0; }
	if ($_POST['showwidgets'] != "1") { $_POST['showwidgets'] = 0; }
	if ($_POST['showpurchmonth'] != "1") { $_POST['showpurchmonth'] = 0; }
	if ($_POST['showpurchyear'] != "1") { $_POST['showpurchyear'] = 0; }
	if ($_POST['showpurchlife'] != "1") { $_POST['showpurchlife'] = 0; }
	if ($_POST['showpiggybnk'] != "1") { $_POST['showpiggybnk'] = 0; }
	if ($_POST['showcomm'] != "1") { $_POST['showcomm'] = 0; }
	if ($_POST['showcommp'] != "1") { $_POST['showcommp'] = 0; }
	if ($_POST['showsales'] != "1") { $_POST['showsales'] = 0; }
	if ($_POST['showrefs'] != "1") { $_POST['showrefs'] = 0; }
	if ($_POST['showclicks'] != "1") { $_POST['showclicks'] = 0; }
	if ($_POST['showclicksyester'] != "1") { $_POST['showclicksyester'] = 0; }
	if ($_POST['showstatus'] != "1") { $_POST['showstatus'] = 0; }
	
	if (!isset($_POST["showcustom"]) || !is_array($_POST["showcustom"])) {
		$showcustom = "";
	} else {
		$showcustom = implode(",", $_POST["showcustom"]);
	}
	
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showgrav']."' WHERE field='showgrav'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showid']."' WHERE field='showid'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showfirst']."' WHERE field='showfirst'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showlast']."' WHERE field='showlast'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showusername']."' WHERE field='showusername'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showemail']."' WHERE field='showemail'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showpaypal']."' WHERE field='showpaypal'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showmtype']."' WHERE field='showmtype'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showupgend']."' WHERE field='showupgend'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showjoined']."' WHERE field='showjoined'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showlogin']."' WHERE field='showlogin'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showcredits']."' WHERE field='showcredits'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showbanners']."' WHERE field='showbanners'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showtexts']."' WHERE field='showtexts'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showsqban']."' WHERE field='showsqban'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showminibr']."' WHERE field='showminibr'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showpeels']."' WHERE field='showpeels'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showwidgets']."' WHERE field='showwidgets'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showpurchmonth']."' WHERE field='showpurchmonth'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showpurchyear']."' WHERE field='showpurchyear'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showpurchlife']."' WHERE field='showpurchlife'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showpiggybnk']."' WHERE field='showpiggybnk'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showcomm']."' WHERE field='showcomm'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showcommp']."' WHERE field='showcommp'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showsales']."' WHERE field='showsales'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showrefs']."' WHERE field='showrefs'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showclicks']."' WHERE field='showclicks'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showclicksyester']."' WHERE field='showclicksyester'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$_POST['showstatus']."' WHERE field='showstatus'") or die(lfmsql_error());
	lfmsql_query("UPDATE `".$prefix."memgrid` SET value='".$showcustom."' WHERE field='showcustom'") or die(lfmsql_error());
	
	echo("<br><div class=\"lfm_title\">Grid Updated Successfully</div><br>");
	echo "<script language=\"JavaScript\">";
	echo "window.opener.location.href = window.opener.location.href;";
	echo "</script>";
	echo "<input name=\"Button\" type=\"button\" id=\"Submit\" value=\"Close\" onClick=\"javascript:self.close();\" />";
	exit;	
}

####################

//Begin main page

####################

$showgrav = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showgrav'"), 0);
$showid = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showid'"), 0);
$showfirst = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showfirst'"), 0);
$showlast = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showlast'"), 0);
$showusername = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showusername'"), 0);
$showemail = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showemail'"), 0);
$showpaypal = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showpaypal'"), 0);
$showmtype = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showmtype'"), 0);
$showupgend = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showupgend'"), 0);
$showjoined = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showjoined'"), 0);
$showlogin = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showlogin'"), 0);
$showcredits = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showcredits'"), 0);
$showbanners = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showbanners'"), 0);
$showtexts = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showtexts'"), 0);
$showsqban = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showsqban'"), 0);
$showminibr = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showminibr'"), 0);
$showpeels = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showpeels'"), 0);
$showwidgets = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showwidgets'"), 0);
$showpurchmonth = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showpurchmonth'"), 0);
$showpurchyear = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showpurchyear'"), 0);
$showpurchlife = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showpurchlife'"), 0);
$showpiggybnk = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showpiggybnk'"), 0);
$showcomm = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showcomm'"), 0);
$showcommp = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showcommp'"), 0);
$showsales = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showsales'"), 0);
$showrefs = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showrefs'"), 0);
$showclicks = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showclicks'"), 0);
$showclicksyester = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showclicksyester'"), 0);
$showstatus = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showstatus'"), 0);
$showcustom = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."memgrid` WHERE field='showcustom'"), 0);

?>

	<br><div class="lfm_title">Member Grid</div>
	
	<form action="memgrid.php" method="post">
	<table width="500" cellpadding="5" cellspacing="0" border="0">
	
	<tr><td>
	
	<input type="checkbox" name="showgrav" value="1"<? if($showgrav == 1) { echo(" checked"); } ?>> <font size="2">Gravitar Photo</font><br>
	<input type="checkbox" name="showid" value="1"<? if($showid == 1) { echo(" checked"); } ?>> <font size="2">User ID</font><br>
	<input type="checkbox" name="showfirst" value="1"<? if($showfirst == 1) { echo(" checked"); } ?>> <font size="2">First Name</font><br>
	<input type="checkbox" name="showlast" value="1"<? if($showlast == 1) { echo(" checked"); } ?>> <font size="2">Last Name</font><br>
	<input type="checkbox" name="showusername" value="1"<? if($showusername == 1) { echo(" checked"); } ?>> <font size="2">Username</font><br>
	<input type="checkbox" name="showemail" value="1"<? if($showemail == 1) { echo(" checked"); } ?>> <font size="2">E-mail</font><br>
	<input type="checkbox" name="showpaypal" value="1"<? if($showpaypal == 1) { echo(" checked"); } ?>> <font size="2">Payment E-mail</font><br>
	<input type="checkbox" name="showmtype" value="1"<? if($showmtype == 1) { echo(" checked"); } ?>> <font size="2">Membership Type</font><br>
	<input type="checkbox" name="showupgend" value="1"<? if($showupgend == 1) { echo(" checked"); } ?>> <font size="2">Upgrade Expires</font><br>
	<input type="checkbox" name="showjoined" value="1"<? if($showjoined == 1) { echo(" checked"); } ?>> <font size="2">Date Joined</font><br>
	<input type="checkbox" name="showlogin" value="1"<? if($showlogin == 1) { echo(" checked"); } ?>> <font size="2">Last Login</font><br>
	<input type="checkbox" name="showcredits" value="1"<? if($showcredits == 1) { echo(" checked"); } ?>> <font size="2">Credits</font><br>
	<input type="checkbox" name="showbanners" value="1"<? if($showbanners == 1) { echo(" checked"); } ?>> <font size="2">Banner Impressions</font><br>
	<input type="checkbox" name="showtexts" value="1"<? if($showtexts == 1) { echo(" checked"); } ?>> <font size="2">Text Impressions</font><br>
	
	<?php if (file_exists("sqbanners.php")) { ?>
		<input type="checkbox" name="showsqban" value="1"<? if($showsqban == 1) { echo(" checked"); } ?>> <font size="2">Square Banner Impressions</font><br>
	<?php } ?>
	
	<?php if (file_exists("minibranders.php")) { ?>
		<input type="checkbox" name="showminibr" value="1"<? if($showminibr == 1) { echo(" checked"); } ?>> <font size="2">Mini Brander Impressions</font><br>
	<?php } ?>
	
	
	<?php if (file_exists("peelads.php")) { ?>
		<input type="checkbox" name="showpeels" value="1"<? if($showpeels == 1) { echo(" checked"); } ?>> <font size="2">Peel Ad Impressions</font><br>
	<?php } ?>
	
	<?php if (file_exists("widgetads.php")) { ?>
		<input type="checkbox" name="showwidgets" value="1"<? if($showwidgets == 1) { echo(" checked"); } ?>> <font size="2">Widget Ad Impressions</font><br>
	<?php } ?>
	
	<input type="checkbox" name="showpurchmonth" value="1"<? if($showpurchmonth == 1) { echo(" checked"); } ?>> <font size="2">Purchased Past Month</font><br>
	<input type="checkbox" name="showpurchyear" value="1"<? if($showpurchyear == 1) { echo(" checked"); } ?>> <font size="2">Purchased Past Year</font><br>
	<input type="checkbox" name="showpurchlife" value="1"<? if($showpurchlife == 1) { echo(" checked"); } ?>> <font size="2">Purchased Lifetime</font><br>
	
	<?php if (file_exists("showpiggy.php")) { ?>
		<input type="checkbox" name="showpiggybnk" value="1"<? if($showpiggybnk == 1) { echo(" checked"); } ?>> <font size="2">Piggy Bank</font><br>
	<?php } ?>
	
	<input type="checkbox" name="showcomm" value="1"<? if($showcomm == 1) { echo(" checked"); } ?>> <font size="2">Commissions Owed</font><br>
	<input type="checkbox" name="showcommp" value="1"<? if($showcommp == 1) { echo(" checked"); } ?>> <font size="2">Commissions Paid</font><br>
	<input type="checkbox" name="showsales" value="1"<? if($showsales == 1) { echo(" checked"); } ?>> <font size="2">Number of Sales</font><br>
	<input type="checkbox" name="showrefs" value="1"<? if($showrefs == 1) { echo(" checked"); } ?>> <font size="2">Number of Referrals</font><br>
	<input type="checkbox" name="showclicks" value="1"<? if($showclicks == 1) { echo(" checked"); } ?>> <font size="2">Clicks Today</font><br>
	<input type="checkbox" name="showclicksyester" value="1"<? if($showclicksyester == 1) { echo(" checked"); } ?>> <font size="2">Clicks Yesterday</font><br>
	<input type="checkbox" name="showstatus" value="1"<? if($showstatus == 1) { echo(" checked"); } ?>> <font size="2">Account Status</font><br>
	
	<?
	// List Custom Fields
	$getfields = lfmsql_query("SELECT id, name FROM `".$prefix."customfields` ORDER BY rank ASC");
     	for ($i = 0; $i < lfmsql_num_rows($getfields); $i++) {
     		$fieldid = lfmsql_result($getfields, $i, "id");
     		$fieldname = lfmsql_result($getfields, $i, "name");
     		echo('<input type="checkbox" name="showcustom[]" value="'.$fieldid.'"'); if(array_search($fieldid, explode(",", $showcustom)) !==false) { echo(" checked"); } echo('> <font size="2">'.$fieldname.'<br>');
     	}
	// End List Custom Fields
	?>
	
	</td></tr>
	
	<tr><td>
	<INPUT type="submit" name="Submit" value="Update Grid">
	</td></tr>
	
	</table>
	</form>

<br><br>

</center>
</body>
</html>

<?php
exit;
?>