<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.52
// Copyright ©2006-2021 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

if(!isset($_SESSION["adminid"])) { exit; };

    // Get some stats
    $mres=@lfmsql_query("SELECT count(*) as mcount FROM ".$prefix."members");
    $mrow=@lfmsql_fetch_array($mres);
    
    // Count members who are verified and subscribed
    $mactres=@lfmsql_query("SELECT count(*) as mcount FROM ".$prefix."members WHERE status='Active' AND newsletter=1");
    $mactrow=@lfmsql_fetch_array($mactres);
    
    // Count members who are not yet verified
    $munvres=@lfmsql_query("SELECT count(*) as mcount FROM ".$prefix."members WHERE status='Unverified'");
    $munvrow=@lfmsql_fetch_array($munvres);
    
     // Count members who were verified but have unsubscribed
    $munsres=@lfmsql_query("SELECT count(*) as mcount FROM ".$prefix."members WHERE status='Active' AND newsletter=0");
    $munsrow=@lfmsql_fetch_array($munsres);
    
     // Count suspended members
    $msusres=@lfmsql_query("SELECT count(*) as mcount FROM ".$prefix."members WHERE status='Suspended'");
    $msusrow=@lfmsql_fetch_array($msusres);
    
    // Count members who have a bouncing email address
    $mbounceres=@lfmsql_query("SELECT count(*) as mcount FROM ".$prefix."members WHERE status='Active' AND bouncemode=3");
    $mbouncerow=@lfmsql_fetch_array($mbounceres);

?>

<!-- Start Members Dashboard -->

<div class="col-12 col-lg-6 col-xl-4">
	<div class="card">
		<div class="card-header">
			<h5 class="card-title mb-0">Member Dashboard</h5>
		</div>
		<div class="card-body pb-0">

<table class="table table-striped">
  <tbody>
    <tr>
      <td align="right" width="75%">Total Members (<a target="_self" href="admin.php?f=mm&sf=browse">View</a>): </td>
      <td align="left" width="25%"><b><?=$mrow["mcount"];?></b></td>
      </tr>
      
    <tr>
      <td align="right">Subscribed Members (<a target="_self" href="admin.php?f=mm&sf=browse&show=subscribed">View</a>): </td>
      <td align="left"><b><?=$mactrow["mcount"];?></b></td>
      </tr>
      
    <tr>
      <td align="right">Unverified Members (<a target="_self" href="admin.php?f=mm&sf=browse&show=unverified">View</a>): </td>
      <td align="left"><b><?=$munvrow["mcount"];?></b></td>
      </tr>
      
    <tr>
      <td align="right">Suspended Members (<a target="_self" href="admin.php?f=mm&sf=browse&show=suspended">View</a>): </td>
      <td align="left"><b><?=$msusrow["mcount"];?></b></td>
      </tr>
      
    <tr>
      <td align="right">Unsubscribed Members (<a target="_self" href="admin.php?f=mm&sf=browse&show=unsubscribed">View</a>): </td>
      <td align="left"><b><?=$munsrow["mcount"];?></b></td>
    </tr>
    
    <tr>
      <td align="right">Bounced Mail Members (<a target="_self" href="admin.php?f=mm&sf=browse&show=bounced">View</a>): </td>
      <td align="left"><b><?=$mbouncerow["mcount"];?></b></td>
    </tr>
  </tbody>
</table>

		</div>
	</div>
</div>

<!-- End Members Dashboard -->