<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.52
// Copyright ©2006-2021 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

if(!isset($_SESSION["adminid"])) { exit; };

    // Get some stats
    $sres=@lfmsql_query("SELECT sum(itemamount) as tsales FROM ".$prefix."sales where salestier=1");
    $srow=@lfmsql_fetch_array($sres);
    $rres=@lfmsql_query("SELECT sum(itemamount) as trefunds FROM ".$prefix."sales where salestier=1 and status = 'R'");
    $rrow=@lfmsql_fetch_array($rres);
    $pres=@lfmsql_query("SELECT sum(commission) as tcommspaid FROM ".$prefix."sales WHERE status = 'P'");
    $prow=@lfmsql_fetch_array($pres);
    $cres=@lfmsql_query("SELECT sum(commission) as tcomms FROM ".$prefix."sales WHERE status IS NULL");
    $crow=@lfmsql_fetch_array($cres);
    
    $profit = $srow["tsales"]-($rrow["trefunds"]+$prow["tcommspaid"]+$crow["tcomms"]);

?>

<!-- Start Sales Dashboard -->

<div class="col-12 col-lg-6 col-xl-4">
	<div class="card">
		<div class="card-header">
			<h5 class="card-title mb-0">Sales Dashboard</h5>
		</div>
		<div class="card-body pb-0">

		<p class="text-center"><a href="admin.php?f=ipnsales&processor=salesglance">View SalesGlance</a></p>

<table class="table table-striped">
  <tbody>
    <tr>
      <td align="right" width="75%">Total Sales: </td>
      <td align="left" width="25%"><b><?=number_format($srow["tsales"],2);?></b></td>
      </tr>
      
    <tr>
      <td align="right">Total Refunds: </td>
      <td align="left"><b><?=number_format($rrow["trefunds"],2);?></b></td>
      </tr>
      
    <tr>
      <td align="right">Comm. Paid: </td>
      <td align="left"><b><?=number_format($prow["tcommspaid"],2);?></b></td>
      </tr>
      
    <tr>
      <td align="right">Comm. Owing: </td>
      <td align="left"><b><?=number_format($crow["tcomms"],2);?></b></td>
    </tr>
    
    <tr>
      <td align="right">Profit: </td>
      <td align="left"><b><?=number_format($profit,2);?></b></td>
    </tr>
  </tbody>
</table>

		</div>
	</div>
</div>

<!-- End Sales Dashboard -->