<?php

// LFM Authorize.net Integration v1.0
// Written By Josh Abbott

// This file pulls the API login and transaction key from the Payment Settings in the database.
// For greater security, you can set the $loginId and $transactionKey variables in this file
// instead of storing them in the database.

$getauthnet = lfmsql_query("SELECT payee, verify FROM ".$prefix."ipn_merchants WHERE name='AuthNet'");
if (lfmsql_num_rows($getauthnet) < 1) {
	echo("Authorize.net settings not found in the database.");
	exit;
}

$loginId = lfmsql_result($getauthnet, 0, "payee");
$transactionKey = lfmsql_result($getauthnet, 0, "verify");

if (substr($loginId, 0, 4) == 'TEST') {
	$authnetrequesturl = "https://apitest.authorize.net/xml/v1/request.api";
	$authnetprofileurl = "https://test.authorize.net/customer/";
	$loginId = substr($loginId, 4);
} else {
	$authnetrequesturl = "https://api.authorize.net/xml/v1/request.api";
	$authnetprofileurl = "https://accept.authorize.net/customer/";
}

?>