<?php

// LFM Authorize.net Integration v1.0
// Written By Josh Abbott

// A page inside the members area where members can view and update their payment methods

require_once "inc/filter.php";
session_start();
include "inc/userauth.php";
$userid = $_SESSION["userid"];

$getuserdata = lfmsql_query("Select email, mtype, joindate from ".$prefix."members where Id=$userid");
$useremail = lfmsql_result($getuserdata, 0, "email");
$mtype = lfmsql_result($getuserdata, 0, "mtype");
$joindate = lfmsql_result($getuserdata, 0, "joindate");
include "inc/theme.php";

require_once "authnet_ipn_funcs.php";

$xmlStr = <<<XML
﻿<?xml version="1.0" encoding="utf-8"?>
<getHostedProfilePageRequest xmlns="AnetApi/xml/v1/schema/AnetApiSchema.xsd">
<merchantAuthentication></merchantAuthentication>
<customerProfileId></customerProfileId>
<hostedProfileSettings>
<setting><settingName>hostedProfileReturnUrl</settingName></setting>
<setting><settingName>hostedProfileIFrameCommunicatorUrl</settingName></setting>
<setting><settingName>hostedProfileReturnUrlText</settingName><settingValue>Back to Confirmation Page</settingValue></setting>
<setting><settingName>hostedProfilePageBorderVisible</settingName><settingValue>false</settingValue></setting>
<setting><settingName>hostedProfileBillingAddressOptions</settingName><settingValue>showBillingAddress</settingValue></setting>
<setting><settingName>hostedProfileManageOptions</settingName><settingValue>showPayment</settingValue></setting>
</hostedProfileSettings>
</getHostedProfilePageRequest>
XML;
$xml = new SimpleXMLElement($xmlStr);

require "authnet_config.php";

$xml->merchantAuthentication->addChild('name', $loginId);
$xml->merchantAuthentication->addChild('transactionKey', $transactionKey);

$xml->customerProfileId = authnetGetCustomerId($userid);
$xml->hostedProfileSettings->setting[0]->addChild('settingValue', curPageURL()."authnet_return.html");
$xml->hostedProfileSettings->setting[1]->addChild('settingValue', curPageURL()."authnet_IFrameCommunicator.html");

try {    //setting the curl parameters.
        $ch = curl_init();
    if (false === $ch) {
        throw new Exception('failed to initialize');
    }
    curl_setopt($ch, CURLOPT_URL, $authnetrequesturl);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/xml'));
    curl_setopt($ch, CURLOPT_POSTFIELDS, $xml->asXML());
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 300);
    // The following two curl SSL options are set to "false" for ease of development/debug purposes only.
    // Any code used in production should either remove these lines or set them to the appropriate
    // values to properly use secure connections for PCI-DSS compliance.
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);    //for production, set value to true or 1
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);    //for production, set value to 2
    curl_setopt($ch, CURLOPT_DNS_USE_GLOBAL_CACHE, false);
    $content = curl_exec($ch);
    $response = new SimpleXMLElement($content);
    if (false === $content) {
        throw new Exception(curl_error($ch), curl_errno($ch));
    }
    curl_close($ch);
} catch (Exception $e) {
        trigger_error(sprintf('Curl failed with error #%d: %s', $e->getCode(), $e->getMessage()), E_USER_ERROR);
}

function curPageURL()
{
    $pageURL = 'http';
    if ($_SERVER["HTTPS"] == "on") {
        $pageURL .= "s";
    }
    $pageURL .= "://";
    if ($_SERVER["SERVER_PORT"] != "80") {
        $pageURL .= $_SERVER["SERVER_NAME"].":".$_SERVER["SERVER_PORT"].$_SERVER["REQUEST_URI"];
    } else {
        $pageURL .= $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];
    }

     $pageLocation = str_replace('authnet_paymethods.php', '', $pageURL);

     return $pageLocation;
}
	
	if ($response->messages->resultCode != "Ok") {
		echo("Could not get payment data");
		exit();	
	}
	
####################

//Begin main page

####################

load_template ($theme_dir."/header.php");
load_template ($theme_dir."/mmenu.php");

$thirtyminago = time() - 1800;
if (isset($_SESSION['authnetbuyid']) && is_numeric($_SESSION['authnetbuyid']) && $_SESSION['authnetbuyid'] > 0 && $_SESSION['authnetbuytime'] >= $thirtyminago) {
	// Show the button to retry a purchase
	$extra=0;
	if (isset($_SESSION['authnetbuyname']) && strlen($_SESSION['authnetbuyname']) > 0) {
		if (strpos($_SESSION['authnetbuyname'], " - ") !== false) {
			$splitauthnetbuyname = explode('-', $_SESSION['authnetbuyname']);
			$extra = trim($splitauthnetbuyname[count($splitauthnetbuyname)-1]);
		}
	}
	$getitem = lfmsql_query("SELECT * FROM ".$prefix."ipn_products WHERE id='".$_SESSION['authnetbuyid']."'") or die(lfmsql_error());
	if (lfmsql_num_rows($getitem) > 0) {
		$iteminfo = lfmsql_fetch_array($getitem);
		echo('<br><center><div style="border: 1px solid #000000; border-radius:25px; width:550px; padding:15px;">
			<h2 style="text-align:center;">Complete Your Purchase</h2>
			<p style="text-align:left;">After adding a new payment method below, click this Purchase button to complete your purchase of: '.$iteminfo['name'].'</p>
			'.show_button_code($_SESSION['authnetbuyid'], 6, $extra).'
		</div></center><br>');
	}
}

?>

<script type="text/javascript">

	var baseUrl = "<?php echo($authnetprofileurl); ?>";
	var onLoad = true;
	tab = null;

	function showTab(target){
		//onLoad = true;
		var currTime = sessionStorage.getItem("lastTokenTime");
		if (currTime === null || (Date.now()-currTime)/60000 > 15){
			location.reload(true);
			onLoad = true;
		}
		if (onLoad) {
			setTimeout(function(){ 
				$("#send_token").attr({"action":baseUrl+"manage","target":"load_profile" }).submit();
			} ,100);
			onLoad = false;
		}

		$("#load_profile").show();
	}

	$(function(){
		onLoad = true;
		sessionStorage.setItem("lastTokenTime",Date.now());
		showTab("#profile");
	});

</script>
	
	<center>

		<div id="iframe_holder" class="center-block" style="width:90%;max-width: 1000px">

			<iframe id="load_profile" class="embed-responsive-item" name="load_profile" width="100%" height="1150px" frameborder="0" scrolling="no">
			</iframe>

			<form id="send_token" action="" method="post" target="load_profile" >
				<input type="hidden" name="token" value="<?php echo $response->token ?>" />
				<input type="hidden" name="paymentProfileId" value="" />
				<input type="hidden" name="shippingAddressId" value="" />
			</form>
			
		</div>

		<div class="tab-content panel-group">
			<div class="tab-pane" id="profile" hidden="true"></div>
		</div>

	</center>

<?php
include $theme_dir."/footer.php";
exit;
?>