<?php

// BalloonPop Game
// 2016 LFM Wealth Systems, http://thetrafficexchangescript.com
// Licensed for the LFMTE script

require_once "inc/filter.php";
require_once "inc/funcs.php";

session_start();

if(isset($_SESSION["uid"]) && $_SESSION["uid"] != "") {
	include "inc/userauth.php";
	$userid = $_SESSION["userid"];
	$countcredits = lfmsql_query("select email from ".$prefix."members where Id=$userid");
	$useremail = lfmsql_result($countcredits, 0, "email");
} else {
	include "inc/config.php";
	lfmsql_connect($dbhost,$dbuser,$dbpass);
	lfmsql_select_db($dbname) or die( "Unable to select database");
	$userid = 0;
}

$bpopenabled = lfmsql_result(lfmsql_query("SELECT value FROM ".$prefix."bpopsets WHERE field='modenabled'"), 0);
$lboarddisp = lfmsql_result(lfmsql_query("SELECT value FROM ".$prefix."bpopsets WHERE field='lboarddisp'"), 0);

if ($userid > 0) {
	// CURRENT BALLOONS
	$curballfield = lfmsql_result(lfmsql_query("SELECT id FROM ".$prefix."customfields WHERE name='Current Balloons' "),0) or die(lfmsql_error());
	$gcurball = lfmsql_query("SELECT fieldvalue FROM ".$prefix."customvals WHERE fieldid='$curballfield' AND userid='$userid' ");
	if (lfmsql_num_rows($gcurball) == 1) {
		$cballoons = lfmsql_result($gcurball,0);
	} else {
		$cballoons = 0;
		@lfmsql_query("DELETE FROM ".$prefix."customvals WHERE fieldid='$curballfield' AND userid='$userid' ");
		@lfmsql_query("INSERT INTO ".$prefix."customvals (fieldid,userid,fieldvalue) VALUES ('$curballfield','$userid','0') ");
	}
	
	// LIFETIME BALLOONS
	$lifeballfield = lfmsql_result(lfmsql_query("SELECT id FROM ".$prefix."customfields WHERE name='Lifetime Balloons' "),0) or die(lfmsql_error());
	$glifeball = lfmsql_query("SELECT fieldvalue FROM ".$prefix."customvals WHERE fieldid='$lifeballfield' AND userid='$userid' ");
	if (lfmsql_num_rows($glifeball) == 1) {
		$lballoons = lfmsql_result($glifeball,0);
	} else {
		$lballoons = 0;
		@lfmsql_query("DELETE FROM ".$prefix."customvals WHERE fieldid='$lifeballfield' AND userid='$userid' ");
		@lfmsql_query("INSERT INTO ".$prefix."customvals (fieldid,userid,fieldvalue) VALUES ('$lifeballfield','$userid','0') ");
	}
} else {
	$curballfield = lfmsql_result(lfmsql_query("SELECT id FROM ".$prefix."customfields WHERE name='Current Balloons' "),0) or die(lfmsql_error());
	$lifeballfield = lfmsql_result(lfmsql_query("SELECT id FROM ".$prefix."customfields WHERE name='Lifetime Balloons' "),0) or die(lfmsql_error());
	$cballoons = 0;
	$lballoons = 0;
}

$lbhtml = "";

if ($bpopenabled == 1) {
	
	$getballoonboard = lfmsql_query("SELECT template_data FROM `".$prefix."templates` WHERE template_name='BalloonPop Leaderboard' LIMIT 1");
	if (lfmsql_num_rows($getballoonboard) > 0) {
		$balloonboard = lfmsql_result($getballoonboard, 0, "template_data");
		
		if (function_exists('html_entity_decode')) {
		   $balloonboard = html_entity_decode($balloonboard);
		} else {
		   $balloonboard = unhtmlentities($balloonboard);
		}
		
		$balloonboard = translate_site_tags($balloonboard);
		$balloonboard = translate_user_tags($balloonboard,$useremail);
		
	} else {
		$balloonboard = "";
	}
	$lbhtml .= $balloonboard;
	
	if ($userid > 0) {
		$lbhtml .= "<center>Your Current Score: <b>$cballoons</b></center>";
	}
	
	$gettopplayers = lfmsql_query("SELECT userid, CAST(fieldvalue AS UNSIGNED) AS fieldvalue FROM ".$prefix."customvals WHERE fieldid='$curballfield' AND fieldvalue>0 ORDER BY fieldvalue DESC LIMIT $lboarddisp ");
	if ($lboarddisp > 0 && lfmsql_num_rows($gettopplayers) > 0) {
		$lbhtml .= "<br><br><center><table style=\"width:300px;\">
			<tr style=\"font-weight:bold;\">
			  <td>Member</td>
			  <td style=\"text-align:center;\">Score</td>
			</tr>
		";
		while ($tplayer = lfmsql_fetch_array($gettopplayers)) {
			$firstname = "[USER NOT FOUND]";
			$lastname = "";
			$getuser = lfmsql_query("SELECT firstname, lastname FROM ".$prefix."members WHERE Id='".$tplayer['userid']."' ");
			if (lfmsql_num_rows($getuser) == 1) {
				$firstname = lfmsql_result($getuser, 0, "firstname");
				$lastname = lfmsql_result($getuser, 0, "lastname");
			}
			$lbhtml .= "<tr><td>".text_filter($firstname)." ".text_filter($lastname)."</td><td style=\"text-align:center;\">".$tplayer['fieldvalue']."</td></tr>";
		}
		$lbhtml .= "</table></center>";
	} else {
		$lbhtml .= "<br><br><center>No Results To Display</center>";
	}
} else {
	$lbhtml .= "<br><br><center>The Balloon Pop Game Is Disabled</center>";
}

$lbhtml = str_replace("'", "\'", $lbhtml);
$lbhtml = preg_replace("/((\r(?!\n))|((?<!\r)\n)|(\r\n))/", "", $lbhtml);

$lbhtml = "document.write('".$lbhtml."');";

echo($lbhtml);

exit;

?>