<?php

// LFMTE Chat Mod v5
// 2016 LFM Wealth Systems, http://thetrafficexchangescript.com
// Licensed for the LFMTE script

if (!isset($_SESSION['adminun'])){
	@session_destroy();
	echo("<p>Session Error...</p>");
	echo("<meta http-equiv=\"refresh\" content=\"2; URL=index.php\">");
	exit;
}

$modmodlog  = @lfmsql_result(@lfmsql_query("SELECT modlog FROM `chat_moderators` WHERE roomid='".$_SESSION['roomid']."' AND userid=".$_SESSION['adminid']), 0);

if ($modmodlog != 1) {
	echo("<p>Your moderator account does not have access to the Moderator Logs.</p>");
	exit;
}

?>

<html>

<head>
<script type="text/javascript" src="datepickercontrol.js"></script>
<link type="text/css" rel="stylesheet" href="datepickercontrol.css">
</head>

<body>

<?

if (isset($_GET['page']) && is_numeric($_GET['page']) && $_GET['page'] > 1) {
	$page = $_GET['page'];
} else {
	$page = 1;
}

if (isset($_GET['perpage']) && is_numeric($_GET['perpage']) && $_GET['perpage'] > 0) {
	$perpage = $_GET['perpage'];
} elseif (isset($_POST['perpage']) && is_numeric($_POST['perpage']) && $_POST['perpage'] > 0) {
	$perpage = $_POST['perpage'];
} else {
	$perpage = 20;
}

if (isset($_GET['logtype']) && is_numeric($_GET['logtype']) && $_GET['logtype'] >= 0) {
	$logtype = $_GET['logtype'];
} elseif (isset($_POST['logtype']) && is_numeric($_POST['logtype']) && $_POST['logtype'] >= 0) {
	$logtype = $_POST['logtype'];
} else {
	$logtype = 0;
}

if (isset($_GET['modname'])) {
	$modname = urldecode($_GET['modname']);
} elseif (isset($_POST['modname'])) {
	$modname = $_POST['modname'];
} else {
	$modname = "";
}

if (isset($_GET['memname'])) {
	$memname = urldecode($_GET['memname']);
} elseif (isset($_POST['memname'])) {
	$memname = $_POST['memname'];
} else {
	$memname = "";
}

$offset = ($page*$perpage)-$perpage;

if (isset($_GET['startstamp']) && is_numeric($_GET['startstamp']) && isset($_GET['endstamp']) && is_numeric($_GET['endstamp'])) {

	// Get range from timestamps
	$_POST['startdate'] = strftime("%Y-%m-%d", $_GET['startstamp']);
	$_POST['starthour'] = strftime("%H", $_GET['startstamp']);
	$_POST['startminute'] = strftime("%M", $_GET['startstamp']);

	$_POST['enddate'] = strftime("%Y-%m-%d", $_GET['endstamp']);
	$_POST['endhour'] = strftime("%H", $_GET['endstamp']);
	$_POST['endminute'] = strftime("%M", $_GET['endstamp']);

	if ($_POST['starthour'] > 12) {
		$_POST['starthour'] = $_POST['starthour'] - 12;
		$_POST['startampm'] = 2;
	} else {
		$_POST['startampm'] = 1;
	}

	if ($_POST['endhour'] > 12) {
		$_POST['endhour'] = $_POST['endhour'] - 12;
		$_POST['endampm'] = 2;
	} else {
		$_POST['endampm'] = 1;
	}

	if ($_POST['starthour'] == 0) {
		$_POST['starthour'] = 12;
	}

	if ($_POST['endhour'] == 0) {
		$_POST['endhour'] = 12;
	}

	if ($_POST['startminute'] >= 45) {
		$_POST['startminute'] = 4;
	} elseif ($_POST['startminute'] >= 30) {
		$_POST['startminute'] = 3;
	} elseif ($_POST['startminute'] >= 15) {
		$_POST['startminute'] = 2;
	} else {
		$_POST['startminute'] = 1;
	}

	if ($_POST['endminute'] >= 45) {
		$_POST['endminute'] = 4;
	} elseif ($_POST['endminute'] >= 30) {
		$_POST['endminute'] = 3;
	} elseif ($_POST['endminute'] >= 15) {
		$_POST['endminute'] = 2;
	} else {
		$_POST['endminute'] = 1;
	}

}

if (!isset($_POST['startdate']) || !isset($_POST['starthour']) || !isset($_POST['startminute'])) {
	$_POST['startdate'] = date("Y-m-d");
	$_POST['starthour'] = 12;
	$_POST['startminute'] = 1;
	$_POST['startampm'] = 1;
}

if (!isset($_POST['enddate']) || !isset($_POST['endhour']) || !isset($_POST['endminute'])) {
	$_POST['enddate'] = strftime("%Y-%m-%d", strtotime(date("Y-m-d")." + 1 days"));
	$_POST['endhour'] = 12;
	$_POST['endminute'] = 1;
	$_POST['endampm'] = 1;
}

// Parse Start Date
	$startdate = $_POST['startdate'];
	$starthour = round($_POST['starthour']);
	$startminute = $_POST['startminute'];
	
	if (isset($_POST['startampm']) && $_POST['startampm'] == 1 && $starthour == 12) {
		// Adjust Midnight to 24-hour clock
		$starthour = 0;
	}
	
	if ($starthour < 12) {
		// Check AM/PM
		if (isset($_POST['startampm']) && $_POST['startampm'] == 2) {
			$starthour = $starthour+12;
		}
	}
	
	if ($starthour < 0 || $starthour > 23) {
		echo("<p><b>Invalid Start Hour</b></p><p><a href=\"index.php?roomkey=".$_GET['roomkey']."&modviewer=yes\">Go Back</a></p>");
		exit;
	}
	
	if ($startminute < 1 || $startminute > 4) {
		echo("<p><b>Invalid Start Minute Selection</b></p><p><a href=\"index.php?roomkey=".$_GET['roomkey']."&modviewer=yes\">Go Back</a></p>");
		exit;
	}
	
	if ($startminute == 1) {
		$realstartminute = "00";
	} elseif ($startminute == 2) {
		$realstartminute = "15";
	} elseif ($startminute == 3) {
		$realstartminute = "30";
	} else {
		$realstartminute = "45";
	}
	
	if ($starthour < 10) {
		$starthour = "0".$starthour;
	}
	
	$starttime = $startdate." ".$starthour.":".$realstartminute;
	if (($starttimestamp = strtotime($starttime)) === false) {
		echo("<p><b>Could not parse the start date: ".$starttime."</b></p><p><a href=\"index.php?roomkey=".$_GET['roomkey']."&modviewer=yes\">Go Back</a></p>");
		exit;
	}
	$starttime = $starthour.":".$realstartminute;
// End Parse Start Date
	
	
// Parse End Date
	$enddate = $_POST['enddate'];
	$endhour = round($_POST['endhour']);
	$endminute = $_POST['endminute'];
	
	if (isset($_POST['endampm']) && $_POST['endampm'] == 1 && $endhour == 12) {
		// Adjust Midnight to 24-hour clock
		$endhour = 0;
	}
	
	if ($endhour < 12) {
		// Check AM/PM
		if (isset($_POST['endampm']) && $_POST['endampm'] == 2) {
			$endhour = $endhour+12;
		}
	}
	
	if ($endhour < 0 || $endhour > 23) {
		echo("<p><b>Invalid End Hour</b></p><p><a href=\"index.php?roomkey=".$_GET['roomkey']."&modviewer=yes\">Go Back</a></p>");
		exit;
	}
	
	if ($endminute < 1 || $endminute > 4) {
		echo("<p><b>Invalid End Minute Selection</b></p><p><a href=\"index.php?roomkey=".$_GET['roomkey']."&modviewer=yes\">Go Back</a></p>");
		exit;
	}
	
	if ($endminute == 1) {
		$realendminute = "00";
	} elseif ($endminute == 2) {
		$realendminute = "15";
	} elseif ($endminute == 3) {
		$realendminute = "30";
	} else {
		$realendminute = "45";
	}
	
	if ($endhour < 10) {
		$endhour = "0".$endhour;
	}
	
	$endtime = $enddate." ".$endhour.":".$realendminute;
	if (($endtimestamp = strtotime($endtime)) === false) {
		echo("<p><b>Could not parse the end date: ".$endtime."</b></p><p><a href=\"index.php?roomkey=".$_GET['roomkey']."&modviewer=yes\">Go Back</a></p>");
		exit;
	}
	$endtime = $endhour.":".$realendminute;
// End Parse End Date

if ($starttimestamp > $endtimestamp) {
	echo("<p><b>The start date must be before the end date.</b></p><p><a href=\"index.php?roomkey=".$_GET['roomkey']."&modviewer=yes\">Go Back</a></p>");
	exit;
}

?>

<table border="1" bordercolor="gray" cellpadding="5" cellspacing="0" width="430">
<tr><td align="center" valign="middle">
	
	<form action="index.php?roomkey=<? echo($_GET['roomkey']); ?>&modviewer=yes" method="post" style="margin:0;">
	<table border="0" cellpadding="3" cellspacing="0">
	<tr>
		<td><font size="2"><b>Start Date:</b></font></td>
		<td><input name="startdate" type id="DPC_startdate_YYYY-MM-DD" value="<? echo($_POST['startdate']); ?>" width="80" text></td>
		<td><input type="text" name="starthour" value="<? echo($_POST['starthour']); ?>" size="3" maxlength="2"></td>
		<td><select name="startminute">
				<option value="1"<? if ($_POST['startminute'] == 1) { echo(" selected=\"selected\""); } ?>>:00</option>
				<option value="2"<? if ($_POST['startminute'] == 2) { echo(" selected=\"selected\""); } ?>>:15</option>
				<option value="3"<? if ($_POST['startminute'] == 3) { echo(" selected=\"selected\""); } ?>>:30</option>
				<option value="4"<? if ($_POST['startminute'] == 4) { echo(" selected=\"selected\""); } ?>>:45</option>
		</select></td>
		<td><select name="startampm">
				<option value="1"<? if ($_POST['startampm'] == 1) { echo(" selected=\"selected\""); } ?>>AM</option>
				<option value="2"<? if ($_POST['startampm'] == 2) { echo(" selected=\"selected\""); } ?>>PM</option>
		</select></td>
	</tr>
	<tr>
		<td><font size="2"><b>End Date:</b></font></td>
		<td><input name="enddate" type id="DPC_enddate_YYYY-MM-DD" value="<? echo($_POST['enddate']); ?>" width="80" text></td>
		<td><input type="text" name="endhour" value="<? echo($_POST['endhour']); ?>" size="3" maxlength="2"></td>
		<td><select name="endminute">
				<option value="1"<? if ($_POST['endminute'] == 1) { echo(" selected=\"selected\""); } ?>>:00</option>
				<option value="2"<? if ($_POST['endminute'] == 2) { echo(" selected=\"selected\""); } ?>>:15</option>
				<option value="3"<? if ($_POST['endminute'] == 3) { echo(" selected=\"selected\""); } ?>>:30</option>
				<option value="4"<? if ($_POST['endminute'] == 4) { echo(" selected=\"selected\""); } ?>>:45</option>
		</select></td>
		<td><select name="endampm">
				<option value="1"<? if ($_POST['endampm'] == 1) { echo(" selected=\"selected\""); } ?>>AM</option>
				<option value="2"<? if ($_POST['endampm'] == 2) { echo(" selected=\"selected\""); } ?>>PM</option>
		</select></td>
	</tr>
	<tr>
		<td><font size="2"><b>Entries Per Page:</b></font></td>
		<td colspan="4"><input type="text" name="perpage" value="<? echo($perpage); ?>"></td>
	</tr>
	<tr>
		<td><font size="2"><b>Moderator Username:</b></font></td>
		<td colspan="4"><input type="text" name="modname" value="<? echo($modname); ?>"></td>
	</tr>
	<tr>
		<td><font size="2"><b>Member Username:</b></font></td>
		<td colspan="4"><input type="text" name="memname" value="<? echo($memname); ?>"></td>
	</tr>
	<tr>
		<td><font size="2"><b>Log Type:</b></font></td>
		<td colspan="4"><select name="logtype">
				<option value="0"<? if ($logtype == 0) { echo(" selected=\"selected\""); } ?>>All</option>
				<option value="1"<? if ($logtype == 1) { echo(" selected=\"selected\""); } ?>>Member Warned</option>
				<option value="2"<? if ($logtype == 2) { echo(" selected=\"selected\""); } ?>>Member Suspended</option>
				<option value="3"<? if ($logtype == 3) { echo(" selected=\"selected\""); } ?>>Member Unsuspended</option>
		</select></td>
	</tr>
	<tr>
		<td align="center" colspan="5"><input type="submit" value="View Chat Log"></td>
	</tr>
	</table>
	</form>
	
</td></tr>
</table>
<br><br>
<?

if ($modname != "") {
	$getmemid = lfmsql_query("SELECT id FROM `chat_users` WHERE isadmin=1 AND username LIKE '%".$modname."%'");
	if (lfmsql_num_rows($getmemid) > 0) {
		$memidlist = "";
		for ($i = 0; $i < lfmsql_num_rows($getmemid); $i++) {
			$memid = lfmsql_result($getmemid, $i, "id");
			if ($i > 0) { $memidlist .= " OR "; }
			$memidlist .= "adminid=".$memid;
		}
		$modquery = "(".$memidlist.") AND ";
	} else {
		$memid = 0;
		$modquery = "(adminid=".$memid.") AND ";
	}
} else {
	$modquery = "";
}

if ($memname != "") {
	$getmemid = lfmsql_query("SELECT id FROM `chat_users` WHERE username LIKE '%".$memname."%'");
	if (lfmsql_num_rows($getmemid) > 0) {
		$memidlist = "";
		for ($i = 0; $i < lfmsql_num_rows($getmemid); $i++) {
			$memid = lfmsql_result($getmemid, $i, "id");
			if ($i > 0) { $memidlist .= " OR "; }
			$memidlist .= "userid=".$memid;
		}
		$memquery = "(".$memidlist.") AND ";
	} else {
		$memid = 0;
		$memquery = "(userid=".$memid.") AND ";
	}
} else {
	$memquery = "";
}

if ($logtype > 0) {
	$typequery = "type=".$logtype." AND ";
} else {
	$typequery = "";
}

$numofmessages = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM chat_adminlog WHERE ".$modquery.$memquery.$typequery."time >= '".$starttimestamp."' AND time <= '".$endtimestamp."' AND roomid='".$_SESSION['roomid']."'"), 0);

if ($numofmessages == 0) {
	echo("
	<p><font size=\"2\"><b>There are no log entries in this time range</b></font></p>	
	</body>
	</html>");
	exit;
}

if ($numofmessages > $perpage) {
	// Show Page Numbers
	echo("<table border=\"1\" bordercolor=\"gray\" cellpadding=\"5\" cellspacing=\"0\" width=\"430\">
	<tr><td align=\"left\" valign=\"top\"><p><font size=\"3\"><b>Page:</b> ");
	$pagelinknum = 1;
	while (($pagelinknum*$perpage)-$perpage < $numofmessages) {
		if ($pagelinknum == $page) {
			// Current Page
			echo("<b> ".$pagelinknum." </b>");
		} else {
			// Output Page Link
			echo(" <a href=\"index.php?roomkey=".$_GET['roomkey']."&modviewer=yes&startstamp=".$starttimestamp."&endstamp=".$endtimestamp."&perpage=".$perpage."&logtype=".$logtype."&modname=".urlencode($modname)."&memname=".urlencode($memname)."&page=".$pagelinknum."\">$pagelinknum</a> ");
		}
		$pagelinknum = $pagelinknum+1;
	}
	echo("</font></p></td></tr></table><br>");
	// End Show Page Numbers
}

$getmessages = lfmsql_query("Select * from chat_adminlog WHERE ".$modquery.$memquery.$typequery."time >= '".$starttimestamp."' AND time <= '".$endtimestamp."' AND roomid='".$_SESSION['roomid']."' order by time ASC limit ".$offset.", ".$perpage);

echo("<table width=\"600\" border=\"0\" cellpadding=\"2\" cellspacing=\"0\">
");

for ($i = 0; $i < lfmsql_num_rows($getmessages); $i++) {

// Get Log Entry Info
$adminid = lfmsql_result($getmessages, $i, "adminid");
$userid = lfmsql_result($getmessages, $i, "userid");
$logtime = lfmsql_result($getmessages, $i, "time");
$logtext = lfmsql_result($getmessages, $i, "logentry");

// Format Time Info
$showtime = strftime("%I:%M", $logtime);
$showampm = strftime("%p", $logtime);
$showdate = strftime("%a %b %e, %Y", $logtime);

// Get User Info
$getuser = lfmsql_query("Select isadmin, username, picture from chat_users where id=$adminid limit 1");
if (lfmsql_num_rows($getuser) > 0) {

$getmember = lfmsql_query("SELECT username FROM chat_users WHERE id=".$userid);
if (lfmsql_num_rows($getmember) > 0) {
	$membername = lfmsql_result($getmember, 0, "username");
} else {
	$membername = "N/A";
}

$isadmin = lfmsql_result($getuser, 0, "isadmin");
$username = lfmsql_result($getuser, 0, "username");
$userpic = lfmsql_result($getuser, 0, "picture");

if ($isadmin == 1) {
	$namecolor = "red";
} else {
	$namecolor = "blue";
}

//Picture Size
if ($userpic != "") {
$picturesize = @getimagesize("../chatuserimg/".$userpic);
$picwidth = $picturesize[0];
$picheight = $picturesize[1];
//Get Width
if ($picwidth > 50) {
$reduceper = 50/$picwidth;
$picwidth = $picwidth*$reduceper;
$picheight = $picheight*$reduceper;
}
//Get Height
if ($picheight > 50) {
$reduceper = 50/$picheight;
$picwidth = $picwidth*$reduceper;
$picheight = $picheight*$reduceper;
}
}
//End Picture Size

$username = trim($username);

if ($userpic != "" && $userpic != "None" && file_exists("../chatuserimg/".$userpic)) {
	$usertitle = "<img border=\"0\" src=\"/chatuserimg/$userpic\" width=".$picwidth." height=".$picheight."><br /><font face=verdana size=2 color=".$namecolor.">$username</font>";
} else {
	$usertitle = "<font face=verdana size=2 color=".$namecolor.">$username</font>";
}

echo("<tr><td valign=\"middle\" align=\"center\" width=\"60\">$usertitle</td><td valign=\"middle\" align=\"left\" width=\"540\"><font face=verdana size=2 color=gray>$showdate $showtime $showampm</font><br /><font face=verdana size=2><b>Member:</b> ".$membername."<br><b>Action:</b> $logtext</font>");

if ($logtext != "") { echo("<br>"); }

echo("</td>");

echo("
</tr>

<tr><td valign=\"middle\" align=\"center\" colspan=\"4\"><img width=\"100%\" height=\"2\" border=\"0\" src=\"chatborder.jpg\"></td></tr>");


}
}

echo("</table>

</body>
</html>");

exit;
?>