<?php

// LFMTE Chat Mod v5
// 2016 LFM Wealth Systems, http://thetrafficexchangescript.com
// Licensed for the LFMTE script

if (!isset($_SESSION['adminun'])){
	@session_destroy();
	echo("<p>Session Error...</p>");
	echo("<meta http-equiv=\"refresh\" content=\"2; URL=index.php\">");
	exit;
}

$modabuse = @lfmsql_result(@lfmsql_query("SELECT abusereports FROM `chat_moderators` WHERE roomid='".$_SESSION['roomid']."' AND userid=".$_SESSION['adminid']), 0);
$modsuspend = @lfmsql_result(@lfmsql_query("SELECT suspend FROM `chat_moderators` WHERE roomid='".$_SESSION['roomid']."' AND userid=".$_SESSION['adminid']), 0);
$modwarn = @lfmsql_result(@lfmsql_query("SELECT warn FROM `chat_moderators` WHERE roomid='".$_SESSION['roomid']."' AND userid=".$_SESSION['adminid']), 0);

if ($modabuse != 1){
	echo("<p>Your moderator account does not have access to the Abuse Reports.</p>");
	exit;
}

$actiontext = "";

if (isset($_GET['reportid']) && is_numeric($_GET['reportid'])) {

	if ($_POST['subaction'] == "Ignore Report") {
		lfmsql_query("UPDATE chat_abuse SET adminaction=1 WHERE id=".$_GET['reportid']) or die(lfmsql_error());
		$actiontext = "Report Ignored";
	} elseif ($_POST['subaction'] == "Send Warning" && $modwarn == 1) {
		lfmsql_query("INSERT INTO chat_adminlog (adminid, userid, roomid, type, time, logentry) VALUES (".$_SESSION['adminid'].", ".$_POST['memid'].", '".$_SESSION['roomid']."', 1, '".time()."', 'Warning Sent: ".$_POST['warntext']."')") or die(lfmsql_error());
		lfmsql_query("INSERT INTO chat_adminpms (adminid, userid, roomid, date, time, text, dismissed) VALUES (".$_SESSION['adminid'].", ".$_POST['memid'].", '".$_SESSION['roomid']."', NOW(), NOW(), '".$_POST['warntext']."', 0)") or die(lfmsql_error());
		lfmsql_query("UPDATE chat_abuse SET adminaction=2 WHERE id=".$_GET['reportid']) or die(lfmsql_error());
		$actiontext = "Warning Sent";
	} elseif ($_POST['subaction'] == "Suspend Member" && $modsuspend == 1) {
		
		$suspendlength = $_POST['suspendlength'];
		
		if ($_POST['suspendtype'] == "days") {
			$suspendlength = $suspendlength*24;
		} else {
			$_POST['suspendtype'] = "hours";
		}
		
		lfmsql_query("INSERT INTO chat_adminlog (adminid, userid, roomid, type, time, logentry) VALUES (".$_SESSION['adminid'].", ".$_POST['memid'].", '".$_SESSION['roomid']."', 2, '".time()."', 'Suspended for ".$_POST['suspendlength']." ".$_POST['suspendtype'].": ".$_POST['suspendtext']."')") or die(lfmsql_error());
		
		$suspendlength = $suspendlength*3600;
		$expiretime = time() + $suspendlength;
		
		if ($suspendlength < 1 || $suspendlength > 631138519) {
			// Ban for 20 years
			$expiretime = time() + 631138519;
		}
		
		lfmsql_query("INSERT INTO chat_suspended (userid, roomid, ipaddress, timebanned, banexpires, reason) VALUES (".$_POST['memid'].", '".$_SESSION['roomid']."', '".$_POST['memipaddress']."', '".time()."', '".$expiretime."', '".$_POST['suspendtext']."')") or die(lfmsql_error());
		lfmsql_query("UPDATE chat_abuse SET adminaction=3 WHERE id=".$_GET['reportid']) or die(lfmsql_error());
		$actiontext = "Member Suspended";
	}
}

echo("<center>
<p><font size=\"4\"><b>View Abuse Reports</b></font></p>");

if ($actiontext != "") {
	echo("<p><font size=\"3\">".$actiontext."</font></p>");
}

$getreports = lfmsql_query("Select * from chat_abuse where adminaction=0 AND roomid='".$_SESSION['roomid']."' order by time desc") or die(lfmsql_error());

if (lfmsql_num_rows($getreports) == 0) {
	echo("<p><font size=\"3\">No open abuse reports found.</font></p>");
	exit;
}

for ($i = 0; $i < lfmsql_num_rows($getreports); $i++) {
	
	$reportid = lfmsql_result($getreports, $i, "id");
	$memid = lfmsql_result($getreports, $i, "userid");
	$reportedby = lfmsql_result($getreports, $i, "reportedby");
	$time = lfmsql_result($getreports, $i, "time");
	$details = lfmsql_result($getreports, $i, "details");
	
	$reportdate = date('jS \of F Y', $time);
	$reporttime = date('g:i A', $time);
	
	$getmemdetails = lfmsql_query("SELECT username, ipaddress, picture FROM `chat_users` WHERE id='".$memid."' LIMIT 1") or die(lfmsql_error());
	
	if (lfmsql_num_rows($getmemdetails) > 0) {
		$memusername = lfmsql_result($getmemdetails, 0, "username");
		$memipadd = lfmsql_result($getmemdetails, 0, "ipaddress");
		$mempicture = lfmsql_result($getmemdetails, 0, "picture");
		
		//Picture Size
		if ($userpic != "") {
			$picturesize = @getimagesize("../chatuserimg/".$userpic);
			$picwidth = $picturesize[0];
			$picheight = $picturesize[1];
			//Get Width
			if ($picwidth > 50) {
				$reduceper = 50/$picwidth;
				$picwidth = $picwidth*$reduceper;
				$picheight = $picheight*$reduceper;
			}
			//Get Height
			if ($picheight > 50) {
				$reduceper = 50/$picheight;
				$picwidth = $picwidth*$reduceper;
				$picheight = $picheight*$reduceper;
			}
		}
		//End Picture Size

		
		echo("
		<br><br>
		<table border=\"2\" bordercolor=\"black\" cellpadding=\"5\" cellspacing=\"0\" width=\"500\">
		<tr><td align=\"center\">
		
		<p><img border=\"0\" src=\"/chatuserimg/$userpic\" width=".$picwidth." height=".$picheight."> <font size=\"3\"><b>".$memusername."</b></font> <font size=\"2\"><b><a target=\"_blank\" href=\"viewhistory.php?roomkey=".$_GET['roomkey']."&memberid=".$memid."\">View Member History</a></b></font></p>
		<p><font size=\"2\">Time Reported: ".$reportdate." ".$reporttime."</font></p>
		
		<p><font size=\"2\">Reason Reported:</font><br>
		<textarea id=\"reasondetails\" name=\"reasondetails\" wrap=\"soft\" cols=\"30\" rows=\"4\">".$details."</textarea>
		</p>
		
		<p><font size=\"2\"><b>Recent Chat Messages: </b></font></p>
		<iframe width=\"225\" height=\"500\" src=\"recentmessages.php?roomkey=".$_GET['roomkey']."&memberid=".$memid."\" scrolling=\"yes\"><p>Your browser is blocking iframes</p></iframe><br>
		
		<hr>
		
		<form action=\"index.php?roomkey=".$_GET['roomkey']."&viewreports=yes&reportid=".$reportid."\" method=\"post\">
		<input type=\"hidden\" name=\"memid\" value=\"".$memid."\">
		<input type=\"hidden\" name=\"memipaddress\" value=\"".$memipadd."\">
		
		<input type=\"submit\" name=\"subaction\" value=\"Ignore Report\"><br><br>
		
		<hr>
		
		<textarea id=\"warntext\" name=\"warntext\" wrap=\"soft\" cols=\"30\" rows=\"4\"></textarea><br>
		<input type=\"submit\" name=\"subaction\" value=\"Send Warning\""); if ($modwarn != 1) { echo(" disabled=\"disabled\""); } echo("><br><br>
		
		<hr>
		
		<p><font size=\"2\">Suspend Member For <input type=\"text\" size=\"2\" name=\"suspendlength\" value=\"1\"> <select name=\"suspendtype\"><option value=\"days\">Days</option><option value=\"hours\">Hours</option></select></p>
		<textarea id=\"suspendtext\" name=\"suspendtext\" wrap=\"soft\" cols=\"30\" rows=\"4\"></textarea><br>
		<input type=\"submit\" name=\"subaction\" value=\"Suspend Member\""); if ($modsuspend != 1) { echo(" disabled=\"disabled\""); } echo("><br><br>
		
		</form>
		
		</td></tr>
		</table>");
		
	}
}

exit;

?>