<?php

// LFMTE Chat Mod v5
// 2012-2020 Logiscape, http://thetrafficexchangescript.com
// Licensed for the LFMTE script

include("chatauth.php");

if (!is_numeric($userid)) {
	echo("Connection Error...");
	exit;
}

if (isset($_GET['dismissid']) && is_numeric($_GET['dismissid'])) {
	lfmsql_query("UPDATE `chat_adminpms` SET dismissed=1 WHERE userid=".$userid." AND id=".$_GET['dismissid']);
}

?>
<!DOCTYPE html>
<html lang="en-US" dir="ltr">

<!-- LFMTE Chat Mod v6 -->
<!-- (c) 2020 Logiscape LLC -->
<!-- http://thetrafficexchangescript.com -->

<head>

<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,500,600,700" rel="stylesheet">
<link href="chatfiles/emojionearea.css" rel="stylesheet">
<link href="chatfiles/bootstrap.min.css" rel="stylesheet">
<link href="chatfiles/chatstyles.css" rel="stylesheet">

<script language="javascript">

var xmlhttp_post = false;
var post_data = '';

var submit_message = '';

function post_chatmessage(post_message) {

	if(window.XMLHttpRequest){
		xmlhttp_post=new XMLHttpRequest();
		if(xmlhttp_post.overrideMimeType){
			xmlhttp_post.overrideMimeType('text/xml');
		}
	} else if(window.ActiveXObject) {
		try{
			xmlhttp_post=new ActiveXObject('Msxml2.XMLHTTP');
		} catch(e) {
			try {
				xmlhttp_post=new ActiveXObject('Microsoft.XMLHTTP');
			} catch(e) {
			}
		}
	}

	if(!xmlhttp_post) {
		alert('Your browser is blocking Ajax');
		return false;
	}

	xmlhttp_post.onreadystatechange = function() {
	if (xmlhttp_post.readyState == 4) {
		var postresult = xmlhttp_post.responseText;
		$("#message").data("emojioneArea").setText('');
		postresult = '';
	}
	}

	post_data = 'message=' + post_message + '&roomkey=<? echo($dbsess['roomkey']); ?>';
	xmlhttp_post.open('POST','chat_post.php',true);
	xmlhttp_post.setRequestHeader("Content-type","application/x-www-form-urlencoded");
	xmlhttp_post.send(post_data);
	
	post_message = '';
}

function submit_chatmessage() {

	submit_message = $("#message").data("emojioneArea").getText();

	if (submit_message != '') {
		$("#message").data("emojioneArea").setText('SENDING...');
		post_chatmessage(submit_message);
	} else {
		alert('Please enter a message');
	}
	
	submit_message = '';

}

</script>

</head>

<body class="overflow-hidden">

<div style="width:100%">

          <div class="card card-chat">
                <div class="card-chat-pane">


                  <div class="chat-content-header">
                    <div class="row justify-content-between align-items-center">
                      <div class="col-auto">
                        <a href="chatsettings.php?roomkey=<? echo($dbsess['roomkey']); ?>"><button class="btn btn-sm btn-primary mr-2" type="button">Settings</button></a>
                        <a target="_blank" href="chatreport.php?roomkey=<? echo($dbsess['roomkey']); ?>"><button class="btn btn-sm btn-danger mr-2" type="button">Report</button></a>
                      </div>
                    </div>
                  </div>
                  
                  <div class="chat-content-body">
                    <div id="outputdiv" class="chat-content-scroll-area"></div>
                  </div>
                  
                </div>
                
                <form class="chat-editor-area">
                  <textarea id="message" name="message" class="emojiarea border-0 outline-none shadow-none" data-options='{"placeholder":"Type here...","emojiPlaceholder":":smile_cat:","search":false,"tones":false,"filtersPosition":"bottom","recentEmojis":false}'></textarea>
                  <button onclick="return submit_chatmessage();" class="btn btn-sm btn-send outline-none ml-2" type="button">Send</button>
                </form>


          </div>


</div>


<script type="text/javascript">

var delaymilli = <? echo($dbsess['delaymilli']); ?>;		
var xmlhttp = false;
var newDate = false
var milliCount = 0;

var lastid = 0;
var lastdate = 0;

function pull_chat(url) {

	if(window.XMLHttpRequest){
		xmlhttp=new XMLHttpRequest();
		if(xmlhttp.overrideMimeType){
			xmlhttp.overrideMimeType('text/xml');
		}
	} else if(window.ActiveXObject) {
		try{
			xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
		} catch(e) {
			try {
				xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
			} catch(e) {
			}
		}
	}

	if(!xmlhttp) {
		alert('Your browser is blocking Ajax');
		return false;
	}

	xmlhttp.onreadystatechange = function() {
	if (xmlhttp.readyState == 4) {
		newDate = new Date();
		milliCount = newDate.getTime();
		
		if (xmlhttp.responseText == 'none') {
			// No New Messages
		} else if (xmlhttp.responseText.indexOf('|') > -1) {
			// Process New Messages
			splitResponseText = xmlhttp.responseText.split('|');
			for(i=0; i < splitResponseText.length; i++) {
				thisMessage = splitResponseText[i];
				if (thisMessage.indexOf(',') > -1) {
					splitThisMessage = thisMessage.split(',');
					thisMessageID = splitThisMessage[0];
					thisMessageDate = splitThisMessage[1];
					thisMessageTime = splitThisMessage[2];
					thisMessageType = splitThisMessage[3];
					thisMessageUsername = splitThisMessage[4];
					thisMessageUserimg = splitThisMessage[5];
					lastid = thisMessageID;
					
					thisMessageReplace = splitThisMessage[0] + ',' + splitThisMessage[1] + ',' + splitThisMessage[2] + ',' + splitThisMessage[3] + ',' + splitThisMessage[4] + ',' + splitThisMessage[5] + ',';
					thisMessageText = thisMessage.replace(thisMessageReplace, '');
					
					if (splitResponseText.length > 3) {
						postDelay = 1;
					} else {
						postDelay = (i*500) + 1;
					}
					
					setTimeout(post_message, postDelay, thisMessageDate, thisMessageTime, thisMessageType, thisMessageUsername, thisMessageUserimg, thisMessageText);
					
				}
			}
		} else {
			// Show Other Message
			lastid = 0;
			document.getElementById("outputdiv").innerHTML = xmlhttp.responseText;
		}
		
		setTimeout("pull_chat('chatoutput_v2.php?roomkey=<? echo($dbsess['roomkey']); ?>&roomid=<? echo($dbsess['roomid']); ?>&userid=<? echo($userid); ?>&lastid=" + lastid +"&m=" + milliCount + "')", delaymilli)
		}
	}

	xmlhttp.open('GET',url,true);
	xmlhttp.send(null);
}

function post_message(messageDate, messageTime, messageType, messageUsername, messageUserimg, messageText) {
	
	if (messageDate != lastdate) {
		lastdate = messageDate;
		document.getElementById("outputdiv").innerHTML += '<div class="text-center chat-message-info p-2"><span>---- ' + messageDate + ' ----</span></div>';
	}
	
	if (messageType == 4 || messageType == 3) {
		var modLabel = '<span class="chat-message-info mod-label"><b>MOD</b></span>';
	} else {
		var modLabel = '';
	}
	
	if (messageType == 4 || messageType == 2) {
		messageType = 'chat-message-user';
	} else {
		messageType = 'chat-message';
	}
	
	document.getElementById("outputdiv").innerHTML += '<div class="media p-2"> <div class="chat-gravatar-container"> <img class="chat-gravatar" src="' + messageUserimg + '" alt="" /> ' + modLabel + ' </div> <div class="media-body"> <div class="d-flex"> <div class="' + messageType + ' p-2">' + messageText + '</div> </div> <div class="chat-message-info"><b>' + messageUsername + '</b> ' + messageTime + '</div> </div> </div>';
	document.getElementById("outputdiv").scrollTop = document.getElementById("outputdiv").scrollHeight;
}

newDate = new Date();
milliCount = newDate.getTime();
setTimeout("pull_chat('chatoutput_v2.php?roomkey=<? echo($dbsess['roomkey']); ?>&roomid=<? echo($dbsess['roomid']); ?>&userid=<? echo($userid); ?>&lastid=" + lastid +"&m=" + milliCount + "')", 500);

</script>

    <script src="chatfiles/jquery.min.js"></script>
    <script src="chatfiles/bootstrap.bundle.min.js"></script>
    <script src="chatfiles/emojione.min.js"></script>
    <script src="chatfiles/emojionearea.js"></script>
    <script src="chatfiles/util.js"></script>

  </body>

</html>