<?php

// LFMTE Chat Mod v5
// 2012-2020 Logiscape, http://thetrafficexchangescript.com
// Licensed for the LFMTE script

require_once "chatfilter.php";

// Connect To Database
require_once "inc/funcs.php";
include "inc/config.php";
lfmsql_connect($dbhost,$dbuser,$dbpass) or die("Unable to connect to database.");
lfmsql_select_db($dbname) or die("Unable to select database.");

$getroomid = lfmsql_query("SELECT id FROM `chat_rooms` WHERE roomkey='".$_GET['roomkey']."'");
if (lfmsql_num_rows($getroomid) < 1) {
	echo("Room Not Found");
	exit;
}
$roomid = lfmsql_result($getroomid, 0, "id");

// Get Room Colors and Text
$getcolors = lfmsql_query("SELECT * FROM `chat_roomcolors` WHERE roomid=".$roomid);
if (lfmsql_num_rows($getcolors) < 1) {
	lfmsql_query("INSERT INTO `chat_roomcolors` (roomid) VALUES (".$dbsess['roomid'].")") or die(lfmsql_error());
	$getcolors = lfmsql_query("SELECT * FROM `chat_roomcolors` WHERE roomid=".$dbsess['roomid']);
}
$roomcolors = lfmsql_fetch_assoc($getcolors);

$checksuspend = lfmsql_query("SELECT reason FROM chat_suspended WHERE ipaddress='".$_SERVER['REMOTE_ADDR']."' AND banexpires > ".time()." LIMIT 1") or die(lfmsql_error());

if (lfmsql_num_rows($checksuspend) > 0) {
	echo("<html>
	
	<!-- LFMTE Chat Mod v4 -->
	<!-- (c) 2012 LFM Wealth Systems -->
	<!-- http://thetrafficexchangescript.com -->
	
	<head>
	<style type=\"text/css\">
	body { margin: 0px 0px 0px 0px; background-color: ".$roomcolors['mainbgcolor']."; }
	li { color: ".$roomcolors['maintextcolor']."; }
	</style>
	</head>
	
	<body>
	<center><p><font size=\"4\" color=\"".$roomcolors['maintextcolor']."\"><b>Suspended</b></font></p></center>
	<center><p><font size=\"2\" color=\"".$roomcolors['maintextcolor']."\"><b>".lfmsql_result($checksuspend, 0, "reason")."</b></font></p></center>
	</body>

	</html>");

	exit;

}

$confrm=null;
if ($_POST['formm'] == 'promo_info') {

	$p=$_POST;
	$err = null;
	$list=array('name');
	foreach ($list as $l) {
		$p[$l] = trim($p[$l]);
		switch ($l) {
			case 'name':
				$p['name'] = text_filter($p['name'], 1);
			break;
		}
	}
	
	$checkexists = lfmsql_result(lfmsql_query("Select COUNT(*) from chat_users where email='".$p['email']."' or username='".$p['name']."'"), 0);
	if ($checkexists > 0) {
		$err .= '<li>This email or username is already registered</li>';
	}
	
	if (strlen($p['password']) > 15 || strlen($p['password']) < 3) {
		$err .= '<li>Your password must be 3-15 characters</li>';
	}
	
	if (!isset($p['terms'])) {
		$err .= '<li>You must agree to the terms to signup</li>';
	}
	
	if ($err==null) {

		$chatuserimg = "None";

		lfmsql_query('Insert into chat_users (username, email, password, ipaddress, picture) values ("'.$p['name'].'", "'.$p['email'].'", "'.md5($p['password']).'", "'.$_SERVER['REMOTE_ADDR'].'", "'.$chatuserimg.'")') or die(lfmsql_error());
		echo("<html>
		<head>
		<style type=\"text/css\">
		body { margin: 0px 0px 0px 0px; background-color: ".$roomcolors['mainbgcolor']."; }
		</style>
		</head>
		<body>
		<center><p><font size=\"4\" color=\"".$roomcolors['maintextcolor']."\"><b>Your Account Has Been Created</b></font><br /><br /><a href=\"chatlogin.php?roomkey=".$_GET['roomkey']."\"><font size=\"3\" color=\"".$roomcolors['linkcolor']."\">Click Here To Login</font></a></p></center>
		</body>
		</html>");
		exit();
	}
}

echo("<html>

<!-- LFMTE Chat Mod v4 -->
<!-- (c) 2012 LFM Wealth Systems -->
<!-- http://thetrafficexchangescript.com -->

<head>
<style type=\"text/css\">
body { margin: 0px 0px 0px 0px; background-color: ".$roomcolors['mainbgcolor']."; }
li { color: ".$roomcolors['maintextcolor']."; }
</style>
</head>

<body>
<center><p><font size=\"4\" color=\"".$roomcolors['maintextcolor']."\"><b>Create An Account</b></font></p></center>
");

$promo_info=@lfmsql_fetch_assoc($get_user);

if ($err!=null) {
	echo('<ul>'.$err.'</ul>');
}
echo $confrm;
?>
<table>
<form action="<?php echo("chatsignup.php?roomkey=".$_GET['roomkey']); ?>" method="POST" enctype="multipart/form-data">
<input type="hidden" name="formm" value="promo_info" />
<tr><td><font size="3" color="<? echo($roomcolors['maintextcolor']); ?>">Email:</font></td></tr><tr><td><input type="text" name="email" size="20" maxlength="75" value="" /></td></tr>
<tr><td><font size="3" color="<? echo($roomcolors['maintextcolor']); ?>">Username:</font></td></tr><tr><td><input type="text" name="name" size="20" maxlength="20" value="" /></td></tr>
<tr><td><font size="3" color="<? echo($roomcolors['maintextcolor']); ?>">Password:</font></td></tr><tr><td><input type="text" name="password" size="20" value="" /></td></tr>
<tr><td><font size="3" color="<? echo($roomcolors['maintextcolor']); ?>">I agree to the <a target="_blank" href="<?php echo($roomcolors['rulespage']); ?>"><font size="3" color="<? echo($roomcolors['linkcolor']); ?>">Chat Rules</font></a>: <input type="checkbox" name="terms" /></font></td></tr><tr><td>&nbsp;</td></tr>
<tr><td colspan="2"><input type="submit" name="submit" value="Create Account" /></td></tr>
</form></table>
<?php
echo("
</body>
</html>");
exit();
?>