<?php
// /////////////////////////////////////////////////////////////////////
// Viral Traffic Games Plugin for LFMVM written by Francisco Cardona
// Copyright 2014 ALL RIGHTS RESERVED!
// Do NOT Copy, Transfer, Sell, or Modify
// Licenses and Installation available
// contact: info@customtemods.com or admin@viraltrafficgames.com
// http://customtemods.com
// http://viraltrafficgames.com
// /////////////////////////////////////////////////////////////////////

//standard cron verification
require_once "inc/filter.php";
require_once "inc/funcs.php";

include "inc/config.php";
lfmsql_connect($dbhost,$dbuser,$dbpass);
lfmsql_select_db($dbname);

$currentdate = date("Y-m-d");
$surfgame_cronjob = lfmsql_result(lfmsql_query("select setting from fc_settings where name='surfgame_cronjob' limit 1"),0);
if ($surfgame_cronjob == $currentdate) {
	lfmsql_close;
	exit;
}

lfmsql_query("update fc_settings set setting='$currentdate' where name='surfgame_cronjob' limit 1")or die("<font color=\"red\"><b>Database error:</b></font><ul><li><font size=2>".lfmsql_error()."</font></li></ul>");
lfmsql_query("update fc_settings set setting='".time()."' where name='surfgame_cronjob_started' limit 1");

// reset prizes day calculations
lfmsql_query("update fc_vtg_prizes set winners_today=0, last_winsecond_day=0");
lfmsql_query("update fc_vtg_prizes_stats set last_winsecond_day=0 where last_winsecond_day>0");

//reset prizes statistics (day/ week/ month)
lfmsql_query("update fc_vtg_prizes_stats set total_day = 0 where total_day > 0");
if(date("w") == 1){
	lfmsql_query("update fc_vtg_prizes_stats set total_week = 0 where total_week > 0");
	lfmsql_query("update fc_vtg_prizes_stats set last_winsecond_week=0 where last_winsecond_week>0");
	lfmsql_query("update fc_vtg_prizes set winners_week=0,last_winsecond_week=0");
}
if(date("j") == 1){
	lfmsql_query("update fc_vtg_prizes_stats set total_month = 0 where total_month > 0");
	lfmsql_query("update fc_vtg_prizes_stats set last_winsecond_month=0 where last_winsecond_month>0");
	lfmsql_query("update fc_vtg_prizes set winners_month=0,last_winsecond_month=0");
}
lfmsql_query("delete from fc_vtg_prizes_stats where total_day = 0 and total_week = 0 and total_month = 0");
@lfmsql_query("optimize table fc_vtg_prizes_stats");

//delete old prize winners
$surfgame_histdays_res = lfmsql_query("select setting from fc_settings where name='surfgame_histdays' limit 1");
if(lfmsql_num_rows($surfgame_histdays_res) > 0){
	$surfgame_histdays = lfmsql_result($surfgame_histdays_res, 0);
	if($surfgame_histdays > 0){
		lfmsql_query("delete from fc_vtg_prizes_winners where windate < date_sub(now(),interval $surfgame_histdays day)");
		@lfmsql_query("optimize table fc_vtg_prizes_winners");
	}
}

lfmsql_close;
exit;
?>