<?php

// GeniuXs AI v1.0 for LFM Scripts
// Copyright 2023 Logiscape LLC. All Rights Reserved.
// https://geniuxs.com

// Any modification, distribution, or use of this file is governed
// by the current terms of service at geniuxs.com and any additional
// license agreements for the script this file was included with.

include "inc/checkauth.php"; 
include "inc/funcs.php";
require_once "inc/theme.php";

if(!isset($_SESSION["adminid"])) { exit; };

if (!isset($_GET['templateid']) || !is_numeric($_GET['templateid']) || !isset($_GET['newversion']) || !is_numeric($_GET['newversion'])) {
	echo("Invalid Request");
	exit;
} else {
	$gettemplateid = $_GET['templateid'];
	if ($gettemplateid > 200000) {
		// Members Area Template
		if ($_GET['newversion'] > 0) {
			$gettemplate=lfmsql_query("Select newcode AS template_data from `geniuxs_ai_templates` where templateid=".$gettemplateid);
		} else {
			$pageid = $gettemplateid - 200000;
			$gettemplate=lfmsql_query("Select template_data from ".$prefix."membertypes WHERE mtid=".$pageid);
		}
		
		if (lfmsql_num_rows($gettemplate) < 1) {
			echo("Could Not Find Template ID: ".$gettemplateid);
			exit;
		}
		$templatecode = lfmsql_result($gettemplate, 0, "template_data");
	} elseif ($gettemplateid > 100000) {
		// Members Page Template
		if ($_GET['newversion'] > 0) {
			$gettemplate=lfmsql_query("Select newcode AS pagedata from `geniuxs_ai_templates` where templateid=".$gettemplateid);
		} else {
			$pageid = $gettemplateid - 100000;
			$gettemplate=lfmsql_query("Select pagedata from `".$prefix."memberpages` where pageid=".$pageid);
		}
		
		if (lfmsql_num_rows($gettemplate) < 1) {
			echo("Could Not Find Template ID: ".$gettemplateid);
			exit;
		}
		$templatecode = lfmsql_result($gettemplate, 0, "pagedata");
	} else {
		if ($_GET['newversion'] > 0) {
			$gettemplate=lfmsql_query("Select newcode AS template_data from `geniuxs_ai_templates` where templateid=".$gettemplateid);
		} else {
			$gettemplate=lfmsql_query("Select template_data from `".$prefix."templates` where template_id=".$gettemplateid);
		}
		if (lfmsql_num_rows($gettemplate) < 1) {
			echo("Could Not Find Template ID: ".$gettemplateid);
			exit;
		}
		$templatecode = lfmsql_result($gettemplate, 0, "template_data");
	}
}

if (function_exists('html_entity_decode')) {
	$templatecode = html_entity_decode($templatecode);
} else {
	$templatecode = unhtmlentities($templatecode);
}

$templatecode=translate_site_tags($templatecode);

$getusermail = mysql_query("SELECT email FROM ".$prefix."members ORDER BY Id LIMIT 1");
if (mysql_num_rows($getusermail) > 0) {
	$useremail = mysql_result($getusermail, 0, "email");
	$templatecode=translate_user_tags($templatecode,$useremail);
}

$page_content = $templatecode;

if (isset($_GET['hidetheme']) && $_GET['hidetheme'] > 0) {
	echo $page_content;
} else {
	load_template ($theme_dir."/header.php");
	load_template ($theme_dir."/content.php");
	load_template ($theme_dir."/footer.php");
}

exit;

?>