<?php

// LFM IP Location Functions by Josh Abbott
// This work is licensed under a Creative Commons Attribution-ShareAlike 4.0 International License: http://creativecommons.org/licenses/by-sa/4.0/

function getIpCity($ip) {
	
	$ip = sprintf('%u', ip2long($ip));
	
	$getip = mysqli_query($GLOBALS['lfmsqllink'], "SELECT a.continent_name AS region, a.country_name AS country, a.city_name AS city FROM lfm_ip_cities a LEFT JOIN lfm_ip_ranges b ON (a.id=b.cityid) WHERE b.startip <= '".$ip."' ORDER BY b.startip DESC LIMIT 1");
	
	if ($resultrow = mysqli_fetch_assoc($getip)) {
		$region = $resultrow["region"];
		$country = $resultrow["country"];
		$city = $resultrow["city"];
	} else {
		$region = "Unknown";
		$country = "Unknown";
		$city = "Unknown";
	}
	
	$resultarr = array();
	$resultarr[0] = $region;
	$resultarr[1] = $country;
	$resultarr[2] = $city;
	return $resultarr;
}

?>