<?php
// ////////////////////////////////////////////////////////////
// LFM v4.25
// Copyright 2006-2019 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

function lfmMakePassword($passwordstr) {
	if (strlen($passwordstr) < 1) {
		return false;
	}
	$hash = password_hash($passwordstr, PASSWORD_BCRYPT);
	return $hash;
}

function lfmCheckPassword($passwordstr, $hash) {
	if (strlen($passwordstr) < 1 || strlen($hash) < 1) {
		return false;
	}
	if (password_verify($passwordstr, $hash)) {
		return true;
	} else {
		return false;
	}
}

?>