var ballpop = new Array();
var bpgamewidth = $(window).width();
var bpgameheight = $(window).height();
var bpreleased = 0;
var bppopped = 0;
var releasing = 0;

function BalloonGame(gameid) {
	$.ajax({
	  type: "POST",
	  url: "lfm_plugins/BalloonPop/ajax.php",
	  data: { act: 'initialize', bpopgame: gameid }
	})
	.done(function( msg ) {
		var gres = msg.split("|");
		if (gres[0] == 'continue' && gres[1] == 'playgame') {
			var gdata = gres[2].split("--");
			releasing = 1;
			$("#bpgamename").html(gdata[9]);
			setTimeout(function(){ 
			  $( "#BALLOONPOPS" ).fadeIn( "fast", function() {
			    $( "#BALLOONPOPDATA" ).fadeIn( "fast", function() {
				  BalloonRelease(parseInt(gdata[1]),parseInt(gdata[2]),parseInt(gdata[3]),parseInt(gdata[4]),gdata[5],gdata[6],gdata[7],gdata[8]);
			    });
			  });
			}, gdata[1]*1000);
		}
	});
}

function BalloonRelease(rnum,rspd,minbspd,maxbspd,bpopfimg,bpoppimg,bpopw,bpoph) {
	if (releasing == 1) {
		var bsp = Math.floor(Math.random() * (maxbspd-minbspd))+minbspd;
		createBalloon(bsp,bpopfimg,bpoppimg,bpopw,bpoph);
		var newrnum = rnum-1;
		if (newrnum > 0) {
			setTimeout(function(){ BalloonRelease(newrnum,rspd,minbspd,maxbspd,bpopfimg,bpoppimg,bpopw,bpoph) }, rspd);
		}
	}
}

function createBalloon(sn,bpopfimg,bpoppimg,bpopw,bpoph) {
	$.ajax({
	  type: "POST",
	  url: "lfm_plugins/BalloonPop/ajax.php",
	  data: { act: 'bcreate' }
	})
	.done(function( msg ) {
		var gres = msg.split("|");
		if (gres[0] == 'continue' && gres[1] == 'created') {
			var gdata = gres[2].split("--");
			var rstr = gdata[0];
			if ((Math.random() * 10) <= 5) {
				fdirection = 'r';
			} else {
				fdirection = 'l';
			}
			ballpop[rstr] = 1;
			bpreleased++;
			$("#bpreleased").html(bpreleased);
			$("#BALLOONPOPS").append('<img src="' + bpopfimg + '" onMousedown="BalloonPop(\'' + rstr + '\',\'' + bpoppimg + '\');" alt="Pop Me" id="' + rstr + '" style="width:' + bpopw + 'px;height:' + bpoph + 'px;position:absolute;bottom:-' + bpopw + 'px;left:' + getrlpos(bpopw) + 'px;z-index:1002;cursor:crosshair;">')
			secnum=sn*1000;
			spd = Math.ceil((bpgameheight+(bpoph*2))/(secnum/25));
			floatBalloon(secnum,spd,rstr,fdirection,0,bpopw,bpoph);
			if (gres[1] == 0 && gres[2] == 'finish') {
				releasing = 0;
			}
		}
	});
}

function floatBalloon(secs,spd,ballid,fdir,nturn,bpopw,bpoph) {
	if (ballpop[ballid] == 1) {
		var newsecs = secs-25;
		var bbottom = $("#" + ballid).css( "bottom" );
		var newbottom = parseInt(bbottom,10)+spd;
		
		if (nturn > 0) {
			nturn--;
		}
	
		var bleft = $("#" + ballid).css( "left" );
		var bleftint = parseInt(bleft,10);
		
		if (bleftint <= bpopw) {
			fdir = 'r';
			nturn = 25;
		} else if (bleftint > (bpgamewidth-bpopw)) {
			fdir = 'l';
			nturn = 25;
		} else if ((Math.floor((Math.random() * 25)) == 1) && (nturn < 1)) {
			nturn = 10;
			if (fdir == 'l') {
				fdir = 'r';
			} else {
				fdir = 'l';
			}
		}
		
		var moveleft = 5;
		if (fdir == 'l') {
			moveleft = moveleft-(moveleft*2);
		}
		var newleft = bleftint+moveleft;
		if (newleft > (bpgamewidth-bpopw)) {
			newleft = bpgamewidth-bpopw;
		} else if (newleft < 1) {
			newleft = 1;
		}
		
		$("#" + ballid).css( "bottom", newbottom + 'px' );
		$("#" + ballid).css( "left", newleft + 'px' );
		if (newsecs > 0 && newbottom < bpgameheight) {
			setTimeout(function(){ floatBalloon(newsecs,spd,ballid,fdir,nturn,bpopw,bpoph) }, 25);
		} else {
			$( "#" + ballid ).remove();
			$.ajax({
			  type: "POST",
			  url: "lfm_plugins/BalloonPop/ajax.php",
			  data: { act: 'bdestroy', dtype: 0 }
			})
			.done(function( msg ) {
				var gres = msg.split("|");
				if (gres[0] == 'continue' && gres[1] == 'destroyed') {
					var gdata = gres[2].split("--");
					if (gdata[1] == 0 && gdata[2] == 'finish') {
						BalloonComplete();
					}
				}
			});
		}
	}
}

function BalloonPop(bid,bpoppimg) {
	if (ballpop[bid] == 1) {
		delete ballpop[bid];
		$.ajax({
		  type: "POST",
		  url: "lfm_plugins/BalloonPop/ajax.php",
		  data: { act: 'bdestroy', dtype: 1 }
		})
		.done(function( msg ) {
			var gres = msg.split("|");
			if (gres[0] == 'continue' && gres[1] == 'destroyed') {
				var gdata = gres[2].split("--");
				
				$("#" + bid).attr("src", bpoppimg);
				bppopped++;
				$("#bppopped").html(bppopped);
				setTimeout(function(){ $( "#" + bid ).remove(); }, 250);
				
				if (gdata[1] == 0 && gdata[2] == 'finish') {
					BalloonComplete();
				}
			}
		});
	
	}
}

function BalloonComplete() {
	$.ajax({
	  type: "POST",
	  url: "lfm_plugins/BalloonPop/ajax.php",
	  data: { act: 'results' }
	})
	.done(function( msg ) {
		var gres = msg.split("|");
		if (gres[0] == 'continue' && gres[1] == 'gameresults') {
			$("#bpresults").html(gres[2]);
			setTimeout(function(){ 
			  $( "#BALLOONPOPS" ).fadeOut( "fast", function() {
			    $( "#BALLOONPOPDATA" ).fadeOut( "fast", function() {
				  $("#bpresults").html('');
			    });
			  });
			}, 5000);
		}
	});
}

function getrlpos(bwidth) {
	return (Math.random() * (bpgamewidth - bwidth)).toFixed();
}