<?php

// LFMTE Bingo Game
// 2017 LFM Wealth Systems, http://thetrafficexchangescript.com

require_once "../../inc/filter.php";
session_start();

require_once "../../inc/lfmsql.php";
include "../../inc/config.php";
	
	@lfmsql_connect($dbhost,$dbuser,$dbpass);
	@lfmsql_select_db($dbname) or die( "Unable to select database");
	
$userid = $_SESSION["userid"];
include "funcs.php";

$response = 'BINGOGAME|ERROR|NOPROCESS';
$getbingogame = lfmsql_query("SELECT * FROM ".$prefix."bingogame WHERE status='active' ");
if (lfmsql_num_rows($getbingogame) == 1) {
	$bingogame = lfmsql_fetch_array($getbingogame);
	if (strlen($bingogame['balls']) > 0) {
		$balls = json_decode($bingogame['balls']);
		$lastball = end($balls);
		$lastbingoball = '<div class="bingoball">'.$lastball[0].'</div>';
	} else {
		$balls = 'NOBALLS';
	}
	$mybingocard = 'NODISPLAY';
	$getmycards = lfmsql_query("SELECT * FROM ".$prefix."bingocard WHERE userid='$userid' AND gameid='".$bingogame['id']."' ORDER BY id ASC ");
	$numbingocards = lfmsql_num_rows($getmycards);
	if ($numbingocards > 0) {
		$curbingocard = $_SESSION['curbingocard'];
		$i=1;
		while ($bcard = lfmsql_fetch_array($getmycards)) {
			$bcardid = $bcard['id'];
			if ($i == $curbingocard) {
				$mybingocard = dispBingoCard($bcardid,1);
			}
			$i++;
		}
		$curbingocard++;
		if ($curbingocard > $numbingocards) {
			$curbingocard=1;
		}
		$_SESSION['curbingocard'] = $curbingocard;
		$response = 'BINGOGAME|OK|DISPLAYHTML|'.$lastbingoball.'|'.$numbingocards.'|'.$mybingocard;
	} else {
		if ($bingosettings['surfshow'] == 'all') {
			if (strlen($bingosettings['altmsg']) > 0) {
				$response = 'BINGOGAME|OK|DISPLAYHTML|'.$lastbingoball.'|0|<a href="bingo.php" target="_blank">'.$bingosettings['altmsg'].'</a>';
			} else {
				$response = 'BINGOGAME|OK|DISPLAYHTML|'.$lastbingoball.'|0|NODISPLAY';
			}
		} elseif ($bingosettings['surfshow'] == 'withaltmsg') {
			$response = 'BINGOGAME|OK|ALTMSG|<a href="bingo.php" target="_blank">'.$bingosettings['altmsg'].'</a>';
		} else {
			$response = 'BINGOGAME|OK|NODISPLAY';
		}
	}
	
} else {
	// SHOW PENDING GAMES MESSAGE
	if (strlen($bingosettings['pendmsg']) > 0) {
		$response = 'BINGOGAME|OK|PENDINGGAME|'.$bingosettings['pendmsg'];
	} else {
		$response = 'BINGOGAME|OK|NODISPLAY';
	}
}
echo $response;
?>