<?php

// LFMTE Bingo Game
// 2017 LFM Wealth Systems, http://thetrafficexchangescript.com

include_once "lfm_plugins/BingoGame/funcs.php";

if ($bingosettings['modenabled'] == 1) {

// CHECK FOR ACTIVE GAME
$checkgames = lfmsql_query("SELECT * FROM ".$prefix."bingogame WHERE status='active' ");
if (lfmsql_num_rows($checkgames) == 0) {
	$getnextgame = lfmsql_query("SELECT * FROM ".$prefix."bingogame WHERE status='pending' ORDER BY id ASC ");
	if (lfmsql_num_rows($getnextgame) == 0) {
		$newprize = getWeightedPrize(1);
		$getprizejack = lfmsql_query("SELECT jacktype,jackstart FROM ".$prefix."bingoprizes WHERE id='$newprize' ");
		if (lfmsql_num_rows($getprizejack) == 1) {
			$prizejack = lfmsql_fetch_array($getprizejack);
		}
		lfmsql_query("INSERT INTO ".$prefix."bingogame (status,prize,bn,drum,balls,surfcount,starttime,endtime,jacktype,jackpot) VALUES ('pending','".$newprize."','".$bingosettings['numballs']."','".genNewDrum($bingosettings['numballs'])."','',0,'".time()."',0,'".$prizejack['jacktype']."','".$prizejack['jackstart']."') ");
		$getnextgame = lfmsql_query("SELECT * FROM ".$prefix."bingogame WHERE status='pending' ORDER BY id ASC ");
	}
	$nextgame = lfmsql_fetch_array($getnextgame);
	if ($bingosettings['mandcards'] > 0) {
		$getnumcards = lfmsql_query("SELECT count(id) AS numcards FROM ".$prefix."bingocard WHERE gameid='".$nextgame['id']."' ");
		$numcards = lfmsql_result($getnumcards,0);
	}
	if ($bingosettings['mandcards'] == 0 OR $numcards >= $bingosettings['mandcards']) {
		lfmsql_query("UPDATE ".$prefix."bingogame SET status='active',surfcount='".$bingosettings['pullballs']."' WHERE id='".$nextgame['id']."' LIMIT 1 ");
	}
}

// CHECK PENDING GAMES
if ($bingosettings['pendgames'] > 0) {
	$getpendinggames = lfmsql_query("SELECT * FROM ".$prefix."bingogame WHERE status='pending' ");
	if (lfmsql_num_rows($getpendinggames) < $bingosettings['pendgames']) {
		$newprize = getWeightedPrize(1);
		$getprizejack = lfmsql_query("SELECT jacktype,jackstart FROM ".$prefix."bingoprizes WHERE id='$newprize' ");
		if (lfmsql_num_rows($getprizejack) == 1) {
			$prizejack = lfmsql_fetch_array($getprizejack);
		}
		lfmsql_query("INSERT INTO ".$prefix."bingogame (status,prize,bn,drum,balls,surfcount,starttime,endtime,jacktype,jackpot) VALUES ('pending','".$newprize."','".$bingosettings['numballs']."','".genNewDrum($bingosettings['numballs'])."','',0,'".time()."',0,'".$prizejack['jacktype']."','".$prizejack['jackstart']."') ");
	}
}

// PROCESS GAME
$getgame = lfmsql_query("SELECT * FROM ".$prefix."bingogame WHERE status='active' ");
if (lfmsql_num_rows($getgame) == 1) {
	$game = lfmsql_fetch_array($getgame);
	
	if ($bingosettings['pbtype'] == 'minutes') {
		lfmsql_query("UPDATE ".$prefix."bingogame SET surfcount=surfcount+1 WHERE id='".$game['id']."' ");
		$game['surfcount']++;
	}
	
	if ($game['surfcount'] >= $bingosettings['pullballs']) {
		// PULL A BALL
		$getprize = lfmsql_query("SELECT * FROM ".$prefix."bingoprizes WHERE type=2 ORDER BY rand() LIMIT 1 ");
		if (lfmsql_num_rows($getprize) == 1) {
			$prize = lfmsql_fetch_array($getprize);
		} else {
			$prize['id'] = 0;
		}
		$drum = json_decode($game['drum'], true);
		$balls = json_decode($game['balls'], true);
		$ballpull = array_rand($drum);
		if (count($drum) > 0) {
			$pulledball = $drum[$ballpull];
			$balls[] = array(0=>$pulledball,1=>$prize['id']);
			unset($drum[$ballpull]);
			
			$backdrum = json_encode($drum);
			$backballs = json_encode($balls);
			
			lfmsql_query("UPDATE ".$prefix."bingogame SET drum='$backdrum',balls='$backballs',surfcount=0 WHERE id='".$game['id']."' ");
			
		
			$grida = substr($pulledball,0,1);
			$ballnum = substr($pulledball,1,2);
			
			for ($i=1;$i<=5;$i++) {
				$getmarkers = lfmsql_query("SELECT * FROM ".$prefix."bingocard WHERE gameid='".$game['id']."' AND ".$grida.$i."='$ballnum' ");
				if (lfmsql_num_rows($getmarkers) > 0) {
					while ($marker = lfmsql_fetch_array($getmarkers)) {
						awdBingoPrize($marker['userid'],$prize,2,$game['id']);
					}
				}
				lfmsql_query("UPDATE ".$prefix."bingocard SET ".$grida.$i."_=1 WHERE gameid='".$game['id']."' AND ".$grida.$i."='$ballnum' ");
			}
		} else {
			lfmsql_query("UPDATE ".$prefix."bingogame SET status='complete',endtime='".time()."' WHERE id='".$game['id']."' ");
		}
	}
	
	// COMPILE HOUSE RULES
	$grid = array(1=>'b',2=>'i',3=>'n',4=>'g',5=>'o');
	$getrules = lfmsql_query("SELECT * FROM ".$prefix."bingohr WHERE id>1 ");
	if (lfmsql_num_rows($getrules) > 0) {
		while ($rule = lfmsql_fetch_array($getrules)) {
			$rn=0;
			$houserulesquery .= ' OR (';
			for ($i=1;$i<=5;$i++) {
				for ($cnum=1;$cnum<=5;$cnum++) {
					$gc = $grid[$i].$cnum;
					if ($rule[$gc] == 1) {
						if ($rn > 0) { $houserulesquery .= ' AND '; }
						$houserulesquery .= $gc.'_ = 1';
						$rn++;
					}
				}
			}
			$houserulesquery .= ')';
		}
	}
	
	// CHECK CARDS IN GAME
	$getbingos = lfmsql_query("SELECT * FROM ".$prefix."bingocard WHERE gameid='".$game['id']."' AND (
		(b1_=1 AND i1_=1 AND n1_=1 AND g1_=1 AND o1_=1) OR
		(b2_=1 AND i2_=1 AND n2_=1 AND g2_=1 AND o2_=1) OR
		(b3_=1 AND i3_=1 AND n3_=1 AND g3_=1 AND o3_=1) OR
		(b4_=1 AND i4_=1 AND n4_=1 AND g4_=1 AND o4_=1) OR
		(b5_=1 AND i5_=1 AND n5_=1 AND g5_=1 AND o5_=1) OR
		(b1_=1 AND b2_=1 AND b3_=1 AND b4_=1 AND b5_=1) OR
		(i1_=1 AND i2_=1 AND i3_=1 AND i4_=1 AND i5_=1) OR
		(n1_=1 AND n2_=1 AND n3_=1 AND n4_=1 AND n5_=1) OR
		(g1_=1 AND g2_=1 AND g3_=1 AND g4_=1 AND g5_=1) OR
		(o1_=1 AND o2_=1 AND o3_=1 AND o4_=1 AND o5_=1) OR
		(b1_=1 AND i2_=1 AND n3_=1 AND g4_=1 AND o5_=1) OR
		(o1_=1 AND g2_=1 AND n3_=1 AND i4_=1 AND b5_=1)".$houserulesquery."
	) ");
	
	$numbingos = lfmsql_num_rows($getbingos);
	if ($numbingos > 0) {
		$getbingoprize = lfmsql_query("SELECT * FROM ".$prefix."bingoprizes WHERE id='".$game['prize']."' AND type=1  ");
		if (lfmsql_num_rows($getbingoprize) == 1) {
			$bingoprize = lfmsql_fetch_array($getbingoprize);
		} else {
			$bingoprize['id'] = 0;
		}
		
		if ($bingoprize['jacktype'] == 'credits') {
			$jackpot = floor($game['jackpot']/$numbingos);
			$bingoprize['credits'] = $bingoprize['credits']+$jackpot;
		} elseif ($bingoprize['jacktype'] == 'banners') {
			$jackpot = floor($game['jackpot']/$numbingos);
			$bingoprize['banners'] = $bingoprize['banners']+$jackpot;
		} elseif ($bingoprize['jacktype'] == 'textads') {
			$jackpot = floor($game['jackpot']/$numbingos);
			$bingoprize['textads'] = $bingoprize['textads']+$jackpot;
		} elseif ($bingoprize['jacktype'] == 'cash') {
			$jackpot = round(($game['jackpot']/$numbingos),2);
			$bingoprize['cash'] = $bingoprize['cash']+$jackpot;
		} elseif ($bingoprize['jacktype'] == 'peelads') {
			$jackpot = floor($game['jackpot']/$numbingos);
			$bingoprize['peelads'] = $bingoprize['peelads']+$jackpot;
		} elseif ($bingoprize['jacktype'] == 'sqbans') {
			$jackpot = floor($game['jackpot']/$numbingos);
			$bingoprize['sqbans'] = $bingoprize['sqbans']+$jackpot;
		} elseif ($bingoprize['jacktype'] == 'mbranders') {
			$jackpot = floor($game['jackpot']/$numbingos);
			$bingoprize['mbranders'] = $bingoprize['mbranders']+$jackpot;
		} elseif ($bingoprize['jacktype'] == 'porkyps') {
			$jackpot = floor($game['jackpot']/$numbingos);
			$bingoprize['porkyps'] = $bingoprize['porkyps']+$jackpot;
		} elseif ($bingoprize['jacktype'] == 'xppoints') {
			$jackpot = floor($game['jackpot']/$numbingos);
			$bingoprize['xppoints'] = $bingoprize['xppoints']+$jackpot;
		} elseif ($bingoprize['jacktype'] == 'trafficpods') {
			$jackpot = floor($game['jackpot']/$numbingos);
			$bingoprize['trafficpods'] = $bingoprize['trafficpods']+$jackpot;
		} elseif ($bingoprize['jacktype'] == 'piggybank') {
			$jackpot = floor($game['jackpot']/$numbingos);
			$bingoprize['piggybank'] = $bingoprize['piggybank']+$jackpot;
		}
		
		$res=@lfmsql_query("SELECT sitename,replyaddress FROM ".$prefix."settings") or die("1040: Unable to find ".$prefix."settings!");
		$row=@lfmsql_fetch_array($res);
		$sitename=$row["sitename"];
		$replyemail=$row["replyaddress"];
		
		// Send message
		$emlheaders = "From: ".$sitename." <".$replyemail.">"."\r\n";
		$emlheaders .= "Return-Path: ".$sitename." <".$replyemail.">"."\r\n";
	
		$donotsend = array();
		lfmsql_query("UPDATE ".$prefix."bingogame SET status='complete',endtime='".time()."' WHERE id='".$game['id']."' ");
		while ($bingos = lfmsql_fetch_array($getbingos)) {
			$winnings = awdBingoPrize($bingos['userid'],$bingoprize,1,$game['id']);
			$bingo_username = 'Member not found';
			$getmemuname = lfmsql_query("Select username from ".$prefix."members where Id='$senduser' ");
			if (lfmsql_num_rows($getmemuname) == 1) {
				$bingo_username = lfmsql_result($getmemuname, 0, "username");
			}
			$bingowinners .= $bingo_username.'\n';
			// SEND EMAIL TO WINNER
			if ($bingosettings['sndwinemail'] == 'yes') {
				sendBingoEmail($bingos['userid'],$bingosettings['winemailsub'],$bingosettings['winemailbod'],$emlheaders);
				$donotsend[] = $bingos['userid'];
			}
			lfmsql_query("INSERT INTO ".$prefix."bingobrd (gameid,card,user,prize,time) VALUES ('".$game['id']."','".$bingos['id']."','".$bingos['userid']."','".$winnings."','".time()."') ");
		}
		// SEND EMAIL TO CARD HOLDERS
		if ($bingosettings['sndcardemail'] == 'yes') {
			$getcards = lfmsql_query("SELECT * FROM ".$prefix."bingocard WHERE gameid='".$game['id']."' ");
			if (lfmsql_num_rows($getcards) > 0) {
				while ($bcard = lfmsql_fetch_array($getcards)) {
					if (!in_array($bcard['userid'],$donotsend)) {
						sendBingoEmail($bcard['userid'],$bingosettings['cardemailsub'],$bingosettings['cardemailbod'],$emlheaders);
						$donotsend[] = $bcard['userid'];
					}
				}
			}
		}
		
		// SEND EMAIL TO ACTIVE MEMBERS
		if ($bingosettings['sndactemail'] == 'yes' AND $bingosettings['actemaildays'] > 0) {
			$lastlogbuffer = date("Y-m-d H:i:s",strtotime($bingosettings['actemaildays']." days ago"));
			$getcards = lfmsql_query("SELECT * FROM ".$prefix."members WHERE lastlogin>='$lastlogbugger' ");
			if (lfmsql_num_rows($getcards) > 0) {
				while ($bcard = lfmsql_fetch_array($getcards)) {
					if (!in_array($bcard['userid'],$donotsend)) {
						sendBingoEmail($bcard['userid'],$bingosettings['actemailsub'],$bingosettings['actemailbod'],$emlheaders);
						$donotsend[] = $bcard['userid'];
					}
				}
			}
		}
	}
}

lfmsql_query("UPDATE ".$prefix."bingogame SET buyfreeze=0 ");

}

?>