<?php
// ////////////////////////////////////////////////////////////
// LFM v4.27
// Copyright 2006-2021 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "inc/filter.php";
require_once "inc/lfmsql.php";

if(isset($_REQUEST["s"]))
{
	include "inc/config.php";
	include "inc/funcs.php";
	@lfmsql_connect($dbhost,$dbuser,$dbpass);
	@lfmsql_select_db($dbname) or die( "Unable to select database");
}
else
{
	include "inc/userauth.php";
}

include "inc/theme.php";

load_template ($theme_dir."/header.php");

// Get homepage body
$bres=@lfmsql_query("SELECT template_data FROM ".$prefix."templates WHERE template_name='Homepage Body'") or die("Unable to find Homepage Body!");
$brow=@lfmsql_fetch_array($bres);
if (function_exists('html_entity_decode'))
{
   $page_content = html_entity_decode($brow["template_data"]);
}
else
{
   $page_content = unhtmlentities($brow["template_data"]);
}

if (isset($_GET['requestfile'])) {
	$page_content = str_replace('action="members.php"', 'action="members.php?requestfile='.$_GET['requestfile'].'"', $page_content);
}

if (isset($_REQUEST["s"]) && $_REQUEST["s"] == 'invlogin') {
	$page_content = str_replace('#LOGINERROR#', '<p class="loginerror">Incorrect Login</p>', $page_content);
}

$page_content = str_replace('#LOGINERROR#', '', $page_content);

load_template ($theme_dir."/content.php");
?>
</body>
</html>