<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.54
// Copyright 2006-2022 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

// Balances that are not handled by the main functions file

if (stripos($textstring, '#SQUAREBANNERIMPS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT sqbanimps FROM ".$prefix."members WHERE Id='".$row["Id"]."'"), 0);
	$textstring = str_ireplace("#SQUAREBANNERIMPS#", $statcount, $textstring);
}

if (stripos($textstring, '#MINIBRANDERIMPS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT mbrandimps FROM ".$prefix."members WHERE Id='".$row["Id"]."'"), 0);
	$textstring = str_ireplace("#MINIBRANDERIMPS#", $statcount, $textstring);
}

if (stripos($textstring, '#PEELIMPS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT peelimps FROM ".$prefix."members WHERE Id='".$row["Id"]."'"), 0);
	$textstring = str_ireplace("#PEELIMPS#", $statcount, $textstring);
}

if (stripos($textstring, '#WIDGETIMPS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT widgetimps FROM ".$prefix."members WHERE Id='".$row["Id"]."'"), 0);
	$textstring = str_ireplace("#WIDGETIMPS#", $statcount, $textstring);
}

if (stripos($textstring, '#BALANCE_COMMS#') !== false) {
	$commissionbal=0;
	$commres=@lfmsql_query("SELECT SUM(commission) as ctotal FROM ".$prefix."sales WHERE affid=".$row["Id"]." AND ".$prefix."sales.status IS NULL AND prize=0");
	if ($commres) {
		$commrow=@lfmsql_fetch_array($commres);
		$commissionbal=$commrow["ctotal"];
		if ($commissionbal <= 0) { $commissionbal = "0.00"; }
	} else {
		$commissionbal="0.00";
	}
	$textstring = str_ireplace("#BALANCE_COMMS#", $commissionbal, $textstring);
}

if (stripos($textstring, '#BALANCE_PRIZES#') !== false) {
	$commissionbal=0;
	$commres=@lfmsql_query("SELECT SUM(commission) as ctotal FROM ".$prefix."sales WHERE affid=".$row["Id"]." AND ".$prefix."sales.status IS NULL AND prize=1");
	if ($commres) {
		$commrow=@lfmsql_fetch_array($commres);
		$commissionbal=$commrow["ctotal"];
		if ($commissionbal <= 0) { $commissionbal = "0.00"; }
	} else {
		$commissionbal="0.00";
	}
	$textstring = str_ireplace("#BALANCE_PRIZES#", $commissionbal, $textstring);
}

// Delivery Stats

if (stristr($textstring, '#SQUAREBANNERSTODAY#')) {
	$hitstoday = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(hitstoday), 0) FROM ".$prefix."msqbans WHERE memid='".$row["Id"]."'"),0);	
	$textstring = str_ireplace("#SQUAREBANNERSTODAY#", $hitstoday, $textstring);
}

if (stristr($textstring, '#SQUAREBANNERSYESTERDAY#')) {
	$hitsyesterday = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(hitsyesterday), 0) FROM ".$prefix."msqbans WHERE memid='".$row["Id"]."'"),0);	
	$textstring = str_ireplace("#SQUAREBANNERSYESTERDAY#", $hitsyesterday, $textstring);
}

if (stristr($textstring, '#MINIBRANDERSTODAY#')) {
	$hitstoday = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(hitstoday), 0) FROM ".$prefix."mbranders WHERE memid='".$row["Id"]."'"),0);	
	$textstring = str_ireplace("#MINIBRANDERSTODAY#", $hitstoday, $textstring);
}

if (stristr($textstring, '#MINIBRANDERSYESTERDAY#')) {
	$hitsyesterday = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(hitsyesterday), 0) FROM ".$prefix."mbranders WHERE memid='".$row["Id"]."'"),0);	
	$textstring = str_ireplace("#MINIBRANDERSYESTERDAY#", $hitsyesterday, $textstring);
}

if (stristr($textstring, '#PEELSTODAY#')) {
	$hitstoday = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(hitstoday), 0) FROM ".$prefix."mpeels WHERE memid='".$row["Id"]."'"),0);	
	$textstring = str_ireplace("#PEELSTODAY#", $hitstoday, $textstring);
}

if (stristr($textstring, '#PEELSYESTERDAY#')) {
	$hitsyesterday = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(hitsyesterday), 0) FROM ".$prefix."mpeels WHERE memid='".$row["Id"]."'"),0);	
	$textstring = str_ireplace("#PEELSYESTERDAY#", $hitsyesterday, $textstring);
}

if (stristr($textstring, '#WIDGETSTODAY#')) {
	$hitstoday = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(hitstoday), 0) FROM ".$prefix."widgetads WHERE memid='".$row["Id"]."'"),0);	
	$textstring = str_ireplace("#WIDGETSTODAY#", $hitstoday, $textstring);
}

if (stristr($textstring, '#WIDGETSYESTERDAY#')) {
	$hitsyesterday = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(hitsyesterday), 0) FROM ".$prefix."widgetads WHERE memid='".$row["Id"]."'"),0);	
	$textstring = str_ireplace("#WIDGETSYESTERDAY#", $hitsyesterday, $textstring);
}

if (stristr($textstring, '#WIDGETCRDTODAY#')) {
	$hitstoday = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(credits_today), 0) FROM ".$prefix."widgetads_widgets WHERE user_id='".$row["Id"]."'"),0);	
	$textstring = str_ireplace("#WIDGETCRDTODAY#", $hitstoday, $textstring);
}

if (stristr($textstring, '#WIDGETCRDYESTERDAY#')) {
	$hitsyesterday = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(widgetcredit), 0) FROM ".$prefix."surflogs WHERE userid='".$row["Id"]."' AND date='".strftime("%Y-%m-%d", strtotime(date("Y-m-d")." + 1 days ago"))."'"),0);	
	$textstring = str_ireplace("#WIDGETCRDYESTERDAY#", $hitsyesterday, $textstring);
}

if (stristr($textstring, '#CLICKSLAST7#')) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(clicks), 0) FROM ".$prefix."surflogs WHERE userid='".$row["Id"]."' AND date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);	
	$textstring = str_ireplace("#CLICKSLAST7#", $statcount, $textstring);
}

if (stristr($textstring, '#HITSLAST7#')) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(hitsdeliver), 0) FROM ".$prefix."surflogs WHERE userid='".$row["Id"]."' AND date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);	
	$textstring = str_ireplace("#HITSLAST7#", $statcount, $textstring);
}

if (stristr($textstring, '#BANNERSLAST7#')) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(bandeliver), 0) FROM ".$prefix."surflogs WHERE userid='".$row["Id"]."' AND date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);	
	$textstring = str_ireplace("#BANNERSLAST7#", $statcount, $textstring);
}

if (stristr($textstring, '#TEXTSLAST7#')) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(textdeliver), 0) FROM ".$prefix."surflogs WHERE userid='".$row["Id"]."' AND date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);	
	$textstring = str_ireplace("#TEXTSLAST7#", $statcount, $textstring);
}

if (stristr($textstring, '#SQUAREBANNERSLAST7#')) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(sqbandeliver), 0) FROM ".$prefix."surflogs WHERE userid='".$row["Id"]."' AND date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);	
	$textstring = str_ireplace("#SQUAREBANNERSLAST7#", $statcount, $textstring);
}

if (stristr($textstring, '#MINIBRANDERSLAST7#')) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(mbranddeliver), 0) FROM ".$prefix."surflogs WHERE userid='".$row["Id"]."' AND date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);	
	$textstring = str_ireplace("#MINIBRANDERSLAST7#", $statcount, $textstring);
}

if (stristr($textstring, '#PEELSLAST7#')) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(peeldeliver), 0) FROM ".$prefix."surflogs WHERE userid='".$row["Id"]."' AND date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);	
	$textstring = str_ireplace("#PEELSLAST7#", $statcount, $textstring);
}

if (stristr($textstring, '#WIDGETSLAST7#')) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(widgetdeliver), 0) FROM ".$prefix."surflogs WHERE userid='".$row["Id"]."' AND date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);	
	$textstring = str_ireplace("#WIDGETSLAST7#", $statcount, $textstring);
}

if (stristr($textstring, '#WIDGETCRDLAST7#')) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COALESCE(SUM(widgetcredit), 0) FROM ".$prefix."surflogs WHERE userid='".$row["Id"]."' AND date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);	
	$textstring = str_ireplace("#WIDGETCRDLAST7#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSTATS_PROMOWALL#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT promowall FROM ".$prefix."members WHERE Id='".$row["Id"]."'"), 0);
	$textstring = str_ireplace("#MEMBERSTATS_PROMOWALL#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSTATS_CURRENTSITES#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."msites WHERE memid='".$row["Id"]."'"), 0);
	$textstring = str_ireplace("#MEMBERSTATS_CURRENTSITES#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSTATS_CURRENTBANNERS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."mbanners WHERE memid='".$row["Id"]."'"), 0);
	$textstring = str_ireplace("#MEMBERSTATS_CURRENTBANNERS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSTATS_CURRENTTEXTS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."mtexts WHERE memid='".$row["Id"]."'"), 0);
	$textstring = str_ireplace("#MEMBERSTATS_CURRENTTEXTS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSTATS_CURRENTSQUAREBANNERS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."msqbans WHERE memid='".$row["Id"]."'"), 0);
	$textstring = str_ireplace("#MEMBERSTATS_CURRENTSQUAREBANNERS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSTATS_CURRENTMINIBRANDERS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."mbranders WHERE memid='".$row["Id"]."'"), 0);
	$textstring = str_ireplace("#MEMBERSTATS_CURRENTMINIBRANDERS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSTATS_CURRENTPEELS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."mpeels WHERE memid='".$row["Id"]."'"), 0);
	$textstring = str_ireplace("#MEMBERSTATS_CURRENTPEELS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSTATS_CURRENTWIDGETS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."widgetads WHERE memid='".$row["Id"]."'"), 0);
	$textstring = str_ireplace("#MEMBERSTATS_CURRENTWIDGETS#", $statcount, $textstring);
}

// Membership Stats

if (stripos($textstring, '#MEMBERSHIP_EXPIRES#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT upgend FROM ".$prefix."members WHERE Id='".$row["Id"]."'"), 0);
	if ($statcount == '0000-00-00') {
		$statcount = 'Never Expires';
	} else {
		$statcount = date("M j, Y", strtotime($statcount));
	}
	$textstring = str_ireplace("#MEMBERSHIP_EXPIRES#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_SURFRATIO#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT surfratio FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_SURFRATIO#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_SURFTIMER#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT surftimer FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_SURFTIMER#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_MAXSITES#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT maxsites FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_MAXSITES#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_MAXBANNERS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT maxbanners FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_MAXBANNERS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_MAXTEXTS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT maxtexts FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_MAXTEXTS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_MAXSQUAREBANNERS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT maxsqbans FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_MAXSQUAREBANNERS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_MAXMINIBRANDERS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT maxmbrands FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_MAXMINIBRANDERS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_MAXPEELS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT maxpeels FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_MAXPEELS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_MAXWIDGETS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT maxwidgetads FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_MAXWIDGETS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_MONTHLYCREDITS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT monthcrds FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_MONTHLYCREDITS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_MONTHLYBANNERS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT monthbimps FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_MONTHLYBANNERS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_MONTHLYTEXTS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT monthtimps FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_MONTHLYTEXTS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_MONTHLYSQUAREBANNERS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT monthsqbans FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_MONTHLYSQUAREBANNERS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_MONTHLYMINIBRANDERS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT monthmbrands FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_MONTHLYMINIBRANDERS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_MONTHLYPEELS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT monthpeels FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_MONTHLYPEELS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_MONTHLYWIDGETS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT monthwidgetads FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_MONTHLYWIDGETS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_COMMS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT comm FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_COMMS#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_COMMS2#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT comm2 FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_COMMS2#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_COMMSOTO#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT otocomm FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_COMMSOTO#", $statcount, $textstring);
}

if (stripos($textstring, '#MEMBERSHIP_COMMSOTO2#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT otocomm2 FROM ".$prefix."membertypes WHERE mtid=".$row["mtype"]), 0);
	$textstring = str_ireplace("#MEMBERSHIP_COMMSOTO2#", $statcount, $textstring);
}

?>