<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.55
// Copyright 2006-2022 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "inc/filter.php";
session_start();
include "inc/userauth.php";
$userid = $_SESSION["userid"];

$countcredits = mysql_query("select credits, mtype from ".$prefix."members where Id=$userid");
$usercredits = mysql_result($countcredits, 0, "credits");
$acctype = mysql_result($countcredits, 0, "mtype");

$getaccdata = mysql_query("Select mansites from ".$prefix."membertypes where mtid=$acctype limit 1");
$mansites = mysql_result($getaccdata, 0, "mansites");

if (!is_numeric($usercredits)) {
	$usercredits = 0;
}

$errormess = '';

if ($_GET['editsitead'] == "yes" && $_POST['sitename'] != "" && $_POST['editurl'] != "" && is_numeric($_POST['siteadid'])) {

	  $checkbanned = lfmsql_query("Select domain from `banned_sites`");
	  $bannedurl = "no";
	  while ($bannedlist = lfmsql_fetch_array($checkbanned)) {
	  	if (stristr(trim($_POST['editurl']), trim($bannedlist['domain']))) {
	  		$bannedurl = "yes";
	  	}
	  }
	
	$_POST['sitename'] = str_replace('"', '', $_POST['sitename']);
	$_POST['editurl'] = str_replace('"', '', $_POST['editurl']);
	
	$_POST['sitename'] = str_replace('	', '', $_POST['sitename']);
	$_POST['editurl'] = str_replace('	', '', $_POST['editurl']);
	
	$_POST['sitename'] = preg_replace("/\n\r|\r\n|\n|\r/", "", $_POST['sitename']);
	$_POST['editurl'] = preg_replace("/\n\r|\r\n|\n|\r/", "", $_POST['editurl']);
	
	$_POST['sitename'] = block_html_chars($_POST['sitename']);
	$_POST['editurl'] = block_html_chars($_POST['editurl']);
	
	if ($bannedurl == "yes") {
		$errormess = "This site or domain is banned.";
	} else {
	@lfmsql_query("Update ".$prefix."msites set state=0, sitename='".$_POST['sitename']."', url='".$_POST['editurl']."' where id=".$_POST['siteadid']." and memid=$userid and state!=3 limit 1");
	}
	
	if (strlen($errormess) > 0) {
		echo($errormess);
		exit;
	} else {
		echo("success");
		exit;
	}
}

if ($_GET['deletesitead'] == "yes" && is_numeric($_POST['siteadid'])) {
	$siteadid = $_POST['siteadid'];
	$getimps = lfmsql_query("Select credits from ".$prefix."msites where id=$siteadid and memid=$userid limit 1");
	if (lfmsql_num_rows($getimps) > 0) {
		$refundimpressions = lfmsql_result($getimps, 0, "credits");
		if ($refundimpressions > 0) {
			@lfmsql_query("Update ".$prefix."members set credits=credits+$refundimpressions where Id=$userid limit 1");
			$usercredits = $usercredits+$refundimpressions;
		}
		@lfmsql_query("Delete from ".$prefix."msites where id=$siteadid and memid=$userid limit 1");
	}
	echo("success");
	exit;
}

if ($_GET['resethits'] == "yes" && is_numeric($_POST['siteadid'])) {
	@lfmsql_query("Update ".$prefix."msites set hits=0 where id=".$_POST['siteadid']." and memid=$userid limit 1");
	echo("success");
	exit;
}

if (isset($_POST['stateid']) && is_numeric($_POST['stateid']) && is_numeric($_POST['siteid']) && ($_POST['stateid'] == 1 || $_POST['stateid'] == 2)) {
	lfmsql_query("Update ".$prefix."msites set state=".$_POST['stateid']." where id=".$_POST['siteid']." and memid=$userid and (state=1 OR state=2) limit 1");
	echo("success");
	exit;
}

if ($_GET['assignimpressions'] == "yes" && is_numeric($_POST['siteadid'])) {

	$siteadid = $_POST['siteadid'];
	$toassign = $_POST['assignamount'];
	
	if (!check_number($toassign)) {
		echo("Assigned impressions must be a positive whole number."); exit;
	}
	
	$countimpressions = lfmsql_query("select credits from ".$prefix."members where Id=$userid");
	$memberimpressions = lfmsql_result($countimpressions, 0, "credits");
	
	if ($toassign >= 1 && $toassign <= $memberimpressions) {
		$usercredits = $usercredits-$toassign;
		$imptoassign = $toassign;
		@lfmsql_query("Update ".$prefix."msites set credits=credits+$imptoassign where memid=$userid and id=$siteadid");
		@lfmsql_query("Update ".$prefix."members set credits=credits-$toassign where Id=$userid");
	}
	
	echo("success");
	exit;

}

$usercredits = round($usercredits, 2);
if ($_GET['getimpressioncount'] == "yes") {
	echo($usercredits);
	exit;
}

####################

//Begin main page

####################

$draw=$_GET['draw'];
if (empty($draw)) { $draw=0; }

$length=$_GET['length'];
if (empty($length)) { $length=10; }

$start=$_GET['start'];
if (empty($start)) { $start=0; }

// Quick search box
$wherequery = '';
if (isset($_GET['search']['value'])) {
	$quicksearch = trim(addslashes($_GET['search']['value']));
	$splitspace = explode(' ', $quicksearch);
	foreach ($splitspace as $spacekey=>$spacevalue) {
		$spacevalue = trim($spacevalue);
		if (strlen($spacevalue) > 0) {
			$wherequery .= " AND (sitename LIKE '%".$spacevalue."%' OR url LIKE '%".$spacevalue."%')";
		}
	}
}

// Sorting

$colarray = array();

$colarray[] = 'sitename';
$colarray[] = 'hits';
$colarray[] = 'credits';

$order=$_GET['order'];
if(!$order) { $order="sitename"; }

if (is_array($order)) {
	$orderstr = 'ORDER BY ';
	for ($i=0; $i<count($order); $i++) {
		if ($i > 0) { $orderstr .= ', '; }
		
		if (!isset($colarray[$order[$i]['column']]) || strlen($colarray[$order[$i]['column']]) < 1 || $colarray[$order[$i]['column']] == 'tablecheckbox' || $colarray[$order[$i]['column']] == 'grav') {
			$thisordercol = 'sitename';
		} else {
			$thisordercol = $colarray[$order[$i]['column']];
		}
		$orderstr .= $thisordercol.' '.$order[$i]['dir'];
	}
	$order = $orderstr;
} else {
	$order = 'ORDER BY '.$order.' ASC';
}

// Build Main Queries

$totalcount = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."msites where memid=$userid"), 0);

$getsiteads = lfmsql_query("Select SQL_CALC_FOUND_ROWS * from ".$prefix."msites where memid=".$userid.$wherequery." ".$order." LIMIT $start, $length");

// Start Table Output

echo('{
  "draw": '.$draw.',
  "recordsTotal": '.$totalcount.',
  "recordsFiltered": '.lfmsql_result(lfmsql_query("SELECT FOUND_ROWS();"), 0).',
  "data": [');

$i = 0;

$sid = 1;

while ($brow=@lfmsql_fetch_array($getsiteads)) {
	
	if ($i > 0) {
		echo (',');
	}
	
	echo '[';
	
	$siteadid = $brow["id"];
	$state = $brow["state"];
	$sitename = $brow["sitename"];
	$editurl = $brow["url"];
	$credits = $brow["credits"];
	$hits = $brow["hits"];
	
	$sitename = str_replace('"', '', $sitename);
	$editurl = str_replace('"', '', $editurl);
	
	$sitename = str_replace('	', '', $sitename);
	$editurl = str_replace('	', '', $editurl);
	
	$sitename = preg_replace("/\n\r|\r\n|\n|\r/", "", $sitename);
	$editurl = preg_replace("/\n\r|\r\n|\n|\r/", "", $editurl);
	
	$sitename = str_replace("'", "&#39;", $sitename);
	
	if ($state == 0) {
		if ($mansites == 0) {
			$textstate = '<a class=\'btn btn-warning\' href=checksite.php?siteid='.$siteadid.'>Click to<br>Activate</a>';
		} else {
			$textstate = '<button type=\'button\' class=\'btn btn-danger\' disabled>Pending<br>Approval</button>';
		}
	} elseif ($state == 1) {
		$textstate = '<button type=\'button\' class=\'btn btn-success\' onclick=\'setSiteState('.$siteadid.', 2)\'>Active</button>';
	} elseif ($state == 2) {
		$textstate = '<button type=\'button\' class=\'btn btn-warning\' onclick=\'setSiteState('.$siteadid.', 1)\'>Paused</button>';
	} elseif ($state == 3) {
		$textstate = '<button type=\'button\' class=\'btn btn-danger\' disabled>Suspended</button>';
	} else {
		@lfmsql_query("Update ".$prefix."siteads set state=0 where id=$siteadid limit 1");
		$textstate = '<button type=\'button\' class=\'btn btn-danger\' disabled>Pending<br>Approval</button>';
	}
	
	echo("\"<table border='0'><tr><td>Site Name:</td><td><input type=text size=30 id=sitename$siteadid value='$sitename'></td></tr><tr><td>Site URL:</td><td><input type=text size=30 id=editurl$siteadid value='$editurl'></td></tr><tr><td colspan='2' align='center'><button type='button' class='btn btn-success' onclick='editSite(".$siteadid.")'>Save</button></td></tr></table>\",");
	
	echo('"'.$hits.'",');
	echo('"'.$credits.'",');
	
	echo("\"<input type=text size=3 id=assignamount$siteadid value=0><br><small>Avail. ".$usercredits."</small><br><br><button type='button' class='btn btn-success' onclick='assignSite(".$siteadid.")'>Assign</button>\",");
	
	echo('"'.$textstate.'",');
	
	echo('"<button type=\'button\' class=\'btn btn-danger\' onclick=\'resetSite('.$siteadid.')\'>Reset</button>",');
	
	echo('"<button type=\'button\' class=\'btn btn-danger\' onclick=\'deleteSite('.$siteadid.')\'>Delete</button>"');
	
	echo ']';
	
	$i++;
}

echo ']
}';

exit;

?>