<?php

// Piggy Bank Plugin
// 2019-2021 Logiscape.com

	require_once "inc/filter.php";
	session_start();
	include "inc/userauth.php";
	$userid = $_SESSION["userid"];
	
	$getuserdata = lfmsql_query("Select email, mtype, joindate from ".$prefix."members where Id=$userid");
	$useremail = lfmsql_result($getuserdata, 0, "email");
	$mtype = lfmsql_result($getuserdata, 0, "mtype");
	$joindate = lfmsql_result($getuserdata, 0, "joindate");
	include "inc/theme.php";
	
	load_template ($theme_dir."/header.php");
	load_template ($theme_dir."/mmenu.php");
	
	
	// Deposit From Commissions
	$getvalue = @lfmsql_query("Select value from `".$prefix."piggybank_settings` where field='commstransfer' limit 1");
	$commstransfer = @lfmsql_result($getvalue, 0, "value");
	$getvalue = lfmsql_query("Select value from `".$prefix."piggybank_settings` where field='balancename' limit 1");
	$balancename = lfmsql_result($getvalue, 0, "value");
	if ($commstransfer > 0) {
		$mcomm = lfmsql_result(lfmsql_query("SELECT SUM(commission) from ".$prefix."sales where affid=".$_SESSION["userid"]." and status IS NULL"), 0);
		if (!is_numeric($mcomm) || $mcomm < 0) { $mcomm = "0.00"; }
		if (isset($_POST['ctransferamount']) && is_numeric($_POST['ctransferamount']) && $_POST['ctransferamount'] > 0 && $_POST['ctransferamount'] <= $mcomm) {
			$subamount = 0 - $_POST['ctransferamount'];
			$paymentqry="INSERT INTO ".$prefix."sales (affid, saledate, itemid, itemname, itemamount, commission, txn_id, prize) VALUES (".$_SESSION["userid"].", NOW(), '0', 'Transfer to ".trim(addslashes($balancename))."', 0, ".$subamount.", '0', 1)";
			lfmsql_query($paymentqry) or die(lfmsql_error());
			lfmsql_query("Insert into ".$prefix."piggybank (userid, transdate, descr, amount, status, ipnsaleid) values (".$_SESSION["userid"].", NOW(), 'Transfer from commission balance', '".$_POST['ctransferamount']."', '0', '0')") or die(lfmsql_error());
		}
	}
	
	// New Deposit
	$depositerror = '';
	if (isset($_POST['optionid']) && is_numeric($_POST['optionid'])) {
		$getoption = lfmsql_query("SELECT * FROM ".$prefix."piggybank_options WHERE id=".$_POST['optionid']) or die(lfmsql_error());
		if (lfmsql_num_rows($getoption) > 0) {
			$optioninfo = lfmsql_fetch_array($getoption);
			if ($optioninfo["reloadlimit"] == 0) {
				// Can only be used once
				$checkexisting = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."piggybank_deposits WHERE userid=".$_SESSION["userid"]." AND optionid=".$_POST['optionid']." AND (status=0 OR status=1 OR status=2)"), 0);
				if ($checkexisting > 0) {
					$depositerror = 'This deposit option can only be used once.';
				}
			} elseif ($optioninfo["reloadlimit"] > 0) {
				// Limited to a certain number of days
				$currentdate = date("Y-m-d");
				$checkdate = strftime("%Y-%m-%d", strtotime("$currentdate + ".$optioninfo["reloadlimit"]." days ago"));
				$checkexisting = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."piggybank_deposits WHERE userid=".$_SESSION["userid"]." AND optionid=".$_POST['optionid']." AND (status=0 OR status=1 OR status=2) AND transdate > '".$checkdate."'"), 0);
				if ($checkexisting > 0) {
					$depositerror = 'This deposit option can only be used every '.$optioninfo["reloadlimit"].' days.';
				}
			}
			if (is_numeric($optioninfo["setamount"]) && $optioninfo["setamount"] > 0) {
				$depositamount = $optioninfo["setamount"];
			} else {
				if (!is_numeric($_POST['amount']) || $_POST['amount'] <= 0) {
					$depositerror = 'Please enter a deposit amount';
				} elseif ($optioninfo["minamount"] > 0 && $optioninfo["minamount"] > $_POST['amount']) {
					$depositerror = 'Your deposit amount must be at least $'.$optioninfo["minamount"];
				} elseif ($optioninfo["maxamount"] > 0 && $optioninfo["maxamount"] < $_POST['amount']) {
					$depositerror = 'Your deposit amount cannot be more than $'.$optioninfo["maxamount"];
				} else {
					$depositamount = $_POST['amount'];
				}
			}
			if (strlen($optioninfo["requiredinfo"]) > 0 && strlen($_POST['extrainfo']) <= 0) {
				$depositerror = 'You must complete the field: '.$optioninfo["requiredinfo"];
			}
		} else {
			$depositerror = 'Invalid Deposit Option ID';
		}
		if (strlen($depositerror) > 0) {
			$page_content .= '<p style="color:darkred;font-size:18px;text-align:center;">'.$depositerror.'</p>';
		} elseif (is_numeric($depositamount) && $depositamount > 0) {
			lfmsql_query("INSERT INTO ".$prefix."piggybank_deposits (userid, transdate, optionid, requiredinfo, amount, status) VALUES (".$_SESSION["userid"].", NOW(), ".$_POST['optionid'].", '".$_POST['extrainfo']."', '".$depositamount."', ".$optioninfo["instantapprove"].")") or die(lfmsql_error());
			if ($optioninfo["instantapprove"] == 1) {
				lfmsql_query("Insert into ".$prefix."piggybank (userid, transdate, descr, amount, status, ipnsaleid) values (".$_SESSION["userid"].", NOW(), 'Deposit: ".$optioninfo["name"]."', '".$depositamount."', '0', '0')") or die(lfmsql_error());
			}
		}
	}
	
	$headercontent = lfmsql_result(lfmsql_query("SELECT template_data FROM `".$prefix."templates` WHERE template_name='piggy_header'"), 0);
	if (function_exists('html_entity_decode')) {
		$headercontent = html_entity_decode($headercontent);
	} else {
		$headercontent = unhtmlentities($headercontent);
	}
	$headercontent = translate_site_tags($headercontent);
	$headercontent = translate_user_tags($headercontent, $useremail);
	
	$page_content .= $headercontent;
	
	// Not Enough Funds For Purchase
	$thirtyminago = time() - 1800;
if (isset($_SESSION['piggybankbuyid']) && is_numeric($_SESSION['piggybankbuyid']) && $_SESSION['piggybankbuyid'] > 0 && $_SESSION['piggybankbuytime'] >= $thirtyminago) {
	// Show the button to retry a purchase
	$extra=0;
	if (isset($_SESSION['piggybankbuyname']) && strlen($_SESSION['piggybankbuyname']) > 0) {
		if (strpos($_SESSION['piggybankbuyname'], " - ") !== false) {
			$splitpiggybankbuyname = explode('-', $_SESSION['piggybankbuyname']);
			$extra = trim($splitpiggybankbuyname[count($splitpiggybankbuyname)-1]);
		}
	}
	
	$currentbal = lfmsql_result(lfmsql_query("SELECT SUM(amount) from ".$prefix."piggybank where userid=".$_SESSION["userid"]." and status='0'"), 0);
	
	$getitem = lfmsql_query("SELECT * FROM ".$prefix."ipn_products WHERE id='".$_SESSION['piggybankbuyid']."'") or die(lfmsql_error());
	if (lfmsql_num_rows($getitem) > 0) {
		$iteminfo = lfmsql_fetch_array($getitem);
		$amountneeded = $iteminfo['amount'] - $currentbal;
		
		if ($amountneeded > 0) {
			echo('<br><br><center><div class="completepurchase">
				<h2 style="text-align:center;">Complete Your Purchase</h2>
				<p style="text-align:left;">You must add $'.$amountneeded.' for your purchase of: '.$iteminfo['name'].'. After depositing, restart your purchase to complete it</p>
				</div></center><br>');
		} else {
			echo('<br><br><center><div class="completepurchase">
				<h2 style="text-align:center;">Complete Your Purchase</h2>
				<p style="text-align:left;">Click the button below to complete your purchase of: '.$iteminfo['name'].'</p>
				'.show_button_code($_SESSION['piggybankbuyid'], 6, $extra).'
			</div></center><br>');
		}
	}
}
	
	// Start Pending Deposits
	$cnt=0;
	$pendingrows = '';
  $res=@lfmsql_query("SELECT a.transdate AS transdate, a.amount AS amount, b.name AS optionname FROM ".$prefix."piggybank_deposits a LEFT JOIN ".$prefix."piggybank_options b ON (a.optionid=b.id) WHERE a.userid=".$_SESSION["userid"]." AND a.status=0") or die("Unable to get Pending Deposits: ".lfmsql_error());
  while($row=@lfmsql_fetch_array($res))
  {
	 $cnt++;
	 
	 $pendingrows .= '<tr>
		<td align="center">'.$row["transdate"].'</td>
		<td align="center">'.$row["optionname"].'</td>
		<td align="center">'.$row["amount"].'</td>
		</tr>';

  } // End of rows from query

  if($cnt > 0){
	 $page_content .= '<hr>
	<h2>Pending Deposits</h2>
	<p>These deposits are pending and will be added to your balance after Admin approval</p>
	 <table align="center" cellpadding="5" cellspacing="0">
	 <tr class="membertdbold"><td align="center">Date</td>
	 <td align="center">Type</td>
	 <td align="center">Amount</td>
	 </tr>'.$pendingrows.'</table>';
  }
	
	// Start Deposit Options
	$option_list = '';
	
	// Transfer From Commissions
	if ($commstransfer > 0) {
		$mcomm = lfmsql_result(lfmsql_query("SELECT SUM(commission) from ".$prefix."sales where affid=".$_SESSION["userid"]." and status IS NULL"), 0);
		if (!is_numeric($mcomm) || $mcomm < 0) { $mcomm = "0.00"; }
		$option_list .= '<div class="depositoptioninner" style="width:610px; min-height:0px;">
		<h3>Transfer From Commissions</h3>
		<p style="text-align:left">This option allows you to instantly transfer from your commissions balance into your Piggy Bank balance.</p>';
		if ($mcomm > 0) {
			$option_list .= '<p>Your current commissions balance: <b>$'.$mcomm.'</b></p>
			<form action="piggybank.php" method="post">
			Transfer Amount: <input size="6" type="text" name="ctransferamount" value="0.00"><br>
			<input type="submit" name="submit" value="Transfer">
			</form>';
		} else {
			$option_list .= '<p>Your current commissions balance: <b>$0.00</b></p>';
		}
		$option_list .= '</div><br>';
	}
	
	$res = lfmsql_query("SELECT * FROM ".$prefix."piggybank_options") or die("Unable to get Deposit Options: ".lfmsql_error());
	while($optioninfo=@lfmsql_fetch_array($res)) {
		$showoption = 1;
		if ($optioninfo["reloadlimit"] == 0) {
			// Can only be used once
			$checkexisting = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."piggybank_deposits WHERE userid=".$_SESSION["userid"]." AND optionid=".$optioninfo["id"]." AND (status=0 OR status=1 OR status=2)"), 0);
			if ($checkexisting > 0) {
				$showoption = 0;
			}
		} elseif ($optioninfo["reloadlimit"] > 0) {
			// Limited to a certain number of days
			$currentdate = date("Y-m-d");
			$checkdate = strftime("%Y-%m-%d", strtotime("$currentdate + ".$optioninfo["reloadlimit"]." days ago"));
			$checkexisting = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."piggybank_deposits WHERE userid=".$_SESSION["userid"]." AND optionid=".$optioninfo["id"]." AND (status=0 OR status=1 OR status=2) AND transdate > '".$checkdate."'"), 0);
			if ($checkexisting > 0) {
				$showoption = 0;
			}
		}
		
		if ($showoption == 1) {
			$option_list .= '<div class="vcenter depositoptioninner"><div style="width:100%">
				'.$optioninfo["descr"].'
				<br>
				<form action="piggybank.php" method="post">
				<input type="hidden" name="optionid" value="'.$optioninfo["id"].'">';
				
				if ($optioninfo["setamount"] <= 0) {
					$option_list .= 'Deposit Amount: <input size="6" type="text" name="amount" value="0.00"><br>';
					if ($optioninfo["minamount"] > 0) {
						$option_list .= '<small>Minimum Amount: '.$optioninfo["minamount"].'</small><br>';
					}
					if ($optioninfo["maxamount"] > 0) {
						$option_list .= '<small>Maximum Amount: '.$optioninfo["maxamount"].'</small><br>';
					}
				} else {
					$option_list .= 'Deposit Amount: <b>'.$optioninfo["setamount"].'</b><br>';
				}
				
				if (strlen($optioninfo["requiredinfo"]) > 0) {
					$option_list .= '<br>'.$optioninfo["requiredinfo"].'<br>
					<textarea cols="25" rows="3" name="extrainfo"></textarea><br>';
				}
				
				$option_list .= '<br><input type="submit" name="submit" value="Confirm '.$optioninfo["name"].' Deposit">
				</form>
			</div></div>';
		}
	}
	
	if(strlen($option_list) > 0){
		$page_content .= '<hr>
		<div class="depositoptionouter"><style>
.displayed {
   display: none;
}
.ribbon {
   display: none
}
</style>
		<h2>Deposit Options</h2>
		<p>Add to your Piggy Bank Balance</p>
		'.$option_list.'
		</div>';
	}
	
	// Start Subscriptions
	
	if (isset($_GET['cancelsub']) && is_numeric($_GET['cancelsub'])) {
		lfmsql_query("UPDATE `".$prefix."piggybank_subs` SET status='Canceled By Member' WHERE id='".$_GET['cancelsub']."' AND userid=".$_SESSION["userid"]) or die(lfmsql_error());
	}
	
	$page_content .= '<div style="clear:both;">
	<br><hr>
	<h2>Subscriptions</h2>
	<p style="width:600px;text-align:left;">Any subscriptions purchased using your Piggy Bank balance will be automatically renewed using your account balance on the next billing date.</p>
	 <table align="center" cellpadding="5" cellspacing="0">
	 <tr class="membertdbold"><td align="center">Item</td>
	 <td align="center">Amount</td>
	 <td align="center">Next Billing Date</td>
	 <td align="center">&nbsp;</td>
	 </tr>';

  // Get Subscriptions
  $cnt=0;
  $res=@lfmsql_query("SELECT * FROM `".$prefix."piggybank_subs` WHERE userid=".$_SESSION["userid"]." AND status='Active'") or die("Unable to get subscription list: ".lfmsql_error());
  while($row=@lfmsql_fetch_array($res))
  {
	 $cnt++;
	
	$getitem = lfmsql_query("SELECT name, amount FROM `".$prefix."ipn_products` WHERE id=".$row["ipnpackage"]);
	
	if (lfmsql_num_rows($getitem) > 0) {
	
	 $page_content .= '<tr>
		<td align="center">'.lfmsql_result($getitem, 0, "name").'</td>
		<td align="center">$'.lfmsql_result($getitem, 0, "amount").'</td>
		<td align="center">'.date('M j Y', strtotime($row["nextbill"])).'</td>
		<td align="center"><a class="btn btn-danger" href="piggybank.php?cancelsub='.$row["id"].'" onclick="return confirm(\'Are you sure you want to cancel this subscription?\')">Cancel</a></td>
		</tr>';
		
	}

  } // End of rows from query

  if($cnt==0){
	 $page_content .= '<tr class="formlabelbold"><td colspan="4"><center>No active subscriptions found</center></td></tr>';
  }
  $page_content .= '<tr><td colspan="4">&nbsp;</td></tr></table></div>';
	
	// Start Transaction History
	
	$page_content .= '<div style="clear:both;">
	<br><hr>
	<h2>Transaction History</h2>
	 <table align="center" cellpadding="5" cellspacing="0">
	 <tr class="membertdbold"><td align="center">Date</td>
	 <td align="center">Details</td>
	 <td align="center">Amount</td>
	 </tr>';

  // Get Piggy Bank Transactions
  $cnt=0;
  $res=@lfmsql_query("SELECT * FROM ".$prefix."piggybank WHERE userid=".$_SESSION["userid"]) or die("Unable to get balance history: ".lfmsql_error());
  while($row=@lfmsql_fetch_array($res))
  {
	 $cnt++;

	 $page_content .= '<tr>
		<td align="center">'.$row["transdate"].'</td>
		<td align="center">'.$row["descr"].'</td>
		<td align="center">'.$row["amount"].'</td>
		</tr>';

  } // End of rows from query

  if($cnt==0){
	 $page_content .= '<tr class="formlabelbold"><td colspan="3"><center>No transactions found</center></td></tr>';
  }
  $page_content .= '<tr><td colspan="3">&nbsp;</td></tr></table></div>';
  
  
	load_template ($theme_dir."/content.php");

	exit;

?>