<?php
// Prevent anyone who isn't logged in from accessing this page
if(!defined('LFM_ACTIVE_SURFERS_AUTH') || (LFM_ACTIVE_SURFERS_AUTH != 'gasdf'))
	exit();

$checkurl = "https://".$domain."/claim_checktime.php";

$urlinfo = parse_url($checkurl);
$hostname = $urlinfo['host'];

if ($hostname == "" || gethostbyname($hostname) == $hostname) {
    echo("Could not connect to: ".$createdby."<br>Their server appears to be offline.<br><br><a href=\"admin.php?f=active\">Go Back</a>");
    exit;
} else {
    // Initialize cURL session
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $checkurl);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HEADER, true);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true); // Follow redirects
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 5); // Set timeout
    curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Trident/5.0)');
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true); // Enforce SSL certificate verification

    $response = curl_exec($ch);

    if (curl_errno($ch)) {
        echo("Could not connect to: ".$createdby."<br>Error: ".curl_error($ch)."<br><br><a href=\"admin.php?f=active\">Go Back</a>");
        curl_close($ch);
        exit;
    }

    $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    if ($http_code != 200) {
        echo("Could not connect to: ".$createdby."<br>Their server may be having technical problems, or their SURFER REWARDS mod could be installed incorrectly.<br><br><a href=\"admin.php?f=active\">Go Back</a>");
        exit;
    }

    if (strpos($response, "Time:") === false) {
        echo("Could not connect to: ".$createdby."<br>Their server may be having technical problems, or their SURFER REWARDS mod could be installed incorrectly.<br><br><a href=\"admin.php?f=active\">Go Back</a>");
        exit;
    } else {
        $colonpos = strpos($response, "Time:");
        $colonpos = $colonpos + 5;
        $servertimecount = trim(substr($response, $colonpos));
        
        $servertimesplit = explode(':', $servertimecount);
        $servertimecount = trim($servertimesplit[0]);

        if (!is_numeric($servertimecount)) {
            echo("Could not connect to: ".$createdby."<br>Their server may be having technical problems, or their SURFER REWARDS mod could be installed incorrectly.<br><br><a href=\"admin.php?f=active\">Go Back</a>");
            exit;
        }
    }
}
