<?php
/**
* Activesurfer Rewards Class
*  
*
*
* @author Tim Brownlaw
* @date 22 Nov 2013
* @version 0.1
**/

class ActiveSurfer
{
/** ***************************************************************************
* Generate Promo Key Function
*
* @param - $length - the length of the generated code
* @return - $password - the generated key
*
*/
	public function generatePromoKey ($length = 20)
	{
		$password = "";
		$possible = "0123456789bcdfghjkmnpqrstvwxyz"; 
		$i = 0; 
		while ($i < $length)
		{ 
			$char = substr($possible, mt_rand(0, strlen($possible)-1), 1);
			$password .= $char;
			$i++;
		}
		return $password;
	}

	public function extra_columns($cols)
	{
		// Determine the number of extra columns for the Table
		if (file_exists("peelads.php")) {
			$cols++;
		}
		if (file_exists("sqbanners.php")) {
			$cols++;
		}
		if (file_exists("../inc/porkyp_funcs.php")) {
			$cols++;
		}
		if (file_exists("minibranders.php")) {
			$cols++;
		}
		if (file_exists("trafficpods.php")) {
			$cols++;
		}
		if (file_exists("piggybank.php")) {
			$cols++;
		}
		return $cols;
	}
} // ====>>>> END OF CLASS <<<<====
