<?php

#########################################
##     LFMTE Prize Page Addon v3       ##
##                                     ##
##       2008-2023 LJ Fix LLC         ##
##           www.LJFix.com             ##
##                                     ##
#########################################

require_once "inc/filter.php";
session_start();
include "inc/userauth.php";
$usrid = $_SESSION["userid"];

$getemail = lfmsql_query("Select email, mtype, lastip from `".$prefix."members` where Id=$usrid limit 1");
$useremail = lfmsql_result($getemail, 0, "email");
$mtype = lfmsql_result($getemail, 0, "mtype");
$memip = lfmsql_result($getemail, 0, "lastip");

if ($_SESSION['prizepage']['on'] != 'PrizeOn' and $_SESSION['prizepage']['on'] != 'PrizeGo') {
	header("Location: members.php");
	exit();
}


// Prize Page Settings
$pPrizePage = "https://".$_SERVER["SERVER_NAME"]."/prizepage.php"; // URL for Prize Page
$pTable = $prefix.'prizepage_prizes';
$pWinnersTable = $prefix.'prizepage_prize_winners';

$prizepageid = $_SESSION['prizepage']['pageid'];

if (!is_numeric($prizepageid) || $prizepageid < 1) {
	echo("Invalid Page ID");
	exit;
}

if (isset($_GET['get']) and md5('suht'.$_SESSION['prizepage']['id']) == $_GET['get']) {
	// Get Prize
	$cnx=lfmsql_query("select `id`,`name`,`credits`,`ban_imps`,`text_imps`,`cash`,`peelimps`,`sqbanimps`,`porkyps`,`jetfuel`,mbrands,trafficpods from `$pTable` where pageid='".$prizepageid."' AND `id`={$_SESSION['prizepage']['id']} and `available`=1 and (`qty_in` - `qty_out`) > 0 limit 1");
	if (lfmsql_num_rows($cnx) > 0) {
		$prize=lfmsql_fetch_assoc($cnx);
		$datetime=date("Y-m-d H:i:s");
		lfmsql_query("insert into `$pWinnersTable` (pageid,`prize_id`,`user_id`,`datetime`) values ('".$prizepageid."',{$prize['id']},$usrid,'$datetime')");
		$winId=lfmsql_insert_id();
		lfmsql_query("update `$pTable` set `qty_out`=`qty_out` + 1 where `id`={$prize['id']}");
		$sql=array();
		$sql_admin=array();
		if ($prize['credits']>0) {
			$sql="Update `".$prefix."members` set credits=credits+".$prize['credits']." where Id=$usrid limit 1";
			lfmsql_query($sql);
			lfmsql_query("update `$pWinnersTable` set `delivered`=1 where `id`=$winId");
		}
		if ($prize['cash']>0) {
			$sql="Insert into `".$prefix."sales` (affid, saledate, itemid, itemname, itemamount, commission, txn_id, prize) values ($usrid, NOW(), 0, 'Surfing Prize', '".$prize['cash']."', '".$prize['cash']."', '0', 1)";
			lfmsql_query($sql);
			lfmsql_query("update `$pWinnersTable` set `delivered`=1 where `id`=$winId");
		}
		if ($prize['ban_imps']>0) {
			$sql="Update `".$prefix."members` set bannerimps=bannerimps+".$prize['ban_imps']." where Id=$usrid limit 1";
			lfmsql_query($sql);
			lfmsql_query("update `$pWinnersTable` set `delivered`=1 where `id`=$winId");
		}
		if ($prize['text_imps']>0) {
			$sql="Update `".$prefix."members` set textimps=textimps+".$prize['text_imps']." where Id=$usrid limit 1";
			lfmsql_query($sql);
			lfmsql_query("update `$pWinnersTable` set `delivered`=1 where `id`=$winId");
		}
		
		if ($prize['peelimps']>0) {
			$sql="Update `".$prefix."members` set peelimps=peelimps+".$prize['peelimps']." where Id=$usrid limit 1";
			lfmsql_query($sql);
			lfmsql_query("update `$pWinnersTable` set `delivered`=1 where `id`=$winId");
		}
		if ($prize['sqbanimps']>0) {
			$sql="Update `".$prefix."members` set sqbanimps=sqbanimps+".$prize['sqbanimps']." where Id=$usrid limit 1";
			lfmsql_query($sql);
			lfmsql_query("update `$pWinnersTable` set `delivered`=1 where `id`=$winId");
		}
		
		if ($prize['mbrands']>0) {
			$sql="Update `".$prefix."members` set mbrandimps=mbrandimps+".$prize['mbrands']." where Id=$usrid limit 1";
			lfmsql_query($sql);
			lfmsql_query("update `$pWinnersTable` set `delivered`=1 where `id`=$winId");
		}
		
		if (file_exists("inc/trafficpods_funcs.php") && $prize['trafficpods']>0) {
			require_once "inc/trafficpods_funcs.php";
			trafficpods_addpoints($usrid, $prize['trafficpods']);
			lfmsql_query("update `$pWinnersTable` set `delivered`=1 where `id`=$winId");
		}
		
		if ($prize['porkyps']>0) {
			if (file_exists("inc/porkyp_funcs.php")) {
				require_once "inc/porkyp_funcs.php";
				$porkytransfer = porkytransferpoints($useremail, $memip, $prize['porkyps']);
				if ($porkytransfer === true) {
					lfmsql_query("update `$pWinnersTable` set `delivered`=1 where `id`=$winId");
				} else {
					lfmsql_query("update `$pWinnersTable` set `delivered`=0 where `id`=$winId");
				}
			}
		}
		if ($prize['jetfuel']>0) {
			$getjetfuelpack = lfmsql_query("SELECT * FROM `".$prefix."jetfuel` WHERE id='".$prize['jetfuel']."'");
			if (lfmsql_num_rows($getjetfuelpack) > 0) {
				$duration = lfmsql_result($getjetfuelpack, 0, "duration");
				$multiplier = lfmsql_result($getjetfuelpack, 0, "multiplier");
				$getexisting = lfmsql_query("SELECT endtime FROM ".$prefix."jetfuel_users WHERE userid='".$usrid."' AND active='1' ORDER BY endtime DESC LIMIT 1") or die(lfmsql_error());
				if (lfmsql_num_rows($getexisting) > 0) {
					$existingend = lfmsql_result($getexisting, 0, "endtime");
					$timeleft = $existingend - time();
					if ($timeleft < 1) {
						$timeleft = 0;
					}
				} else {
					$timeleft = 0;
				}
				
				$starttime = time() + $timeleft + 1;
				$endtime = $starttime + round($duration * 3600);
				lfmsql_query("INSERT INTO ".$prefix."jetfuel_users (userid, starttime, endtime, multiplier, active, fromtype) VALUES('".$usrid."', '".$starttime."', '".$endtime."', '".$multiplier."', '1', 'Prize Page')");
				lfmsql_query("update `$pWinnersTable` set `delivered`=1 where `id`=$winId");
			}
		}
		
		// Update Prize Log
		lfmsql_query("INSERT INTO ".$prefix."prizelog (plugin, user, time, credits, bannerimps, textimps, cash, peelads, sqbans, mbrands, porkyps, podpoints) VALUES ('Prize Page', '$usrid', '".time()."', '".$prize['credits']."', '".$prize['ban_imps']."', '".$prize['text_imps']."', '".$prize['cash']."', '".$prize['peelimps']."', '".$prize['sqbanimps']."', '".$prize['mbrands']."', '".$prize['porkyps']."', '".$prize['trafficpods']."') ");
		
		$content = lfmsql_result(lfmsql_query("SELECT claimtemplate FROM`".$prefix."prizepage_pages` WHERE id='".$prizepageid."'"), 0);
		$content = str_replace('[prize_name]', $prize['name'], $content);
		
		$centerjs = "<script language=\"javascript\"> ";
		$centerjs .= "document.getElementById('prizepagecontent').style.top = 120 + 'px'; ";
		if (file_exists("chatbox_modern.php")) {
			$centerjs .= "document.getElementById('prizepagecontent').style.width = (document.body.clientWidth - 245) + 'px'; ";
		}
		$centerjs .= "</script>";
		$content = str_replace('[center_js]', $centerjs, $content);
		
		if (function_exists('html_entity_decode')) {
		   $content = html_entity_decode($content);
		} else {
		   $content = unhtmlentities($content);
		}
		
		$content=translate_site_tags($content);
		$content=translate_user_tags($content,$useremail);
		
		echo $content;
		
		unset($_SESSION['prizepage']);
		session_write_close();
		exit();
	}
} elseif ('PrizeOn' == $_SESSION['prizepage']['on']) {
	$_SESSION['prizepage']['on'] = 'PrizeGo';
	// Show page
	
	if ($mtype == "1") {
		$upgquery = " AND upgonly='0'";
	} else {
		$upgquery = "";
	}
	
	if (file_exists("inc/porkyp_funcs.php")) {
		require_once "inc/porkyp_funcs.php";
		$porkystatus = porkychecklicense();
		if (is_numeric($porkystatus) && $porkystatus > 0) {
			$porkyquery = " AND porkyps <= '".$porkystatus."'";
		} else {
			$porkyquery = " AND porkyps='0'";
		}
	} else {
		$porkyquery = " AND porkyps='0'";
	}
	
	$cnx=lfmsql_query("select `id`, `name`, `address` from `$pTable` where pageid='".$prizepageid."' AND `available`=1 and (`qty_in` - `qty_out`) > 0".$upgquery.$porkyquery." order by rand() limit 1");
	
	if (lfmsql_num_rows($cnx) > 0) {
		$prize=lfmsql_fetch_assoc($cnx);
		$_SESSION['prizepage']['id']=$prize['id'];
		$content = lfmsql_result(lfmsql_query("SELECT pagetemplate FROM `".$prefix."prizepage_pages` WHERE id='".$prizepageid."'"), 0);
		$content = str_replace('[prize_name]', $prize['name'], $content);
		$content = str_replace('[prize_page_url]', $pPrizePage.'?get='.md5('suht'.$prize['id']), $content);
		if (1==$prize['address']) {
			$content = str_replace('[if address]', '', $content);
			$content = str_replace('[/if address]', '', $content);
		} else {
			$content = str_replace('[if address]', '<!--', $content);
			$content = str_replace('[/if address]', '-->', $content);
		}
		
		$centerjs = "<script language=\"javascript\"> ";
		$centerjs .= "document.getElementById('prizepagecontent').style.top = 120 + 'px'; ";
		if (file_exists("chatbox_modern.php")) {
			$centerjs .= "document.getElementById('prizepagecontent').style.width = (document.body.clientWidth - 245) + 'px'; ";
		}
		$centerjs .= "</script>";
		$content = str_replace('[center_js]', $centerjs, $content);
		
		if (function_exists('html_entity_decode')) {
		   $content = html_entity_decode($content);
		} else {
		   $content = unhtmlentities($content);
		}
		
		$content=translate_site_tags($content);
		$content=translate_user_tags($content,$useremail);
		
		echo $content;
	}
}
?>