<?php

#########################################
##     LFMTE Prize Page Addon v3       ##
##                                     ##
##       2008-2017 LJ Fix LLC         ##
##           www.LJFix.com             ##
##                                     ##
#########################################

include "inc/checkauth.php"; 
require_once "inc/funcs.php";
require_once "inc/sql_funcs.php";

if(!isset($_SESSION["adminid"])) { exit; };

// Query settings table for theme
$res=@lfmsql_query("SELECT * FROM ".$prefix."settings") or die("Unable to find settings!");
$row=@lfmsql_fetch_array($res);
$sitename=$row["sitename"];
$replyaddress=$row["replyaddress"];
include "inc/theme.php";
$_SESSION["prefix"] = $prefix;

if (isset($_GET['retrycount']) && is_numeric($_GET['retrycount'])) {
	
	if ($_GET['retrycount'] > 2) {
		echo("<html><body><center><p><font size=\"2\">Preview Failed...</font></p></center></body></html>");
		exit;
	} else {
		$_GET['retrycount'] = $_GET['retrycount'] + 1;
	}
	
} else {
	$_GET['retrycount'] = 1;
}

if (isset($_GET['timestamp']) && is_numeric($_GET['timestamp'])) {
	
	$gettemplate = lfmsql_query("SELECT htmlcontent FROM `".$prefix."prizepage_preview` WHERE timestamp='".$_GET['timestamp']."'") or die(lfmsql_error());
	if (lfmsql_num_rows($gettemplate) > 0) {
		$content = lfmsql_result($gettemplate, 0, "htmlcontent");
	} else {
		echo("<html>
		<head><meta http-equiv=\"refresh\" content=\"3;url=http://".$_SERVER['SERVER_NAME']."/prizepage_preview.php?timestamp=".$_GET['timestamp']."&retrycount=".$_GET['retrycount']."\"></head>
		<body><center><p><font size=\"2\">Loading Preview...</font></p></center></body></html>");
		exit;
	}
	
} else {
	echo("<html><body><center><p><font size=\"2\">Invalid Template ID.</font></p></center></body></html>");
	exit;
}

$content = str_replace('[prize_name]', "Prize Name", $content);
$content = str_replace('[prize_page_url]', "about:blank", $content);
$content = str_replace('[if address]', '<!--', $content);
$content = str_replace('[/if address]', '-->', $content);

$centerjs = "<script language=\"javascript\"> ";
$centerjs .= "document.getElementById('prizepagecontent').style.top = 120 + 'px'; ";
if (file_exists("chatbox_modern.php")) {
	$centerjs .= "document.getElementById('prizepagecontent').style.width = (document.body.clientWidth - 245) + 'px'; ";
}
$centerjs .= "</script>";
$content = str_replace('[center_js]', $centerjs, $content);

if (function_exists('html_entity_decode')) {
   $content = html_entity_decode($content);
} else {
   $content = unhtmlentities($content);
}

$content = translate_site_tags($content);

$getusermail = lfmsql_query("SELECT email FROM ".$prefix."members ORDER BY Id LIMIT 1");
if (lfmsql_num_rows($getusermail) > 0) {
	$useremail = lfmsql_result($getusermail, 0, "email");
	$content = translate_user_tags($content, $useremail);
}

// Output The HTML Content
$page_content = $content;
$page_content = str_ireplace('#AMPSIGN#', '&', $page_content);
echo($page_content);

exit;

?>