<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta name="author" content="">

    <title>Social Profile</title>

    <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,600' rel='stylesheet' type='text/css'>
    <link href="<?php echo $theme_dir.'/'; ?>style_files/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo $theme_dir.'/'; ?>style_files/css/fonts.css" rel="stylesheet">
    <link href="<?php echo $theme_dir.'/'; ?>style.css" rel="stylesheet">

  <?php
global $prefix, $user;
$profilebgid = 0;
$profilebgfile = '';
if (isset($_REQUEST['uid'])) {
	$getuserdata = lfmsql_query("Select background_id from profiles_backgrounds_users where user_id=".$_REQUEST['uid']);
	if (lfmsql_num_rows($getuserdata) > 0) {
		$profilebgid = lfmsql_result($getuserdata, 0, "background_id");
	}
} elseif ($user['user_id'] > 0) {
	$getuserdata = lfmsql_query("Select background_id from profiles_backgrounds_users where user_id=".$user['user_id']);
	if (lfmsql_num_rows($getuserdata) > 0) {
		$profilebgid = lfmsql_result($getuserdata, 0, "background_id");
	}
}
if ($profilebgid > 0) {
	$getbgfile = lfmsql_query("SELECT filename, bgcolor FROM profiles_backgrounds WHERE id=".$profilebgid);
} else {
	$getbgfile = lfmsql_query("SELECT filename, bgcolor FROM profiles_backgrounds WHERE isdefault=1");
}
if (lfmsql_num_rows($getbgfile) > 0) {
	$profilebgfile = lfmsql_result($getbgfile, 0, "filename");
	$profilebgfileext = fileExtension($profilebgfile);
	$profilebgcolor = lfmsql_result($getbgfile, 0, "bgcolor");
}
if (isset($profilebgcolor) && strlen($profilebgcolor) > 0) {
	echo('<style>
		body {
			background-color: '.$profilebgcolor.';
		}
	</style>');
}
if (strlen($profilebgfile) > 0 && file_exists("profile_backgrounds/".$profilebgfile) && ($profilebgfileext == 'jpg' || $profilebgfileext == 'jpeg' || $profilebgfileext == 'gif' || $profilebgfileext == 'png')) {
	echo('<style>
		body {
			background: url(\'/profile_backgrounds/'.$profilebgfile.'\');
			background-size: cover;
			background-repeat: no-repeat;
			background-attachment: fixed;
		}
	</style>');
} elseif (strlen($profilebgfile) > 0 && file_exists("profile_backgrounds/".$profilebgfile) && ($profilebgfileext == 'mp4' || $profilebgfileext == 'webm')) {
	echo('<style>
		#bgVideo {
			position: fixed;
			right: 0;
			bottom: 0;
			min-width: 100%; 
			min-height: 100%;
			z-index: -100;
	}
	</style>');
	$bgvideoformat = 'video/'.$profilebgfileext;
}
?>

  </head>


<body class="with-top-navbar">

<?php
if (isset($bgvideoformat) && strlen($bgvideoformat) > 0) {
	echo('<video autoplay muted loop id="bgVideo">
	  <source src="/profile_backgrounds/'.$profilebgfile.'" type="'.$bgvideoformat.'">
	</video>');
}
?>
  


<nav class="navbar navbar-expand-md fixed-top navbar-dark bg-primary">

  <a class="navbar-brand" href="myprofile.php">
    <h3><span style="color: #FFFF00;"><img alt="" src="/themes/LFMTE_default/elogo.png" style="width: 50px; height: 50px;" />&nbsp;EasyOnlineAdvertising.com</span></h3>
  </a>

  <button
    class="navbar-toggler d-md-none"
    type="button"
    data-toggle="collapse"
    data-target="#navbarResponsive"
    aria-controls="navbarResponsive"
    aria-expanded="false"
    aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarResponsive">
  
    <ul class="navbar-nav mr-auto">
    <?php if(isset($_SESSION["uid"]) && $_SESSION["uid"] != "") { ?>
      <li class="nav-item">
        <a class="nav-link" href="myprofile.php"><font color="white"><strong>My Profile</strong></font></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="members.php"><font color="white"><strong>My Account</strong></font></a>
      </li>
    <?php } else { ?>
      <li class="nav-item">
        <a class="nav-link" href="login.php"><font color="white"><strong>Login</strong></font></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="signup.php"><font color="white"><strong>Signup</strong></font></a>
      </li>
    <?php } ?>
    </ul>

    <form action="myprofile.php?a=profile&b=do_search" method="post" class="form-inline float-right d-none d-md-flex">
      <input class="form-control" type="text" name="searchtext" placeholder="Search members">
      <input class="btn btn-primary" style="margin-left:5px" type="submit" value="Search">
    </form>

  </div>
</nav>