<?php
session_start();
header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] === "POST") {
    $accountNumber = $_POST['accountNumber'] ?? null;

    $csvFile = 'patient_list.csv';
    if (file_exists($csvFile)) {
        $csvData = array_map('str_getcsv', file($csvFile));

        foreach ($csvData as $row) {
            if ($row[4] === $accountNumber) {
                
                $genderValue = $row[12];
        
        if ($genderValue === 'M') {
            $genderValue = 'Male';
        } elseif ($genderValue === 'F') {
            $genderValue = 'Female';
        } else {
            $genderValue = 'Other';
        }

                $patientData = [
                    'Account' => $row[4],
                    'Patient_FirstName' => $row[3],
                    'Patient_LastName' => $row[2],
                    'REFERRING' => $row[5],
                    'Addr1' => $row[6],
                    'Addr2' => $row[7],
                    'City' => $row[8],
                    'State' => $row[9],
                    'Zip' => $row[10],
                    'DOB' => $row[11],
                    'Gender' => $genderValue,
                    'HomePhone' => $row[19],
                    'CellPhone' => $row[20],
                    'Plan' => $row[24],
                    'Policy' => $row[25],
                    'Group' => $row[26],
                    'Expires' => $row[28],
                    'HomeEmail' => $row[32],
                    'WorkEmail' => $row[33],
                    
                    // Add more fields as needed
                ];

                echo json_encode($patientData);
                exit;
            }
        }
    }
}

echo json_encode(['error' => 'No patient found']);
exit;
?>