<?php

// Login Spotlight Mod
// 2016 Josh Abbott, http://trafficmods.com
// Licensed for the LFMTE script

if (!isset($cronfilepath) || strlen($cronfilepath) < 1) {
	echo("This file should be scheduled in the oto_cronjobs table");
	exit;
}

// Query settings table for sitename etc
$res=@lfmsql_query("SELECT sitename,replyaddress,bounceaddress,affurl FROM ".$prefix."settings") or die("1040: Unable to find ".$prefix."settings!");
$row=@lfmsql_fetch_array($res);
$sitename=$row["sitename"];
$replyemail=$row["replyaddress"];
$bounceaddress=$row["bounceaddress"];
$affurl=$row["affurl"];

$r=lfmsql_query("SELECT * FROM ".$prefix."spotlight_settings;");
$row=lfmsql_fetch_array($r);
extract($row);

if ($enable != 1) {
	// Login Spotlight is not enabled
} else {

if ($sendmail != 1) {
	// Mailings are not enabled
} else {

$t = time();
$getsid = lfmsql_query("SELECT id, url FROM ".$prefix."spotlight WHERE `from`<$t AND `to`>$t;");

if (lfmsql_num_rows($getsid) < 1) {
	// No current spotlight site
} else {

$sid = lfmsql_result($getsid, 0, "id");

$sidurl = lfmsql_result($getsid, 0, "url");

if($sidurl == '') {
	// URL is blank
	AddLog("Login Spotlight - Member has left their URL blank. Login Spotlight ID: ".$sid);
} else {

if ($sid == $lastmailsid) {
	// Already mailed this spotlight site
} else {

lfmsql_query("Update ".$prefix."spotlight_settings set lastmailsid=".$sid) or die(lfmsql_error());

AddLog("Login Spotlight - Sending notification mailing for spotlight ID: ".$sid);

$getmembers = lfmsql_query("SELECT Id, email, mtype FROM ".$prefix."members WHERE status='Active' AND newsletter=1");
if (lfmsql_num_rows($getmembers) > 0) {
for ($i = 0; $i < lfmsql_num_rows($getmembers); $i++) {

	$mem_id = lfmsql_result($getmembers, $i, "Id");
	$mem_email = lfmsql_result($getmembers, $i, "email");
	$acctype = lfmsql_result($getmembers, $i, "mtype");
	
	$getviewcredits = lfmsql_query("Select spotlight_view, spotlight_view_cash, spotlight_rate, spotlight_rate_cash from `".$prefix."membertypes` where mtid=".$acctype);
	$viewcredits = lfmsql_result($getviewcredits, 0, "spotlight_view");
	$viewcash = lfmsql_result($getviewcredits, 0, "spotlight_view_cash");
	$viewcash = round($viewcash, 2);

	$ratecredits = lfmsql_result($getviewcredits, 0, "spotlight_rate");
	$ratecash = lfmsql_result($getviewcredits, 0, "spotlight_rate_cash");
	$ratecash = round($ratecash, 2);
	
	$msgbody=translate_site_tags($mailbody);
	$msgbody=translate_user_tags($msgbody,$mem_email);
	$msgbody = str_replace("#VIEWREWARD#", $viewcredits, $msgbody);
	$msgbody = str_replace("#RATEREWARD#", $ratecredits, $msgbody);
	$msgbody = str_replace("#VIEWREWARDCASH#", $viewcash, $msgbody);
	$msgbody = str_replace("#RATEREWARDCASH#", $ratecash, $msgbody);
	
	$msgsubject=translate_site_tags($mailsubject);
	$msgsubject=translate_user_tags($msgsubject,$mem_email);
	$msgsubject = str_replace("#VIEWREWARD#", $viewcredits, $msgsubject);
	$msgsubject = str_replace("#RATEREWARD#", $ratecredits, $msgsubject);
	$msgsubject = str_replace("#VIEWREWARDCASH#", $viewcash, $msgsubject);
	$msgsubject = str_replace("#RATEREWARDCASH#", $ratecash, $msgsubject);
	
	$unsubscribe = $affurl."unsubscribe.php?user=".$mem_id."&email=".$mem_email;
	$msgbody .= "\n\n\nYou are subscribed to receive updates with the e-mail address ".$mem_email.". \nClick on the following link or paste it into your web browser to unsubscribe:\n\n$unsubscribe";
	
	// Send message
	$now = date("ymdHis").rand(1000,9999);
	$headers = "From: ".$sitename." <".$replyemail.">"."\r\n";
	$headers .= "Return-Path: ".$sitename." <".$replyemail.">"."\r\n";
	$headers .= "Message-ID: <".$now."TheSystem@".$_SERVER['SERVER_NAME'].">"."\r\n";
	$mailFrom = "-f$bounceaddress";
	mail($mem_email,$msgsubject,$msgbody,$headers,$mailFrom);
	
}
} else {
	$i=0;
}

AddLog("Login Spotlight - Notification sent to ".$i." members");

}
}
}
}
}

?>