<?php

// LFMTE Bingo Game
// 2017 LFM Wealth Systems, http://thetrafficexchangescript.com

include_once "lfm_plugins/BingoGame/funcs.php";
if (!is_array($bingosettings)) {
	$getbingosets = lfmsql_query("SELECT * FROM ".$prefix."bingoset ");
	if (lfmsql_num_rows($getbingosets) > 0) {
		while ($abingoset = lfmsql_fetch_array($getbingosets)) {
			$bingosetfield = $abingoset['field'];
			$bingosettings[$bingosetfield] = $abingoset['value'];
		}
	}
}

if ($bingosettings['modenabled'] == 1) {
	$topbaroutput .= '<link href="lfm_plugins/BingoGame/bingostyles.css" rel="stylesheet" type="text/css" />
	<table onClick="window.open(\'bingo.php\', \'_blank\');" style="cursor:pointer;"><tr><td><div id="bingoblock"></div></td><td><div id="bingocard"></div></td></tr></table>
	<script type="text/javascript">
		if (!window.jQuery) {
		  var jq = document.createElement(\'script\');
		  jq.type = \'text/javascript\';
		  jq.src = \'/jquery-1.10.2.min.js\';
		  document.getElementsByTagName(\'html\')[0].appendChild(jq);
		}
		
		var bingoball;
		var bingocards;
		var curbingocard;
		var numbingocards;
		function displayBingoCard() {
			if (bingocards != \'NODISPLAY\') {
				if (numbingocards > 1) {
					$( "#bingocard" ).fadeOut( "slow", function() {
						$( "#bingocard" ).html( bingocards );
					    $( "#bingocard" ).fadeIn( "slow", function() {
						});
					});
				} else {
					$( "#bingocard" ).html( bingocards );
				}
        	} else {
				$( "#bingocard" ).html( \'\' );
        	}
		}
		
		function bingoRun() {
			$.ajax({
			  type: "POST",
			  url: "lfm_plugins/BingoGame/barajax.php"
			})
			.done(function( msg ) {
				var bingoresp = msg.split("|");
				if (bingoresp[0] == \'BINGOGAME\' && bingoresp[1] == \'OK\') {
					if (bingoresp[2] == \'PENDINGGAME\' || bingoresp[2] == \'ALTMSG\') {
						$( "#bingoblock" ).html( bingoresp[3] );
					} else if (bingoresp[2] == \'NODISPLAY\') {
						$( "#bingoblock" ).html( \'\' );
					} else if (bingoresp[2] == \'DISPLAYHTML\') {
						$( "#bingoblock" ).html( bingoresp[3] );
						numbingocards = bingoresp[4];
						bingocards = bingoresp[5];
						displayBingoCard();
					}
				}
			});
			setTimeout(bingoRun,15000);
		}
		bingoRun();
	</script>
	';
}
?>