<?php

// SurfingGuard Checker v2.2
// 2011-2014 Josh Abbott, http://surfingguard.com
// LFMTE script version

include("sgheader.php");

echo("<p><font size=\"4\"><b>Approved Sites</b></font></p>");

echo("<p align=\"left\">Sites on your approved sites list will always pass the checker.  You should only add a site to this list if you know that it is completely safe.  If you simply want to allow a site that is on the Central Ban list, you should instead add it to the <a href=\"centralban.php\"><font color=\"blue\"><b>Central Ban Excluded Sites</b></font></a> list.</p>");

echo("<table border=\"1\" bordercolor=\"gray\" cellpadding=\"5\" cellspacing=\"0\" width=\"400\">
<tr><td align=\"center\">
<p><b>Add An Approved Site</b></p>
<p>You can add a specific page like <b>http://intellibanners.com/splash.php</b> or a complete domain like <b>intellibanners.com</b> to your approved sites.</p>
<form action=\"approvedsites.php?add=yes\" method=\"post\">
<input type=\"text\" name=\"newsite\"><br><input type=\"submit\" value=\"Add Site\">
</form>
</td></tr>
</table>
<br>
");

echo("<table border=\"1\" bordercolor=\"gray\" cellpadding=\"5\" cellspacing=\"0\">
<tr><td align=\"center\">
<p><b>Search Approved Sites</b></p>
<form action=\"approvedsites.php\" method=\"post\">
<input type=\"text\" name=\"searchlist\" value=\"".$_POST['searchlist']."\"><input type=\"submit\" value=\"Search\">
</form>
</td></tr>
</table>
<br>
");

if (is_numeric($_GET['delid']) && $_GET['delid'] > 0) {
	@lfmsql_query("Delete from approved_sites where id=".$_GET['delid']." limit 1");
}

if ($_GET['add'] == "yes" && $_POST['newsite'] != "") {
	@lfmsql_query("Insert into approved_sites (domain) values ('".$_POST['newsite']."')");
}


if (isset($_POST['searchlist']) && $_POST['searchlist'] != "") {
	$searchlist = "%".trim($_POST['searchlist'])."%";
	$getsites = lfmsql_query("Select id, domain from approved_sites where domain LIKE '".$searchlist."' order by domain asc");
	$headingtext = "Approved Sites Search Results";
} else {
	$getsites = lfmsql_query("Select id, domain from approved_sites order by domain asc");
	$headingtext = "Approved Sites List";
}

if (lfmsql_num_rows($getsites) < 1) {
	echo("<p><b>No Sites Found</b></p>");
} else {
	echo("<table border=\"1\" bordercolor=\"gray\" cellpadding=\"5\" cellspacing=\"0\" width=\"500\">");
	echo("<tr><td bgcolor=\"#8FBAE7\" colspan=\"2\"><b>".$headingtext."</b></td></tr>");
	for ($i = 0; $i < lfmsql_num_rows($getsites); $i++) {
		echo("<tr><td width=\"85%\">".lfmsql_result($getsites, $i, "domain")."</td><td width=\"15%\" onMouseOver=\"hoveron(this)\" onMouseOut=\"hoveroff(this)\" bgcolor=\"#8FBAE7\"><a href=\"approvedsites.php?delid=".lfmsql_result($getsites, $i, "id")."\"><font color=\"blue\"><u>Delete</u></font></a></td></tr>");
		
	}
	echo("</table>");
}

include("sgfooter.php");

?>