<?php

// SurfingGuard Checker v2.2
// 2011-2014 Josh Abbott, http://surfingguard.com
// LFMTE script version

include("sgheader.php");

// Make Checker Actions
function makecheckeraction($acid) {
	if (!is_numeric($acid)) {
		return "";
	}
	
	$dontcheck = array("Hidden IFrame", "Encoded JavaScript", "Site In Central Ban", "Virus", "Google - Suspected phishing page", "Google - Suspected malicious code");
	
	$getdata = lfmsql_query("Select * from sg_checker_actions where id=".$acid);
	if (lfmsql_num_rows($getdata) == 0) {
		return "";
	}
	
	$name = lfmsql_result($getdata, 0, "name");
	$action = lfmsql_result($getdata, 0, "action");
	$mailadmin = lfmsql_result($getdata, 0, "mailadmin");

	$checkarray = array_search($name, $dontcheck);
	if ($checkarray !== false) {
		$radio0 = "<input type=\"radio\" name=\"action".$acid."\" value=\"0\"";
		if ($action == 0) { $radio0 .= " checked"; }
		$radio0 .= ">";
	} else {
		$radio0 = "<input type=\"radio\" name=\"action".$acid."\" value=\"0\" DISABLED>";
	}
	
	$radio1 = "<input type=\"radio\" name=\"action".$acid."\" value=\"1\"";
	if ($action == 1) { $radio1 .= " checked"; }
	$radio1 .= ">";
	
	$radio2 = "<input type=\"radio\" name=\"action".$acid."\" value=\"2\"";
	if ($action == 2) { $radio2 .= " checked"; }
	$radio2 .= ">";
	
	if ($mailadmin == 1) {
		$mcheckbox = "<input type=\"checkbox\" name=\"mailadmin".$acid."\" checked>";
	} else {
		$mcheckbox = "<input type=\"checkbox\" name=\"mailadmin".$acid."\">";
	}
	
	$output = "<tr><td align=\"left\">".$name."</td><td>".$radio0."</td><td>".$radio1."</td><td>".$radio2."</td><td>".$mcheckbox."</td></tr>";
	
	return $output;

}
// End Make Checker Actions


// Make Monitor Actions
function makemonitoraction($acid) {
	if (!is_numeric($acid)) {
		return "";
	}
	
	$dontcheck = array("Not Found", "Too Many Redirects", "Hidden IFrame", "Encoded JavaScript", "Site In Central Ban", "Virus", "Google - Suspected phishing page", "Google - Suspected malicious code");
	
	$getdata = lfmsql_query("Select * from sg_monitor_actions where id=".$acid);
	if (lfmsql_num_rows($getdata) == 0) {
		return "";
	}
	
	$name = lfmsql_result($getdata, 0, "name");
	$action = lfmsql_result($getdata, 0, "action");
	$mailadmin = lfmsql_result($getdata, 0, "mailadmin");
	$mailmem = lfmsql_result($getdata, 0, "mailmem");

	$checkarray = array_search($name, $dontcheck);
	if ($checkarray !== false) {
		$radio0 = "<input type=\"radio\" name=\"action".$acid."\" value=\"0\"";
		if ($action == 0) { $radio0 .= " checked"; }
		$radio0 .= ">";
	} else {
		$radio0 = "<input type=\"radio\" name=\"action".$acid."\" value=\"0\" DISABLED>";
	}
	
	$radio1 = "<input type=\"radio\" name=\"action".$acid."\" value=\"1\"";
	if ($action == 1) { $radio1 .= " checked"; }
	$radio1 .= ">";
	
	$radio2 = "<input type=\"radio\" name=\"action".$acid."\" value=\"2\"";
	if ($action == 2) { $radio2 .= " checked"; }
	$radio2 .= ">";
	
	if ($mailadmin == 1) {
		$mcheckbox = "<input type=\"checkbox\" name=\"mailadmin".$acid."\" checked>";
	} else {
		$mcheckbox = "<input type=\"checkbox\" name=\"mailadmin".$acid."\">";
	}
	
	if ($mailmem == 1) {
		$memcheckbox = "<input type=\"checkbox\" name=\"mailmem".$acid."\" checked>";
	} else {
		$memcheckbox = "<input type=\"checkbox\" name=\"mailmem".$acid."\">";
	}
	
	$output = "<tr><td align=\"left\">".$name."</td><td>".$radio0."</td><td>".$radio1."</td><td>".$radio2."</td><td>".$memcheckbox."</td><td>".$mcheckbox."</td></tr>";
	
	return $output;

}
// End Make Monitor Actions

// Make Member Ban Actions
function makembanaction($acid) {
	if (!is_numeric($acid)) {
		return "";
	}
	
	$getdata = lfmsql_query("Select * from sg_mban_actions where id=".$acid);
	if (lfmsql_num_rows($getdata) == 0) {
		return "";
	}
	
	$name = lfmsql_result($getdata, 0, "name");
	$action = lfmsql_result($getdata, 0, "action");
	$mailadmin = lfmsql_result($getdata, 0, "mailadmin");

	$radio0 = "<input type=\"radio\" name=\"action".$acid."\" value=\"0\"";
	if ($action == 0) { $radio0 .= " checked"; }
	$radio0 .= ">";
	
	$radio1 = "<input type=\"radio\" name=\"action".$acid."\" value=\"1\"";
	if ($action == 1) { $radio1 .= " checked"; }
	$radio1 .= ">";
	
	if ($mailadmin == 1) {
		$mcheckbox = "<input type=\"checkbox\" name=\"mailadmin".$acid."\" checked>";
	} else {
		$mcheckbox = "<input type=\"checkbox\" name=\"mailadmin".$acid."\">";
	}
	
	$output = "<tr><td align=\"left\">".$name."</td><td>".$radio0."</td><td>".$radio1."</td><td>".$mcheckbox."</td></tr>";
	
	return $output;

}
// End Make Member Ban Actions

if ($_GET['updatechecker'] == "yes") {

	if ($_POST['immediate'] == 1) {
		$timer = 0;
	} else {
		$timer = $_POST['timer'];
	}
	@lfmsql_query("Update sg_settings set value=".$timer." where name='timer' limit 1");

	$getdata = lfmsql_query("Select * from sg_checker_actions order by id");
	for ($i = 0; $i < lfmsql_num_rows($getdata); $i++) {
		$acid = lfmsql_result($getdata, $i, "id");
		$newactionvar = "action".$acid;
		$mailadminvar = "mailadmin".$acid;
		$newaction = $_POST[$newactionvar];
		if(isset($_POST[$mailadminvar])) { $newmailadmin = 1; } else { $newmailadmin = 0; }
		@lfmsql_query("Update sg_checker_actions set action=".$newaction.", mailadmin=".$newmailadmin." where id=".$acid);	
	}
}

if ($_GET['updatemonitor'] == "yes") {
	$getdata = lfmsql_query("Select * from sg_monitor_actions order by id");
	for ($i = 0; $i < lfmsql_num_rows($getdata); $i++) {
		$acid = lfmsql_result($getdata, $i, "id");
		$newactionvar = "action".$acid;
		$mailadminvar = "mailadmin".$acid;
		$mailmemvar = "mailmem".$acid;
		$newaction = $_POST[$newactionvar];
		if(isset($_POST[$mailadminvar])) { $newmailadmin = 1; } else { $newmailadmin = 0; }
		if(isset($_POST[$mailmemvar])) { $newmailmem = 1; } else { $newmailmem = 0; }
		@lfmsql_query("Update sg_monitor_actions set action=".$newaction.", mailadmin=".$newmailadmin.", mailmem=".$newmailmem." where id=".$acid);
	}
}

if ($_GET['updatemban'] == "yes") {
	$getdata = lfmsql_query("Select * from sg_mban_actions order by id");
	for ($i = 0; $i < lfmsql_num_rows($getdata); $i++) {
		$acid = lfmsql_result($getdata, $i, "id");
		$newactionvar = "action".$acid;
		$mailadminvar = "mailadmin".$acid;
		$newaction = $_POST[$newactionvar];
		if(isset($_POST[$mailadminvar])) { $newmailadmin = 1; } else { $newmailadmin = 0; }
		@lfmsql_query("Update sg_mban_actions set action=".$newaction.", mailadmin=".$newmailadmin." where id=".$acid);	
	}
}

if ($_GET['updateadmin'] == "yes") {

	$adminemail = $_POST['adminemail'];
	$keeplogs = $_POST['keeplogs'];
	if(isset($_POST['serverrequired'])) { $serverrequired = 1; } else { $serverrequired = 0; }
	$adminreply = $_POST['adminreply'];

	@lfmsql_query("Update sg_settings set value='".$adminemail."' where name='adminemail' limit 1");
	@lfmsql_query("Update sg_settings set value='".$keeplogs."' where name='keeplogs' limit 1");
	@lfmsql_query("Update sg_settings set value='".$serverrequired."' where name='serverrequired' limit 1");
	@lfmsql_query("Update sg_settings set value='".$adminreply."' where name='adminreply' limit 1");
	
}

if ($_GET['updatemail'] == "yes") {
	$problemsub = $_POST['problemsub'];
	$problemmes = $_POST['problemmes'];
	
	$suspendsub = $_POST['suspendsub'];
	$suspendmes = $_POST['suspendmes'];
	
	@lfmsql_query("Update sg_mail_templates set subject='".$problemsub."', body='".$problemmes."' where id=1 limit 1");
	@lfmsql_query("Update sg_mail_templates set subject='".$suspendsub."', body='".$suspendmes."' where id=2 limit 1");
}

$checkertimer = lfmsql_result(lfmsql_query("Select value from sg_settings where name='timer'"), 0);

echo("<p><font size=\"4\"><b>Site Checker Settings</b></font></p>
<form action=\"settings.php?updatechecker=yes\" method=\"post\">

<table border=\"1\" bordercolor=\"blue\" cellpadding=\"5\" cellspacing=\"0\"><tr><td align=\"center\">
<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\">
<tr><td colspan=\"2\" align=\"center\"><b>Checker Timer</b></td></tr>
<tr><td align=\"right\"><input type=\"radio\" value=\"1\" name=\"immediate\"");
if ($checkertimer == 0) { echo(" checked"); }
echo("></td><td>Immediate Check</td></tr>
<tr><td align=\"right\"><input type=\"radio\" value=\"0\" name=\"immediate\"");
if ($checkertimer > 0) { echo(" checked"); }
echo("></td><td>Timer seconds: <input type=\"text\" size=\"5\" name=\"timer\" value=\"".$checkertimer."\"></td></tr>
<tr><td colspan=\"2\" align=\"center\"><input type=\"submit\" value=\"Update Timer\"></td></tr>
</table>
</td></tr></table>
<br><br>
<table border=\"1\" bordercolor=\"blue\" cellpadding=\"5\" cellspacing=\"0\">
<tr><td><b>Problem Type</b></td><td>Don't Check</td><td>Pause Site</td><td>Suspend Site</td><td>Notify Admin</td></tr>
");

$getdata = lfmsql_query("Select id from sg_checker_actions order by id");
for ($i = 0; $i < lfmsql_num_rows($getdata); $i++) {
	$acid = lfmsql_result($getdata, $i, "id");
	echo(makecheckeraction($acid));
}


echo("
<tr><td colspan=\"5\" align=\"center\"><input type=\"submit\" value=\"Update Checker Settings\"></td></tr>
</table>
</form>

<hr>

");


echo("<p><font size=\"4\"><b>Site Monitor Settings</b></font></p>
<form action=\"settings.php?updatemonitor=yes\" method=\"post\">
<table border=\"1\" bordercolor=\"blue\" cellpadding=\"5\" cellspacing=\"0\">
<tr><td><b>Problem Type</b></td><td>Don't Check</td><td>Pause Site</td><td>Suspend Site</td><td>Notify Member</td><td>Notify Admin</td></tr>
");

$getdata = lfmsql_query("Select id from sg_monitor_actions order by id");
for ($i = 0; $i < lfmsql_num_rows($getdata); $i++) {
	$acid = lfmsql_result($getdata, $i, "id");
	echo(makemonitoraction($acid));
}


echo("
<tr><td colspan=\"6\" align=\"center\"><input type=\"submit\" value=\"Update Monitor Settings\"></td></tr>
</table>
</form>

<hr>

");


echo("<p><font size=\"4\"><b>Chargeback/Cheater Monitor Settings</b></font></p>
<form action=\"settings.php?updatemban=yes\" method=\"post\">
<table border=\"1\" bordercolor=\"blue\" cellpadding=\"5\" cellspacing=\"0\">
<tr><td><b>Problem Type</b></td><td>Do Nothing</td><td>Ban and Suspend Member</td><td>Notify Admin</td></tr>
");

$getdata = lfmsql_query("Select id from sg_mban_actions order by id");
for ($i = 0; $i < lfmsql_num_rows($getdata); $i++) {
	$acid = lfmsql_result($getdata, $i, "id");
	echo(makembanaction($acid));
}


echo("
<tr><td colspan=\"4\" align=\"center\"><input type=\"submit\" value=\"Update Member Settings\"></td></tr>
</table>
</form>

<hr>

");


echo("<p><font size=\"4\"><b>Admin Settings</b></font></p>");

$adminemail = lfmsql_result(lfmsql_query("Select value from sg_settings where name='adminemail' limit 1"), 0);
$keeplogs = lfmsql_result(lfmsql_query("Select value from sg_settings where name='keeplogs' limit 1"), 0);
$serverrequired = lfmsql_result(lfmsql_query("Select value from sg_settings where name='serverrequired' limit 1"), 0);
$adminreply = lfmsql_result(lfmsql_query("Select value from sg_settings where name='adminreply' limit 1"), 0);

echo("<form action=\"settings.php?updateadmin=yes\" method=\"post\">
<table border=\"0\" cellpadding=\"5\" cellspacing=\"0\">

<tr><td align=\"right\">Admin Contact E-mail</td><td><input type=\"text\" name=\"adminemail\" value=\"".$adminemail."\"></td></tr>
<tr><td align=\"right\">Admin Reply-to E-mail</td><td><input type=\"text\" name=\"adminreply\" value=\"".$adminreply."\"></td></tr>

<tr><td align=\"right\">Days to keep logs</td><td><input type=\"text\" name=\"keeplogs\" value=\"".$keeplogs."\"></td></tr>

<tr><td colspan=\"2\" align=\"center\">Stop checker if SurfingGuard server is down*<input type=\"checkbox\" name=\"serverrequired\"");

if ($serverrequired == 1) { echo(" checked"); }

echo("></td></tr>

<tr><td colspan=\"2\"><br>*Some features, such as the AntiVirus scanner, require a connection to the SurfingGuard server.  If this box is checked, then no new sites can be approved if the server goes down until it comes back online.  If the box is not checked and the server goes down, then any tests requiring a server connection will be skipped and new sites will continue to be checked.</td></tr>

<tr><td colspan=\"2\" align=\"center\"><input type=\"submit\" value=\"Update Settings\"></td></tr>

</table>
</form>

<hr>

");

echo("<p><font size=\"4\"><b>Member Notification Templates</b></font></p>");

$problemsub = lfmsql_result(lfmsql_query("Select subject from sg_mail_templates where id=1"), 0);
$problemmes = lfmsql_result(lfmsql_query("Select body from sg_mail_templates where id=1"), 0);

$suspendsub = lfmsql_result(lfmsql_query("Select subject from sg_mail_templates where id=2"), 0);
$suspendmes = lfmsql_result(lfmsql_query("Select body from sg_mail_templates where id=2"), 0);

echo("<form action=\"settings.php?updatemail=yes\" method=\"post\">
<table border=\"0\" cellpadding=\"5\" cellspacing=\"0\">
<tr><td>

<table border=\"0\" cellpadding=\"5\" cellspacing=\"0\">
<tr><td colspan=\"2\" align=\"center\"><b>Problem Detected Template</b></td></tr>
<tr><td align=\"right\"><b>Subject</b></td><td><input size=\"40\" type=\"text\" name=\"problemsub\" value=\"".$problemsub."\"></td></tr>
<tr><td align=\"right\"><b>Message</b></td><td><textarea name=\"problemmes\" wrap=\"soft\" rows=\"10\" cols=\"30\">".$problemmes."</textarea></td></tr>
</table>

</td>
<td>

<table border=\"0\" cellpadding=\"5\" cellspacing=\"0\">
<tr><td colspan=\"2\" align=\"center\"><b>Site Suspended Template</b></td></tr>
<tr><td align=\"right\"><b>Subject</b></td><td><input size=\"40\" type=\"text\" name=\"suspendsub\" value=\"".$suspendsub."\"></td></tr>
<tr><td align=\"right\"><b>Message</b></td><td><textarea name=\"suspendmes\" wrap=\"soft\" rows=\"10\" cols=\"30\">".$suspendmes."</textarea></td></tr>
</table>

</td></tr>
<tr><td colspan=\"2\" align=\"center\">
<input type=\"submit\" value=\"Update Templates\"><br><br>Note: The [errors] macro will automatically insert the URL and error message.
</td></tr>
</table>
</form>");

include("sgfooter.php");

?>