<?php

// SurfingGuard Checker v2.2
// 2011-2014 Josh Abbott, http://surfingguard.com
// LFMTE script version

include("sgheader.php");

echo("<p><font size=\"4\"><b>Checker and Monitor Logs</b></font></p>");

$query = "SELECT * FROM ".$prefix."f4checks";

if ($_GET['where'] != '') {
	$_POST['where'] = stripslashes($_GET['where']);
}

if ($_GET['search'] != '') {
	$_POST['search'] = stripslashes($_GET['search']);
}
if ($_GET['boolean'] != '') {
	$_POST['boolean'] = stripslashes($_GET['boolean']);
}

if ($_POST['where'] != '') {
	$query .= " WHERE ".stripslashes($_POST['where']);
} elseif ($_POST['search'] != '') {
	$query .= " WHERE ".stripslashes($_POST['search'])." LIKE '%".stripslashes($_POST['boolean'])."%'";
}

if ($_GET['order'] != '') {
	$query .= " ORDER BY ".urldecode(stripslashes($_GET['order']));	
	$order = $_GET['order'];
} elseif ($_POST['order'] != '') {
	$query .= " ORDER BY ".urldecode(stripslashes($_POST['order']));
	$order = $_POST['order'];
}

$max = lfmsql_num_rows(lfmsql_query($query))-100;
if ($max < 100) {
	$max = 0;
}

intval($_GET['start']);
intval($_POST['start']);

if ($_GET['start']) {
	$start = $_GET['start'];
} elseif ($_POST['start']) {
	$start = $_POST['start'];
} else {
	$start = 0;
}

$prev = $start - 100;
$next = $start + 100;

if ($prev < 0) {
	$prev = 0;
}

if ($next > $max) {
	$next = $max;
}

$query .= " LIMIT $start,100";

echo <<<EndHTML
  <a href="sglogs.php"><font color=\"blue\"><u>Show All Logs</u></font></a><br><br>
  <form action="sglogs.php" method="post">
  <input type="hidden" name="order" value="$order">
  <b style="font-size: 10pt;">View:</b>&nbsp;&nbsp;<SELECT name="where">
    <option value="`status` = 'FAILED'">Status is FAILED
    <option value="`status` = 'PASSED'">Status is PASSED
    <option value="`from` = 'checksite.php'">From Checker
    <option value="`from` = 'f4cron.php'">From Monitor
  </SELECT>
  <input type="submit" name="submit" value="Show Results">
  </form>
  
  <form action="sglogs.php" method="post">
  <input type="hidden" name="order" value="$order">
  <b style="font-size: 10pt;">User ID:</b>
  <input type="hidden" name="search" value="user">
  <input type="text" name="boolean" value="" length="40">
  <input type="submit" name="submit" value="Show Results">
  </form>  
  
  <form action="sglogs.php" method="post">
  <input type="hidden" name="order" value="$order">
  <b style="font-size: 10pt;">URL:</b>
  <input type="hidden" name="search" value="page_checked">
  <input type="text" name="boolean" value="http://" length="40">
  <input type="submit" name="submit" value="Show Results">
  </form> 
  
EndHTML;
EndHTML;

echo "<center><table border=1 bordercolor=\"#000000\" cellpadding=5 cellspacing=0 style=\"border: 2px #000000 solid;\"><tr align=\"center\" style=\"background: #AA0000; font-size: 8pt; font-weight: bold; color: #FFFFFF; \"><td>#</td><td><nobr><a href=\"sglogs.php?order=date+ASC\"><img src=\"orderASC.gif\" border=0></a> Date <a href=\"sglogs.php?order=date+DESC\"><img src=\"orderDESC.gif\" border=0></a></nobr></td><td><nobr><a href=\"sglogs.php?order=user+ASC\"><img src=\"orderASC.gif\" border=0></a> User <a href=\"sglogs.php?order=user+DESC\"><img src=\"orderDESC.gif\" border=0></a></nobr></td><td>URL</td><td>Errors</td><td>Warnings</td><td>From</td><td>Status</td></tr>";
$getf4checks = lfmsql_query($query);
if (lfmsql_num_rows($getf4checks) != 0) {
	$i = 1;
while ($f4checks = lfmsql_fetch_array($getf4checks)) {
	if ($bg == '#DDDDFF') {
		$bg = "#FFFFFF";
	} else {
		$bg = "#DDDDFF";
	}
	echo "<tr align=\"left\" style=\"background: $bg; font-size: 10pt; \"><td>$i</td><td width=\"60px\">${f4checks['date']}</td><td>${f4checks['user']}</td><td width=\"150px\"><a target=\"_blank\" href=\"${f4checks['page_checked']}\">${f4checks['page_checked']}</a></td><td>&nbsp;${f4checks['errors']}&nbsp;</td><td>&nbsp;${f4checks['warnings']}&nbsp;</td><td>${f4checks['from']}</td><td";
	
	if ($f4checks['status'] == "FAILED") {
		echo(" bgcolor=\"red\"");
	} elseif ($f4checks['status'] == "PASSED") {
		echo(" bgcolor=\"green\"");
	}
	
	echo">${f4checks['status']}</td></tr>";
	$i++;
}
} else {
	echo "<tr align=\"center\" style=\"font-size: 10pt;\"><td colspan=9>No Checks</td></tr>";
}
echo "</table><br><center><a href=\"sglogs.php?start=$prev&where=".urlencode($_POST['where'])."&search=".urlencode($_POST['search'])."&boolean=".urlencode($_POST['boolean'])."&order=$order\">Prev</a> || <a href=\"sglogs.php?start=$next&where=".urlencode($_POST['where'])."&search=".urlencode($_POST['search'])."&boolean=".urlencode($_POST['boolean'])."&order=$order\">Next</a></center>";

include("sgfooter.php");

?>