<?php
// ////////////////////////////////////////////////////////////
// LFM v4.24
// Copyright 2006-2018 Josh Abbott and Robert Puddy. All Rights Reserved
// http://themembershipscript.com
//
// The Membership Script ("the script") is copyrighted to
// Josh Abbott and Robert Puddy.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the TMS
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that TMS
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "inc/filter.php";

include "inc/config.php";
require_once "inc/funcs.php";
@lfmsql_connect($dbhost,$dbuser,$dbpass);
@lfmsql_select_db($dbname) or die( "Unable to select database");

include "inc/theme.php";

load_template ($theme_dir."/header.php");

// Get homepage body
$bres=@lfmsql_query("SELECT template_data FROM ".$prefix."templates WHERE template_name='terms'") or die("Unable to find Terms template");
$brow=@lfmsql_fetch_array($bres);
if (function_exists('html_entity_decode'))
{
   $page_content = html_entity_decode($brow["template_data"]);
}
else
{
   $page_content = unhtmlentities($brow["template_data"]);
}

$page_content = translate_site_tags($page_content);

load_template ($theme_dir."/content.php");
load_template ($theme_dir."/footer.php");
?>