// SECTION 5A & 5B SCRIPTS


// Function to toggle the display of "Primary Insurance" input based on the selected state
function togglePrimaryInsurance() {
    var insuranceDropdown = document.getElementById("insurance");

    var insuranceNameTextbox = document.getElementById("prim-ins-name");
    var policyNumberTextbox = document.getElementById("prim-pol-num");
    var groupNumberTextbox = document.getElementById("prim-grp-num");
    var expirationDateTextbox = document.getElementById("prim-exp-date");
    var employerTextbox = document.getElementById("prim-employ");
    var otherInfoTextbox = document.getElementById("prim-other-info");

    var secinsuranceNameTextbox = document.getElementById("sec-ins-name");
    var secpolicyNumberTextbox = document.getElementById("sec-pol-num");
    var secgroupNumberTextbox = document.getElementById("sec-grp-num");
    var secexpirationDateTextbox = document.getElementById("sec-exp-date");
    var secemployerTextbox = document.getElementById("sec-employ");
    var secotherInfoTextbox = document.getElementById("sec-other-info");

    var frfPolicySIGTextbox = document.getElementById("frf-policy-sig");
    var medicarePolicySIGTextbox = document.getElementById("med-policy-sig");
    var medicareSECPolicySIGTextbox = document.getElementById("medSEC-policy-sig");
    var refractionPolicySIGTextbox = document.getElementById("ref-policy-sig");
    var medicareADVPolicySIGTextbox = document.getElementById("medADV-policy-sig");
    var medicaidPolicySIGTextbox = document.getElementById("medicaid-policy-sig");
    var hippaSIGTextbox = document.getElementById("HIPPA-sig");

    var primaryInsuranceTextboxDiv = document.getElementById("prim-ins");
    var secondaryInsuranceTextboxDiv = document.getElementById("sec-ins");
    var frfPolicyTextboxDiv = document.getElementById("frf-policy");
    var medicarePolicyTextboxDiv = document.getElementById("med-policy");
    var medicareSECPolicyTextboxDiv = document.getElementById("medSEC-policy");
    var refractionPolicyTextboxDiv = document.getElementById("ref-policy");
    var medicareADVPolicyTextboxDiv = document.getElementById("medADV-policy");
    var medicaidPolicyTextboxDiv = document.getElementById("medicaid-policy");
    var hippaTextboxDiv = document.getElementById("HIPPA");

    if (insuranceDropdown.value === "No") {
        insuranceNameTextbox.required = false;
        policyNumberTextbox.required = false;
        secinsuranceNameTextbox.required = false;
        secpolicyNumberTextbox.required = false;

        frfPolicySIGTextbox.required = true;
        medicarePolicySIGTextbox.required = false;
        medicareSECPolicySIGTextbox.required = false;
        refractionPolicySIGTextbox.required = false;
        medicareADVPolicySIGTextbox.required = false;
        medicaidPolicySIGTextbox.required = false;
        hippaSIGTextbox.required = true;

        primaryInsuranceTextboxDiv.style.display = "none";
        secondaryInsuranceTextboxDiv.style.display = "none";
        frfPolicyTextboxDiv.style.display = "block";
        medicarePolicyTextboxDiv.style.display = "none";
        medicareSECPolicyTextboxDiv.style.display = "none";
        refractionPolicyTextboxDiv.style.display = "none";
        medicareADVPolicyTextboxDiv.style.display = "none";
        medicaidPolicyTextboxDiv.style.display = "none";
        hippaTextboxDiv.style.display = "block";
    
    } else if (insuranceDropdown.value === "Yes-Comm") {
        insuranceNameTextbox.required = true;
        policyNumberTextbox.required = true;
        secinsuranceNameTextbox.required = false;
        secpolicyNumberTextbox.required = false;

        frfPolicySIGTextbox.required = true;
        medicarePolicySIGTextbox.required = false;
        medicareSECPolicySIGTextbox.required = false;
        refractionPolicySIGTextbox.required = false;
        medicareADVPolicySIGTextbox.required = false;
        medicaidPolicySIGTextbox.required = false;
        hippaSIGTextbox.required = true;

        primaryInsuranceTextboxDiv.style.display = "block";
        secondaryInsuranceTextboxDiv.style.display = "none";
        frfPolicyTextboxDiv.style.display = "block";
        medicarePolicyTextboxDiv.style.display = "none";
        medicareSECPolicyTextboxDiv.style.display = "none";
        refractionPolicyTextboxDiv.style.display = "none";
        medicareADVPolicyTextboxDiv.style.display = "none";
        medicaidPolicyTextboxDiv.style.display = "none";
        hippaTextboxDiv.style.display = "block";
        
    } else if (insuranceDropdown.value === "Yes-GIMed") {
        insuranceNameTextbox.required = true;
        policyNumberTextbox.required = true;
        secinsuranceNameTextbox.required = false;
        secpolicyNumberTextbox.required = false;

        frfPolicySIGTextbox.required = false;
        medicarePolicySIGTextbox.required = true;
        medicareSECPolicySIGTextbox.required = false;
        refractionPolicySIGTextbox.required = true;
        medicareADVPolicySIGTextbox.required = false;
        medicaidPolicySIGTextbox.required = false;
        hippaSIGTextbox.required = true;

        primaryInsuranceTextboxDiv.style.display = "block";
        secondaryInsuranceTextboxDiv.style.display = "none";
        frfPolicyTextboxDiv.style.display = "none";
        medicarePolicyTextboxDiv.style.display = "block";
        medicareSECPolicyTextboxDiv.style.display = "none";
        refractionPolicyTextboxDiv.style.display = "block";
        medicareADVPolicyTextboxDiv.style.display = "none";
        medicaidPolicyTextboxDiv.style.display = "none";
        hippaTextboxDiv.style.display = "block";
        
    } else if (insuranceDropdown.value === "Yes-GIMedSec") {
        insuranceNameTextbox.required = true;
        policyNumberTextbox.required = true;
        secinsuranceNameTextbox.required = true;
        secpolicyNumberTextbox.required = true;

        frfPolicySIGTextbox.required = false;
        medicarePolicySIGTextbox.required = false;
        medicareSECPolicySIGTextbox.required = true;
        refractionPolicySIGTextbox.required = true;
        medicareADVPolicySIGTextbox.required = false;
        medicaidPolicySIGTextbox.required = false;
        hippaSIGTextbox.required = true;

        primaryInsuranceTextboxDiv.style.display = "block";
        secondaryInsuranceTextboxDiv.style.display = "block";
        frfPolicyTextboxDiv.style.display = "none";
        medicarePolicyTextboxDiv.style.display = "none";
        medicareSECPolicyTextboxDiv.style.display = "block";
        refractionPolicyTextboxDiv.style.display = "block";
        medicareADVPolicyTextboxDiv.style.display = "none";
        medicaidPolicyTextboxDiv.style.display = "none";
        hippaTextboxDiv.style.display = "block";

    } else if (insuranceDropdown.value === "Yes-MedAdv") {
        insuranceNameTextbox.required = true;
        policyNumberTextbox.required = true;
        secinsuranceNameTextbox.required = false;
        secpolicyNumberTextbox.required = false;

        frfPolicySIGTextbox.required = false;
        medicarePolicySIGTextbox.required = false;
        medicareSECPolicySIGTextbox.required = false;
        refractionPolicySIGTextbox.required = false;
        medicareADVPolicySIGTextbox.required = true;
        medicaidPolicySIGTextbox.required = false;
        hippaSIGTextbox.required = true;

        primaryInsuranceTextboxDiv.style.display = "block";
        secondaryInsuranceTextboxDiv.style.display = "none";
        frfPolicyTextboxDiv.style.display = "none";
        medicarePolicyTextboxDiv.style.display = "none";
        medicareSECPolicyTextboxDiv.style.display = "none";
        refractionPolicyTextboxDiv.style.display = "none";
        medicareADVPolicyTextboxDiv.style.display = "block";
        medicaidPolicyTextboxDiv.style.display = "none";
        hippaTextboxDiv.style.display = "block";

    } else if (insuranceDropdown.value === "Yes-Medi") {
        insuranceNameTextbox.required = true;
        policyNumberTextbox.required = true;
        secinsuranceNameTextbox.required = false;
        secpolicyNumberTextbox.required = false;

        frfPolicySIGTextbox.required = false;
        medicarePolicySIGTextbox.required = false;
        medicareSECPolicySIGTextbox.required = false;
        refractionPolicySIGTextbox.required = false;
        medicareADVPolicySIGTextbox.required = false;
        medicaidPolicySIGTextbox.required = true;
        hippaSIGTextbox.required = true;

        primaryInsuranceTextboxDiv.style.display = "block";
        secondaryInsuranceTextboxDiv.style.display = "none";
        frfPolicyTextboxDiv.style.display = "none";
        medicarePolicyTextboxDiv.style.display = "none";
        medicareSECPolicyTextboxDiv.style.display = "none";
        refractionPolicyTextboxDiv.style.display = "none";
        medicareADVPolicyTextboxDiv.style.display = "none";
        medicaidPolicyTextboxDiv.style.display = "block";
        hippaTextboxDiv.style.display = "block";

    } else {
       insuranceNameTextbox.required = false;
        policyNumberTextbox.required = false;
        secinsuranceNameTextbox.required = false;
        secpolicyNumberTextbox.required = false;

        frfPolicySIGTextbox.required = false;
        medicarePolicySIGTextbox.required = false;
        medicareSECPolicySIGTextbox.required = false;
        refractionPolicySIGTextbox.required = false;
        medicareADVPolicySIGTextbox.required = false;
        medicaidPolicySIGTextbox.required = false;
        hippaSIGTextbox.required = false;

        primaryInsuranceTextboxDiv.style.display = "none";
        secondaryInsuranceTextboxDiv.style.display = "none";
        frfPolicyTextboxDiv.style.display = "none";
        medicarePolicyTextboxDiv.style.display = "none";
        medicareSECPolicyTextboxDiv.style.display = "none";
        refractionPolicyTextboxDiv.style.display = "none";
        medicareADVPolicyTextboxDiv.style.display = "none";
        medicaidPolicyTextboxDiv.style.display = "none";
        hippaTextboxDiv.style.display = "none";
    }
}
