document.addEventListener('DOMContentLoaded', function() {
    document.getElementById('accountForm').addEventListener('submit', function(e) {
        e.preventDefault();

         let accountNumber = document.getElementById('accountNumber').value;
        const NewExistPt = document.getElementById('NewExistPt').value;
        
        fetch('extract_data.php', {
            method: "POST",
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded',
            },
            body: `accountNumber=${accountNumber}`
        })
        .then(response => response.json())
        .then(data => {

            if (data.error) {
                // Store the accountNumber in the localStorage
                
                localStorage.setItem('indexAccountNumber', accountNumber);
                localStorage.setItem('indexNewExistPt', NewExistPt);
                history.pushState({}, null, `index.html?accountNumber=${accountNumber}`);
                window.location.href = "page1_basic.html";
            } else {
                localStorage.setItem('indexAccountNumber', accountNumber);
                localStorage.setItem('indexNewExistPt', NewExistPt);
                localStorage.setItem('patientData', JSON.stringify(data));
                history.pushState({}, null, `index.html?accountNumber=${accountNumber}`);
                window.location.href = "page1_basic.html";
            }
        })
        .catch(error => { // Removed the extra semicolon here
            console.error('Error:', error);
            alert('An error occurred while fetching patient data. Please try again.');
        });
    });
});

// Function to toggle the display of "Other State" input based on the selected state
function toggleAccountNumber() {
    var newExistPtDropdown = document.getElementById("NewExistPt");
    var accountNumberTextbox = document.getElementById("accountNumber");
    var accountNumberTextboxDiv = document.getElementById("accountNumberEntry");

    // Use the logical OR (||) operator to check if the value is "NP" or "EP"
    if (newExistPtDropdown.value === "NP" || newExistPtDropdown.value === "EP") {
        accountNumberTextbox.required = true;
        accountNumberTextboxDiv.style.display = "block";
    } else {
        accountNumberTextbox.required = false;
        accountNumberTextboxDiv.style.display = "none";
    }
}
        function noAccountNumber() {
            // Show the Account Number input section again
            document.getElementById('FirstQuestion').style.display = 'none';
            document.getElementById('noAccountNumberMessage').style.display = 'block';
        }

        function goBackToAccountNumberOption() {

            // Show the Account Number input section again
            document.getElementById('FirstQuestion').style.display = 'block';
            document.getElementById('noAccountNumberMessage').style.display = 'none';
        }