// SECTION 4A & 4B SCRIPTS
// Function to toggle the display of "Primary Insurance" input based on the selected state
function togglePrimaryInsurance() {
    var insuranceDropdown = document.getElementById("insurance");

    var primaryInsuranceCOMMTextboxDiv = document.getElementById("prim-ins-COMM");
    var primaryInsuranceMedTextboxDiv = document.getElementById("prim-ins-MED");
    var primaryInsuranceMedAdvTextboxDiv = document.getElementById("prim-ins-MEDADV");
    var primaryInsuranceMediTextboxDiv = document.getElementById("prim-ins-MEDI");
    var secondaryInsuranceTextboxDiv = document.getElementById("sec-ins");
    var frfPolicyTextboxDiv = document.getElementById("frf-policy");
    var medicarePolicyTextboxDiv = document.getElementById("med-policy");
    var medicareSECPolicyTextboxDiv = document.getElementById("medSEC-policy");
    var refractionPolicyTextboxDiv = document.getElementById("ref-policy");
    var medicareADVPolicyTextboxDiv = document.getElementById("medADV-policy");
    var medicaidPolicyTextboxDiv = document.getElementById("medicaid-policy");
    var hipaaTextboxDiv = document.getElementById("HIPAA");

    var frfPolicySIGTextbox = document.getElementById("frf-policy-sig");
    var medicarePolicySIGTextbox = document.getElementById("med-policy-sig");
    var medicareSECPolicySIGTextbox = document.getElementById("medSEC-policy-sig");
    var refractionPolicySIGTextbox = document.getElementById("ref-policy-sig");
    var medicareADVPolicySIGTextbox = document.getElementById("medADV-policy-sig");
    var medicaidPolicySIGTextbox = document.getElementById("medicaid-policy-sig");
    var hipaaSIGTextbox = document.getElementById("HIPAA-sig");

    if (insuranceDropdown.value === "No") {

        primaryInsuranceCOMMTextboxDiv.style.display = "none";
        primaryInsuranceMedTextboxDiv.style.display = "none";
        primaryInsuranceMediTextboxDiv.style.display = "none";
        primaryInsuranceMedAdvTextboxDiv.style.display = "none";

        secondaryInsuranceTextboxDiv.style.display = "none";

        frfPolicyTextboxDiv.style.display = "block";

        medicarePolicyTextboxDiv.style.display = "none";
        medicareSECPolicyTextboxDiv.style.display = "none";
        refractionPolicyTextboxDiv.style.display = "none";
        medicareADVPolicyTextboxDiv.style.display = "none";
        medicaidPolicyTextboxDiv.style.display = "none";

        hipaaTextboxDiv.style.display = "block";

        frfPolicySIGTextbox.required = true;
        medicarePolicySIGTextbox.required = false;
        medicareSECPolicySIGTextbox.required = false;
        refractionPolicySIGTextbox.required = false;
        medicareADVPolicySIGTextbox.required = false;
        medicaidPolicySIGTextbox.required = false;
        hipaaSIGTextbox.required = true;
    
    } else if (insuranceDropdown.value === "Yes-Comm") {

        primaryInsuranceCOMMTextboxDiv.style.display = "block";
        primaryInsuranceMedTextboxDiv.style.display = "none";
        primaryInsuranceMediTextboxDiv.style.display = "none";
        primaryInsuranceMedAdvTextboxDiv.style.display = "none";

        secondaryInsuranceTextboxDiv.style.display = "none";

        frfPolicyTextboxDiv.style.display = "block";

        medicarePolicyTextboxDiv.style.display = "none";
        medicareSECPolicyTextboxDiv.style.display = "none";
        refractionPolicyTextboxDiv.style.display = "none";
        medicareADVPolicyTextboxDiv.style.display = "none";
        medicaidPolicyTextboxDiv.style.display = "none";

        hipaaTextboxDiv.style.display = "block";

        frfPolicySIGTextbox.required = true;
        medicarePolicySIGTextbox.required = false;
        medicareSECPolicySIGTextbox.required = false;
        refractionPolicySIGTextbox.required = false;
        medicareADVPolicySIGTextbox.required = false;
        medicaidPolicySIGTextbox.required = false;
        hipaaSIGTextbox.required = true;
        
    } else if (insuranceDropdown.value === "Yes-GIMed") {

        primaryInsuranceCOMMTextboxDiv.style.display = "none";
        primaryInsuranceMedTextboxDiv.style.display = "block";
        primaryInsuranceMediTextboxDiv.style.display = "none";
        primaryInsuranceMedAdvTextboxDiv.style.display = "none";

        secondaryInsuranceTextboxDiv.style.display = "none";

        frfPolicyTextboxDiv.style.display = "none";

        medicarePolicyTextboxDiv.style.display = "block";
        medicareSECPolicyTextboxDiv.style.display = "none";
        refractionPolicyTextboxDiv.style.display = "block";
        medicareADVPolicyTextboxDiv.style.display = "none";
        medicaidPolicyTextboxDiv.style.display = "none";

        hipaaTextboxDiv.style.display = "block";

        frfPolicySIGTextbox.required = false;
        medicarePolicySIGTextbox.required = true;
        medicareSECPolicySIGTextbox.required = false;
        refractionPolicySIGTextbox.required = true;
        medicareADVPolicySIGTextbox.required = false;
        medicaidPolicySIGTextbox.required = false;
        hipaaSIGTextbox.required = true;
        
    } else if (insuranceDropdown.value === "Yes-GIMedSec") {

        primaryInsuranceCOMMTextboxDiv.style.display = "none";
        primaryInsuranceMedTextboxDiv.style.display = "block";
        primaryInsuranceMediTextboxDiv.style.display = "none";
        primaryInsuranceMedAdvTextboxDiv.style.display = "none";

        secondaryInsuranceTextboxDiv.style.display = "block";

        frfPolicyTextboxDiv.style.display = "none";

        medicarePolicyTextboxDiv.style.display = "none";
        medicareSECPolicyTextboxDiv.style.display = "block";
        refractionPolicyTextboxDiv.style.display = "block";
        medicareADVPolicyTextboxDiv.style.display = "none";
        medicaidPolicyTextboxDiv.style.display = "none";

        hipaaTextboxDiv.style.display = "block";

        frfPolicySIGTextbox.required = false;
        medicarePolicySIGTextbox.required = false;
        medicareSECPolicySIGTextbox.required = true;
        refractionPolicySIGTextbox.required = true;
        medicareADVPolicySIGTextbox.required = false;
        medicaidPolicySIGTextbox.required = false;
        hipaaSIGTextbox.required = true;

    } else if (insuranceDropdown.value === "Yes-MedAdv") {

        primaryInsuranceCOMMTextboxDiv.style.display = "none";
        primaryInsuranceMedTextboxDiv.style.display = "none";
        primaryInsuranceMediTextboxDiv.style.display = "none";
        primaryInsuranceMedAdvTextboxDiv.style.display = "block";

        secondaryInsuranceTextboxDiv.style.display = "none";

        frfPolicyTextboxDiv.style.display = "none";

        medicarePolicyTextboxDiv.style.display = "none";
        medicareSECPolicyTextboxDiv.style.display = "none";
        refractionPolicyTextboxDiv.style.display = "none";
        medicareADVPolicyTextboxDiv.style.display = "block";
        medicaidPolicyTextboxDiv.style.display = "none";

        hipaaTextboxDiv.style.display = "block";

        frfPolicySIGTextbox.required = false;
        medicarePolicySIGTextbox.required = false;
        medicareSECPolicySIGTextbox.required = false;
        refractionPolicySIGTextbox.required = false;
        medicareADVPolicySIGTextbox.required = true;
        medicaidPolicySIGTextbox.required = false;
        hipaaSIGTextbox.required = true;

    } else if (insuranceDropdown.value === "Yes-Medi") {

        primaryInsuranceCOMMTextboxDiv.style.display = "none";
        primaryInsuranceMedTextboxDiv.style.display = "none";
        primaryInsuranceMediTextboxDiv.style.display = "block";
        primaryInsuranceMedAdvTextboxDiv.style.display = "none";

        secondaryInsuranceTextboxDiv.style.display = "none";

        frfPolicyTextboxDiv.style.display = "none";

        medicarePolicyTextboxDiv.style.display = "none";
        medicareSECPolicyTextboxDiv.style.display = "none";
        refractionPolicyTextboxDiv.style.display = "none";
        medicareADVPolicyTextboxDiv.style.display = "none";
        medicaidPolicyTextboxDiv.style.display = "block";

        hipaaTextboxDiv.style.display = "block";

        frfPolicySIGTextbox.required = false;
        medicarePolicySIGTextbox.required = false;
        medicareSECPolicySIGTextbox.required = false;
        refractionPolicySIGTextbox.required = false;
        medicareADVPolicySIGTextbox.required = false;
        medicaidPolicySIGTextbox.required = true;
        hipaaSIGTextbox.required = true;

    } else {

        primaryInsuranceCOMMTextboxDiv.style.display = "none";
        primaryInsuranceMedTextboxDiv.style.display = "none";
        primaryInsuranceMediTextboxDiv.style.display = "none";
        primaryInsuranceMedAdvTextboxDiv.style.display = "none";

        secondaryInsuranceTextboxDiv.style.display = "none";

        frfPolicyTextboxDiv.style.display = "none";

        medicarePolicyTextboxDiv.style.display = "none";
        medicareSECPolicyTextboxDiv.style.display = "none";
        refractionPolicyTextboxDiv.style.display = "none";
        medicareADVPolicyTextboxDiv.style.display = "none";
        medicaidPolicyTextboxDiv.style.display = "none";

        hipaaTextboxDiv.style.display = "none";

        frfPolicySIGTextbox.required = false;
        medicarePolicySIGTextbox.required = false;
        medicareSECPolicySIGTextbox.required = false;
        refractionPolicySIGTextbox.required = false;
        medicareADVPolicySIGTextbox.required = false;
        medicaidPolicySIGTextbox.required = false;
        hipaaSIGTextbox.required = false;
    }
}