<?php
// ////////////////////////////////////////////////////////////
// LFM v4.24
// Copyright 2006-2018 Josh Abbott and Robert Puddy. All Rights Reserved
// http://themembershipscript.com
//
// The Membership Script ("the script") is copyrighted to
// Josh Abbott and Robert Puddy.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the TMS
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that TMS
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

	require_once "inc/filter.php";
	require_once "inc/lfmsql.php";

	include "inc/config.php";
	include "inc/funcs.php";
	@lfmsql_connect($dbhost,$dbuser,$dbpass);
	@lfmsql_select_db($dbname) or die("Unable to select database");

include "inc/theme.php";

load_template ($theme_dir."/header.php");

$page_content = '';

$useridtag = '';

if (isset($_GET['newuserid']) && is_numeric($_GET['newuserid']) && $_GET['newuserid'] > 0) {
	
	$useremail = '';
	$getuser = lfmsql_query("Select email from `".$prefix."members` where Id=".$_GET['newuserid']." AND signupip = '".$_SERVER['REMOTE_ADDR']."'");
	if (lfmsql_num_rows($getuser) > 0) {
		$useridtag = '&userid='.$_GET['newuserid'];
		$useremail = lfmsql_result($getuser, 0, "email");
	}
	
	$shres=@lfmsql_query("SELECT template_data FROM ".$prefix."templates WHERE template_name='Signup - Thank You'");
	if (lfmsql_num_rows($shres) > 0) {
		$shrow=@lfmsql_fetch_array($shres);
		if (function_exists('html_entity_decode')) {
			$page_content = html_entity_decode($shrow["template_data"]);
		} else {
			$page_content = unhtmlentities($shrow["template_data"]);
		}
		$page_content = translate_site_tags($page_content);
		if (strlen($useremail) > 0) {
			$page_content = translate_user_tags($page_content, $useremail);
		}
	}
	
} else {
	$getuser = lfmsql_query("Select Id from `".$prefix."members` where signupip = '".$_SERVER['REMOTE_ADDR']."' ORDER BY joindate DESC LIMIT 1");
	if (lfmsql_num_rows($getuser) > 0) {
		$useridtag = '&userid='.lfmsql_result($getuser, 0, "Id");
	}
}


if (strlen($page_content) < 5) {
	$page_content = '<center>
<br><br>
  <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%">
    <tr>
      <td width="100%" align="center" style="font-family: Verdana; font-size: 12pt"> 
      <font size="5"><b>Thank You!</b></font>
      <BR><BR>
<font size="3">To login to your account, please click this link:<br><br>
<a href="members.php">Login To The Members Area Here</a>
  <br>
</font>
</td>
    </tr>
  </table>
<br><br>
  </center>';
}

echo('<div id="container">'.$page_content.'</div>');

// Start Auto Conversion Tracking
$thirtyminago = time() - 1800;
$checkautotrack = lfmsql_query("SELECT srtrkdm, srtrkid FROM `".$prefix."autotrack` WHERE timehit >= '".$thirtyminago."' AND ipaddress='".$_SERVER['REMOTE_ADDR']."' AND landing='0' ORDER BY timehit DESC LIMIT 1");
if (lfmsql_num_rows($checkautotrack) > 0) {
	$srtrkdm = lfmsql_result($checkautotrack, 0, "srtrkdm");
	$srtrkid = lfmsql_result($checkautotrack, 0, "srtrkid");
	$srtrkcode = "<img border=\"0\" width=\"1\" height=\"1\" src=\"https://".$srtrkdm."/trackerconv.php?id=".$srtrkid.$useridtag."\">";
	echo($srtrkcode);
}
// End Auto Conversion Tracking

// Start Landing Auto Conversion Tracking
$thirtyminago = time() - 1800;
$checkautotrack = lfmsql_query("SELECT srtrkdm, srtrkid FROM `".$prefix."autotrack` WHERE timehit >= '".$thirtyminago."' AND ipaddress='".$_SERVER['REMOTE_ADDR']."' AND landing='1' ORDER BY timehit DESC LIMIT 1");
if (lfmsql_num_rows($checkautotrack) > 0) {
	$srtrkdm = lfmsql_result($checkautotrack, 0, "srtrkdm");
	$srtrkid = lfmsql_result($checkautotrack, 0, "srtrkid");
	$srtrklanding = "<img border=\"0\" width=\"1\" height=\"1\" src=\"https://".$srtrkdm."/trackerconv.php?id=".$srtrkid.$useridtag."\">";
	if (!isset($srtrkcode) || $srtrkcode != $srtrklanding) {
		echo($srtrklanding);
	}
}
// End Landing Auto Conversion Tracking

load_template ($theme_dir."/footer.php");

exit;

?>