<?php

// Get The Spot
// 2015 LFM Wealth Systems, http://thetrafficexchangescript.com
// Licensed for the LFMTE script

	$getsssettings=lfmsql_query("SELECT * FROM ".$prefix."thespot WHERE mtid=0 ");
	if(lfmsql_num_rows($getsssettings) > 0) {
		while ($gsssettings = lfmsql_fetch_array($getsssettings)) {
			$sssetid = $gsssettings['field'];
			$sssetting[$sssetid] = $gsssettings['value'];
		}
	}
	
	if (isset($acctype) && is_numeric($acctype) && $acctype > 0) {
		$getssmsettings=lfmsql_query("SELECT * FROM ".$prefix."thespot WHERE mtid=$acctype ");
		if(lfmsql_num_rows($getssmsettings) > 0) {
			while ($gssmsettings = lfmsql_fetch_array($getssmsettings)) {
				$sssetid = $gssmsettings['field'];
				$ssmsetting[$sssetid] = $gssmsettings['value'];
			}
		}
	}
	
	$expiretime = time() - ($sssetting['maxtime']*60*60);
	
	function gthespot() {
		GLOBAL $prefix;
		
		$getsssettings=lfmsql_query("SELECT * FROM ".$prefix."thespot WHERE mtid=0 ");
		if(lfmsql_num_rows($getsssettings) > 0) {
			while ($gsssettings = lfmsql_fetch_array($getsssettings)) {
				$sssetid = $gsssettings['field'];
				$sssetting[$sssetid] = $gsssettings['value'];
			}
		}
		
		$expiretime = time() - ($sssetting['maxtime']*60*60);
		
		$gettemplate = lfmsql_query("SELECT template_data FROM ".$prefix."templates WHERE template_name='The Spot'");
		$template = lfmsql_result($gettemplate, 0);
		
		$getcurrentad = lfmsql_query("SELECT * FROM ".$prefix."thespoturl WHERE current=1 AND bidtime >= '".$expiretime."' ORDER BY bidtime DESC LIMIT 1 ");
		if (lfmsql_num_rows($getcurrentad) == 1) {
			$currentad = lfmsql_fetch_array($getcurrentad);
		} else {
			$currentad = resetbid();
		}
		
		$template = str_replace("#SPOTTEXT#", $currentad['adtext'], $template);
		
		if (strlen($currentad['bannerurl']) > 9) {
			$bannersize = 'width="468" height="60"';
			if (isset($sssetting['bannertype']) && $sssetting['bannertype'] == 1) {
				$bannersize = 'width="125" height="125"';
			}
			$template = str_replace("#SPOTBANNER#", '<a href="#SPOTLINK#" target="_blank"><img border="0" '.$bannersize.' src="'.$currentad['bannerurl'].'"></a>', $template);
		} else {
			$template = str_replace("#SPOTBANNER#", '', $template);
		}
		
		$template = str_replace("#SPOTLINK#", 'thespot_click.php?spot='.$currentad['id'], $template);
		
		if (strpos($template, '#SPOTCLICKED#') !== false) {
			if (isset($_SESSION["userid"]) && is_numeric($_SESSION["userid"]) && $_SESSION["userid"] > 0) {
				$checkprize = lfmsql_query("SELECT * FROM ".$prefix."thespotlog WHERE userid='".$_SESSION["userid"]."' AND spotlink='".$currentad['id']."'");
				if (lfmsql_num_rows($checkprize) == 0) {
					$template = str_replace("#SPOTCLICKED#", '0', $template);
				} else {
					$template = str_replace("#SPOTCLICKED#", '1', $template);
				}
			} else {
				$template = str_replace("#SPOTCLICKED#", '0', $template);
			}
		}
		
		return $template;
	}
	
	function resetbid() {
		GLOBAL $prefix;
		
		$getsssettings=lfmsql_query("SELECT * FROM ".$prefix."thespot WHERE mtid=0 ");
		if(lfmsql_num_rows($getsssettings) > 0) {
			while ($gsssettings = lfmsql_fetch_array($getsssettings)) {
				$sssetid = $gsssettings['field'];
				$sssetting[$sssetid] = $gsssettings['value'];
			}
		}
		
		@lfmsql_query("UPDATE ".$prefix."thespoturl SET current=0 ");
		$weekago = time() - 604800;
		@lfmsql_query("DELETE FROM ".$prefix."thespoturl WHERE bidtime < ".$weekago);
		@lfmsql_query("DELETE FROM ".$prefix."thespotlog WHERE time < ".$weekago);
		$firstbid = $sssetting['startingbid'] - $sssetting['bidincrease'];
		
		$getwait = lfmsql_query("SELECT value FROM ".$prefix."thespot WHERE field='bidopen' ORDER BY value DESC LIMIT 1");
		if (lfmsql_num_rows($getwait) == 1) {
			$bidwait = lfmsql_result($getwait, 0, "value");
			$firstbidtime = time() - ($bidwait*60*60);
		} else {
			$firstbidtime = time();
		}
		
		@lfmsql_query("INSERT INTO ".$prefix."thespoturl (userid,adtext,bannerurl,url,bidamount,bidtime,views,current) VALUES (0,'${sssetting['defaultadtxt']}','${sssetting['defaultbannerurl']}','${sssetting['defaulturl']}','$firstbid',".$firstbidtime.",0,1) ") or die(lfmsql_error());
		$bidid = lfmsql_insert_id();
		return array(
			'id'		=>	$bidid,
			'userid'	=>	0,
			'adtext'	=>	$sssetting['defaultadtxt'],
			'bannerurl'	=>	$sssetting['defaultbannerurl'],
			'url'		=>	$sssetting['defaulturl'],
			'bidamount'	=>	$firstbid,
			'bidtime'	=>	$firstbidtime,
			'views'		=>	0,
			'current'	=>	1
		);
	}
	
	function thespot_credituser($userid,$spotlight) {
		GLOBAL $prefix,$ssmsetting;
		$checkprize = lfmsql_query("SELECT * FROM ".$prefix."thespotlog WHERE userid='$userid' AND spotlink='$spotlight' ");
		$rewards = "";
		if (lfmsql_num_rows($checkprize) == 0) {
			if ($ssmsetting['creditsprize'] > 0) {
				lfmsql_query("UPDATE ".$prefix."members SET credits=credits+'${ssmsetting['creditsprize']}' WHERE Id='$userid' ");
				$rewards .= "${ssmsetting['creditsprize']} credits";
			}
			if ($ssmsetting['bannerprize'] > 0) {
				lfmsql_query("UPDATE ".$prefix."members SET bannerimps=bannerimps+'${ssmsetting['bannerprize']}' WHERE Id='$userid' ");
				if (strlen($rewards) > 0) {
					$rewards .= ", ";
				}
				$rewards .= "${ssmsetting['bannerprize']} banner impressions";
			}
			if ($ssmsetting['textprize'] > 0) {
				lfmsql_query("UPDATE ".$prefix."members SET textimps=textimps+'${ssmsetting['textprize']}' WHERE Id='$userid' ");
				if (strlen($rewards) > 0) {
					$rewards .= ", ";
				}
				$rewards .= "${ssmsetting['textprize']} text link impressions";
			}
			if ($ssmsetting['cashprize'] > 0) {
				$sql="Insert into `".$prefix."sales` (affid, saledate, itemid, itemname, itemamount, commission, txn_id, prize) values ($userid, NOW(), 0, 'The Spot Reward', '".$ssmsetting['cashprize']."', '".$ssmsetting['cashprize']."', '0', 1)";
				lfmsql_query($sql);
				if (strlen($rewards) > 0) {
					$rewards .= ", ";
				}
				$rewards .= "\$${ssmsetting['cashprize']} cash";
			}
			if (file_exists("admin/peelads.php") AND $ssmsetting['peeladsprize'] > 0) {
				lfmsql_query("UPDATE ".$prefix."members SET peelimps=peelimps+'${ssmsetting['peeladsprize']}' WHERE Id='$userid' ");
				if (strlen($rewards) > 0) {
					$rewards .= ", ";
				}
				$rewards .= "${ssmsetting['peeladsprize']} peel ads";
			}
			if (file_exists("admin/sqbanners.php") AND $ssmsetting['sqbansprize'] > 0) {
				lfmsql_query("UPDATE ".$prefix."members SET sqbanimps=sqbanimps+'${ssmsetting['sqbansprize']}' WHERE Id='$userid' ");
				if (strlen($rewards) > 0) {
					$rewards .= ", ";
				}
				$rewards .= "${ssmsetting['sqbansprize']} square banner impressions";
			}
			if (file_exists("inc/porkyp_funcs.php") AND $ssmsetting['porkypsprize'] > 0) {
				require_once "inc/porkyp_funcs.php";
				$getmem = lfmsql_query("SELECT email, lastip FROM `".$prefix."members` WHERE Id='$userid' ");
				if (lfmsql_num_rows($getmem) > 0) {
					$useremail = lfmsql_result($getmem, 0, "email");
					$memip = lfmsql_result($getmem, 0, "lastip");
					$porkytransfer = porkytransferpoints($useremail, $memip, $ssmsetting['porkypsprize']);
				}
				if (strlen($rewards) > 0) {
					$rewards .= ", ";
				}
				$rewards .= "${ssmsetting['porkypsprize']} Porky Points";
			}
			if (file_exists("inc/xppoints_funcs.php") AND $ssmsetting['xppointsprize'] > 0) {
				$xpointstransfer = lfmsql_query("UPDATE ".$prefix."members SET dailyXP=dailyXP+'${ssmsetting['xppointsprize']}' WHERE Id='$userid' ");
				if (strlen($rewards) > 0) {
					$rewards .= ", ";
				}
				$rewards .= "${ssmsetting['xppointsprize']} XP Points";
			}
	    	lfmsql_query("INSERT INTO ".$prefix."thespotlog (userid,spotlink,time) VALUES ('$userid','$spotlight','".time()."') ");
	    	lfmsql_query("UPDATE ".$prefix."thespoturl SET views=views+1 WHERE id='$spotlight' AND current=1 ");
		} else {
			$rewards = "You have already earned the prize from this spot";
		}
		return $rewards;
	}
?>