<?php

// LFM Sample Widget Template


// This line of code just prevents anyone from attempting to open the file from outside of the Admin Panel
if(!isset($_SESSION["adminid"])) { exit; };


// In this section you can include any database queries to pull the data for your Widget
// You can use functions such as lfmsql_query(), lfmsql_result() and lfmsql_fetch_array()

// This query will simply count the number of members in the site
$getmembercount = lfmsql_query("SELECT COUNT(*) AS membercount FROM ".$prefix."members");
$membercount = lfmsql_result($getmembercount, 0, "membercount");

?>

<!-- Start Sample Widget Output -->
<div class="col-12 col-lg-6 col-xl-4">
	<div class="card">
		<div class="card-header">
			<span class="lfm_widget_title">Sample Widget</span>
		</div>
		<div class="card-body">
			
			Here is where you enter the HTML for your Widget...  There are <?php echo($membercount); ?> members in the site.
			
		</div>
	</div>
</div>